(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[    893149,      19575]
NotebookOptionsPosition[    827436,      17779]
NotebookOutlinePosition[    864562,      18562]
CellTagsIndexPosition[    864519,      18559]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {
    ButtonBox[Cell[GraphicsData["CompressedBitmap", "\<\
eJzVWL1uFDEQduzd2/wgISEkRHco0NGlAN0DAAXcC1CdIqSkQKAkokjDC9Aj
UoBESUt5LW9AR5UHiQ782fPtzXq9l70lKKLwrj3jmfHOfPaM98Xs5ODV69nJ
4f5s/PRo9vbgcP94/OTNkSe5DWPML9/ujA36v31XHlPz6ebuB7O3t2fMuv0t
9M3I/Dh5H3ps3x4/M9+fv6zCoAzsxcVF3TAuA8+Znx+/BBpGhdAwBj2O2rRR
eFYwUctTL8eFzNRyaMJ3YjBh2/BdpTk9PTXn5+dmsViY+XxuptOpnwzeKPRB
Aw8N8zzNBbYzZ2dngYwRRbQ6vEVlISIgQwwjm6EVmVXhDX5PE2CDhcWXPdSl
HynqSmHr1aHJR7vM4scRKpsSR8QMTv/64JH/1jYGSoktaXjruOJd/AV2iDtA
lLixsBCm9ULNTouNL4TH6Cl6Fv3okyrwQaOnMYdzc9hxSeQw12Jkg4oYIvof
TZyei4GTsFE/7WLslV1iqmqZ4rfobXGJbroHYjYwXQ0+rWYossoGQkCJCAMl
oo7BsgkCMN8liAIvpQ1BGWU/330Y59neKOs8m3Qw6HS6B85nYBj0NHgiExxu
dYgmk0mIHN45f+eOJpuENwY2HlqJ4U5bW5062sjTH6htc7cNh1Glkgo9z4OK
fYseMcCsVsfWP9FnJroK/OTm0e6Sti6SdIDUts05p1pxMulUU4RnTEM9DyWb
qAYUqk7VrqE6XVYq2zz4cssfDpHtRkQ1VBAZwse/04D9f0CxAhQmBsldubql
Eyhh2xeyqcFhHFcdJ71w0ql581rQMZKAEAEsivG2UpPiMFGoYaSuOxW1Kxpt
ncmUH2WX0HB1yo+5aVgWUiIIFVXrmpX5QJvTVdcyZ6yXR7rsXX1O2mmtnfU1
9Wlb9zSmqkbgdThAt8l2B/7cwCraJRimHGBga9CIEI87oo5CmZI6FYtT4p7Q
6/J2FLrK2oVSTDagMLSg1oW6ldk6NHJqgVQ2FKelas+Kt8vO9npqVhbOYbmR
W9Wz0dK1C67KJGTLNBQxw22PxlS1xEz/Gz3xpG/pTdyW9biNzT43/Corj/2h
z93kBwXzGiEku463W15+9eV4jRs+g+nPlrQcZSgkNCOBed+LvdJ8o4foykt8
1VoUf3SAFm9+rpECJc/tSGSZy9Bu9UxQ9/GUn0fjfy1zO+4M76F3w6Xj7Qpp
gm44vkxZs4zy22d3zdUUDcz7/m7GBdwaOseThreW6fMvz2z8AbMc9mc=\
\>"], "Graphics",
      Evaluatable->False,
      GeneratedCell->False,
      CellAutoOverwrite->False,
      ImageSize->{218, 23},
      ImageMargins->{{0, 0}, {0, 0}},
      ImageRegion->{{0, 1}, {0, 1}}],
     Active->True,
     Appearance->{Automatic, None},
     BaseStyle->"Hyperlink",
     ButtonData:>{
       URL["http://www.wolframscience.com"], None},
     ButtonNote->"A New Kind of Science"]}
  }]], "TitleCell1",
 CellMargins->{{Inherited, Inherited}, {0, Inherited}}],

Cell[TextData[{
 "From: ",
 StyleBox["A New Kind of Science",
  FontSlant->"Italic"],
 ", by Stephen Wolfram \[Copyright] 2002 Stephen Wolfram, LLC"
}], "Text",
 ShowCellBracket->False,
 CellMargins->{{36, Inherited}, {Inherited, 5}}],

Cell["NOTES FOR CHAPTER 4", "TitleHeader"],

Cell[CellGroupData[{

Cell["Systems Based on Numbers", "Title"],

Cell[CellGroupData[{

Cell["The Notion of Numbers", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation of digit sequences", "Subsection"], Cell[
     " (page 901)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Reverse", "[", 
  RowBox[{"Mod", "[", 
   RowBox[{
    RowBox[{"NestWhileList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Floor", "[", 
        RowBox[{"#", "/", "k"}], "]"}], "&"}], ",", "n", ",", 
      RowBox[{
       RowBox[{"#", "\[GreaterEqual]", "k"}], "&"}]}], "]"}], ",", "k"}], 
   "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"n", "=", "123"}], ",", 
     RowBox[{"k", "=", "3"}]}], "}"}], ",", 
   RowBox[{"Reverse", "[", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"NestWhileList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Floor", "[", 
          RowBox[{
          "#", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "k"}],
           "]"}], "&"}], ",", "n", ",", 
        RowBox[{
         RowBox[{"#", "\[GreaterEqual]", "k"}], "&"}]}], "]"}], ",", "k"}], 
     "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4282403082952347`*^9, 3.428240309162311*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421401800117`*^9, 3.428240309693471*^9, 
  3.432312241634894*^9, 3.43231296404629*^9, 3.500208770766261*^9, 
  3.5129162065310917`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"IntegerDigits", "[", 
  RowBox[{"123", ",", "3"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413642140327325*^9, 3.4282403130854673`*^9, 
  3.432312241756247*^9, 3.432312964196705*^9, 3.500208772548908*^9, 
  3.5129162070958652`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"k", " ", "#1"}], "+", "#2"}], "&"}], ",", "0", ",", "list"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"data", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "0"}], "}"}]}], ",", 
     RowBox[{"k", "=", "3"}]}], "}"}], ",", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"k", " ", 
        TagBox["#1",
         #& ,
         SyntaxForm->"a"]}], "+", 
       TagBox["#2",
        #& ,
        SyntaxForm->"a"]}], "&"}], ",", "0", ",", "data"}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData["123"], "Output",
 CellChangeTimes->{3.413642140382146*^9, 3.428240327961615*^9, 
  3.43231224181384*^9, 3.4323129642505827`*^9, 3.5002087851378717`*^9, 
  3.512916209277424*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FromDigits", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "0"}], "}"}], ",", "3"}], 
  "]"}]], "Input"],

Cell[BoxData["123"], "Output",
 CellChangeTimes->{3.413642140429632*^9, 3.428240330700282*^9, 
  3.432312241885027*^9, 3.4323129643021793`*^9, 3.500208786887905*^9, 
  3.512916210100198*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Floor", "[", 
  RowBox[{"k", " ", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{
        RowBox[{"k", " ", "#"}], ",", "1"}], "]"}], "&"}], ",", "x", ",", 
     RowBox[{"m", "-", "1"}]}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "=", 
      RowBox[{"\[Pi]", "-", "3"}]}], ",", 
     RowBox[{"k", "=", "10"}], ",", 
     RowBox[{"m", "=", "5"}]}], "}"}], ",", 
   RowBox[{"Floor", "[", 
    RowBox[{"k", " ", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"k", " ", "#"}], ",", "1"}], "]"}], "&"}], ",", "x", ",", 
       RowBox[{"m", "-", "1"}]}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "4", ",", "1", ",", "5", ",", "9"}], "}"}]], "Output",
 CellChangeTimes->{3.428240349891901*^9, 3.432312241947301*^9, 
  3.4323129643517237`*^9, 3.5002087905948067`*^9, 3.5129162125664043`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RealDigits", "[", 
  RowBox[{
   RowBox[{"\[Pi]", "-", "3"}], ",", "10", ",", "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "1", ",", "5", ",", "9"}], "}"}], ",", "0"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413642140700014*^9, 3.428240352333374*^9, 
  3.432312242022279*^9, 3.432312964402422*^9, 3.500208792197451*^9, 
  3.5129162132493067`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"#1", "/", "k"}], "+", "#2"}], "&"}], ",", "0", ",", 
    RowBox[{"Reverse", "[", "list", "]"}]}], "]"}], "/", 
  "k"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "=", "10"}], ",", 
     RowBox[{"list", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "1", ",", "5", ",", "9"}], "}"}]}]}], 
    "}"}], ",", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         TagBox["#1",
          #& ,
          SyntaxForm->"a"], "/", "\[NegativeVeryThinSpace]", 
         "\[NegativeVeryThinSpace]", "k"}], "+", 
        TagBox["#2",
         #& ,
         SyntaxForm->"a"]}], "&"}], ",", "0", ",", 
      RowBox[{"Reverse", "[", "list", "]"}]}], "]"}], "/", 
    "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "k"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 FractionBox["14159", "100000"]], "Output",
 CellChangeTimes->{3.413642140752036*^9, 3.4282403624147043`*^9, 
  3.4323122421062717`*^9, 3.4323129644514112`*^9, 3.500208795402211*^9, 
  3.512916215715912*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FromDigits", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "4", ",", "1", ",", "5", ",", "9"}], "}"}], ",", "0"}],
    "}"}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox["14159", "100000"]], "Output",
 CellChangeTimes->{3.413642140799273*^9, 3.428240363979638*^9, 
  3.432312242189662*^9, 3.432312964502862*^9, 3.500208797205594*^9, 
  3.5129162166004963`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Gray code", "Subsection"], Cell[" (page 901)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"GrayCode", "[", "m_", "]"}], ":=", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{"Length", "[", "#", "]"}], "+", 
         RowBox[{"Reverse", "[", "#", "]"}]}]}], "]"}], "&"}], ",", 
     RowBox[{"{", "0", "}"}], ",", "m"}], "]"}]}], "\n"}], "\n", 
 RowBox[{"BitXor", "[", 
  RowBox[{"i", ",", 
   RowBox[{"Floor", "[", 
    RowBox[{"i", "/", "2"}], "]"}]}], "]"}]}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"GrayCode", "[", "m_", "]"}], ":=", 
  RowBox[{"Nest", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"#", ",", 
       RowBox[{
        RowBox[{"Length", "[", "#", "]"}], "+", 
        RowBox[{"Reverse", "[", "#", "]"}]}]}], "]"}], "&"}], ",", 
    RowBox[{"{", "0", "}"}], ",", "m"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GrayCode", "[", "4", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "3", ",", "2", ",", "6", ",", "7", ",", "5", ",", "4", 
   ",", "12", ",", "13", ",", "15", ",", "14", ",", "10", ",", "11", ",", "9",
    ",", "8"}], "}"}]], "Output",
 CellChangeTimes->{3.413642140874351*^9, 3.428240374239259*^9, 
  3.432312242288563*^9, 3.432312964582809*^9, 3.5002088040167503`*^9, 
  3.512916221493726*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"BitXor", "[", 
    RowBox[{"i", ",", 
     RowBox[{"Floor", "[", 
      RowBox[{"i", "/", "2"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "15"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "3", ",", "2", ",", "6", ",", "7", ",", "5", ",", "4", 
   ",", "12", ",", "13", ",", "15", ",", "14", ",", "10", ",", "11", ",", "9",
    ",", "8"}], "}"}]], "Output",
 CellChangeTimes->{3.413642140933622*^9, 3.4282403759744387`*^9, 
  3.432312242349928*^9, 3.4323129646363783`*^9, 3.500208805853237*^9, 
  3.512916222609304*^9}]
}, Open  ]],

Cell[TextData[{
 "Further information on Gray codes is available at ",
 StyleBox[ButtonBox["MathWorld",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://mathworld.wolfram.com/GrayCode.html"], None}],
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.534789210343529*^9, 3.534789229669529*^9}}]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Elementary Arithmetic", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 117 \[CenterDot] Digit counts", "Subsection"], Cell[
     " (page 902)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.534789622918612*^9, 3.534789623927713*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "-", 
   RowBox[{"IntegerExponent", "[", 
    RowBox[{
     RowBox[{"n", "!"}], ",", "2"}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"2", " ", "n"}], "-", 
  RowBox[{"Log", "[", 
   RowBox[{"2", ",", 
    RowBox[{"Denominator", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", "n", "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "#"}], ")"}], 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}]}]], "&"}], "]"}], "[", "0", "]"}], 
      "/", 
      RowBox[{"n", "!"}]}], "]"}]}], "]"}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DigitCount", "[", 
  RowBox[{"127", ",", "2", ",", "1"}], "]"}]], "Input"],

Cell[BoxData["7"], "Output",
 CellChangeTimes->{3.413642140987666*^9, 3.428240392324169*^9, 
  3.4323122424135647`*^9, 3.432312964685762*^9, 3.500208812396267*^9, 
  3.512916227523213*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "127"}], "}"}], ",", 
   RowBox[{"n", "-", 
    RowBox[{"IntegerExponent", "[", 
     RowBox[{
      RowBox[{"n", "!"}], ",", "2"}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData["7"], "Output",
 CellChangeTimes->{3.4136421410545683`*^9, 3.428240393984582*^9, 
  3.432312242461255*^9, 3.432312964737132*^9, 3.500208816069449*^9, 
  3.5129162282031517`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "127"}], "}"}], ",", 
   RowBox[{
    RowBox[{"2", " ", "n"}], "-", 
    RowBox[{"Log", "[", 
     RowBox[{"2", ",", 
      RowBox[{"Denominator", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Derivative", "[", "n", "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", "#"}], ")"}], 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
             RowBox[{
              RowBox[{"-", "1"}], "/", "2"}]}]], "&"}], "]"}], "[", "0", 
         "]"}], "/", 
        RowBox[{"n", "!"}]}], "]"}]}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData["7"], "Output",
 CellChangeTimes->{3.413642141120789*^9, 3.42824039565261*^9, 
  3.432312242511539*^9, 3.432312964787887*^9, 3.500208817501519*^9, 
  3.512916229032834*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 122 \[CenterDot] Powers of 3/2", "Subsection"], Cell[
     " (page 903)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347896283271527`*^9, 3.5347896283271527`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[Rule]", 
  RowBox[{
   RowBox[{"3", " ", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"a", "+", 
       RowBox[{"Quotient", "[", 
        RowBox[{"b", ",", "2"}], "]"}]}], ",", "2"}], "]"}]}], "+", 
   RowBox[{"Quotient", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"3", " ", 
       RowBox[{"Mod", "[", 
        RowBox[{"b", ",", "2"}], "]"}]}], "+", 
      RowBox[{"Quotient", "[", 
       RowBox[{"c", ",", "2"}], "]"}]}], ",", "2"}], 
    "]"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Partition", "[", 
      RowBox[{"#", ",", "3", ",", "1", ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}]}], "]"}], "/.", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[Rule]", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"a", "+", 
           RowBox[{"Quotient", "[", 
            RowBox[{"b", ",", "2"}], "]"}]}], ",", "2"}], "]"}]}], "+", 
       RowBox[{"Quotient", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"3", " ", 
           RowBox[{"Mod", "[", 
            RowBox[{"b", ",", "2"}], "]"}]}], "+", 
          RowBox[{"Quotient", "[", 
           RowBox[{"c", ",", "2"}], "]"}]}], ",", "2"}], "]"}]}]}]}], "&"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",",
    "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "1", ",", "3", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "2", ",", "1", ",", "3", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "3", ",", "2", ",", "1", ",", "3", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "5", ",", "0", ",", "2", ",", "1", ",", "3", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "1", ",", "1", ",", "3", ",", "3", ",", "2", ",", "1", 
     ",", "3", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4136421411708384`*^9, 3.4282404178849907`*^9, 
  3.432312242564562*^9, 3.432312964839973*^9, 3.500208822063016*^9, 
  3.512916233595222*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Relation to substitution systems", "Subsection"], Cell[
     " (page 903)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0", "\[Rule]", 
           RowBox[{"Join", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", "1", "}"}]}], "]"}]}], ",", 
          RowBox[{"1", "\[Rule]", 
           RowBox[{"Join", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}]}], "}"}], "&"}], 
       ")"}], "[", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"#", "-", "1"}], "}"}]}], "]"}], "]"}], "&"}], ",", 
    RowBox[{"Reverse", "[", 
     RowBox[{"Rest", "[", 
      RowBox[{"ContinuedFraction", "[", 
       RowBox[{"h", ",", "m"}], "]"}], "]"}], "]"}]}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Floor", "[", "h", "]"}], "+", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"#1", "/.", "#2"}], "]"}], "&"}], ",", 
    RowBox[{"{", "0", "}"}], ",", "rules"}], "]"}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "=", 
      RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
     RowBox[{"m", "=", "3"}]}], "}"}], ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"0", "\[Rule]", 
            RowBox[{"Join", "[", 
             RowBox[{"#", ",", 
              RowBox[{"{", "1", "}"}]}], "]"}]}], ",", 
           RowBox[{"1", "\[Rule]", 
            RowBox[{"Join", "[", 
             RowBox[{"#", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}]}], "}"}], "&"}], 
        ")"}], "[", 
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"#", "-", "1"}], "}"}]}], "]"}], "]"}], "&"}], ",", 
     RowBox[{"Reverse", "[", 
      RowBox[{"Rest", "[", 
       RowBox[{"ContinuedFraction", "[", 
        RowBox[{"h", ",", "m"}], "]"}], "]"}], "]"}]}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"1", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"1", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413642141225024*^9, 3.4282404280288067`*^9, 
  3.432312242614339*^9, 3.432312964927349*^9, 3.500208827586979*^9, 
  3.512916459859502*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "=", 
      RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
     RowBox[{"m", "=", "5"}]}], "}"}], ",", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rules", "=", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"0", "\[Rule]", 
                RowBox[{"Join", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{"{", "1", "}"}]}], "]"}]}], ",", 
               RowBox[{"1", "\[Rule]", 
                RowBox[{"Join", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}]}], "}"}], "&"}], 
            ")"}], "[", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"#", "-", "1"}], "}"}]}], "]"}], "]"}], "&"}], ",", 
         RowBox[{"Reverse", "[", 
          RowBox[{"Rest", "[", 
           RowBox[{"ContinuedFraction", "[", 
            RowBox[{"h", ",", "m"}], "]"}], "]"}], "]"}]}], "]"}]}], "}"}], 
     ",", 
     RowBox[{
      RowBox[{"Floor", "[", "h", "]"}], "+", 
      RowBox[{"Fold", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{
           TagBox["#1",
            #& ,
            SyntaxForm->"a"], "/.", "\[InvisibleSpace]", 
           TagBox["#2",
            #& ,
            SyntaxForm->"a"]}], "]"}], "&"}], ",", 
        RowBox[{"{", "0", "}"}], ",", "rules"}], "]"}]}]}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", "1", ",", "2", ",", "1", 
   ",", "2", ",", "1", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", 
   "2", ",", "1", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", "1", 
   ",", "2", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4136421413514833`*^9, 3.4282404295409527`*^9, 
  3.432312242663463*^9, 3.432312964968769*^9, 3.5002088288888073`*^9, 
  3.512916460997224*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"h", "=", 
     RowBox[{"Sqrt", "[", "2", "]"}]}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Floor", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "+", "1"}], ")"}], "h"}], "]"}], "-", 
      RowBox[{"Floor", "[", 
       RowBox[{"n", " ", "h"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "29"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512916463377953*^9, 3.5129164636147633`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", "1", ",", "2", ",", "1", 
   ",", "2", ",", "1", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", 
   "2", ",", "1", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", "1", 
   ",", "2", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413642141407444*^9, 3.4282404314497347`*^9, 
  3.43231224284544*^9, 3.432312965028262*^9, 3.500208831476568*^9, 
  3.512916464139317*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 122 \[CenterDot] Implementation", "Subsection"], Cell[
     " (page 904)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347896343577557`*^9, 3.5347896343577557`*^9}}],

Cell[CellGroupData[{

Cell["\<\
NestList[If[EvenQ[#],3 \
#/2,3/\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]2 (#+1)]&,1,t]\
\>", "Subsubsection",
 CellChangeTimes->{3.512916635345463*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"EvenQ", "[", "#", "]"}], ",", 
      RowBox[{
       RowBox[{"3", " ", "#"}], "/", 
       "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], ",", 
      RowBox[{
       RowBox[{
       "3", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], 
       " ", 
       RowBox[{"(", 
        RowBox[{"#", "+", "1"}], ")"}]}]}], "]"}], "&"}], ",", "1", ",", 
   "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "3", ",", "6", ",", "9", ",", "15", ",", "24"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413642141470031*^9, 3.428240443784567*^9, 
  3.432312242899158*^9, 3.4323129650936613`*^9, 3.500208836552637*^9, 
  3.5129165176700077`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 122 \[CenterDot] The 3n+1 problem", "Subsection"], Cell[
     " (page 904)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.534789636759996*^9, 3.534789636759996*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "\[Rule]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"EvenQ", "[", "n", "]"}], ",", 
    RowBox[{"n", "/", "2"}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", "n"}], "+", "1"}], ")"}], "/", "2"}]}], 
   "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"n", ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", "n", "]"}], ",", 
       RowBox[{"n", "/", "2"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", "n"}], "+", "1"}], ")"}], "/", "2"}]}], "]"}]}], "]"}],
    ",", "10", ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "10", ",", "5", ",", "8", ",", "4", ",", "2", ",", "1", ",", "2", ",", "1", 
   ",", "2", ",", "1", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.413642141520753*^9, 3.428240451460059*^9, 
  3.432312242949761*^9, 3.432312965220718*^9, 3.50020884054291*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FixedPoint", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"3", " ", "#"}], "/", 
        "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
        RowBox[{"2", "^", 
         RowBox[{"IntegerExponent", "[", 
          RowBox[{"#", ",", "2"}], "]"}]}]}], "+", "1"}], ")"}], "/", 
     "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], "&"}], ",", 
   "n"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"FixedPoint", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"3", " ", "#"}], "/", 
          "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
          RowBox[{"2", "^", 
           RowBox[{"IntegerExponent", "[", 
            RowBox[{"#", ",", "2"}], "]"}]}]}], "+", "1"}], ")"}], "/", 
       "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], "&"}], ",", 
     "n"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "2", ",", "30"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", 
   ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", 
   "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", 
   ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413642141573059*^9, 3.428240459756619*^9, 
  3.4323122429978237`*^9, 3.4323129652747*^9, 3.500208843713518*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["3n+1 problem as cellular automaton", "Subsection"], Cell[
     " (page 904)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[Rule]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"b", "\[Equal]", "6"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"EvenQ", "[", "a", "]"}], ",", "6", ",", "4"}], "]"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"3", " ", 
       RowBox[{"Mod", "[", 
        RowBox[{"a", ",", "2"}], "]"}]}], "+", 
      RowBox[{"Quotient", "[", 
       RowBox[{"b", ",", "2"}], "]"}]}], "/.", 
     RowBox[{"0", "\[RuleDelayed]", 
      RowBox[{"6", "/;", 
       RowBox[{"a", "\[Equal]", "6"}]}]}]}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{"#", ",", "3", ",", "1", ",", "2"}], "]"}], "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[Rule]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"b", "==", "6"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"EvenQ", "[", "a", "]"}], ",", "6", ",", "4"}], "]"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"3", " ", 
            RowBox[{"Mod", "[", 
             RowBox[{"a", ",", "2"}], "]"}]}], "+", 
           RowBox[{"Quotient", "[", 
            RowBox[{"b", ",", "2"}], "]"}]}], "/.", "\[InvisibleSpace]", 
          RowBox[{"0", "\[RuleDelayed]", 
           RowBox[{"6", "/;", 
            RowBox[{"a", "==", "6"}]}]}]}]}], "]"}]}]}], ")"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "1", ",", "4", ",", "6"}], "}"}], ",", "10"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"6", ",", "1", ",", "4", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "6", ",", "5", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "6", ",", "2", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "6", ",", "1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "6", ",", "6", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "6", ",", "6", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "6", ",", "6", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "6", ",", "6", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "6", ",", "6", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "6", ",", "6", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "4", ",", "6", ",", "6"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413642141621354*^9, 3.4282404671821957`*^9, 
  3.432312243050673*^9, 3.432312965324522*^9, 3.500208849423869*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{
      RowBox[{"DeleteCases", "[", 
       RowBox[{"#", ",", "6"}], "]"}], ",", "6"}], "]"}], "&"}], ",", "%"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "10", ",", "5", ",", "16", ",", "8", ",", "4", ",", "2", ",", "1", ",", "4",
    ",", "2", ",", "1", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421416736403`*^9, 3.428240469977866*^9, 
  3.4323122431002007`*^9, 3.432312965373576*^9, 3.500208851459324*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"n", ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", "n", "]"}], ",", 
       RowBox[{"n", "/", "2"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", "n"}], "+", "1"}], ")"}], "/", "2"}]}], "]"}]}], "]"}],
    ",", "10", ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "10", ",", "5", ",", "8", ",", "4", ",", "2", ",", "1", ",", "2", ",", "1", 
   ",", "2", ",", "1", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421417387877`*^9, 3.428240471450869*^9, 
  3.432312243149973*^9, 3.432312965424819*^9, 3.500208852828578*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that if ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is odd, the cellular automaton takes ",
 StyleBox["two",
  FontSlant->"Italic"],
 " steps to perform the update."
}], "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Reconstructing initial conditions", "Subsection"], Cell[
     " (page 904)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"IntegerDigits", "[", 
  RowBox[{
   RowBox[{"First", "[", 
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Mod", "[", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"OddQ", "[", "#2", "]"}], ",", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{"First", "[", "#1", "]"}]}], "-", "1"}], ",", 
             RowBox[{"2", " ", 
              RowBox[{"First", "[", "#1", "]"}], " ", 
              RowBox[{"PowerMod", "[", 
               RowBox[{"5", ",", 
                RowBox[{"-", "1"}], ",", 
                RowBox[{"Last", "[", "#1", "]"}]}], "]"}]}]}], "]"}], ",", 
           RowBox[{"Last", "[", "#1", "]"}]}], "]"}], ",", 
         RowBox[{"2", " ", 
          RowBox[{"Last", "[", "#1", "]"}]}]}], "}"}], "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "2"}], "}"}], ",", 
      RowBox[{"Reverse", "[", "list", "]"}]}], "]"}], "]"}], ",", "2", ",", 
   RowBox[{"Length", "[", "list", "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FromDigits", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"list", "=", 
       RowBox[{"{", 
        RowBox[{
        "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
         "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{
       RowBox[{"First", "[", 
        RowBox[{"Fold", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"OddQ", "[", 
                  TagBox["#2",
                   #& ,
                   SyntaxForm->"a"], "]"}], ",", 
                 RowBox[{
                  RowBox[{"2", " ", 
                   RowBox[{"First", "[", 
                    TagBox["#1",
                    #& ,
                    SyntaxForm->"a"], "]"}]}], "-", "1"}], ",", 
                 RowBox[{"2", " ", 
                  RowBox[{"First", "[", 
                   TagBox["#1",
                    #& ,
                    SyntaxForm->"a"], "]"}], " ", 
                  RowBox[{"PowerMod", "[", 
                   RowBox[{"5", ",", 
                    RowBox[{"-", "1"}], ",", 
                    RowBox[{"Last", "[", 
                    TagBox["#1",
                    #& ,
                    SyntaxForm->"a"], "]"}]}], "]"}]}]}], "]"}], ",", 
               RowBox[{"Last", "[", 
                TagBox["#1",
                 #& ,
                 SyntaxForm->"a"], "]"}]}], "]"}], ",", 
             RowBox[{"2", " ", 
              RowBox[{"Last", "[", 
               TagBox["#1",
                #& ,
                SyntaxForm->"a"], "]"}]}]}], "}"}], "&"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "2"}], "}"}], ",", 
          RowBox[{"Reverse", "[", "list", "]"}]}], "]"}], "]"}], ",", "2", 
       ",", 
       RowBox[{"Length", "[", "list", "]"}]}], "]"}]}], "]"}], ",", "2"}], 
  "]"}]], "Input"],

Cell[BoxData["6"], "Output",
 CellChangeTimes->{3.413642141808279*^9, 3.428240494943638*^9, 
  3.432312243201017*^9, 3.432312965474133*^9, 3.500208857069613*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"n", "=", "6"}], ",", 
     RowBox[{"t", "=", "10"}]}], "}"}], ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Last", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"#", ",", "2"}], "]"}], "]"}], "&"}], ",", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"EvenQ", "[", "#", "]"}], ",", 
          RowBox[{"5", " ", 
           RowBox[{"#", "/", "2"}]}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#", "+", "1"}], ")"}], "/", "2"}]}], "]"}], "&"}], ",", 
       "n", ",", "t"}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413642141855946*^9, 3.428240496477375*^9, 
  3.43231224325156*^9, 3.4323129655218487`*^9, 3.5002088587549334`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["A reversible system", "Subsection"], Cell[" (page 905)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "\[Rule]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"EvenQ", "[", "n", "]"}], ",", 
    RowBox[{"3", " ", 
     RowBox[{"n", "/", "2"}]}], ",", 
    RowBox[{"Round", "[", 
     RowBox[{"3", " ", 
      RowBox[{"n", "/", "4"}]}], "]"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"#", "/.", 
     RowBox[{"n_", "\[RuleDelayed]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"EvenQ", "[", "n", "]"}], ",", 
        RowBox[{"3", " ", 
         RowBox[{
         "n", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
          "2"}]}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{"3", " ", 
          RowBox[{
          "n", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
           "4"}]}], "]"}]}], "]"}]}]}], "&"}], ",", "260", ",", "10"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "260", ",", "390", ",", "585", ",", "439", ",", "329", ",", "247", ",", 
   "185", ",", "139", ",", "104", ",", "156", ",", "234"}], "}"}]], "Output",
 CellChangeTimes->{3.413642141908772*^9, 3.42824050853552*^9, 
  3.432312243301395*^9, 3.4323129655761423`*^9, 3.500208862794433*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "\[Rule]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{"n", ",", "3"}], "]"}], "\[Equal]", "0"}], ",", 
    RowBox[{"2", " ", 
     RowBox[{"n", "/", "3"}]}], ",", 
    RowBox[{"Round", "[", 
     RowBox[{"4", " ", 
      RowBox[{"n", "/", "3"}]}], "]"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"#", "/.", 
     RowBox[{"n_", "\[RuleDelayed]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Mod", "[", 
          RowBox[{"n", ",", "3"}], "]"}], "==", "0"}], ",", 
        RowBox[{"2", " ", 
         RowBox[{
         "n", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
          "3"}]}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"4", " ", "n"}], "/", 
          "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "3"}], "]"}]}], 
       "]"}]}]}], "&"}], ",", "234", ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "234", ",", "156", ",", "104", ",", "139", ",", "185", ",", "247", ",", 
   "329", ",", "439", ",", "585", ",", "390", ",", "260"}], "}"}]], "Output",
 CellChangeTimes->{3.41364214195588*^9, 3.4282405194350643`*^9, 
  3.432312243351222*^9, 3.4323129656259413`*^9, 3.50020886663378*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 125 \[CenterDot] Reversal-addition systems\
\>", "Subsection"], Cell[" (page 905)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347896437846985`*^9, 3.5347896437846985`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "\[Rule]", 
  RowBox[{"n", "+", 
   RowBox[{"FromDigits", "[", 
    RowBox[{
     RowBox[{"Reverse", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"n", ",", "2"}], "]"}], "]"}], ",", "2"}], 
    "]"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"n", ",", 
     RowBox[{"n", "+", 
      RowBox[{"FromDigits", "[", 
       RowBox[{
        RowBox[{"Reverse", "[", 
         RowBox[{"IntegerDigits", "[", 
          RowBox[{"n", ",", "2"}], "]"}], "]"}], ",", "2"}], "]"}]}]}], "]"}],
    ",", "16", ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "16", ",", "17", ",", "34", ",", "51", ",", "102", ",", "153", ",", "306", 
   ",", "459", ",", "882", ",", "1197", ",", "2646"}], "}"}]], "Output",
 CellChangeTimes->{3.413642142013554*^9, 3.428240529938504*^9, 
  3.4323122434012957`*^9, 3.432312965675097*^9, 3.500208871708993*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Digit reversal", "Subsection"], Cell[" (page 905)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{
     RowBox[{"Reverse", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"n", ",", "k", ",", "m"}], "]"}], "]"}], ",", "k"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["k", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]], "-", "1"}]}], 
    "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "=", "3"}], ",", 
     RowBox[{"m", "=", "3"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"FromDigits", "[", 
      RowBox[{
       RowBox[{"Reverse", "[", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{"n", ",", "k", ",", "m"}], "]"}], "]"}], ",", "k"}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", 
       RowBox[{
        SuperscriptBox["k", 
         RowBox[{"\[VeryThinSpace]", "m"}]], "-", "1"}]}], "}"}]}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "9", ",", "18", ",", "3", ",", "12", ",", "21", ",", "6", ",", 
   "15", ",", "24", ",", "1", ",", "10", ",", "19", ",", "4", ",", "13", ",", 
   "22", ",", "7", ",", "16", ",", "25", ",", "2", ",", "11", ",", "20", ",", 
   "5", ",", "14", ",", "23", ",", "8", ",", "17", ",", "26"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413642142076951*^9, 3.4282405412748413`*^9, 
  3.432312243452091*^9, 3.432312965726359*^9, 3.500208876283415*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Iterated run-length encoding", "Subsection"], Cell[
     " (page 905)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Length", "[", "#", "]"}], ",", 
       RowBox[{"First", "[", "#", "]"}]}], "}"}], "&"}], ",", 
    RowBox[{"Split", "[", "list", "]"}]}], "]"}], "]"}]], "Subsubsection"],

Cell["Also known as the \"Look and Say\" sequence.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{
     RowBox[{"{", "list", "}"}], ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Length", "[", "#", "]"}], ",", 
           RowBox[{"First", "[", "#", "]"}]}], "}"}], "&"}], ",", 
        RowBox[{"Split", "[", "list", "]"}]}], "]"}], "]"}]}], "]"}], ",", 
   " ", 
   RowBox[{"{", "1", "}"}], ",", "8"}], "]"}]], "Input",
 CellChangeTimes->{{3.512916690513403*^9, 3.512916699373118*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "2", ",", "2", ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1", ",", "2", ",", "2", ",", "1", ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "3", ",", "1", ",", "1", ",", "2", ",", "2", ",", "2", ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "3", ",", "2", ",", "1", ",", "3", ",", "2",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "1", ",", "1", ",", "3", ",", "1", ",", "2", ",", "1", ",", "1",
      ",", "1", ",", "3", ",", "1", ",", "2", ",", "2", ",", "1"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.41364214213848*^9, 3.428240703368651*^9, 
  3.4323122435036993`*^9, 3.432312965776927*^9, 3.5002088807406054`*^9, 
  3.512916702119233*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Digit count sequences", "Subsection"], Cell[" (page 905)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Join", "[", 
  RowBox[{"list", ",", 
   RowBox[{"IntegerDigits", "[", 
    RowBox[{
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", "list"}], "]"}], ",", "2"}], "]"}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"list", ",", 
     RowBox[{"Join", "[", 
      RowBox[{"list", ",", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{
         RowBox[{"Apply", "[", 
          RowBox[{"Plus", ",", "list"}], "]"}], ",", "2"}], "]"}]}], "]"}]}], 
    "]"}], ",", 
   RowBox[{"{", "1", "}"}], ",", "10"}], "]"}]], "Input",
 CellChangeTimes->{3.512916773549972*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.413642142192251*^9, 3.428240724104334*^9, 
  3.432312243557831*^9, 3.4323129658232*^9, 3.5002088845971518`*^9, 
  3.512916775159524*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Recursive Sequences", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 128 \[CenterDot] Recurrence relations\
\>", "Subsection"], Cell[" (page 906)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347896497362933`*^9, 3.5347896497362933`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "1", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"f", "[", "n_", "]"}], ":=", 
   RowBox[{"n", " ", 
    RowBox[{"f", "[", 
     RowBox[{"n", "-", "1"}], "]"}]}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "1", "]"}], "=", "1"}], ";", " ", 
  RowBox[{
   RowBox[{"f", "[", "n_", "]"}], ":=", 
   RowBox[{"n", " ", 
    RowBox[{"f", "[", 
     RowBox[{"n", "-", "1"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{3.428240851054112*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"f", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "6", ",", "24", ",", "120", ",", "720", ",", "5040", 
   ",", "40320", ",", "362880", ",", "3628800"}], "}"}]], "Output",
 CellChangeTimes->{
  3.413642142307145*^9, {3.428240822481591*^9, 3.428240854145728*^9}, 
   3.432312243666738*^9, 3.432312965907312*^9, 3.500208889805809*^9, 
   3.5129162481003313`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "0", "]"}], "=", "x"}], ";", 
  RowBox[{
   RowBox[{"f", "[", "n_", "]"}], ":=", 
   RowBox[{"a", " ", 
    RowBox[{"f", "[", 
     RowBox[{"n", "-", "1"}], "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"f", "[", 
       RowBox[{"n", "-", "1"}], "]"}]}], ")"}]}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "0", "]"}], "=", "3"}], ";", 
  RowBox[{
   RowBox[{"f", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", 
    RowBox[{"f", "[", 
     RowBox[{"n", "-", "1"}], "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"f", "[", 
       RowBox[{"n", "-", "1"}], "]"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.432311967402866*^9, 3.432311968151402*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"f", "[", "k", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "1", ",", "7"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "3"}], ",", 
   RowBox[{"-", "6"}], ",", 
   RowBox[{"-", "21"}], ",", 
   RowBox[{"-", "231"}], ",", 
   RowBox[{"-", "26796"}], ",", 
   RowBox[{"-", "359026206"}], ",", 
   RowBox[{"-", "64449908476890321"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413642142372169*^9, 3.4282409772386017`*^9, 
  3.4323122438174953`*^9, 3.4323129659886017`*^9, 3.500208895197817*^9, 
  3.512916251839974*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Ackermann functions", "Subsection"], Cell[" (page 906)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"1", ",", "n_"}], "]"}], ":=", "n"}], ";", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"m_", ",", "1"}], "]"}], ":=", 
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{"m", "-", "1"}], ",", "2"}], "]"}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"m_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"m", "-", "1"}], ",", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"m", ",", 
       RowBox[{"n", "-", "1"}]}], "]"}], "+", "1"}]}], 
   "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"1", ",", "n_"}], "]"}], ":=", "n"}], ";", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"m_", ",", "1"}], "]"}], ":=", 
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"m", "-", "1"}], ",", "2"}], "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"m_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"f", "[", 
   RowBox[{
    RowBox[{"m", "-", "1"}], ",", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"m", ",", 
       RowBox[{"n", "-", "1"}]}], "]"}], "+", "1"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.432311974046588*^9, 3.432311976351281*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"a", ",", "b"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "1", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"b", ",", "1", ",", "4"}], "}"}]}], "]"}], "//", 
  "Grid"}]], "Input",
 CellChangeTimes->{3.5129156734312077`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"1", "2", "3", "4"},
    {"2", "3", "4", "5"},
    {"3", "5", "7", "9"},
    {"5", "13", "29", "61"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.413642142472478*^9, 3.428240988303887*^9, 3.432312243915409*^9, 
   3.432312966073181*^9, 3.500208929604849*^9, {3.512915678464658*^9, 
   3.512915681040351*^9}, 3.512915765670991*^9, 3.512915840876527*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Array", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "4"}], "}"}]}], "]"}], "//", "Grid"}]], "Input",
 CellChangeTimes->{{3.512915692706648*^9, 3.5129156936398*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"1", "2", "3", "4"},
    {"2", "3", "4", "5"},
    {"3", "5", "7", "9"},
    {"5", "13", "29", "61"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.413642142510503*^9, 3.428240990386466*^9, 3.432312243976128*^9, 
   3.432312966132832*^9, 3.50020893163871*^9, {3.5129156877788477`*^9, 
   3.512915695013124*^9}, 3.512915766707736*^9, 3.512916149732031*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"1", ",", "x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"x", "+", "y"}]}], ";", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"m_", ",", "x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{
        RowBox[{"m", "-", "1"}], ",", "x", ",", "#"}], "]"}], "&"}], ",", "x",
      ",", 
     RowBox[{"y", "-", "1"}]}], "]"}]}]}]], "Subsubsection",
 CellChangeTimes->{{3.512915772179831*^9, 3.512915773552846*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"1", ",", "x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"x", "+", "y"}]}], "\n", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"m_", ",", "x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"Nest", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{
       RowBox[{"m", "-", "1"}], ",", "x", ",", "#"}], "]"}], "&"}], ",", "x", 
    ",", 
    RowBox[{"y", "-", "1"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.432311982408252*^9, 3.432311984233437*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Array", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "3", ",", "3"}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellChangeTimes->{{3.512915755943458*^9, 3.512915790156419*^9}, {
  3.51291615511362*^9, 3.51291616126366*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {"2"},
        {"3"},
        {"4"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"3"},
        {"4"},
        {"5"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"4"},
        {"5"},
        {"6"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column]},
    {
     TagBox[GridBox[{
        {"1"},
        {"2"},
        {"3"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"2"},
        {"4"},
        {"6"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"3"},
        {"6"},
        {"9"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column]},
    {
     TagBox[GridBox[{
        {"1"},
        {"1"},
        {"1"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"2"},
        {"4"},
        {"8"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"3"},
        {"9"},
        {"27"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.413642142586845*^9, 3.4282410064311934`*^9, 3.432312244055336*^9, 
   3.4323129662912188`*^9, 3.5002089377512083`*^9, {3.5129157592202787`*^9, 
   3.512915792109598*^9}, {3.5129161560366077`*^9, 3.512916162066011*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"m_", ",", "x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{"z", ",", 
        RowBox[{"Nest", "[", 
         RowBox[{"#1", ",", "x", ",", 
          RowBox[{"z", "-", "1"}]}], "]"}]}], "]"}], "&"}], ",", 
     RowBox[{
      RowBox[{"x", "+", "#"}], "&"}], ",", 
     RowBox[{"m", "-", "1"}]}], "]"}], "[", "y", "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"m_", ",", "x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{"z", ",", 
        RowBox[{"Nest", "[", 
         RowBox[{"#1", ",", "x", ",", 
          RowBox[{"z", "-", "1"}]}], "]"}]}], "]"}], "&"}], ",", 
     RowBox[{
      RowBox[{"x", "+", "#"}], "&"}], ",", 
     RowBox[{"m", "-", "1"}]}], "]"}], "[", "y", "]"}]}]], "Input",
 CellChangeTimes->{{3.432311987736973*^9, 3.432311989753234*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Array", "[", 
   RowBox[{"f", ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "3", ",", "3"}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {"2"},
        {"3"},
        {"4"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"3"},
        {"4"},
        {"5"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"4"},
        {"5"},
        {"6"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column]},
    {
     TagBox[GridBox[{
        {"1"},
        {"2"},
        {"3"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"2"},
        {"4"},
        {"6"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"3"},
        {"6"},
        {"9"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column]},
    {
     TagBox[GridBox[{
        {"1"},
        {"1"},
        {"1"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"2"},
        {"4"},
        {"8"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column], 
     TagBox[GridBox[{
        {"3"},
        {"9"},
        {"27"}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {{
            Offset[0.2]}}, "RowsIndexed" -> {}}],
      Column]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.413642142639326*^9, 3.4282411045628567`*^9, 
  3.432312244136627*^9, 3.432312966408256*^9, 3.500208943543304*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 129 \[CenterDot] Computation of sequences\
\>", "Subsection"], Cell[" (page 906)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.534789566982529*^9, 3.5347895679415293`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"f", "[", "n", "]"}], "=", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"n", "-", 
       RowBox[{"f", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}], "]"}], "+", 
     RowBox[{"f", "[", 
      RowBox[{"n", "-", 
       RowBox[{"f", "[", 
        RowBox[{"n", "-", "2"}], "]"}]}], "]"}]}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"f", "[", "1", "]"}], "=", 
  RowBox[{
   RowBox[{"f", "[", "2", "]"}], "=", "1"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"f", "[", "n", "]"}], "=", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"n", "-", 
      RowBox[{"f", "[", 
       RowBox[{"n", "-", "1"}], "]"}]}], "]"}], "+", 
    RowBox[{"f", "[", 
     RowBox[{"n", "-", 
      RowBox[{"f", "[", 
       RowBox[{"n", "-", "2"}], "]"}]}], "]"}]}]}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "1", "]"}], "=", 
   RowBox[{
    RowBox[{"f", "[", "2", "]"}], "=", "1"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.432311997360714*^9, 3.432311998104787*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{"f", ",", "20"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "2", ",", "3", ",", "3", ",", "4", ",", "5", ",", "5", 
   ",", "6", ",", "6", ",", "6", ",", "8", ",", "8", ",", "8", ",", "10", ",",
    "9", ",", "10", ",", "11", ",", "11", ",", "12"}], "}"}]], "Output",
 CellChangeTimes->{3.43231296652558*^9, 3.500208949935499*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 131 \[CenterDot] Properties of sequences\
\>", "Subsection"], Cell[" (page 906)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347896561519346`*^9, 3.5347896561519346`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "+", 
      RowBox[{"g", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"n", ",", "2"}], "]"}], "]"}]}], ")"}], "/", "2"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"(", "1", ")"}], ".."}], "}"}], "]"}], "=", "1"}], ";", 
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{
        RowBox[{"(", "0", ")"}], ".."}]}], "}"}], "]"}], "=", "0"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "s__"}], "}"}], "]"}], ":=", 
   RowBox[{"1", "+", 
    RowBox[{"g", "[", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"FromDigits", "[", 
         RowBox[{
          RowBox[{"{", "s", "}"}], ",", "2"}], "]"}], "+", "1"}], ",", "2"}], 
      "]"}], "]"}]}]}], "\n"}], "\n", 
 RowBox[{"Flatten", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{"n", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"IntegerExponent", "[", 
         RowBox[{"n", ",", "2"}], "]"}], "+", "1"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "m"}], "}"}]}], "]"}], "]"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"n", "+", 
     RowBox[{"g", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"n", ",", "2"}], "]"}], "]"}]}], ")"}], "/", "2"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"(", "1", ")"}], ".."}], "}"}], "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{
       RowBox[{"(", "0", ")"}], ".."}]}], "}"}], "]"}], "=", "0"}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "s__"}], "}"}], "]"}], ":=", 
  RowBox[{"1", "+", 
   RowBox[{"g", "[", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FromDigits", "[", 
        RowBox[{
         RowBox[{"{", "s", "}"}], ",", "2"}], "]"}], "+", "1"}], ",", "2"}], 
     "]"}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.432312004371056*^9, 3.432312005267537*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", "=", "10"}], "}"}], ",", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{"n", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"IntegerExponent", "[", 
           RowBox[{"n", ",", "2"}], "]"}], "+", "1"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "m"}], "}"}]}], "]"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "2", ",", "3", ",", "4", ",", "4", ",", "4", ",", "5", 
   ",", "6", ",", "6", ",", "7", ",", "8", ",", "8", ",", "8", ",", "8", ",", 
   "9", ",", "10", ",", "10"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421427372026`*^9, 3.428241126302044*^9, 
  3.432312966591827*^9, 3.500208957978923*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Replace", "[", 
     RowBox[{"#", ",", 
      RowBox[{
       RowBox[{"{", "x___", "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"x", ",", "1", ",", "x", ",", "0"}], "}"}]}]}], "]"}], "&"}], 
   ",", 
   RowBox[{"{", "}"}], ",", "k"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"k", "=", "5"}], "}"}], ",", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Replace", "[", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{"{", "x___", "}"}], "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "x", ",", "0"}], "}"}]}]}], "]"}], 
      "&"}], ",", 
     RowBox[{"{", "}"}], ",", "k"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413642142795249*^9, 3.428241137858625*^9, 
  3.432312966635788*^9, 3.500208962688497*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FoldList", "[", 
  RowBox[{"Plus", ",", "0", ",", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"Nest", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Delete", "[", 
         RowBox[{
          RowBox[{"NestList", "[", 
           RowBox[{"Rest", ",", "#", ",", 
            RowBox[{
             RowBox[{"Length", "[", "#", "]"}], "-", "1"}]}], "]"}], ",", 
          "2"}], "]"}], "&"}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{"1", ",", 
           RowBox[{"{", "m", "}"}]}], "]"}], ",", "0"}], "]"}], ",", "m"}], 
      "]"}], "]"}], "-", 
    RowBox[{"1", "/", "2"}]}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"FoldList", "[", 
    RowBox[{"Plus", ",", "0", ",", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"Nest", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Delete", "[", 
           RowBox[{
            RowBox[{"NestList", "[", 
             RowBox[{"Rest", ",", "#", ",", 
              RowBox[{
               RowBox[{"Length", "[", "#", "]"}], "-", "1"}]}], "]"}], ",", 
            "2"}], "]"}], "&"}], ",", 
         RowBox[{"Append", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{"1", ",", 
             RowBox[{"{", "m", "}"}]}], "]"}], ",", "0"}], "]"}], ",", "m"}], 
        "]"}], "]"}], "-", 
      RowBox[{"1", "/", "2"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", "2"], ",", "1", ",", 
     FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", "2"], ",", "1", ",", 
     FractionBox["3", "2"], ",", "1", ",", 
     FractionBox["3", "2"], ",", "1", ",", 
     FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", "2"], ",", "1", ",", 
     FractionBox["3", "2"], ",", "2", ",", 
     FractionBox["3", "2"], ",", "2", ",", 
     FractionBox["5", "2"], ",", "2", ",", 
     FractionBox["5", "2"], ",", "2", ",", 
     FractionBox["3", "2"], ",", "2", ",", 
     FractionBox["3", "2"], ",", "1", ",", 
     FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4136421428289413`*^9, 3.428241150553444*^9, 
  3.432312966703635*^9, 3.500208966196289*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FoldList", "[", 
  RowBox[{"Plus", ",", "1", ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Last", "[", 
       RowBox[{"Last", "[", "#", "]"}], "]"}], "&"}], ",", 
     RowBox[{"Sort", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Length", "[", "#", "]"}], ",", 
             RowBox[{"Apply", "[", 
              RowBox[{"Plus", ",", "#"}], "]"}], ",", 
             RowBox[{"1", "-", "#"}]}], "}"}], "&"}], ")"}], "[", 
         RowBox[{"IntegerDigits", "[", 
          RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          SuperscriptBox["2", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "m"}]]}], "}"}]}], 
       "]"}], "]"}]}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", "=", "3"}], "}"}], ",", 
   RowBox[{"FoldList", "[", 
    RowBox[{"Plus", ",", "1", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Last", "[", 
         RowBox[{"Last", "[", "#", "]"}], "]"}], "&"}], ",", 
       RowBox[{"Sort", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Length", "[", "#", "]"}], ",", 
               RowBox[{"Apply", "[", 
                RowBox[{"Plus", ",", "#"}], "]"}], ",", 
               RowBox[{"1", "-", "#"}]}], "}"}], "&"}], ")"}], "[", 
           RowBox[{"IntegerDigits", "[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            SuperscriptBox["2", 
             RowBox[{"\[VeryThinSpace]", "m"}]]}], "}"}]}], "]"}], "]"}]}], 
      "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "2", ",", "2", ",", "3", ",", "4", ",", "4", ",", "4", 
   ",", "5"}], "}"}]], "Output",
 CellChangeTimes->{3.413642142877747*^9, 3.428241164920525*^9, 
  3.432312966769269*^9, 3.50020896973313*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Primitive recursive functions", "Subsection"], Cell[
     " (page 907)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"0", ",", "y___Integer"}], "]"}], ":=", 
   RowBox[{"g", "[", "y", "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x_Integer", ",", "y___Integer"}], "]"}], ":=", 
  RowBox[{"h", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{
      RowBox[{"x", "-", "1"}], ",", "y"}], "]"}], ",", 
    RowBox[{"x", "-", "1"}], ",", "y"}], "]"}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"plus", "[", 
     RowBox[{"0", ",", "y_"}], "]"}], "=", "y"}], ";", 
   RowBox[{
    RowBox[{"plus", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
    RowBox[{"s", "[", 
     RowBox[{"plus", "[", 
      RowBox[{
       RowBox[{"x", "-", "1"}], ",", "y"}], "]"}], "]"}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"times", "[", 
    RowBox[{"0", ",", "y_"}], "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"times", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"plus", "[", 
    RowBox[{
     RowBox[{"times", "[", 
      RowBox[{
       RowBox[{"x", "-", "1"}], ",", "y"}], "]"}], ",", "y"}], 
    "]"}]}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"plus", "[", 
    RowBox[{"0", ",", "y_"}], "]"}], "=", "y"}], ";", 
  RowBox[{
   RowBox[{"plus", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"s", "[", 
    RowBox[{"plus", "[", 
     RowBox[{
      RowBox[{"x", "-", "1"}], ",", "y"}], "]"}], "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"times", "[", 
    RowBox[{"0", ",", "y_"}], "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"times", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"plus", "[", 
    RowBox[{
     RowBox[{"times", "[", 
      RowBox[{
       RowBox[{"x", "-", "1"}], ",", "y"}], "]"}], ",", "y"}], "]"}]}], 
  ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"plus", "[", 
  RowBox[{"7", ",", "9"}], "]"}]], "Input"],

Cell[BoxData["16"], "Output",
 CellChangeTimes->{3.4136421429448233`*^9, 3.4136429655537443`*^9, 
  3.428241197046537*^9, 3.432312966876383*^9, 3.500208980284378*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"times", "[", 
  RowBox[{"7", ",", "9"}], "]"}]], "Input"],

Cell[BoxData["63"], "Output",
 CellChangeTimes->{3.413642142997159*^9, 3.4136429670618877`*^9, 
  3.4282411989416103`*^9, 3.432312966936145*^9, 3.500208982470489*^9}]
}, Open  ]]
}, Closed]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x_", ",", "y___"}], "]"}], ":=", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"h", "[", 
       RowBox[{"#1", ",", "#2", ",", "y"}], "]"}], "&"}], ",", 
     RowBox[{"g", "[", "y", "]"}], ",", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", 
       RowBox[{"x", "-", "1"}]}], "]"}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"\[Mu]", "[", "f_", "]"}], "=", 
  RowBox[{
   RowBox[{"NestWhile", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "+", "1"}], "&"}], ",", "0", ",", 
     RowBox[{"Function", "[", 
      RowBox[{"n", ",", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"n", ",", "##1"}], "]"}], "\[NotEqual]", "0"}]}], "]"}]}], 
    "]"}], "&"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{"g_", ",", "h___"}], "]"}], "=", 
    RowBox[{
     RowBox[{"Apply", "[", 
      RowBox[{"g", ",", 
       RowBox[{"Through", "[", 
        RowBox[{
         RowBox[{"{", "h", "}"}], "[", "##", "]"}], "]"}]}], "]"}], "&"}]}], 
   ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"g_", ",", "h_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"#1", "\[Equal]", "0"}], ",", 
     RowBox[{"g", "[", "##2", "]"}], ",", 
     RowBox[{"h", "[", 
      RowBox[{
       RowBox[{"#0", "[", 
        RowBox[{
         RowBox[{"#1", "-", "1"}], ",", "##2"}], "]"}], ",", 
       RowBox[{"#1", "-", "1"}], ",", "##2"}], "]"}]}], "]"}], 
   "&"}]}]}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"g_", ",", "h_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{"Function", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u", ",", "v"}], "}"}], ",", 
       RowBox[{"h", "[", 
        RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
     RowBox[{"g", "[", "##2", "]"}], ",", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", 
       RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"plus", "=", 
  RowBox[{"r", "[", 
   RowBox[{
    RowBox[{"p", "[", "1", "]"}], ",", "s"}], "]"}]}]], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Slot", "[", "i", "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"g_", ",", "h_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
      RowBox[{"g", "[", "##2", "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"plus", "=", 
   RowBox[{"r", "[", 
    RowBox[{
     RowBox[{"p", "[", "1", "]"}], ",", "s"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4323120275399303`*^9, 3.432312028395879*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"plus", "[", 
  RowBox[{"7", ",", "9"}], "]"}]], "Input"],

Cell[BoxData["16"], "Output",
 CellChangeTimes->{3.413642143063308*^9, 3.4282412142996492`*^9, 
  3.432312967029365*^9, 3.500208989865988*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"z", ",", 
    RowBox[{"r", "[", 
     RowBox[{"s", ",", "s"}], "]"}]}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "2"}], " ", "#", 
   RowBox[{"(", 
    RowBox[{"#", "+", "1"}], ")"}]}], "&"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"0", "&"}]}], ";", 
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Slot", "[", "i", "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"g_", ",", "h_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
      RowBox[{"g", "[", "##2", "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"z", ",", 
     RowBox[{"r", "[", 
      RowBox[{"s", ",", "s"}], "]"}]}], "]"}], ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "3", ",", "6", ",", "10", ",", "15", ",", "21", ",", "28", ",", 
   "36", ",", "45", ",", "55"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421431235*^9, 3.428241226188148*^9, 
  3.4323129671132812`*^9, 3.500208997061556*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", "#", 
     RowBox[{"(", 
      RowBox[{"#", "+", "1"}], ")"}]}], "&"}], ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "3", ",", "6", ",", "10", ",", "15", ",", "21", ",", "28", ",", 
   "36", ",", "45", ",", "55"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421431802053`*^9, 3.428241228201476*^9, 
  3.4323129671683702`*^9, 3.500208998479413*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"z", ",", 
    RowBox[{"r", "[", 
     RowBox[{"s", ",", 
      RowBox[{"c", "[", 
       RowBox[{"s", ",", "s"}], "]"}]}], "]"}]}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   SuperscriptBox["2", 
    RowBox[{"#", "+", "1"}]], "-", "#", "-", "2"}], "&"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"0", "&"}]}], ";", 
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Slot", "[", "i", "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"g_", ",", "h___"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"g", ",", 
      RowBox[{"Through", "[", 
       RowBox[{
        RowBox[{"{", "h", "}"}], "[", "##", "]"}], "]"}]}], "]"}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"g_", ",", "h_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
      RowBox[{"g", "[", "##2", "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"z", ",", 
     RowBox[{"r", "[", 
      RowBox[{"s", ",", 
       RowBox[{"c", "[", 
        RowBox[{"s", ",", "s"}], "]"}]}], "]"}]}], "]"}], ",", "10"}], 
  "]"}]], "Input",
 CellChangeTimes->{3.5129168547951183`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "4", ",", "11", ",", "26", ",", "57", ",", "120", ",", "247", ",",
    "502", ",", "1013", ",", "2036"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4136421434049053`*^9, {3.4282412483390017`*^9, 3.4282412654316893`*^9}, 
   3.428241304721409*^9, 3.432312967313389*^9, 3.5002090057926407`*^9, 
   3.512916858684379*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"#", "+", "1"}]], "-", "#", "-", "2"}], "&"}], ",", "10"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "4", ",", "11", ",", "26", ",", "57", ",", "120", ",", "247", ",",
    "502", ",", "1013", ",", "2036"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4136421434501333`*^9, {3.428241248591998*^9, 3.42824127381003*^9}, 
   3.432312967373458*^9, 3.500209007327053*^9, 3.512916860447433*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"z", ",", 
    RowBox[{"r", "[", 
     RowBox[{"s", ",", 
      RowBox[{"p", "[", "2", "]"}]}], "]"}]}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"2", "^", 
    RowBox[{"Ceiling", "[", 
     RowBox[{"Log", "[", 
      RowBox[{"2", ",", 
       RowBox[{"#", "+", "2"}]}], "]"}], "]"}]}], "-", "#", "-", "2"}], 
  "&"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"0", "&"}]}], ";", 
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Slot", "[", "i", "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"g_", ",", "h___"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"g", ",", 
      RowBox[{"Through", "[", 
       RowBox[{
        RowBox[{"{", "h", "}"}], "[", "##", "]"}], "]"}]}], "]"}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"g_", ",", "h_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
      RowBox[{"g", "[", "##2", "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"z", ",", 
     RowBox[{"r", "[", 
      RowBox[{"s", ",", 
       RowBox[{"p", "[", "2", "]"}]}], "]"}]}], "]"}], ",", "10"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "3", ",", "2", ",", "1", ",", "0", ",", "7", ",", "6", 
   ",", "5", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.413642143515587*^9, 3.428241324096854*^9, 
  3.4323129674477463`*^9, 3.500209014506074*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"2", "^", 
      RowBox[{"Ceiling", "[", 
       RowBox[{"Log", "[", 
        RowBox[{"2", ",", 
         RowBox[{"#", "+", "2"}]}], "]"}], "]"}]}], "-", "#", "-", "2"}], 
    "&"}], ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "3", ",", "2", ",", "1", ",", "0", ",", "7", ",", "6", 
   ",", "5", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.413642143565531*^9, 3.4282413258896837`*^9, 
  3.4323129675065813`*^9, 3.5002090168767653`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"z", ",", 
    RowBox[{"r", "[", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"s", ",", "z"}], "]"}], ",", "z"}], "]"}]}], "]"}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"Mod", "[", 
   RowBox[{"#", ",", "2"}], "]"}], "&"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"0", "&"}]}], ";", 
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Slot", "[", "i", "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"g_", ",", "h___"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"g", ",", 
      RowBox[{"Through", "[", 
       RowBox[{
        RowBox[{"{", "h", "}"}], "[", "##", "]"}], "]"}]}], "]"}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"g_", ",", "h_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
      RowBox[{"g", "[", "##2", "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"z", ",", 
     RowBox[{"r", "[", 
      RowBox[{
       RowBox[{"c", "[", 
        RowBox[{"s", ",", "z"}], "]"}], ",", "z"}], "]"}]}], "]"}], ",", 
   "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421436328373`*^9, 3.428241349253605*^9, 
  3.4282414628934183`*^9, 3.43231296758318*^9, 3.500209023337716*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Mod", "[", 
     RowBox[{"#", ",", "2"}], "]"}], "&"}], ",", "10"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.41364214368401*^9, 3.4323129676374903`*^9, 
  3.500209024821748*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"z", ",", 
    RowBox[{"r", "[", 
     RowBox[{"s", ",", 
      RowBox[{"r", "[", 
       RowBox[{"s", ",", "s"}], "]"}]}], "]"}]}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "2"}], " ", "#1", 
       RowBox[{"(", 
        RowBox[{"#1", "+", "1"}], ")"}]}], "+", "#2"}], "&"}], ",", "0", ",", 
    RowBox[{"Range", "[", "#", "]"}]}], "]"}], "&"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"0", "&"}]}], ";", 
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Slot", "[", "i", "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"g_", ",", "h___"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"g", ",", 
      RowBox[{"Through", "[", 
       RowBox[{
        RowBox[{"{", "h", "}"}], "[", "##", "]"}], "]"}]}], "]"}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"g_", ",", "h_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
      RowBox[{"g", "[", "##2", "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"z", ",", 
     RowBox[{"r", "[", 
      RowBox[{"s", ",", 
       RowBox[{"r", "[", 
        RowBox[{"s", ",", "s"}], "]"}]}], "]"}]}], "]"}], ",", "5"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "3", ",", "9", ",", "49", ",", "1230"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421438386507`*^9, 3.4282416292511044`*^9, 
  3.4323129677160883`*^9, 3.500209031501214*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"1", "/", "2"}], " ", "#1", 
         RowBox[{"(", 
          RowBox[{"#1", "+", "1"}], ")"}]}], "+", "#2"}], "&"}], ",", "0", 
      ",", 
      RowBox[{"Range", "[", "#", "]"}]}], "]"}], "&"}], ",", "5"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "3", ",", "9", ",", "49", ",", "1230"}], "}"}]], "Output",
 CellChangeTimes->{3.413642143952881*^9, 3.4282416308183537`*^9, 
  3.432312967754727*^9, 3.500209032918723*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"z", ",", 
    RowBox[{"r", "[", 
     RowBox[{"s", ",", 
      RowBox[{"r", "[", 
       RowBox[{"s", ",", 
        RowBox[{"r", "[", 
         RowBox[{"s", ",", 
          RowBox[{"p", "[", "2", "]"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Fold", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"2", "^", 
           RowBox[{"Ceiling", "[", 
            RowBox[{"Log", "[", 
             RowBox[{"2", ",", 
              RowBox[{"Ceiling", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"#1", "+", "2"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"#2", "+", "2"}], ")"}]}], "]"}]}], "]"}], "]"}]}], 
          " ", 
          RowBox[{"(", 
           RowBox[{"#2", "+", "2"}], ")"}]}], "-", "2", "-", "#1"}], "&"}], 
       ",", "#2", ",", 
       RowBox[{"Range", "[", "#1", "]"}]}], "]"}], "&"}], ",", "0", ",", 
    RowBox[{"Range", "[", "#", "]"}]}], "]"}], "&"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"0", "&"}]}], ";", 
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Slot", "[", "i", "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"g_", ",", "h___"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"g", ",", 
      RowBox[{"Through", "[", 
       RowBox[{
        RowBox[{"{", "h", "}"}], "[", "##", "]"}], "]"}]}], "]"}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"g_", ",", "h_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
      RowBox[{"g", "[", "##2", "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"z", ",", 
     RowBox[{"r", "[", 
      RowBox[{"s", ",", 
       RowBox[{"r", "[", 
        RowBox[{"s", ",", 
         RowBox[{"r", "[", 
          RowBox[{"s", ",", 
           RowBox[{"p", "[", "2", "]"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}], 
   ",", "20"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "1", ",", "0", ",", "5", ",", "2", ",", "3", ",", "3", 
   ",", "2", ",", "2", ",", "3", ",", "4", ",", "1", ",", "8", ",", "5", ",", 
   "4", ",", "2", ",", "2", ",", "3", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421440569353`*^9, 3.4282416441034927`*^9, 
  3.432312967854546*^9, 3.5002090402315273`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Fold", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"2", "^", 
             RowBox[{"Ceiling", "[", 
              RowBox[{"Log", "[", 
               RowBox[{"2", ",", 
                RowBox[{"Ceiling", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"#1", "+", "2"}], ")"}], "/", 
                  RowBox[{"(", 
                   RowBox[{"#2", "+", "2"}], ")"}]}], "]"}]}], "]"}], "]"}]}],
             " ", 
            RowBox[{"(", 
             RowBox[{"#2", "+", "2"}], ")"}]}], "-", "2", "-", "#1"}], "&"}], 
         ",", "#2", ",", 
         RowBox[{"Range", "[", "#1", "]"}]}], "]"}], "&"}], ",", "0", ",", 
      RowBox[{"Range", "[", "#", "]"}]}], "]"}], "&"}], ",", "20"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "1", ",", "0", ",", "5", ",", "2", ",", "3", ",", "3", 
   ",", "2", ",", "2", ",", "3", ",", "4", ",", "1", ",", "8", ",", "5", ",", 
   "4", ",", "2", ",", "2", ",", "3", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{3.413642144103941*^9, 3.428241645799749*^9, 
  3.432312967889986*^9, 3.500209041599462*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Nest", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"r", "[", 
      RowBox[{
       RowBox[{"c", "[", 
        RowBox[{"s", ",", "z"}], "]"}], ",", "#"}], "]"}], "&"}], ",", 
    RowBox[{"c", "[", 
     RowBox[{"s", ",", "s"}], "]"}], ",", "n"}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{"n", "+", "1"}], ",", "2", ",", 
     RowBox[{"#", "+", "1"}]}], "]"}], "-", "1"}], "&"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"0", "&"}]}], ";", 
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"#", "+", "1"}], "&"}]}], ";", 
  RowBox[{
   RowBox[{"p", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Slot", "[", "i", "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"g_", ",", "h___"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"g", ",", 
      RowBox[{"Through", "[", 
       RowBox[{
        RowBox[{"{", "h", "}"}], "[", "##", "]"}], "]"}]}], "]"}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"g_", ",", "h_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"u", ",", "v", ",", "##2"}], "]"}]}], "]"}], ",", 
      RowBox[{"g", "[", "##2", "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"#", "-", "1"}]}], "]"}]}], "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"m_", ",", "x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{"z", ",", 
        RowBox[{"Nest", "[", 
         RowBox[{"#1", ",", "x", ",", 
          RowBox[{"z", "-", "1"}]}], "]"}]}], "]"}], "&"}], ",", 
     RowBox[{
      RowBox[{"x", "+", "#"}], "&"}], ",", 
     RowBox[{"m", "-", "1"}]}], "]"}], "[", "y", "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "3"}], "}"}], ",", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{"Nest", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"r", "[", 
         RowBox[{
          RowBox[{"c", "[", 
           RowBox[{"s", ",", "z"}], "]"}], ",", "#"}], "]"}], "&"}], ",", 
       RowBox[{"c", "[", 
        RowBox[{"s", ",", "s"}], "]"}], ",", "n"}], "]"}], ",", "3"}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "15", ",", "65535"}], "}"}]], "Output",
 CellChangeTimes->{3.413642144686734*^9, 3.4282417127994213`*^9, 
  3.43231296839844*^9, 3.500209049107709*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "3"}], "}"}], ",", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{
         RowBox[{"n", "+", "1"}], ",", "2", ",", 
         RowBox[{"#", "+", "1"}]}], "]"}], "-", "1"}], "&"}], ",", "3"}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "15", ",", "65535"}], "}"}]], "Output",
 CellChangeTimes->{3.413642144785225*^9, 3.428241714072393*^9, 
  3.4323129685200787`*^9, 3.500209050581093*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Ulam sequences", "Subsection"], Cell[" (page 908)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "3", ",", "4", ",", "6", ",", "8", ",", "11", ",", "13",
    ",", "16", ",", "18", ",", "26", ",", "28", ",", "36", ",", "38", ",", 
   "47", ",", "48", ",", "53", ",", "57", ",", "\[Ellipsis]"}], 
  "}"}]], "Subsubsection",
 CellChangeTimes->{3.413643747908977*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Sequence of Primes", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Decimation systems", "Subsection"], Cell[" (page 909)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q", "=", 
      RowBox[{"n", "+", "k", "-", "1"}]}], ",", 
     RowBox[{"s", "=", "1"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{"q", ",", "k"}], "]"}], "\[NotEqual]", "0"}], ",", 
      RowBox[{
       RowBox[{"q", "=", 
        RowBox[{"Ceiling", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"k", "-", "1"}], ")"}], " ", 
          RowBox[{"q", "/", "k"}]}], "]"}]}], ";", 
       RowBox[{"s", "++"}]}]}], "]"}], ";", "s"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", "=", "2"}], "}"}], ",", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"q", "=", 
          RowBox[{"n", "+", "k", "-", "1"}]}], ",", 
         RowBox[{"s", "=", "1"}]}], "}"}], ",", 
       RowBox[{
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Mod", "[", 
            RowBox[{"q", ",", "k"}], "]"}], "\[NotEqual]", "0"}], ",", 
          RowBox[{
           RowBox[{"q", "=", 
            RowBox[{"Ceiling", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "-", "1"}], ")"}], " ", "q"}], "/", 
              "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "k"}], 
             "]"}]}], ";", 
           RowBox[{"s", "++"}]}]}], "]"}], ";", "s"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "15"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "1", ",", "3", ",", "1", ",", "2", ",", "1", ",", "4", 
   ",", "1", ",", "2", ",", "1", ",", "3", ",", "1", ",", "2", ",", "1"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413642144833207*^9, 3.428241741257745*^9, 
  3.43231296856117*^9, 3.5002090656224823`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"#1", "+", "k"}], ",", "#2", ",", "1"}], "]"}], "&"}], ",", "0",
    ",", 
   RowBox[{"Range", "[", "n", "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", "=", "3"}], "}"}], ",", 
     RowBox[{"Fold", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"#1", "+", "k"}], ",", "#2", ",", "1"}], "]"}], "&"}], ",", 
       "0", ",", 
       RowBox[{"Range", "[", "n", "]"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "15"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "2", ",", "1", ",", "4", ",", "1", ",", "4", ",", "7", 
   ",", "1", ",", "4", ",", "7", ",", "10", ",", "13", ",", "2", ",", "5"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4136421448911123`*^9, 3.4282417502623672`*^9, 
  3.4323129686091433`*^9, 3.500209070161973*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FromDigits", "[", 
  RowBox[{
   RowBox[{"RotateLeft", "[", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"n", ",", "2"}], "]"}], "]"}], ",", "2"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"FromDigits", "[", 
    RowBox[{
     RowBox[{"RotateLeft", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"n", ",", "2"}], "]"}], "]"}], ",", "2"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "15"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "3", ",", "1", ",", "3", ",", "5", ",", "7", ",", "1", 
   ",", "3", ",", "5", ",", "7", ",", "9", ",", "11", ",", "13", ",", "15"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4136421449414577`*^9, 3.428241759412549*^9, 
  3.432312968660056*^9, 3.5002090743689137`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 135 \[CenterDot] Properties", "Subsection"], Cell[
     " (page 910)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.534789810191337*^9, 3.534789810191337*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"DivisorSigma", "[", 
   RowBox[{"0", ",", "n"}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Length", "[", 
   RowBox[{"Divisors", "[", "n", "]"}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Log", "[", "n", "]"}], "+", 
  RowBox[{"2", "EulerGamma"}], "-", "1"}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", "=", 
      RowBox[{"10", "^", "7"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"DivisorSigma", "[", 
       RowBox[{"0", ",", "n"}], "]"}], ",", 
      RowBox[{"Length", "[", 
       RowBox[{"Divisors", "[", "n", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"Log", "[", "n", "]"}], "+", 
       RowBox[{"2", "EulerGamma"}], "-", "1"}]}], "}"}]}], "]"}], "//", 
  "N"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"64.`", ",", "64.`", ",", "16.272526980761388`"}], "}"}]], "Output",
 CellChangeTimes->{3.413642144992477*^9, 3.428241768023958*^9, 
  3.432312968758141*^9, 3.500209079076641*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DivisorSigma", "[", 
          RowBox[{"0", ",", "n"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Log", "[", "n", "]"}], "+", 
          RowBox[{"2", "EulerGamma"}], "-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"10", "^", "7"}], ",", 
         RowBox[{
          RowBox[{"10", "^", "7"}], "+", "1000"}]}], "}"}]}], "]"}], "//", 
     "N"}]}], "]"}], "/", "1000"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"17.366`", ",", "16.288849556073064`"}], "}"}]], "Output",
 CellChangeTimes->{3.413642145042198*^9, 3.428241770142735*^9, 
  3.43231296879599*^9, 3.5002090804055853`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DivisorSigma", "[", 
    RowBox[{"1", ",", "n"}], "]"}], "-", 
   RowBox[{"2", "n"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{"Divisors", "[", "n", "]"}]}], "]"}], "-", 
  RowBox[{"2", "n"}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"DivisorSigma", "[", 
       RowBox[{"1", ",", "n"}], "]"}], "-", 
      RowBox[{"2", "n"}]}], ",", 
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Plus", ",", 
        RowBox[{"Divisors", "[", "n", "]"}]}], "]"}], "-", 
      RowBox[{"2", "n"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "100", ",", "110"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"17", ",", "17"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "100"}], ",", 
     RowBox[{"-", "100"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"12", ",", "12"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "102"}], ",", 
     RowBox[{"-", "102"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "18"}], ",", 
     RowBox[{"-", "18"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "50"}], ",", 
     RowBox[{"-", "50"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "106"}], ",", 
     RowBox[{"-", "106"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"64", ",", "64"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "108"}], ",", 
     RowBox[{"-", "108"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4"}], ",", 
     RowBox[{"-", "4"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4136421450930357`*^9, 3.428241778261003*^9, 
  3.4323129688705463`*^9, 3.500209086021743*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", "6"}], " ", 
  SuperscriptBox["\[Pi]", 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", "n", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"2", " ", "\[Pi]", " ", "n", " ", 
          RowBox[{"Select", "[", 
           RowBox[{
            RowBox[{"Range", "[", "s", "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"GCD", "[", 
               RowBox[{"s", ",", "#"}], "]"}], "==", "1"}], "&"}]}], "]"}]}], 
         "/", "s"}], "]"}]}], "]"}], "/", 
     SuperscriptBox["s", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ",", 
    RowBox[{"{", 
     RowBox[{"s", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Subsubsection"],

Cell["An approximate value:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", "=", "100"}], "}"}], ",", 
    RowBox[{
     RowBox[{"1", "/", "6"}], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", "n", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Apply", "[", 
         RowBox[{"Plus", ",", 
          RowBox[{"Cos", "[", 
           RowBox[{
            RowBox[{"2", " ", "\[Pi]", " ", "n", " ", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"Range", "[", "s", "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"GCD", "[", 
                  RowBox[{"s", ",", "#"}], "]"}], "==", "1"}], "&"}]}], 
              "]"}]}], "/", "s"}], "]"}]}], "]"}], "/", 
        SuperscriptBox["s", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "400"}], "}"}]}], "]"}]}]}], "]"}], "//", 
  "N"}]], "Input"],

Cell[BoxData["217.06295506268887`"], "Output",
 CellChangeTimes->{3.4136421465619087`*^9, 3.4282417897572536`*^9, 
  3.432312970377008*^9, 3.500209092527029*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"4", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{"Im", "[", 
     RowBox[{"\[ImaginaryI]", "^", 
      RowBox[{"Divisors", "[", "n", "]"}]}], "]"}]}], 
   "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "10"}], "}"}], ",", 
   RowBox[{"4", 
    RowBox[{"Apply", "[", 
     RowBox[{"Plus", ",", 
      RowBox[{"Im", "[", 
       RowBox[{"\[ImaginaryI]", "^", 
        RowBox[{"Divisors", "[", "n", "]"}]}], "]"}]}], "]"}]}]}], 
  "]"}]], "Input"],

Cell[BoxData["8"], "Output",
 CellChangeTimes->{3.41364214664821*^9, 3.428241799356922*^9, 
  3.43231297066258*^9, 3.500209096888728*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"8", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Divisors", "[", "n", "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{"#", ",", "4"}], "]"}], "\[NotEqual]", "0"}], "&"}]}], 
     "]"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "10"}], "}"}], ",", 
   RowBox[{"8", 
    RowBox[{"Apply", "[", 
     RowBox[{"Plus", ",", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Divisors", "[", "n", "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Mod", "[", 
           RowBox[{"#", ",", "4"}], "]"}], "\[NotEqual]", "0"}], "&"}]}], 
       "]"}]}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData["144"], "Output",
 CellChangeTimes->{3.413642146699029*^9, 3.428241807471464*^9, 
  3.432312970766567*^9, 3.500209100477762*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", 
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{"n", "-", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Prime", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"PrimePi", "[", "n", "]"}]}], "}"}]}], "]"}]}], ",", 
    "PrimeQ"}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "10"}], "}"}], ",", 
   RowBox[{"Length", "[", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"n", "-", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Prime", "[", "i", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"PrimePi", "[", "n", "]"}]}], "}"}]}], "]"}]}], ",", 
      "PrimeQ"}], "]"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData["3"], "Output",
 CellChangeTimes->{3.413642146749868*^9, 3.4282418144910517`*^9, 
  3.432312970899087*^9, 3.5002091048849792`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Length", "[", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"n", "-", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Prime", "[", "i", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"PrimePi", "[", "n", "]"}]}], "}"}]}], "]"}]}], ",", 
      "PrimeQ"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "5000", ",", "25000", ",", "5000"}], "}"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"152", ",", "254", ",", "710", ",", "462", ",", "528"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413642146801168*^9, 3.4282418159580812`*^9, 
  3.432312971016232*^9, 3.5002091064706907`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"2", " ", "n", " ", 
  RowBox[{
   RowBox[{"Apply", "[", 
    RowBox[{"Times", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"#", "-", "1"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{"#", "-", "2"}], ")"}]}], "&"}], ",", 
       RowBox[{"Map", "[", 
        RowBox[{"First", ",", 
         RowBox[{"Rest", "[", 
          RowBox[{"FactorInteger", "[", "n", "]"}], "]"}]}], "]"}]}], "]"}]}],
     "]"}], "/", 
   SuperscriptBox[
    RowBox[{"Log", "[", "n", "]"}], 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"2", " ", "n", " ", 
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"#", "-", "1"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"#", "-", "2"}], ")"}]}], "&"}], ",", 
          RowBox[{"Map", "[", 
           RowBox[{"First", ",", 
            RowBox[{"Rest", "[", 
             RowBox[{"FactorInteger", "[", "n", "]"}], "]"}]}], "]"}]}], 
         "]"}]}], "]"}], "/", 
      SuperscriptBox[
       RowBox[{"Log", "[", "n", "]"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "5000", ",", "25000", ",", "5000"}], "}"}]}], "]"}], "//",
   "N"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "183.8000986328639`", ",", "314.3528283526898`", ",", "865.2042584849015`", 
   ",", "543.7789700679476`", ",", "650.0978977507378`"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421468503113`*^9, 3.42824182616094*^9, 
  3.432312971129828*^9, 3.500209110344797*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
   "183.8000986328639`", ",", "314.3528283526898`", ",", "865.2042584849015`",
     ",", "543.7789700679476`", ",", "650.0978977507378`"}], "}"}], "/", 
  RowBox[{"{", 
   RowBox[{"152", ",", "254", ",", "710", ",", "462", ",", "528"}], 
   "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.2092111752162098`", ",", "1.2376095604436606`", ",", 
   "1.218597547161833`", ",", "1.1770107577228304`", ",", 
   "1.2312460184673066`"}], "}"}]], "Output",
 CellChangeTimes->{3.413642146900237*^9, 3.4282418287667*^9, 
  3.4323129712345953`*^9, 3.500209112230288*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mathematical Constants", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 137 \[CenterDot] Digits of pi", "Subsection"], Cell[
     " (page 911)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347898297922974`*^9, 3.5347898297922974`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"30841", ",", 
   RowBox[{"-", "85289"}], ",", "136978", ",", "69393", ",", 
   RowBox[{"-", "78309"}], ",", 
   RowBox[{"-", "82947"}], ",", 
   RowBox[{"-", "118485"}], ",", 
   RowBox[{"-", "32406"}], ",", "291044", ",", 
   RowBox[{"-", "130820"}]}], "}"}]], "Subsubsection"],

Cell[TextData[{
 "Pi data courtesy of ",
 ButtonBox["Yasumasa Kanada",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://en.wikipedia.org/wiki/Yasumasa_Kanada"], None},
  ButtonNote->"http://en.wikipedia.org/wiki/Yasumasa_Kanada"],
 "."
}], "Text",
 CellChangeTimes->{{3.5129163683523893`*^9, 3.512916380145041*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"4", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "k"}]], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k"}], "+", "1"}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "m"}], "}"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", "=", "100"}], "}"}], ",", 
     RowBox[{"4", " ", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "k"}]], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "k"}], "+", "1"}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", "m"}], "}"}]}], "]"}]}]}], "]"}], ",", 
   "20"}], "]"}]], "Input"],

Cell[BoxData["3.1514934010709905752526878701177165363035518968443439580652`20.\
"], "Output",
 CellChangeTimes->{3.413642146950162*^9, 3.428241862293413*^9, 
  3.43231297133049*^9, 3.500209123382883*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"2", " ", 
  RowBox[{"Apply", "[", 
   RowBox[{"Times", ",", 
    RowBox[{"2", "/", 
     RowBox[{"Rest", "[", 
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{"2", "+", "#"}], "]"}], "&"}], ",", "0", ",", "m"}], "]"}], 
      "]"}]}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", "=", "50"}], "}"}], ",", 
     RowBox[{"2", " ", 
      RowBox[{"Apply", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"2", "/", 
         RowBox[{"Rest", "[", 
          RowBox[{"NestList", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Sqrt", "[", 
              RowBox[{"2", "+", "#"}], "]"}], "&"}], ",", "0", ",", "m"}], 
           "]"}], "]"}]}]}], "]"}]}]}], "]"}], ",", "40"}], "]"}]], "Input"],

Cell[BoxData["3.\
14159265358979323846264338327848373255177129666664031490326147384443078458231`\
40."], "Output",
 CellChangeTimes->{3.4136421470001698`*^9, 3.428241869633664*^9, 
  3.432312971470314*^9, 3.500209127309134*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"Pi", ",", "40"}], "]"}]], "Input"],

Cell[BoxData["3.\
14159265358979323846264338327950288419716939937510582097494459230864295368023`\
40."], "Output",
 CellChangeTimes->{3.413642147051367*^9, 3.428241871355742*^9, 
  3.432312971796483*^9, 3.500209129108251*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
     RowBox[{"#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
    "&"}], ")"}], "[", 
  RowBox[{"NestWhile", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Apply", "[", 
      RowBox[{
       RowBox[{"Function", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"a", "+", "b"}], ")"}], "/", "2"}], ",", 
           RowBox[{"Sqrt", "[", 
            RowBox[{"a", " ", "b"}], "]"}], ",", 
           RowBox[{"c", "-", 
            RowBox[{"d", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"a", "-", "b"}], ")"}], 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], ",", 
           RowBox[{"2", " ", "d"}]}], "}"}]}], "]"}], ",", "#"}], "]"}], 
     "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"N", "[", 
         RowBox[{"2", ",", "n"}], "]"}], "]"}]}], ",", 
      RowBox[{"1", "/", "4"}], ",", 
      RowBox[{"1", "/", "4"}]}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      "\[NotEqual]", 
      RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
     "&"}]}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "100"}], "}"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
       RowBox[{"#", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
      "&"}], ")"}], "[", 
    RowBox[{"NestWhile", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Apply", "[", 
        RowBox[{
         RowBox[{"Function", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"a", "+", "b"}], ")"}], "/", "2"}], ",", 
             RowBox[{"Sqrt", "[", 
              RowBox[{"a", " ", "b"}], "]"}], ",", 
             RowBox[{"c", "-", 
              RowBox[{"d", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"a", "-", "b"}], ")"}], 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], ",", 
             RowBox[{"2", " ", "d"}]}], "}"}]}], "]"}], ",", "#"}], "]"}], 
       "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"N", "[", 
           RowBox[{"2", ",", "n"}], "]"}], "]"}]}], ",", 
        RowBox[{"1", "/", "4"}], ",", 
        RowBox[{"1", "/", "4"}]}], "}"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "\[NotEqual]", 
        RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
        "&"}]}], "]"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData["3.\
141592653589793238462643383279502884197169399375105820974944592307816406286208\
99862803482534211706798214808651328230664709384460955055`100.15175783827921"],\
 "Output",
 CellChangeTimes->{3.413642147100561*^9, 3.428241878501834*^9, 
  3.432312971915066*^9, 3.5002091325952253`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"Pi", ",", "100"}], "]"}]], "Input"],

Cell[BoxData["3.\
141592653589793238462643383279502884197169399375105820974944592307816406286208\
998628034825342117067982148086513282306647093844609550946`100."], "Output",
 CellChangeTimes->{3.4136421471518803`*^9, 3.428241880562964*^9, 
  3.4323129724921217`*^9, 3.500209136536058*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell[TextData[{
      "Computing ",
      Cell[BoxData[
       FormBox[
        SuperscriptBox["n", 
         RowBox[{"th", " "}]], TraditionalForm]]],
      "digits directly"
     }], "Subsection"], Cell[" (page 912)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Round", "[", 
  RowBox[{"FractionalPart", "[", 
   RowBox[{
    RowBox[{"2", "^", "n"}], " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"2", "^", 
        RowBox[{"(", 
         RowBox[{"-", "k"}], ")"}]}], "/", "k"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "Infinity"}], "}"}]}], "]"}]}], "]"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Round", "[", 
    RowBox[{"FractionalPart", "[", 
     RowBox[{
      RowBox[{"2", "^", "n"}], " ", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "^", 
          RowBox[{"(", 
           RowBox[{"-", "k"}], ")"}]}], "/", "k"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "Infinity"}], "}"}]}], "]"}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.413642149008586*^9, 3.4136446861222763`*^9, 
  3.428241891843864*^9, 3.432312974136188*^9, 3.5002091415719557`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Drop", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"RealDigits", "[", 
     RowBox[{
      RowBox[{"Log", "[", "2", "]"}], ",", "2", ",", "11"}], "]"}], "//", 
    "First"}], ",", "1"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421491026793`*^9, 3.413644691478977*^9, 
  3.428241893338881*^9, 3.432312974593183*^9, 3.500209142747616*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Round", "[", 
  RowBox[{"FractionalPart", "[", 
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"FractionalPart", "[", 
       RowBox[{
        RowBox[{"PowerMod", "[", 
         RowBox[{"2", ",", 
          RowBox[{"n", "-", "k"}], ",", "k"}], "]"}], "/", "k"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "n"}], "}"}]}], "]"}], "+", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
         RowBox[{"n", "-", "k"}]}]], "/", "k"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", 
        RowBox[{"n", "+", "1"}], ",", 
        RowBox[{"n", "+", "d"}]}], "}"}]}], "]"}]}], "]"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Round", "[", 
    RowBox[{"FractionalPart", "[", 
     RowBox[{
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{"FractionalPart", "[", 
         RowBox[{
          RowBox[{"PowerMod", "[", 
           RowBox[{"2", ",", 
            RowBox[{"n", "-", "k"}], ",", "k"}], "]"}], "/", "k"}], "]"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "n"}], "}"}]}], "]"}], "+", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         SuperscriptBox["2", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
           RowBox[{"n", "-", "k"}]}]], "/", "k"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", 
          RowBox[{"n", "+", "1"}], ",", 
          RowBox[{"n", "+", "d"}]}], "}"}]}], "]"}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "101", ",", "110"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413642149226405*^9, 3.428241918550146*^9, 
  3.4323129747102203`*^9, 3.5002091463678303`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"First", ",", "%"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.413642149269726*^9, 3.428241920301216*^9, 
  3.432312974830587*^9, 3.5002091483386517`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{
   RowBox[{"First", "[", 
    RowBox[{"RealDigits", "[", 
     RowBox[{
      RowBox[{"Log", "[", "2", "]"}], ",", "2", ",", "111"}], "]"}], "]"}], 
   ",", 
   RowBox[{"-", "10"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", 
   ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421493145723`*^9, 3.428241921795019*^9, 
  3.432312974925714*^9, 3.500209150007584*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["16", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
      RowBox[{"-", "k"}]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "k"}], "+", "1"}], ")"}]}], "-", 
      RowBox[{"2", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "k"}], "+", "4"}], ")"}]}], "-", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "k"}], "+", "5"}], ")"}]}], "-", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "k"}], "+", "6"}], ")"}]}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", "\[Infinity]"}], "}"}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["16", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
       RowBox[{"-", "k"}]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", "k"}], "+", "1"}], ")"}]}], "-", 
       RowBox[{"2", "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", "k"}], "+", "4"}], ")"}]}], "-", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", "k"}], "+", "5"}], ")"}]}], "-", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", "k"}], "+", "6"}], ")"}]}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}], "//", 
  "FullSimplify"}]], "Input"],

Cell[BoxData["\[Pi]"], "Output",
 CellChangeTimes->{3.41364215146808*^9, 3.428241933997314*^9, 
  3.432312975895879*^9, 3.500209154756545*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 139 \[CenterDot] Rational numbers", "Subsection"], Cell[
     " (page 912)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.53478988102642*^9, 3.53478988102642*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MultiplicativeOrder", "[", 
  RowBox[{"b", ",", 
   RowBox[{"FixedPoint", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "/", 
       RowBox[{"GCD", "[", 
        RowBox[{"#", ",", "b"}], "]"}]}], "&"}], ",", "n"}], "]"}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "=", "4"}], ",", 
     RowBox[{"n", "=", "13"}]}], "}"}], ",", 
   RowBox[{"MultiplicativeOrder", "[", 
    RowBox[{"b", ",", 
     RowBox[{"FixedPoint", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
         RowBox[{"GCD", "[", 
          RowBox[{"#", ",", "b"}], "]"}]}], "&"}], ",", "n"}], "]"}]}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData["6"], "Output",
 CellChangeTimes->{3.413642151552034*^9, 3.428241940250897*^9, 
  3.4323129761818047`*^9, 3.5002091590891943`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "=", "4"}], ",", 
     RowBox[{"n", "=", "13"}]}], "}"}], ",", 
   RowBox[{"RealDigits", "[", 
    RowBox[{
     RowBox[{"1", "/", "n"}], ",", "b", ",", "20"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "3", ",", "2", ",", "3", ",", "0", ",", "1", ",", "0",
      ",", "3", ",", "2", ",", "3", ",", "0", ",", "1", ",", "0", ",", "3", 
     ",", "2", ",", "3", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"-", "1"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4136421516023827`*^9, 3.428241946812764*^9, 
  3.432312976418201*^9, 3.500209160575077*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 141 \[CenterDot] Square roots", "Subsection"], Cell[
     " (page 913)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.534789882096527*^9, 3.534789882096527*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "\[Rule]", 
  RowBox[{
   RowBox[{"1", "/", "2"}], " ", 
   RowBox[{"(", 
    RowBox[{"x", "+", 
     RowBox[{"n", "/", "x"}]}], ")"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n", "=", "3"}], ",", 
       RowBox[{"t", "=", "5"}]}], "}"}], ",", 
     RowBox[{"Nest", "[", 
      RowBox[{
       RowBox[{"Function", "[", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"1", "/", "2"}], " ", 
          RowBox[{"(", 
           RowBox[{"x", "+", 
            RowBox[{"n", "/", "x"}]}], ")"}]}]}], "]"}], ",", "n", ",", "t"}],
       "]"}]}], "]"}], ",", "20"}], "]"}]], "Input"],

Cell[BoxData["1.73205080756887729525435394607217191423510670911984376613`20."]\
, "Output",
 CellChangeTimes->{3.413642151655468*^9, 3.4282419650104923`*^9, 
  3.4323129765090237`*^9, 3.500209164531137*^9, 3.5129162753444023`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", "3", "]"}], ",", "20"}], "]"}]], "Input"],

Cell[BoxData["1.732050807568877293527446341505872366942805253810380628056`20.\
"], "Output",
 CellChangeTimes->{3.413642151696618*^9, 3.428241966364942*^9, 
  3.4323129765997753`*^9, 3.500209166435192*^9, 3.512916276696562*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"2", 
     RowBox[{"f", "[", 
      RowBox[{"i", "-", "1"}], "]"}]}], "+", 
    RowBox[{"f", "[", 
     RowBox[{"i", "-", "2"}], "]"}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"f", "[", "1", "]"}], "=", 
  RowBox[{
   RowBox[{"f", "[", "2", "]"}], "=", "1"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", "i_", "]"}], ":=", 
  RowBox[{
   RowBox[{"2", 
    RowBox[{"f", "[", 
     RowBox[{"i", "-", "1"}], "]"}]}], "+", 
   RowBox[{"f", "[", 
    RowBox[{"i", "-", "2"}], "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "1", "]"}], "=", 
   RowBox[{
    RowBox[{"f", "[", "2", "]"}], "=", "1"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.432312114400689*^9, 3.432312115192519*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "20", "]"}], "/", 
    RowBox[{"f", "[", "19", "]"}]}], ",", "20"}], "]"}]], "Input"],

Cell[BoxData["2.414213562373048100453013592984512093718491514466106950992`20.\
"], "Output",
 CellChangeTimes->{3.41364215177682*^9, 3.4282420066730433`*^9, 
  3.432312976784277*^9, 3.500209171937001*^9, 3.512916280140832*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"1", "+", 
    RowBox[{"Sqrt", "[", "2", "]"}]}], ",", "20"}], "]"}]], "Input"],

Cell[BoxData["2.414213562373095048801688724209698078569671875376948073177`20.\
"], "Output",
 CellChangeTimes->{3.4136421518141327`*^9, 3.428242008268548*^9, 
  3.43231297700353*^9, 3.500209173429866*^9, 3.512916280970902*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Concatenation sequences", "Subsection"], Cell[" (page 913)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"i", ",", "k"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "n"}], "}"}]}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "=", "10"}], ",", 
     RowBox[{"n", "=", "30"}]}], "}"}], ",", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"i", ",", "k"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "n"}], "}"}]}], "]"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", 
   ",", "9", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "2", ",", 
   "1", ",", "3", ",", "1", ",", "4", ",", "1", ",", "5", ",", "1", ",", "6", 
   ",", "1", ",", "7", ",", "1", ",", "8", ",", "1", ",", "9", ",", "2", ",", 
   "0", ",", "2", ",", "1", ",", "2", ",", "2", ",", "2", ",", "3", ",", "2", 
   ",", "4", ",", "2", ",", "5", ",", "2", ",", "6", ",", "2", ",", "7", ",", 
   "2", ",", "8", ",", "2", ",", "9", ",", "3", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.41364215186499*^9, 3.428242017272493*^9, 
  3.4323129772871923`*^9, 3.5002091811254797`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FoldList", "[", 
  RowBox[{"Plus", ",", "0", ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"Rest", "[", 
          RowBox[{"IntegerDigits", "[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "-", "1"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "20"}], "}"}], ",", 
   RowBox[{"FoldList", "[", 
    RowBox[{"Plus", ",", "0", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"Rest", "[", 
            RowBox[{"IntegerDigits", "[", 
             RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "-", "1"}]}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{"-", "1"}], ",", "0", ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "2"}], ",", "0", ",", 
   RowBox[{"-", "3"}], ",", 
   RowBox[{"-", "4"}], ",", 
   RowBox[{"-", "5"}], ",", 
   RowBox[{"-", "4"}], ",", 
   RowBox[{"-", "5"}], ",", 
   RowBox[{"-", "4"}], ",", 
   RowBox[{"-", "3"}], ",", "0", ",", 
   RowBox[{"-", "4"}], ",", 
   RowBox[{"-", "6"}], ",", 
   RowBox[{"-", "8"}], ",", 
   RowBox[{"-", "8"}], ",", 
   RowBox[{"-", "10"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413642151916313*^9, 3.428242027853397*^9, 
  3.432312977388852*^9, 3.500209185616743*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{"#3", "+", 
           RowBox[{"Quotient", "[", 
            RowBox[{"#1", ",", "#2"}], "]"}]}], ",", "2"}], "]"}], 
        "\[LeftDoubleBracket]", 
        RowBox[{
         RowBox[{"Mod", "[", 
          RowBox[{"#1", ",", "#2"}], "]"}], "+", "1"}], 
        "\[RightDoubleBracket]"}], "&"}], ")"}], "[", 
     RowBox[{
      RowBox[{"n", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"#", "-", "2"}], ")"}], " ", 
        SuperscriptBox["2", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
          RowBox[{"#", "-", "1"}]}]]}], "-", "2"}], ",", "#", ",", 
      SuperscriptBox["2", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
        RowBox[{"#", "-", "1"}]}]]}], "]"}], "&"}], ")"}], "[", 
  RowBox[{"NestWhile", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"#", "+", "1"}], "&"}], ",", "0", ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"#", "-", "1"}], ")"}], " ", 
        SuperscriptBox["2", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "#"}]]}], "+", "1"}], 
      "<", "n"}], "&"}]}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"IntegerDigits", "[", 
           RowBox[{
            RowBox[{"#3", "+", 
             RowBox[{"Quotient", "[", 
              RowBox[{"#1", ",", "#2"}], "]"}]}], ",", "2"}], "]"}], 
          "\[LeftDoubleBracket]", 
          RowBox[{
           RowBox[{"Mod", "[", 
            RowBox[{"#1", ",", "#2"}], "]"}], "+", "1"}], 
          "\[RightDoubleBracket]"}], "&"}], ")"}], "[", 
       RowBox[{
        RowBox[{"n", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "-", "2"}], ")"}], " ", 
          SuperscriptBox["2", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
            RowBox[{"#", "-", "1"}]}]]}], "-", "2"}], ",", "#", ",", 
        SuperscriptBox["2", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
          RowBox[{"#", "-", "1"}]}]]}], "]"}], "&"}], ")"}], "[", 
    RowBox[{"NestWhile", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "+", "1"}], "&"}], ",", "0", ",", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "-", "1"}], ")"}], " ", 
          SuperscriptBox["2", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "#"}]]}], "+", "1"}], 
        "<", "n"}], "&"}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "20"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421519646482`*^9, 3.428242037337037*^9, 
  3.432312977543436*^9, 3.5002091899233437`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ceiling", "[", 
  RowBox[{"1", "+", 
   RowBox[{
    RowBox[{"ProductLog", "[", 
     RowBox[{
      RowBox[{"1", "/", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{"n", "-", "1"}], ")"}], " ", 
      RowBox[{"Log", "[", "2", "]"}]}], "]"}], "/", 
    RowBox[{"Log", "[", "2", "]"}]}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"NestWhile", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "+", "1"}], "&"}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"#", "-", "1"}], ")"}], " ", 
         SuperscriptBox["2", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "#"}]]}], "+", "1"}], 
       "<", "n"}], "&"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "2", ",", "2", ",", "2", ",", "3", ",", "3", ",", "3", 
   ",", "3", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421520145693`*^9, 3.4282420455085583`*^9, 
  3.4323129776762733`*^9, 3.500209194980317*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Ceiling", "[", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"ProductLog", "[", 
       RowBox[{
        RowBox[{"1", "/", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{"n", "-", "1"}], ")"}], " ", 
        RowBox[{"Log", "[", "2", "]"}]}], "]"}], "/", 
      RowBox[{"Log", "[", "2", "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "2", ",", "2", ",", "2", ",", "3", ",", "3", ",", "3", 
   ",", "3", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421520676107`*^9, 3.428242047701593*^9, 
  3.4323129781144648`*^9, 3.500209196449912*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "/", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"k", "-", "1"}], ")"}], 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"k", "-", "1"}], ")"}], " ", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["k", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["k", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", "1"}], 
          ")"}], " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", "s", "-", 
            RowBox[{"s", " ", "k"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"k", "-", "1"}], ")"}]}]}]}]], " ", "\[IndentingNewLine]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "-", "1"}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["k", 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", "1"}],
              ")"}], 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}], 
        "-", 
        RowBox[{"k", "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "-", "1"}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["k", 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                RowBox[{"s", "+", "1"}]}]], "-", "1"}], ")"}], 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}], 
        "+", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["k", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
             RowBox[{"s", "+", "1"}]}]], "-", "1"}], ")"}]}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"s", ",", "n"}], "}"}]}], "]"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "=", "10"}], ",", 
       RowBox[{"n", "=", "2"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"k", "/", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"k", "-", "1"}], ")"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "-", "1"}], ")"}], " ", "\[IndentingNewLine]", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          SuperscriptBox["k", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["k", 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", 
               "1"}], ")"}], " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", "s", "-", 
                RowBox[{"s", " ", "k"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"k", "-", "1"}], ")"}]}]}]}]], " ", 
          "\[IndentingNewLine]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"1", "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "-", "1"}], ")"}], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["k", 
                   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", 
                  "1"}], ")"}], 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}],
             "-", 
            RowBox[{"k", "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "-", "1"}], ")"}], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["k", 
                   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                    RowBox[{"s", "+", "1"}]}]], "-", "1"}], ")"}], 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}],
             "+", 
            RowBox[{"1", "/", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["k", 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                 RowBox[{"s", "+", "1"}]}]], "-", "1"}], ")"}]}]}], ")"}]}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "n"}], "}"}]}], "]"}]}]}]}], "]"}], ",", "100"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.500209200670825*^9, 3.500209201257668*^9}}],

Cell[BoxData["0.\
123456789101112131415161718192021222324252627282930313233343536373839404142434\
445464748495051525354555657585960616263646566676869707173`100."], "Output",
 CellChangeTimes->{3.413642152132394*^9, 3.428242059778111*^9, 
  3.432312978464428*^9, 3.500209201674816*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Runs of digits", "Subsection"], Cell[" (page 914)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Join", "[", 
     RowBox[{"#1", ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"1", "-", 
         RowBox[{"Last", "[", "#1", "]"}]}], ",", 
        RowBox[{"{", "#2", "}"}]}], "]"}]}], "]"}], "&"}], ",", 
   RowBox[{"{", "0", "}"}], ",", "list"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"list", "=", 
     RowBox[{"{", 
      RowBox[{"7", ",", "5", ",", "1", ",", "6"}], "}"}]}], "}"}], ",", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{"#1", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"1", "-", 
           RowBox[{"Last", "[", "#1", "]"}]}], ",", 
          RowBox[{"{", "#2", "}"}]}], "]"}]}], "]"}], "&"}], ",", 
     RowBox[{"{", "0", "}"}], ",", "list"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413642152182662*^9, 3.428242066909824*^9, 
  3.432312978575925*^9, 3.5002092068831663`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mod", "[", 
  RowBox[{
   RowBox[{"Floor", "[", 
    RowBox[{
     RowBox[{"1", "/", "2"}], "+", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"2", "*", "n"}], "]"}]}], "]"}], ",", "2"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Mod", "[", 
    RowBox[{
     RowBox[{"Floor", "[", 
      RowBox[{
       RowBox[{"1", "/", "2"}], "+", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"2", "*", "n"}], "]"}]}], "]"}], ",", "2"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "20"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413642152233717*^9, 3.428242074003689*^9, 
  3.432312978870145*^9, 3.500209210306217*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{
     RowBox[{"2", "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "4"}], ")"}]}], " ", 
     RowBox[{"EllipticTheta", "[", 
      RowBox[{"2", ",", "0", ",", 
       RowBox[{"1", "/", "2"}]}], "]"}]}], "+", 
    RowBox[{"EllipticTheta", "[", 
     RowBox[{"3", ",", "0", ",", 
      RowBox[{"1", "/", "2"}]}], "]"}]}], ")"}], "/", "2"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BaseForm", "[", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"2", "^", 
          RowBox[{"(", 
           RowBox[{"1", "/", "4"}], ")"}]}], " ", 
         RowBox[{"EllipticTheta", "[", 
          RowBox[{"2", ",", "0", ",", 
           RowBox[{"1", "/", "2"}]}], "]"}]}], "+", 
        RowBox[{"EllipticTheta", "[", 
         RowBox[{"3", ",", "0", ",", 
          RowBox[{"1", "/", "2"}]}], "]"}]}], ")"}], "/", "2"}], ",", "18"}], 
    "]"}], ",", "2"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   SubscriptBox["\<\"0.\
0100110001110000111100000111110000001111110000000111111100000\"\>", "2"],
   0.29859831837507221091580796053593771088`18.,
   AutoDelete->True],
  BaseForm[#, 2]& ]], "Output",
 CellChangeTimes->{3.413642152283749*^9, 3.428242083050953*^9, 
  3.432312978996442*^9, 3.5002092138619413`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Leading digits", "Subsection"], Cell[" (page 914)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Log", "[", 
  RowBox[{"b", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"s", "+", "1"}], ")"}], "/", "s"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"b", "=", "10"}], "}"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"b", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"s", "+", "1"}], ")"}], "/", "s"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"s", ",", "1", ",", "9"}], "}"}]}], "]"}]}], "]"}], "//", 
  "N"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.30102999566398114`", ",", "0.1760912590556812`", ",", 
   "0.1249387366082999`", ",", "0.0969100130080564`", ",", 
   "0.0791812460476248`", ",", "0.06694678963061321`", ",", 
   "0.057991946977686726`", ",", "0.051152522447381284`", ",", 
   "0.04575749056067514`"}], "}"}]], "Output",
 CellChangeTimes->{3.413642152333816*^9, 3.428242178736472*^9, 
  3.4323129791011057`*^9, 3.5002092200589743`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 143 \[CenterDot] Continued fractions", "Subsection"], Cell[
     " (page 914)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347899146127787`*^9, 3.5347899146127787`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Floor", "[", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"Mod", "[", 
       RowBox[{"#", ",", "1"}], "]"}]}], "&"}], ",", "x", ",", 
    RowBox[{"n", "-", "1"}]}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "=", "\[Pi]"}], ",", 
     RowBox[{"n", "=", "15"}]}], "}"}], ",", 
   RowBox[{"Floor", "[", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
        RowBox[{"Mod", "[", 
         RowBox[{"#", ",", "1"}], "]"}]}], "&"}], ",", "x", ",", 
      RowBox[{"n", "-", "1"}]}], "]"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "3", ",", "7", ",", "15", ",", "1", ",", "292", ",", "1", ",", "1", ",", 
   "1", ",", "2", ",", "1", ",", "3", ",", "1", ",", "14", ",", "2", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{3.413642152383274*^9, 3.428242184486991*^9, 
  3.432312979194394*^9, 3.5002092242284327`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ContinuedFraction", "[", 
  RowBox[{"\[Pi]", ",", "15"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "3", ",", "7", ",", "15", ",", "1", ",", "292", ",", "1", ",", "1", ",", 
   "1", ",", "2", ",", "1", ",", "3", ",", "1", ",", "14", ",", "2", ",", 
   "1"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421524344997`*^9, 3.428242185958214*^9, 
  3.432312979719284*^9, 3.5002092264654417`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "#1"}], "+", "#2"}], "&"}], ",", 
   RowBox[{"Last", "[", "list", "]"}], ",", 
   RowBox[{"Rest", "[", 
    RowBox[{"Reverse", "[", "list", "]"}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"list", "=", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "7", ",", "15", ",", "1", ",", "292", ",", "1", ",", "1", 
        ",", "1", ",", "2", ",", "1", ",", "3", ",", "1", ",", "14", ",", "2",
         ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
        "1", "/", "\[NegativeVeryThinSpace]", "\[NegativeVeryThinSpace]", 
         TagBox["#1",
          #& ,
          SyntaxForm->"a"]}], "+", 
        TagBox["#2",
         #& ,
         SyntaxForm->"a"]}], "&"}], ",", 
      RowBox[{"Last", "[", "list", "]"}], ",", 
      RowBox[{"Rest", "[", 
       RowBox[{"Reverse", "[", "list", "]"}], "]"}]}], "]"}]}], "]"}], "//", 
  "N"}]], "Input"],

Cell[BoxData["3.141592653589793`"], "Output",
 CellChangeTimes->{3.413642152484626*^9, 3.428242193990101*^9, 
  3.432312979794471*^9, 3.5002092305547943`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"list", "=", 
      RowBox[{"{", 
       RowBox[{
       "3", ",", "7", ",", "15", ",", "1", ",", "292", ",", "1", ",", "1", 
        ",", "1", ",", "2", ",", "1", ",", "3", ",", "1", ",", "14", ",", "2",
         ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"FromContinuedFraction", "[", "list", "]"}]}], "]"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.4282421953390293`*^9, 3.42824219597331*^9}}],

Cell[BoxData["3.141592653589793`"], "Output",
 CellChangeTimes->{3.413642152534697*^9, 3.428242196415246*^9, 
  3.432312979887926*^9, 3.500209232009371*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"4", "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"#2", "/", "#1"}], "+", "2"}], "&"}], ",", "2", ",", 
      RowBox[{"Reverse", "[", 
       SuperscriptBox[
        RowBox[{"Range", "[", 
         RowBox[{"1", ",", "n", ",", "2"}], "]"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "]"}]}], "]"}], 
    "-", "1"}], ")"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "@", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", "=", "10000"}], "}"}], ",", 
    RowBox[{"4", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Fold", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            TagBox["#2",
             #& ,
             SyntaxForm->"a"], "/", "\[NegativeVeryThinSpace]", 
            "\[NegativeVeryThinSpace]", 
            TagBox["#1",
             #& ,
             SyntaxForm->"a"]}], "+", "2"}], "&"}], ",", "2", ",", 
         RowBox[{"Reverse", "[", 
          SuperscriptBox[
           RowBox[{"Range", "[", 
            RowBox[{"1", ",", "n", ",", "2"}], "]"}], 
           RowBox[{"\[VeryThinSpace]", "2"}]], "]"}]}], "]"}], "-", "1"}], 
      ")"}]}]}], "]"}]}]], "Input"],

Cell[BoxData["3.1417926135957925`"], "Output",
 CellChangeTimes->{3.4136421527151833`*^9, 3.428242207294916*^9, 
  3.432312980610544*^9, 3.500209236428266*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"0", ",", 
    RowBox[{"k", "-", "1"}], ",", 
    RowBox[{"k", "+", "2"}], ",", "k", ",", "k", ",", 
    RowBox[{"k", "-", "2"}], ",", "k", ",", 
    RowBox[{"k", "+", "2"}], ",", 
    RowBox[{"k", "-", "2"}], ",", "k"}], "}"}], "\[LeftDoubleBracket]", 
  RowBox[{"Nest", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"7", ",", "8"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"9", ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"7", ",", "8"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"9", ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}]}], "}"}], "\[LeftDoubleBracket]", 
       "#", "\[RightDoubleBracket]"}], "]"}], "&"}], ",", "1", ",", "n"}], 
   "]"}], "\[RightDoubleBracket]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BaseForm", "[", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{"FromContinuedFraction", "[", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "=", "3"}], ",", 
          RowBox[{"n", "=", "8"}]}], "}"}], ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"k", "-", "1"}], ",", 
           RowBox[{"k", "+", "2"}], ",", "k", ",", "k", ",", 
           RowBox[{"k", "-", "2"}], ",", "k", ",", 
           RowBox[{"k", "+", "2"}], ",", 
           RowBox[{"k", "-", "2"}], ",", "k"}], "}"}], "\[LeftDoubleBracket]", 
         RowBox[{"Nest", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"1", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "4"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"5", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"7", ",", "8"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"5", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "4"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"9", ",", "10"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"7", ",", "8"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"9", ",", "10"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "4"}], "}"}]}], "}"}], 
              "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}], "]"}], 
            "&"}], ",", "1", ",", "n"}], "]"}], "\[RightDoubleBracket]"}]}], 
       "]"}], "]"}], ",", "100"}], "]"}], ",", "3"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   SubscriptBox["\<\"0.\
110100010000000100000000000000010000000000000000000000000000000100000000000000\
000000000000000000000000000000000000000000000000010000000000000000000000000000\
000000000000000000000000000000000000000000000000000000\"\>", "3"],
   0.4569425624776396611154918261669030379899425997138311920910568743099824182\
9969002951882515266806877533452502972908478949360954519361696`100.,
   AutoDelete->True],
  BaseForm[#, 3]& ]], "Output",
 CellChangeTimes->{3.4136421527531548`*^9, 3.4282422136848497`*^9, 
  3.432312980744841*^9, 3.500209240620088*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Rest", "[", 
     RowBox[{"ContinuedFraction", "[", 
      RowBox[{"a", "/", "b"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"b", ",", "2", ",", "n"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{"b", "-", "1"}]}], "}"}]}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "10"}], "}"}], ",", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Rest", "[", 
       RowBox[{"ContinuedFraction", "[", 
        RowBox[{"a", "/", "b"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "2", ",", "n"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        RowBox[{"b", "-", "1"}]}], "}"}]}], "]"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2", ",", "3", ",", "1", ",", "2", ",", "4", ",", "2", ",", "1", ",", "3", 
   ",", "5", ",", "2", ",", "2", ",", "1", ",", "1", ",", "2", ",", "1", ",", 
   "4", ",", "6", ",", "3", ",", "2", ",", "1", ",", "2", ",", "1", ",", "5", 
   ",", "7", ",", "3", ",", "2", ",", "2", ",", "3", ",", "1", ",", "1", ",", 
   "3", ",", "1", ",", "2", ",", "2", ",", "1", ",", "6", ",", "8", ",", "4", 
   ",", "2", ",", "1", ",", "2", ",", "2", ",", "1", ",", "1", ",", "1", ",", 
   "2", ",", "1", ",", "3", ",", "1", ",", "7", ",", "9", ",", "4", ",", "2", 
   ",", "3", ",", "2", ",", "4", ",", "1", ",", "1", ",", "4", ",", "1", ",", 
   "2", ",", "1", ",", "3", ",", "2", ",", "1", ",", "8", ",", "10", ",", "5",
    ",", "3", ",", "3", ",", "2", ",", "2", ",", "2", ",", "1", ",", "1", ",",
    "2", ",", "1", ",", "2", ",", "3", ",", "1", ",", "4", ",", "1", ",", 
   "9"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421528043547`*^9, 3.428242221237747*^9, 
  3.432312980833104*^9, 3.500209245546486*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"r", "=", 
     RowBox[{"FromContinuedFraction", "[", 
      RowBox[{"ContinuedFraction", "[", 
       RowBox[{"x", ",", "n"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"-", 
    RowBox[{"Log", "[", 
     RowBox[{
      RowBox[{"Denominator", "[", "r", "]"}], ",", 
      RowBox[{"Abs", "[", 
       RowBox[{"x", "-", "r"}], "]"}]}], "]"}]}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "=", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
      RowBox[{"n", "=", "20"}]}], "}"}], ",", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", "=", 
        RowBox[{"FromContinuedFraction", "[", 
         RowBox[{"ContinuedFraction", "[", 
          RowBox[{"x", ",", "n"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"-", 
       RowBox[{"Log", "[", 
        RowBox[{
         RowBox[{"Denominator", "[", "r", "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"x", "-", "r"}], "]"}]}], "]"}]}]}], "]"}]}], "]"}], "//", 
  "N"}]], "Input"],

Cell[BoxData["2.064890772881934`"], "Output",
 CellChangeTimes->{3.413642152853306*^9, 3.4282422283966713`*^9, 
  3.4323129809124947`*^9, 3.5002092496688557`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["History", "Subsection"], Cell[" (page 915)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"a", ">", "b"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "-", "b"}], ",", "b"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{"b", "-", "a"}]}], "}"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FixedPoint", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"#", "/.", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"a", ">", "b"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"a", "-", "b"}], ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"a", ",", 
          RowBox[{"b", "-", "a"}]}], "}"}]}], "]"}]}]}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{"28", ",", "21"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"7", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.41364215290282*^9, 3.4282422372502613`*^9, 
  3.432312980996663*^9, 3.500209256781704*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GCD", "[", 
  RowBox[{"28", ",", "21"}], "]"}]], "Input"],

Cell[BoxData["7"], "Output",
 CellChangeTimes->{3.4136421529546537`*^9, 3.428242239065398*^9, 
  3.432312981055002*^9, 3.500209258316491*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Egyptian fractions", "Subsection"], Cell[" (page 915)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"a", "[", "n", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", 
   RowBox[{"2", "^", "n"}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.413642153004188*^9, 3.428242265556139*^9, 
  3.432312981122468*^9, 3.500209262568467*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", 
   RowBox[{"n", 
    RowBox[{"(", 
     RowBox[{"n", "+", "1"}], ")"}]}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.413642153083535*^9, 3.428242278738592*^9, 
  3.432312981188552*^9, 3.500209264659601*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", 
   RowBox[{"n", "!"}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", "\[ExponentialE]"}]], "Output",
 CellChangeTimes->{3.413642153744659*^9, 3.428242281220963*^9, 
  3.4323129812556047`*^9, 3.500209266607954*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"n", "!"}], "^", "2"}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  RowBox[{"BesselI", "[", 
   RowBox[{"0", ",", "2"}], "]"}]}]], "Output",
 CellChangeTimes->{3.41364215478902*^9, 3.4282422837677383`*^9, 
  3.432312981416904*^9, 3.5002092693753757`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", 
   RowBox[{"n", " ", 
    SuperscriptBox["2", "n"]}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Log", "[", "2", "]"}]], "Output",
 CellChangeTimes->{3.413642154898713*^9, 3.428242285347068*^9, 
  3.432312981469665*^9, 3.500209272388381*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", 
   RowBox[{"n", "^", "2"}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  SuperscriptBox["\[Pi]", "2"], "6"]], "Output",
 CellChangeTimes->{3.413642154949151*^9, 3.428242287252372*^9, 
  3.432312981519155*^9, 3.5002092740245857`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "n"}], "-", "1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "n"}], "-", "3"}], ")"}]}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["1", "2"]}]], "Output",
 CellChangeTimes->{3.413642155032466*^9, 3.4282422896423798`*^9, 
  3.432312981687552*^9, 3.500209276864423*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", 
   RowBox[{"3", "-", 
    RowBox[{"16", "n"}], "+", 
    RowBox[{"16", 
     RowBox[{"n", "^", "2"}]}]}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 FractionBox["\[Pi]", "8"]], "Output",
 CellChangeTimes->{3.413642155067775*^9, 3.428242291873001*^9, 
  3.4323129820022984`*^9, 3.500209278846088*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], "=", " ", 
   RowBox[{"n", " ", 
    RowBox[{"n", "!"}]}]}], ";", " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"a", "[", "n", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "EulerGamma"}], "+", 
  RowBox[{"ExpIntegralEi", "[", "1", "]"}]}]], "Output",
 CellChangeTimes->{3.413642155117382*^9, 3.4282422945200987`*^9, 
  3.432312982062438*^9, 3.500209280680196*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Nested radicals", "Subsection"], Cell[" (page 915)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Fold", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"#1", "+", "#2"}], "]"}], "&"}], ",", "0", ",", 
   RowBox[{"Reverse", "[", "list", "]"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"4", "d"}], "+", "1"}], "]"}]}], ")"}], "/", 
  "2"}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"list", " ", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", "100", "}"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{"#1", "+", "#2"}], "]"}], "&"}], ",", "0", ",", 
      RowBox[{"Reverse", "[", "list", "]"}]}], "]"}]}], "]"}], "//", 
  "N"}]], "Input"],

Cell[BoxData["2.5615528128088303`"], "Output",
 CellChangeTimes->{3.413642155150407*^9, 3.4282423089856873`*^9, 
  3.4323129821277742`*^9, 3.5002092856763897`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"d", "=", "4"}], "}"}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"4", "d"}], "+", "1"}], "]"}]}], ")"}], "/", "2"}]}], "]"}], 
  "//", "N"}]], "Input"],

Cell[BoxData["2.5615528128088303`"], "Output",
 CellChangeTimes->{3.413642155200754*^9, 3.4282423120509644`*^9, 
  3.43231298217437*^9, 3.500209288098052*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ceiling", "[", 
  RowBox[{
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"2", "-", 
         RowBox[{"Mod", "[", 
          RowBox[{
           RowBox[{"-", "#"}], ",", "1"}], "]"}]}], ")"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "&"}], ",", 
     SuperscriptBox["x", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", 
     RowBox[{"n", "-", "1"}]}], "]"}], "-", "2"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "=", 
      RowBox[{"3", "/", "2"}]}], ",", 
     RowBox[{"n", "=", "20"}]}], "}"}], ",", 
   RowBox[{"Ceiling", "[", 
    RowBox[{
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "-", 
           RowBox[{"Mod", "[", 
            RowBox[{
             RowBox[{"-", "#"}], ",", "1"}], "]"}]}], ")"}], 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "&"}], ",", 
       SuperscriptBox["x", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", 
       RowBox[{"n", "-", "1"}]}], "]"}], "-", "2"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "2", 
   ",", "0", ",", "1", ",", "2", ",", "2", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "2", ",", "0", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.4136421552572002`*^9, 3.428242322330882*^9, 
  3.432312982227272*^9, 3.5002092921263247`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Digital slope representation", "Subsection"], Cell[
     " (page 916)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Max", "[", 
  RowBox[{"MapIndexed", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"#1", "/", 
      RowBox[{"First", "[", "#2", "]"}]}], "&"}], ",", 
    RowBox[{"FoldList", "[", 
     RowBox[{"Plus", ",", 
      RowBox[{"First", "[", "list", "]"}], ",", 
      RowBox[{"Rest", "[", "list", "]"}]}], "]"}]}], "]"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"list", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"h", "=", "GoldenRatio"}], "}"}], ",", 
         RowBox[{
          RowBox[{"Floor", "[", 
           RowBox[{"n", " ", "h"}], "]"}], "-", 
          RowBox[{"Floor", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"n", "-", "1"}], ")"}], " ", "h"}], "]"}]}]}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "1", ",", "50"}], "}"}]}], "]"}]}], "}"}], ",", 
   RowBox[{"Max", "[", 
    RowBox[{"MapIndexed", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        TagBox["#1",
         #& ,
         SyntaxForm->"a"], "/", "\[NegativeVeryThinSpace]", 
        "\[NegativeVeryThinSpace]", 
        RowBox[{"First", "[", 
         TagBox["#2",
          #& ,
          SyntaxForm->"a"], "]"}]}], "&"}], ",", 
      RowBox[{"FoldList", "[", 
       RowBox[{"Plus", ",", 
        RowBox[{"First", "[", "list", "]"}], ",", 
        RowBox[{"Rest", "[", "list", "]"}]}], "]"}]}], "]"}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 FractionBox["55", "34"]], "Output",
 CellChangeTimes->{3.413642155301921*^9, 3.4282423339384813`*^9, 
  3.432312982274665*^9, 3.50020929574286*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"a", "/", "b"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "0", ",", "b"}], "}"}]}], "]"}], "]"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MemberQ", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", "=", "34"}], "}"}], ",", 
     RowBox[{"Union", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
         "a", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "b"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"b", ",", "n"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"a", ",", "0", ",", "b"}], "}"}]}], "]"}], "]"}], "]"}]}], 
    "]"}], ",", 
   RowBox[{"FractionalPart", "[", 
    FractionBox["55", "34"], "]"}]}], "]"}]], "Input"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.4136421553345337`*^9, 3.428242344653935*^9, 
  3.432312982325042*^9, 3.5002092990148067`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Number classification", "Subsection"], Cell[" (page 916)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["x", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "+", 
       SuperscriptBox["y", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "0", ",", "1"}], "}"}]}], "]"}], "==", 
  RowBox[{
   RowBox[{
    RowBox[{"HypergeometricPFQ", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "/", "2"}], ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"3", "/", "2"}], ",", 
        RowBox[{"3", "/", "2"}]}], "}"}], ",", 
      RowBox[{"1", "/", "9"}]}], "]"}], "/", "6"}], "+", 
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", "\[Pi]", " ", 
    RowBox[{"ArcSinh", "[", "1", "]"}]}], "-", "Catalan"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["x", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "+", 
        SuperscriptBox["y", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", "30"}], 
  "]"}]], "Input"],

Cell[BoxData["0.6395103518703110019626930854273236798759946251847282948095`30.\
"], "Output",
 CellChangeTimes->{3.413642159618623*^9, 3.428242363533903*^9, 
  3.432312986974064*^9, 3.500209309001708*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"HypergeometricPFQ", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "2"}], ",", "1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"3", "/", "2"}], ",", 
         RowBox[{"3", "/", "2"}]}], "}"}], ",", 
       RowBox[{"1", "/", "9"}]}], "]"}], "/", "6"}], "+", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", "\[Pi]", " ", 
     RowBox[{"ArcSinh", "[", "1", "]"}]}], "-", "Catalan"}], ",", "30"}], 
  "]"}]], "Input"],

Cell[BoxData["0.6395103518703110019626930854273238178109546561636386871899`30.\
"], "Output",
 CellChangeTimes->{3.413642159731717*^9, 3.428242363776263*^9, 
  3.4323129871944227`*^9, 3.500209309782763*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mathematical Functions ", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 147 \[CenterDot] Substitution systems\
\>", "Subsection"], Cell[" (page 917)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347899745187683`*^9, 3.5347899745187683`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"Floor", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "1"}], ")"}], " ", "#"}], "]"}], "-", 
     RowBox[{"Floor", "[", 
      RowBox[{"n", " ", "#"}], "]"}]}], "&"}], ")"}], "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"b", "-", "a"}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"a", "+", "b"}], ")"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", "7"}], ",", 
       RowBox[{"b", "=", "13"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Floor", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n", "+", "1"}], ")"}], " ", "#"}], "]"}], "-", 
         RowBox[{"Floor", "[", 
          RowBox[{"n", " ", "#"}], "]"}]}], "&"}], ")"}], "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"a", "+", "b"}], ")"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "30"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413642159762515*^9, 3.428242374500224*^9, 
  3.432312987292672*^9, 3.500209343689427*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Many sine functions", "Subsection"], Cell[" (page 917)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"\[Pi]", "/", 
     RowBox[{"(", 
      RowBox[{"2", " ", "q"}], ")"}]}], ")"}], 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{
       SuperscriptBox["n", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", "p", " ", 
       RowBox[{"\[Pi]", "/", "q"}]}], "]"}], "/", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"n", " ", "\[Pi]"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", "q"}], ")"}]}], "]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", 
      RowBox[{"q", "-", "1"}]}], "}"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "=", "7"}], ",", 
      RowBox[{"q", "=", "17"}]}], "}"}], ",", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Pi]", "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", "q"}], ")"}]}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{
          SuperscriptBox["n", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", "p", " ", 
          RowBox[{"\[Pi]", "/", "q"}]}], "]"}], "/", 
        SuperscriptBox[
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"n", " ", "\[Pi]"}], "/", 
           RowBox[{"(", 
            RowBox[{"2", " ", "q"}], ")"}]}], "]"}], 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", 
         RowBox[{"q", "-", "1"}]}], "}"}]}], "]"}]}]}], "]"}], "//", 
  "N"}]], "Input"],

Cell[BoxData["0.7516656802012895`"], "Output",
 CellChangeTimes->{3.413642159811619*^9, 3.432312987374135*^9, 
  3.500209347960869*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 148 \[CenterDot] Zeta function", "Subsection"], Cell[
     " (page 918)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347899817184887`*^9, 3.5347899817184887`*^9}}],

Cell[CellGroupData[{

Cell["\<\
RiemannSiegelTheta[t_]=Arg[Gamma[1/4+\[ImaginaryI] t/2]]-1/2 t Log[\[Pi]]\
\>", "Subsubsection"],

Cell[TextData[{
 "RiemannSiegelTheta is also a built-in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " function."
}], "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Iterated Maps and the Chaos Phenomenon", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 151 \[CenterDot] Problems with computer experiments\
\>", "Subsection"], Cell[" (page 919)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.5347899982151375`*^9, 3.5347899982151375`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"IntegerDigits", "[", 
  RowBox[{
   RowBox[{"Mod", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]], " ", 
      RowBox[{"Floor", "[", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "53"}]], " ", "x"}], 
       "]"}]}], ",", 
     SuperscriptBox["2", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "53"}]]}], "]"}], ",", "2", 
   ",", "53"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", "=", 
         RowBox[{"1", "/", "7."}]}], "}"}], ",", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{
         RowBox[{"Mod", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox["2", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]], " ", 
            RowBox[{"Floor", "[", 
             RowBox[{
              SuperscriptBox["2", 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "53"}]], " ", 
              "x"}], "]"}]}], ",", 
           SuperscriptBox["2", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "53"}]]}], "]"}], ",",
          "2", ",", "53"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "20"}], "}"}]}], "]"}], ",", 
   RowBox[{"Spacings", "->", ".2"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512915818006263*^9, 3.512915821253046*^9}, {
  3.512915857358343*^9, 3.512915911370904*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0"},
    {"0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "0"},
    {"1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "0", "0", "0"},
    {"0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "0", "0", "0", "0"},
    {"1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", 
     "1", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", 
     "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", "0", "0", "1", 
     "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
     "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{0.2}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.41364215987498*^9, 3.4282427443965883`*^9, 3.432312987516028*^9, 
   3.500209357544718*^9, {3.512915822565362*^9, 3.5129159116320047`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"IntegerDigits", "[", 
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{
        RowBox[{
         SuperscriptBox["2", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]], " ", 
         RowBox[{"Floor", "[", 
          RowBox[{
           SuperscriptBox["10", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "12"}]], " ", "x"}], 
          "]"}]}], ",", 
        SuperscriptBox["10", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "12"}]]}], "]"}], ",", 
      "10", ",", "12"}], "]"}], ",", "2", ",", "4"}], "]"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", "=", 
         RowBox[{"1", "/", "7."}]}], "}"}], ",", 
       RowBox[{"Flatten", "[", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{"IntegerDigits", "[", 
           RowBox[{
            RowBox[{"Mod", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["2", 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]], " ", 
               RowBox[{"Floor", "[", 
                RowBox[{
                 SuperscriptBox["10", 
                  RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "12"}]], " ", 
                 "x"}], "]"}]}], ",", 
              SuperscriptBox["10", 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "12"}]]}], "]"}], 
            ",", "10", ",", "12"}], "]"}], ",", "2", ",", "4"}], "]"}], 
        "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "20"}], "}"}]}], "]"}], ",", 
   RowBox[{"Spacings", "->", ".2"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512916005894372*^9, 3.512916010967358*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", 
     "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", 
     "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", 
     "0", "1", "0", "1", "1", "1"},
    {"0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", 
     "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", 
     "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", 
     "0", "1", "0", "1", "0", "0"},
    {"0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", 
     "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", 
     "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", 
     "1", "0", "1", "0", "0", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", 
     "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", 
     "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", 
     "0", "1", "0", "1", "1", "0"},
    {"0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", 
     "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", 
     "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", 
     "0", "1", "0", "0", "1", "0"},
    {"0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", 
     "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", 
     "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", 
     "1", "0", "0", "1", "0", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", 
     "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", 
     "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", 
     "0", "0", "1", "0", "0", "0"},
    {"0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", 
     "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", 
     "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", "1", "0", "1", "0", 
     "0", "1", "0", "1", "1", "0"},
    {"0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", 
     "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", 
     "0", "1", "1", "1", "0", "0", "0", "1", "0", "0", "1", "1", "1", "0", 
     "0", "1", "0", "0", "1", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", 
     "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", 
     "0", "1", "0", "0", "0", "0", "1", "0", "0", "1", "1", "1", "1", "0", 
     "0", "0", "0", "1", "0", "0"},
    {"0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", 
     "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", 
     "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", "0", "1", "0", "1", 
     "1", "0", "1", "0", "0", "0"},
    {"0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", 
     "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", 
     "0", "1", "1", "1", "0", "0", "0", "1", "0", "0", "0", "1", "0", "0", 
     "1", "1", "0", "1", "1", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", 
     "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", 
     "0", "1", "0", "0", "0", "0", "1", "0", "0", "0", "1", "0", "0", "1", 
     "1", "1", "0", "0", "1", "0"},
    {"0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", 
     "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", 
     "1", "0", "0", "0", "0", "1", "0", "0", "0", "1", "0", "1", "0", "1", 
     "0", "0", "0", "1", "0", "0"},
    {"0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", 
     "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", 
     "0", "1", "1", "0", "1", "0", "0", "1", "0", "0", "0", "0", "1", "0", 
     "0", "0", "1", "0", "0", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", 
     "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", 
     "0", "0", "1", "1", "1", "0", "0", "0", "0", "0", "0", "1", "0", "1", 
     "1", "1", "0", "1", "1", "0"},
    {"0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", 
     "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", 
     "0", "1", "1", "1", "0", "1", "1", "0", "0", "0", "1", "1", "0", "1", 
     "0", "1", "0", "0", "1", "0"},
    {"0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", 
     "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", 
     "0", "1", "0", "1", "0", "0", "1", "0", "0", "1", "1", "1", "0", "0", 
     "0", "0", "0", "1", "0", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", 
     "0", "0", "0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", 
     "0", "0", "0", "0", "0", "1", "0", "1", "0", "1", "0", "0", "0", "0", 
     "0", "0", "1", "0", "0", "0"},
    {"0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "1", "0", "1", 
     "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", 
     "0", "0", "0", "1", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
     "0", "1", "0", "1", "1", "0"},
    {"0", "1", "0", "1", "0", "1", "1", "1", "0", "0", "0", "1", "0", "1", 
     "0", "0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "1", "0", "0", 
     "0", "0", "1", "0", "0", "0", "0", "1", "0", "1", "1", "0", "0", "0", 
     "1", "1", "0", "0", "1", "0"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{0.2}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.413642159921138*^9, 3.428242752461595*^9, 
  3.432312987614664*^9, 3.500209361433614*^9, 3.5129160116423407`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Continuous Cellular Automata", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation", "Subsection"], Cell[" (page 921)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"CCAEvolveStep", "[", 
    RowBox[{"f_", ",", "list_List"}], "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{"f", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"RotateLeft", "[", "list", "]"}], "+", "list", "+", 
        RowBox[{"RotateRight", "[", "list", "]"}]}], ")"}], "/", "3"}]}], 
    "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"CCAEvolveList", "[", 
   RowBox[{"f_", ",", "init_List", ",", "t_Integer"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"CCAEvolveStep", "[", 
      RowBox[{"f", ",", "#"}], "]"}], "&"}], ",", "init", ",", "t"}], 
   "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CCAEvolveStep", "[", 
   RowBox[{"f_", ",", "list_List"}], "]"}], ":=", 
  RowBox[{"Map", "[", 
   RowBox[{"f", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"RotateLeft", "[", "list", "]"}], "+", "list", "+", 
       RowBox[{"RotateRight", "[", "list", "]"}]}], ")"}], "/", "3"}]}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"CCAEvolveList", "[", 
   RowBox[{"f_", ",", "init_List", ",", "t_Integer"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"CCAEvolveStep", "[", 
      RowBox[{"f", ",", "#"}], "]"}], "&"}], ",", "init", ",", "t"}], 
   "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"CCAEvolveList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FractionalPart", "[", 
       RowBox[{"3", 
        RowBox[{"#", "/", "2"}]}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", "5"}], "]"}], ",", 
   RowBox[{"Spacings", "->", ".6"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512916032051729*^9, 3.5129160372368937`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", 
     FractionBox["1", "2"], 
     FractionBox["1", "2"], 
     FractionBox["1", "2"], "0", "0", "0", "0"},
    {"0", "0", "0", 
     FractionBox["1", "4"], 
     FractionBox["1", "2"], 
     FractionBox["3", "4"], 
     FractionBox["1", "2"], 
     FractionBox["1", "4"], "0", "0", "0"},
    {"0", "0", 
     FractionBox["1", "8"], 
     FractionBox["3", "8"], 
     FractionBox["3", "4"], 
     FractionBox["7", "8"], 
     FractionBox["3", "4"], 
     FractionBox["3", "8"], 
     FractionBox["1", "8"], "0", "0"},
    {"0", 
     FractionBox["1", "16"], 
     FractionBox["1", "4"], 
     FractionBox["5", "8"], "0", 
     FractionBox["3", "16"], "0", 
     FractionBox["5", "8"], 
     FractionBox["1", "4"], 
     FractionBox["1", "16"], "0"},
    {
     FractionBox["1", "32"], 
     FractionBox["5", "32"], 
     FractionBox["15", "32"], 
     FractionBox["7", "16"], 
     FractionBox["13", "32"], 
     FractionBox["3", "32"], 
     FractionBox["13", "32"], 
     FractionBox["7", "16"], 
     FractionBox["15", "32"], 
     FractionBox["5", "32"], 
     FractionBox["1", "32"]}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{0.6}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.413642159982658*^9, 3.4136462043850183`*^9, 3.428242762443572*^9, 
   3.432312988050276*^9, 3.50020936998322*^9, {3.512916038030822*^9, 
   3.5129160422227297`*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Additive rules", "Subsection"], Cell[" (page 922)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mod", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"RotateLeft", "[", "list", "]"}], "+", 
    RowBox[{"RotateRight", "[", "list", "]"}]}], ",", "1"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{"Function", "[", 
      RowBox[{"list", ",", 
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"RotateLeft", "[", "list", "]"}], "+", 
          RowBox[{"RotateRight", "[", "list", "]"}]}], ",", "1"}], "]"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"1", "/", "3"}], ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", "5"}], "]"}], ",", 
   RowBox[{"Spacings", "->", ".6"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.512916100808934*^9, 3.5129161062752*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", 
     FractionBox["1", "3"], "0", "0", "0", "0", "0"},
    {"0", "0", "0", "0", 
     FractionBox["1", "3"], "0", 
     FractionBox["1", "3"], "0", "0", "0", "0"},
    {"0", "0", "0", 
     FractionBox["1", "3"], "0", 
     FractionBox["2", "3"], "0", 
     FractionBox["1", "3"], "0", "0", "0"},
    {"0", "0", 
     FractionBox["1", "3"], "0", "0", "0", "0", "0", 
     FractionBox["1", "3"], "0", "0"},
    {"0", 
     FractionBox["1", "3"], "0", 
     FractionBox["1", "3"], "0", "0", "0", 
     FractionBox["1", "3"], "0", 
     FractionBox["1", "3"], "0"},
    {
     FractionBox["1", "3"], "0", 
     FractionBox["2", "3"], "0", 
     FractionBox["1", "3"], "0", 
     FractionBox["1", "3"], "0", 
     FractionBox["2", "3"], "0", 
     FractionBox["1", "3"]}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{0.6}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.413642160015376*^9, 3.4282427814594593`*^9, 
  3.4323129883298597`*^9, 3.500209374272253*^9, 3.512916106913138*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Partial Differential Equations", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Klein\[Dash]Gordon equation", "Subsection"], Cell[
     " (page 922)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.534790030719388*^9, 3.5347900307233887`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"u", "[", 
   RowBox[{"t", ",", "x"}], "]"}], "=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ">", 
     SuperscriptBox["t", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ",", "0", ",", 
    RowBox[{"BesselJ", "[", 
     RowBox[{"0", ",", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        SuperscriptBox["t", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", 
        SuperscriptBox["x", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "]"}]}], 
     "]"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", "u", "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"u", "[", 
      RowBox[{"t", ",", "x"}], "]"}], "=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", 
         RowBox[{"\[VeryThinSpace]", "2"}]], ">", 
        SuperscriptBox["t", 
         RowBox[{"\[VeryThinSpace]", "2"}]]}], ",", "0", ",", 
       RowBox[{"BesselJ", "[", 
        RowBox[{"0", ",", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           SuperscriptBox["t", 
            RowBox[{"\[VeryThinSpace]", "2"}]], "-", 
           SuperscriptBox["x", 
            RowBox[{"\[VeryThinSpace]", "2"}]]}], "]"}]}], "]"}]}], "]"}]}], 
    ";", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"t", ",", "t"}]], 
        RowBox[{"u", "[", 
         RowBox[{"t", ",", "x"}], "]"}]}], "-", 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"x", ",", "x"}]], 
        RowBox[{"u", "[", 
         RowBox[{"t", ",", "x"}], "]"}]}], "-", 
       RowBox[{"u", "[", 
        RowBox[{"t", ",", "x"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        SuperscriptBox["x", "2"], ">", 
        SuperscriptBox["t", "2"]}], "}"}]}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.413642160063349*^9, 3.413646257756817*^9, 
  3.4282427904943733`*^9, 3.4323129884400597`*^9, 3.500209379510797*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 164 \[CenterDot] Singular behavior", "Subsection"], Cell[
     " (page 923)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.534790064684784*^9, 3.534790065853901*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[PartialD]", "t"], 
   RowBox[{"u", "[", 
    RowBox[{"t", ",", "x"}], "]"}]}], "==", 
  RowBox[{"-", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"x", "\[InvisibleComma]", "x"}]], 
    RowBox[{"u", "[", 
     RowBox[{"t", ",", "x"}], "]"}]}]}]}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 165 \[CenterDot] Field equations", "Subsection"], Cell[
     " (page 923)", "TI"]}
   }], TextForm]], "Subsection",
 CellChangeTimes->{{3.534790071356451*^9, 3.534790071356451*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[PartialD]", 
    RowBox[{"t", "\[InvisibleComma]", "t"}]], 
   RowBox[{"u", "[", 
    RowBox[{"t", ",", "x"}], "]"}]}], "==", 
  RowBox[{
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"x", "\[InvisibleComma]", "x"}]], 
    RowBox[{"u", "[", 
     RowBox[{"t", ",", "x"}], "]"}]}], "+", 
   RowBox[{"f", "[", 
    RowBox[{"u", "[", 
     RowBox[{"t", ",", "x"}], "]"}], "]"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"v", "[", "u", "]"}], "=", 
  RowBox[{"-", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"f", "[", "u", "]"}], ",", "u"}], "]"}]}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[PartialD]", "t"], "u"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[PartialD]", "x"], "u"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}], "/", "2"}],
   "-", 
  RowBox[{"v", "[", "u", "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["\[PartialD]", "t"], "u"}], ")"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["\[PartialD]", "x"], "u"}], ")"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}], "/", 
     "2"}], "+", 
    RowBox[{"v", "[", "u", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], 
  "]"}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Equation for the background", "Subsection"], Cell[
     " (page 924)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    SuperscriptBox["u", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[DoublePrime]"}]], "[", 
    "t", "]"}], "==", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox[
       RowBox[{"u", "[", "t", "]"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"a", " ", 
       RowBox[{"u", "[", "t", "]"}]}]}], ")"}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"u", "[", "0", "]"}], "==", 
   RowBox[{
    SuperscriptBox["u", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", "0", 
    "]"}], "==", "0"}], "\n"}], "\n", 
 RowBox[{
  SqrtBox["3"], " ", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"JacobiSN", "[", 
     RowBox[{
      RowBox[{"t", "/", 
       SuperscriptBox["3", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
         RowBox[{"1", "/", "4"}]}]]}], ",", 
      RowBox[{"1", "/", "2"}]}], "]"}], 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SuperscriptBox[
      RowBox[{"JacobiCN", "[", 
       RowBox[{
        RowBox[{"t", "/", 
         SuperscriptBox["3", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
           RowBox[{"1", "/", "4"}]}]]}], ",", 
        RowBox[{"1", "/", "2"}]}], "]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], 
    ")"}]}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", "0"}], ",", "u"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u", "[", "t_", "]"}], "=", 
       RowBox[{
        SqrtBox["3"], " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"JacobiSN", "[", 
           RowBox[{
            RowBox[{"t", "/", 
             SuperscriptBox["3", 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
               RowBox[{"1", "/", "4"}]}]]}], ",", 
            RowBox[{"1", "/", "2"}]}], "]"}], 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox[
            RowBox[{"JacobiCN", "[", 
             RowBox[{
              RowBox[{"t", "/", 
               SuperscriptBox["3", 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                 RowBox[{"1", "/", "4"}]}]]}], ",", 
              RowBox[{"1", "/", "2"}]}], "]"}], 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}]}]}],
       ";", 
      RowBox[{
       RowBox[{
        SuperscriptBox["u", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[DoublePrime]"}]], "[",
         "t", "]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          SuperscriptBox[
           RowBox[{"u", "[", "t", "]"}], 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"a", " ", 
           RowBox[{"u", "[", "t", "]"}]}]}], ")"}]}]}]}]}], "]"}], "]"}], "/.", 
  RowBox[{"t", "\[Rule]", ".3`40"}]}]], "Input"],

Cell[BoxData["0``37.68093835948039"], "Output",
 CellChangeTimes->{3.413642160199945*^9, 3.4282428041677237`*^9, 
  3.432312988646944*^9, 3.50020938716053*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"b", " ", "d", " ", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"JacobiSN", "[", 
      RowBox[{
       RowBox[{"r", " ", "t"}], ",", "s"}], "]"}], 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
    RowBox[{"(", 
     RowBox[{"b", "-", 
      RowBox[{"d", " ", 
       SuperscriptBox[
        RowBox[{"JacobiCN", "[", 
         RowBox[{
          RowBox[{"r", " ", "t"}], ",", "s"}], "]"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], ")"}]}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"r", "=", 
   RowBox[{"-", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"1", "/", "8"}], " ", "a", " ", "c", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "d"}], ")"}]}], "]"}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"d", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"c", "-", "b"}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"c", " ", 
       RowBox[{"(", 
        RowBox[{"d", "-", "b"}], ")"}]}], ")"}]}]}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"x", "-", "b"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"x", "-", "c"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"x", "-", "d"}], ")"}]}], "==", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{"12", "+", 
       RowBox[{"6", " ", "a", " ", "x"}], "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["x", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "-", 
       RowBox[{"3", " ", "a", " ", 
        SuperscriptBox["x", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "3"}]]}]}], ")"}]}], "/", 
    RowBox[{"(", 
     RowBox[{"3", " ", "a"}], ")"}]}]}], "\n"}], "\n", 
 RowBox[{"3", " ", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"5", "/", "6"}], "]"}], " ", "t"}], "]"}], 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{"5", "/", "6"}], "]"}], " ", "t"}], "]"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], 
    ")"}]}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{"8", "/", "3"}]}], ",", "u"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u", "[", "t_", "]"}], "=", 
       RowBox[{"3", " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Sin", "[", 
           RowBox[{
            RowBox[{"Sqrt", "[", 
             RowBox[{
             "5", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
              "6"}], "]"}], " ", "t"}], "]"}], 
          RowBox[{"\[VeryThinSpace]", "2"}]], "/", 
         "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"3", " ", 
            SuperscriptBox[
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"Sqrt", "[", 
                RowBox[{
                "5", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
                 "6"}], "]"}], " ", "t"}], "]"}], 
             RowBox[{"\[VeryThinSpace]", "2"}]]}]}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["u", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[DoublePrime]"}]], "[",
         "t", "]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          SuperscriptBox[
           RowBox[{"u", "[", "t", "]"}], 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"a", " ", 
           RowBox[{"u", "[", "t", "]"}]}]}], ")"}]}]}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "\[Element]", "Reals"}], ",", 
     RowBox[{"t", ">", "0"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.413642160265684*^9, 3.4282428176202*^9, 
  3.432312988779635*^9, 3.500209392650741*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation", "Subsection"], Cell[" (page 924)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[PartialD]", 
    RowBox[{"t", "\[InvisibleComma]", "t"}]], 
   RowBox[{"u", "[", 
    RowBox[{"t", ",", "x"}], "]"}]}], "==", 
  RowBox[{
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"x", "\[InvisibleComma]", "x"}]], 
    RowBox[{"u", "[", 
     RowBox[{"t", ",", "x"}], "]"}]}], "+", 
   RowBox[{"f", "[", 
    RowBox[{"u", "[", 
     RowBox[{"t", ",", "x"}], "]"}], "]"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PDEKernel", "[", 
    RowBox[{"f_", ",", 
     RowBox[{"{", 
      RowBox[{"dx_", ",", "dt_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "b"}], "-", "d"}], ")"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a", "+", "c", "-", 
             RowBox[{"2", " ", "b"}]}], ")"}], "/", 
           SuperscriptBox["dx", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
          RowBox[{"f", "[", "b", "]"}]}], ")"}], " ", 
        SuperscriptBox["dt", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], "]"}]}], 
    "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"PDEStep", "[", 
    RowBox[{"ker_", ",", 
     RowBox[{"{", 
      RowBox[{"u1_", ",", "u2_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"u2", ",", 
     RowBox[{"Apply", "[", 
      RowBox[{"ker", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RotateLeft", "[", "u2", "]"}], ",", "u2", ",", 
          RowBox[{"RotateRight", "[", "u2", "]"}], ",", "u1"}], "}"}], "]"}], 
       ",", 
       RowBox[{"{", "1", "}"}]}], "]"}]}], "}"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"PDEEvolveList", "[", 
    RowBox[{"ker_", ",", 
     RowBox[{"{", 
      RowBox[{"u0_", ",", "u1_"}], "}"}], ",", "n_"}], "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{"First", ",", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"PDEStep", "[", 
         RowBox[{"ker", ",", "#"}], "]"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"u0", ",", "u1"}], "}"}], ",", "n"}], "]"}]}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{"PDEEvolveList", "[", 
  RowBox[{
   RowBox[{"PDEKernel", "[", 
    RowBox[{
     RowBox[{"0", "&"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.1", ",", "0.05"}], "}"}]}], "]"}], ",", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], " ", 
       RowBox[{"N", "[", 
        RowBox[{"Exp", "[", 
         RowBox[{"-", 
          SuperscriptBox["x", 
           RowBox[{"\[VeryThinSpace]", "2"}]]}], "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "5"}], ",", "5", ",", "0.1"}], "}"}]}], "]"}], "]"}], 
   ",", "50"}], "]"}]}], "Subsubsection",
 CellChangeTimes->{3.512917027334543*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"PDEKernel", "[", 
   RowBox[{"f_", ",", 
    RowBox[{"{", 
     RowBox[{"dx_", ",", "dt_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Compile", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "b"}], "-", "d"}], ")"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"a", "+", "c", "-", 
            RowBox[{"2", " ", "b"}]}], ")"}], "/", 
          SuperscriptBox["dx", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
         RowBox[{"f", "[", "b", "]"}]}], ")"}], " ", 
       SuperscriptBox["dt", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], "]"}]}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"PDEStep", "[", 
   RowBox[{"ker_", ",", 
    RowBox[{"{", 
     RowBox[{"u1_", ",", "u2_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"u2", ",", 
    RowBox[{"Apply", "[", 
     RowBox[{"ker", ",", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RotateLeft", "[", "u2", "]"}], ",", "u2", ",", 
         RowBox[{"RotateRight", "[", "u2", "]"}], ",", "u1"}], "}"}], "]"}], 
      ",", 
      RowBox[{"{", "1", "}"}]}], "]"}]}], "}"}]}], "\n", 
 RowBox[{
  RowBox[{"PDEEvolveList", "[", 
   RowBox[{"ker_", ",", 
    RowBox[{"{", 
     RowBox[{"u0_", ",", "u1_"}], "}"}], ",", "n_"}], "]"}], ":=", 
  RowBox[{"Map", "[", 
   RowBox[{"First", ",", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"PDEStep", "[", 
        RowBox[{"ker", ",", "#"}], "]"}], "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"u0", ",", "u1"}], "}"}], ",", "n"}], "]"}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.512916951664274*^9, 3.512916973727618*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot3D", "[", 
  RowBox[{"PDEEvolveList", "[", 
   RowBox[{
    RowBox[{"PDEKernel", "[", 
     RowBox[{
      RowBox[{"0", "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.1", ",", "0.05"}], "}"}]}], "]"}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}], " ", 
        RowBox[{"N", "[", 
         RowBox[{"Exp", "[", 
          RowBox[{"-", 
           SuperscriptBox["x", 
            RowBox[{"\[VeryThinSpace]", "2"}]]}], "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "5"}], ",", "5", ",", "0.1"}], "}"}]}], "]"}], "]"}], 
    ",", "50"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.388758733257991*^9}],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJx03XVYVVv3L/BtY28VFRUVt4iIiHTHIES6U8XuwDx2LLu7FRXj2N2i4hIL
FRXsTkRsUQ82Xp7nZY4x57z7d//x+X3ueva79lpzjvFdgwWnSdeBUT1KazSa
SFONpoyG/b9PXuxfqzOdNjnN2u1R8v8BzLfVPfq7xZyzJW6A3jlKl1q6/oMS
16Ib/Ymd/nZKQYkboocuqVNnpl15z//930bobpeaN3q8uEGJG6O3PZfd7t1F
6xI3Qb+gmHl0qehX4jr0L98n/h4xKL7ETdF73/fuPP5p3xI3Q7889UNae4fx
JW6O3nPWooevNy4ocQv0oQ3XDHT4vr7ELdH37/7RMqrcgRK3ou+lyclteOJM
iVuj1xqRWvVXjZslboOePTFCc7tUbonbop8vvc1p05wvJW6HXtl+ZsuQY6VL
7p89uuvzWsY/FtcocQf0djFmzT5bmpS4I/rC3en5TlatStwJ3d5o/5YdWS4l
7ow+KuJXbGZ7/xJ3QS84/+eueVFUibuiX3jbN+F1aqcSd0MfWT/JvEN2nxJ3
R99744njjs3DStwDPWLwqJuLbJQS90Qf8Y9bv+zcGSXuhf7VvcnR2NOLShzQ
H41MPDz6wOr/uUL+aYefd1DVTSXHe9N1a27vNXbYzpLjyZusqRDjeelAyfE+
6N/ip8wb/Cut5HjyEQNSam2ukFFyvC96qaJJX2PXXig5nrzel2l1N0dfLTne
D92sdlql7bVvlBxP7vzR0jFu9p2S49ugj50y5NvckQ9LjifPtl7WYcmTpyXH
+9N1q1C4fcOqFyXHkw/t/k9oUnReyfFt0StP2rn249v8kuPJo62aVj3j97bk
+AD05vULUt55vi85nnxB5UHjL6Z/KDk+EL0opeWfsbs/lhxPLv4bhP5HOJ58
rvD5weg64XzIw4TzD/k/vi95f+H6hP4f15P8onD9w9AHCfeLXLy/4ejGwnog
ry6snwj0gj/cegPyQfz6VMiF9aySa4X1H4kezu8XIH/M7y+F/Dq/H1Vycf9G
oXfk9zuQB/D1QSFfxtcTlbyfUH+i0YV6BeT3+PqmkPfm66FKXlWonzHok/l6
C+RCfVbIhXqukn+04+t/LPo2vl8A+Qm+vyjkQj9SycX+FYc+h+93QJ7A90eF
PJbvpyq52H/j6Xry/RrIz/L9XSFfx+cBlVzMDwn0vfi8AeSPF3P5RCH/7zeX
Z1RyCyH/JKILeQnIxXzF6pYG9OcuDejPXRrQn7s0oD93aUB/7tKA/tylAf25
SwP6c5cG9OcuDejPXRrQn7s0oD93aUB/7tKA/txV/L305i4N6M9dGtCfuzSg
P3dpQH/u0oD+3KUB/blLA/pzlwb05y4N6M9dGtCfu4rvl97cpQH9uUsD+nNX
cYfQm7s0oD93aUB/7tKA/tylAf25q/i66c1dGtCfuzSgP3cVn6fe3KUB/blL
A/pzlwb05y4N6M9dGtCfu4rXm97cVXzd9Oau4vWvN3cVr0O9uau4Y+nNXRrQ
n7s0oD93aUB/7qLnwv/9G4SuP3dpQH/u0oD+3KUB/blL/r7k+nOXfD3J9ecu
DejPXfL9DUfXn7s0oD93Fe9Tvbmr+H9Xb+6S1rNKrj93aUB/7tKA/tylAf25
S96/Uej6c5cG9OcuDejPXRrQn7ukegXk+nNXcX/Rm7s0oD93aUB/7pLqs0Ku
P3dpQH/uKu7XenOXBvTnLqkfqeT6c5cG9Oeu4gSjN3cVn4He3CX333h0/blL
A/pzlwb05y45PySg689dxetTb+7SgP7cpQH9uUvKS0CuP3cZQLn//j54feyQ
lLsMwMnmQOax4xel3GUAaw0nVD6W81TKXQZwd8DRkffn/iflLgN49aFi5UjD
ylLuMoDh6dH+ZrtMpNxlADsaP96Vq7OXcpcBTI21Mre43VbKXQZw4Vj5uC3b
2ku5ywCcB5pX/T1yoJS7DCCkbMUz0XMnSrnLAIJOnO/Sw2axlLsMoNORpIre
izdJucsATH8lHE5fd0jKXQYwruBI+uG256XcZQCjUhb59p94W8pdBmCVs3fc
2MA8KXcZwIaWGwtsN/4n5S4DGLPjjIXTirJS7jKALO9qZuucakm5ywCMotpY
T1vSRMpdxefzfWLk7hmtpdxlAOazPvzSpLlJucsAjl8dUmVeXlspdxV/jkHi
lQu2MVLuMoDktMgxdU50lnKXAcy5ueN+aut+Uu4ygOw2R2dZbP5Hyl0GMHbB
q7fX8+TcZQAzD2WdH/FkppS7DKBzv2rLm/ZdLOUuA9jY5c7rIwtSpNxlAG/m
uU63WyXnLgNwrfrx3h7dLil3FX/fPrNrz7Y9KOUuA/gbWLNng2HHpdxlAG4T
Tx29HSTnLgNoFl+pXNFLOXcZwDpf73keKXLuMoCzpvdiGzvLucsAyq5d38Bl
m5y7DGDYsvlH8ubJucsAvr4pXD7lpZy7itf/6z+nqv5/ucsAjsU0dYkOlnOX
ARzp8fvl3wdy7jIAh6KRS41aybnLAOa2TxqcaCLnLgNYZHeq2alVcu4ygK45
No8/TZNzlwGMv7p0vOedj1LuMoBuwvHk84XPD0afIZwPua1w/iHoh4TvS35Y
uD6h6AHC9ST/KFz/MPS+wv0i1wj3Nxw9XVgP5AuF9ROBXo9fb0Buz69Phfwb
v55V8kHC+o9Eb87vFyB/zO8vhXwZvx9V8nbC/o1CH83vdyBP5uuDQn6Crycq
+Sih/kSj9+brFZD34+ubQr6Br4cqeWWhfsagd+LrLZDX4euzQp7J13OVvI9Q
/2PRJ/P9AsgN+f6ikA/k+5FKPkroX3Ho1fh+B+TufH9UyO34fqqS+wn9Nx7d
lu/XQL6d7+8KeXs+D6jky4X8kIA+iM8bQL6dzycK+Ww+z6jkE4T8k4jekM9L
QC7mK5a7tJCXs6RF1WunpdylhYPPt42xuXxdyl1aOPHEsL6HNl/KXcXHTzxw
021YkZS7tGAyv6DC69yaUu7SQlyvihkTf5tJuUsLl6s8nmbaz03KXVqw1H5s
PN0gQspdWiitrWG+sWtXKXdp4Xv0BuuMHcOk3KWFTeZZzosuTpNylxZ85jS3
G7V+hZS7tHDk0s1mR+tvl3KXFnaPqtVzvslxKXdpYX38HRvdpstS7tJCn/t9
kx+ueSDlruLrsH7syZbV3kq5SwsLdr+IH/rnh5S7tDD9xp2p7mMMpNylha9r
x646lVJHyl1a0L3vllI42lTKXVp4OvD8lRHWtlLu0sKwpDUb9u/2knKXFpq4
PcjYWy1Yyl1auPHb8/6TrXFS7io+H6cGHh9Wd5VylxYeO9wqY/1jgJS7tHD3
zjiLzztGSLlLC9Ma9s8OiZ0k5S4t/Htw5LkW92ZLuUsLjjfOrPl9comUu7Tw
csylHLfQtVLu0sLne4F/zh38V8pdxed/1v9r0oTdUu7Sgtt/lZt8LH1Iyl1a
KLM/cee57iek3KWFfgemf1ybLecuLbw/lGXaf1imlLu0MLF+pb5tLK9Juav4
fGxOfGg3Vs5dWkjZua4QcuXcVbxf0jJ3P0yTc5cW1JTQqzUL5NxVXAd6hL7e
skLOXVroZpVeoHOTc5cWfFv+16rlCTl3aSH0VL759z9vpNylhXW/8sfMf/FO
yl1aKD+35tXm0XLu0sKqJPtj/Zzl3KWF5LU/LOOmyblLC6uF48nLCZ8fjL5K
OB/yEOH8Q9C9hO9L3l24PqHoz4XrSX5SuP5h6GbC/SJfJNzfcHRxPZAPFtZP
BPpLfr0BeXd+fSrkBfu49aySuwrrPxL9Ab9fgPwdv78U8pv8flTJzYX9G4W+
gd/vQD6Mrw8K+SW+nqjkZ4T6E42ey9crIL/G1zeFvDRfD1XyLkL9jEG/xNdb
IDfi67NC/oav5yr5ZKH+x6IP5fsFkNvy/UUhD+X7kUq+WOhfceg7+X4H5Av4
/qiQN+b7qUo+R+i/8egf+H4N5Bq+vyvkRnweUMmXC/khAR34vAHkTfh8opB7
83lGJZ8o5J9E9EV8XgLyp0K+YrnLECx6rrz7c/8VKXcZwpw2Xae/X/JIyl2G
UCflSLtaAz5LucsQ8iac/X6kTAVP9n+zf0sHH9p0zNZYyl2G0PfS4qcvP1pL
ucsQwlaEp3397CvlrmK/3WbksYrxUu4yBJO2ParWqtNXyl2GsH3shTM+hWOl
3GUIQYE5g92nz5dylyG0gbFd99xIlXKXIcyq1bvsvyn7pNxlCH7gAFArQ8pd
hmA9olRCuvV1KXcZQtehk33Hfnkm5S5DOLjN1LJhpwIpdxlCzXc986zGakru
kx16gzuut/ftriblLkPYtGalSTeNsZS7iq9z0uQlp6q3kHKXISxTjA16/3WQ
cpchZCYlb1Y/+ki5yxCq2wcmnv4RLuUuQ2gy/IN17Oh2Uu4yhEX+Sx46Tuwh
5S5DqP0g69XcJoOl3GUIQ+wONZx7brSUuwzh8+TeZV5PmSLlLkPoF9Sj+4r7
86TcZQhF5Y9NCj69TMpdxW484tfE4alS7jKENOe//YZ13CLlLkPYcq5Fzclt
9kq5yxAmXP733HfXw1LuMoSKRmM6GGWdlHKXIawfGDTg8vIzUu4yBJdWcwMe
tb0o5S5DCFm6Z8YxTbaUuwxhQ4zFr1LP5NxlCB8a7/EodL0r5S5DiHHt/+XP
Tzl3GcK7T9tarSn1TMpdhpCg+zH311I5dxlCs6VB35bq5NxlCCvrrPl3+hw5
dxnCiO3toy4dkXOXIXz75Hm+zUw5dxmCf+HGDr/y30u5yxCen+vkqD37Qcpd
hvD1yuj1I6vJucsQXgjHk7cRPj+YPkc4H/LhwvmHoC8Vvi+5uXB9QtFjhOtJ
/lq4/mHoUcL9In8u3N9wdHE9kPsL6ycC3Y5fb0C+il+fCvmXutx6VsnHC+s/
Ej2F3y9AfpjfXwr5V34/quTvhP0bhd6X3+9A/pyvDwp5T76eqORlhfoTjT6S
r1dA3pCvbwr5VzuuHqrkJ4T6GYM+mq+3QB7B12eFfAlfz1XyxkL9j0U34PsF
kK/h+4tCHsD3I5XcROhfcXQ83++AfAzfHxVyC76fquTGQv+NR1/M92sgb8b3
d4Uc+DygkpsJ+SEBPYLPG0Beg88nCvlBPs+o5PdX8/knET2Iz0tArhXyFctd
RpDTZUlQxOi7Uu4yAvfmqzKuP3gl5S4jmNfxWfi2wt9S7jKCUiFem1zv1ZBy
lxG8TOrR/NzqZlLuMoLLxiGvPDa7SLnLCKZkeIQcvhcq5S4jKGjqtvJ4hS5S
7jKCvG2jinpXHSrlLiMIqH+tbam8KVLuMoJFowfXeTpqmZS7jGD90RFnFhzY
IuUuI2j0tIGyb+JRKXcZwcpnN0bNuZsp5S4j2J//eIntgbtS7jKCVF/d/M+1
8qXcZQSJi4yfGJf9JuUuI8i+dTzTeHE5KXcZwdixBzLK3WI/T7RHn9vv2Nxz
T9nPEx3Qfy+aZNEnhf080RF90duWU8b2ZvNwJ3SD4zv/bgpjP090Rj+xf1Hp
aYOipdxlBC2KVs4YepW9x+WK7ph8Yct/U9l7FG7onSZn/vavy97jckevmXxs
nEuFCVLuMoLk9crg3hOnS7mr+Hw+bu8TOnKhlLuMwPDjyr0zRq+UcpcRrOqw
afVb1w1S7jIC53+37AxauU3KXUbwfV3ZzrqN+6TcZQQDv9R+8e7eESl3GcHx
lAHnS289JeUuI4jdUH/RnLVnpdxlBCOG7eu1J+mSlLuMYNLcx6daz5FzlxGE
/Vz1q1b3m1LuMoLyW+Z0sd4h5y4jOJu0qrtl6CMpdxV/vnHDFU515NxlBLqB
L+07LpRzlxEs9Kp7tWMpOXcZwczyTzs4h8q5ywgCM5bvsmgv5y4jKBPnsHJW
TTl3GUH9mpVPbE6Sc1fx/v39fPnMlnLuMoIho5Kf9hzM5ldB6G2F48nrCZ8f
jF5aOB/yAOH8Q9DF70u+SLg+oegmwvUknyBc/zD0DOF+kRdt5u9vOHqAsB7I
FWH9RKAP5tcbkIfx61Mh38KvZ5W8p7D+I9E/8/sFyK35/aWQz+P3o0peWti/
UeiH+f0O5D35+qCQl+briUoeItSfaPQ6fL0C8rp8fVPID/H1UCUvTOPrZwz6
cL7eAnk2X58VcoWv5yq5WP9j0a/y/QLIvfj+opCP5PuRSr5I6F9x6Mv4fgfk
9fn+qJCP5/upSp4s9N94dBu+XwN5Lt/fFfJPfB5QyROE/JCAnsLnDSB/yucT
hfxHMJdnVHJHIf8kov8x4/ISkB8U8hXLXcZwt1yGm/t/L6TcZQyXt50w+Oz3
RcpdxhA98XbWtXfsPXkt+uvhu3SBzxpIucsY1u75Z0XAHmspdxnDi8KDXV8u
8ZVylzFMvGdUQTsjTspdxvBozOG5Vfr1kXKXMbzLqlmtSsOxUu4yhjUP7h8c
N3aelLuMofe24y6P7FOl3GUM5dMu+jzJ3SvlLmPwiZqbGeZ3WspdxuB1etz3
vaE5Uu4yho/eVVrP0TyTcpcxmFfZZTGkyycpdxmDVY/Mu/W/FEm5yxism306
M2lHFSl3GcPOvy+MCivVl3KXMWT3hAv7bJtLucsYnvTqmr/Z117KXcYQY7DZ
pl4Hbyl3GcOShS/6zmwZKuUuYyiaEX0vsWKClLuMYdg/4Ow6oJuUu4zBvvO8
eS2vJEu5yxja2F3Y8voL+3miO3rKvj6zX7VhP0/0QL9Zq8ds73bs54me6HFR
m8y+1WY/j/BCf3ix7+5Kn1Ok3GUM9Ze6t548gr1nQu6++dWuC712SrnLGK6t
dqpyK+GAlLuM4dbe5XcPPD4m5S5jmKUdv+X2T1XKXcaweMny1KHPz0m5q/jz
Pw25033/ZSl3FZ+n5a/SgY45Uu4yhsKPK8p/LX1Lyl3GkGq9r7/O9p6Uu4rv
b6X303fulnOXMSR0CYs40ErOXcbQucG7dt9myrnLGNZtCXze8M5LKXcZw44D
a/0GFr2Scpcx1IuYOzAv/7WUu4yh+bkfo9KVt1LuKl4/x/ZfLHPgnZS7jCG5
7uIlpQaz96/I2/U0HtNzH8tRQej9hOPJhwqfH4xuLpwPuZFw/iHoe4TvS75W
uD6h6OL1JI8Vrn8YeoRwv8jXCvc3HP2NsB7IxfUTgX6RX29APodfnwr5FH49
q+QZwvqPRL/K7xcgt+L3l0Jejd+PKnmWsH+j0AP5/Q7k1/n6oJAv5OuJSm4r
1J9o9Jp8vQLyznx9U8h/8vVQJR8v1M8YdH++3gJ5Bl+fFfI0vp6r5JuE+h+L
bs/3CyCvy/cXhbw6349U8ltC/4pDt+X7HZD78f1RIf92jOunKnmY0H/j0Yfw
/RrI7/P9XSF/yucBlXywkB8S0E/zeQPIZ/H5RCH/wOcZlby5kH8S0ZfweQnI
Twj5iuUuEzC6c6OpR4tPUu4ygeH999Vb+KFIyl0msH/fkw+LTGpKucsEah54
k30po5mUu0ygXcvJSxaedpFylwlsmFbWySIvVMpdJvDS5OHbPWW6SLnLBNTZ
69e3/j1Eyl0m0K1bt9O5Z6dIucsEDFeOKbXGf5mUu0xgfnCtgMX9t0i5ywQM
7n2aG2h2VMpdJuDQtGNOjT6ZUu4ygaixfc1r2dyVcpcJXLScab114ispd5lA
YY1p9pV6FEq5ywRm7ErcFvOWvSdpi+56pP3z0i3Yc40d+qykzuH1Hdhcyx59
/vNhMSPCrKTcZQIx3aqu3NrSVcpdJlA7wFz1bMF+P9EJ/b/PjyyterHfT3RG
3932VZX5P5Kk3GUC/mnPdtcq6CXlLhOY804zY/rpIVLuMoGkD70PW98YK+Uu
EzhVVMsiJG2qlLtMoCDz2XanGguk3GUCh59GtRoUsVzKXSbQ/5pZ+xcrUqXc
ZQJ3z43rP8ea/byDPOJCI4udWXuk3GUCJ7bbNDrT85CUu0yg4tRVI0+3PSHl
LhPY28zr14EE9p4M+aPfU9IHdr4g5a7i7zWwUZtt3lek3FX8v3vVqkvb33Lu
MoHrUxzeDEuTc5cJjE1t1KNflpy7TGDe7pTtzsaPpdxlApsa1sjc6i/nLhOw
PKEzuThezl0msP6jy65eG+XcVbxPz05eOzBVzl0mUCOma5+fXeTcZQINYmrs
nHvrjZS7ite5m2lh2Fv2HnsgenZyq4Ray9k8ijxrx9QNdjksRwWhXxGOJ3cR
Pj8Y3Vg4H/KawvmHoL8Vvi/5WuH6hKKL15N8o3D9w9BnCPeLfLxwf8PRzwrr
gTxNWD8R6O/59Qbkd/n1qZDv5tezSv55Cr/+I9HT+P0C5MDvL4U8i9+PKnkP
Yf9GoW/i9zuQf+Trg0J+gK8nKnmQUH+i0cfw9QrIzfn6ppBv5OuhSv5WqJ8x
6OX4egvkjnx9Vsj78/VcJZ8g1P9YdDe+XwC5wvcXhfw+349U8n+F/hWHbsf3
OyC34fujQv73LtdPVfLBQv+NR/+8guvXQB7C93eFPJ3PAyr5CyE/JKCP5/MG
kFvx+UQhr8bnGZV8k5B/EtEt+LwE5BohX7HcpYNlWs/mNhV/SrlLB1banDe5
/xqUfL4Bum3a1x8Zs4yl3KWDqcm1etu9s5Zylw7mxX5rCNd8pdylg72WjSs0
UuOk3KWD59fHR/1c00fKXTpQAs/O3NZ2rJS7dJC688/8f1fPk3KXDkqXKzUk
0CNVyl06uLT4bJXfONcyRw+cnG8T63Zayl06eLfmWPtwtxwpd+mgrEVg5YLc
p1LuKj7/dzOygj0+SblLB2aV74//vbpIyl06WPixc+CSADbXskU/mNt/d9q6
elLuKv7fda+Q8ibDTMpdOqj0IK9ytRt2Uu7SQbrjm6a6DyDlruLrX7G5UU67
ECl36WBJUb0WcwLipdylA/vH8dW2nWLvybugW0/c8yUhhb2n6oq+4l9r800f
hku5SwfdHQfttes3UcpdOjgf9nndnK/s9xM90Ke0dwo2+s5+r9wTfffdjYcG
2a2WcpcO1HVh1xXdRil36aDdqJyYA323S7lLB5k9Tq3p9HKflLt0MKLjuCm3
so5IuUsHXoZjm/yoeUrKXTq47VR7UPBb9p4MeZOQtqGXDS9KuUsHe5KG7k0o
f03KXcX7y+X34K/3r0u5S1f8XBNUKX/abSl36eBziI3WYvh9KXfpYIht2KG6
i+TcpYOf85u7TO4k567i+5uxakhaspy7dFD3qWPO5R5y7tLByrJXdy+wk3OX
DryHtZy44EK+lLt0cOthqc75NeXcpYNGEYvz61eUc5cO5sx4UPtEKptHkavX
MzZ9usGOD0KfKRxP3lD4/GD0m8L5kPsJ5x+Cvkb4vuSGwvUJRbcVrif5L+H6
h6H3F+4XuXh/w9ErCeuB3FJYPxHou/j1BuSN+PWpkAvrWSW3EtZ/JHoyv1+A
/DS/vxTyMH4/quRpwv6NQl/N73cgH8fXB4X8JF9PVPL2Qv2JRp/O1ysgr8bX
N4W8GV8PVfLZQv2MQV/L11sg38PXZ4W84D5Xz1XyD258/Y9F3833CyCfw/cX
hbwq349U8iyhf8Whv27B9Tsgf8r3R4Xcn++nKvlJof/Go78py/VrIB/B93eF
fBCfB1TyXCE/JKBv4vMGkCfz+UQhH8bnGZXcUsg/iegGfF4C8iFCvmK5yxSK
NpvsePmwbMnnsNxlCquU9a6Vp9SScpcp1ByTfh4S2O8hatG3Zfh8trNxlXKX
KeQk+97YGR0m5S5TeNen9rwiV5ZLjdGf17xZaYEte1/LBH3ZxW2dBn1ncy0d
+uO418Z9/mFzLVP0rU/+rXh3CcvVZuiWqyIdp/izuZY5+t1jiXY6hc21LNAP
ai6GRHqyuZYleuWWw65+nMKeC6zQvw/b+iCtI5trWaM/u3sx2/8hm2vZoGce
zo0dWpPNtWzRc3e5jZtnxJ5r7NBXTOtXeKYKm2vZo5vdr33lQi77uzEO6OD5
5NOwp22k3GUKh19nqd0bs+cyJ3SXBz/Srg9icy1n9KWBjXMeDWFzLRf09/kt
KsdHsLmWK7p13cLti6uy50o39KxJw+9b1mRzLXf0c7bz73SqPF/KXaaQqCRM
b5fM3rP1RNdWNur09/I6KXeZQuoPp6zvDTZLucsUyl5uvSzbgv1+InmWW2DT
Nvh78d7oI70TExbPYn+Pi3zQ+e7bLjQ6LeUuU9hQpqvptT3s5zXkh+rP8LD4
dUnKXaZg7P+xl9+4bCl3mcKsdf277rx6Q8pdphD1+tw5q+53pNxlChFzamys
1fKBlLtMIe7o93JOVZ5IucsUrPb9TJ07XM5dxeunTFLYhgQ5d5mCw6LPNx82
lHOXKdS9EzgWjuZJucsUdlyvmfK7vpy7TMHDvEv6D9fXUu4yhZA61lN8qrP3
qQLR03oW7AhcyHIR+aqYOZ1qnWTHB6EfEY4nDxQ+PxjdVTgf8r3C+Yegi9+X
3F64PqHoOuF6krcWrn8Yeoxwv8iDhPsbji6uB3JFWD8R6PX59Qbkh/n1qZCn
8utZJR8grP9I9J78fgHy8/z+Usi/X+L2o0q+Uti/Uegafr8DeTBfHxTyk3w9
UcnPCPUnGr0xX6+A/BFf3xTy0Xw9VMlbCvUzBn0nX2+B3Iavzwq5AV/PVfJ/
hPofi36f7xdAfo7vLwr5Pb4fqeRPhf4Vh55nwfU7IF/G90eFPJvvpyq5qdB/
49Fn8/0ayFW+vyvkE/k8oJI/FfJDArqQN4B8D59PFPKJfJ5RySsJ+ScRfR6f
l4D8jZCvWO4yA+PkpaP/rtNKucsMXCqHjnmQ1kjKXWYwbHjWtKrdbaTcZQa6
Ri8nubfwk3KXGYy4+G/tg3XjpdxlBvmZVpsKCvtIucsM3votyx+SOlbKXWbQ
/0i/dvcL5km5ywwmba81+nmPVCl3mYHjs7Xvv1bcJ+UuM2h1+HLr4+1PS7nL
DOZ1M9vULy5Hyl1mULB8Ttfon0+l3GUGC5xfm1wL+STlLjPobt/8ydw9RVLu
MoPTLVpoxkWyuZYN+pCdj77a4lzLFv3nrJ9ZI9LYc40duuOXYwO6nGVzLXv0
GuPHhH+/z+ZaDugZtwesu2vF5lqO6BHOP58V1GPPZU7oJ29WL/t7AZtrOaNX
guAZr33YXMsF/dLszON1UthcyxW9j3HTs0OasOdKN/SeDaeUXjWMzbXc0Zu0
vnO14Rw21/JAbxQ2NerBxFVS7ir+fItRe7VLNki5ywxuBg0bvHU2e08e0E/2
WWJ+w5U9d5NvPVlJU+Eq+/0sb/TXDnPX/F7Lfj+RPDVzbJP/nrG/C+GDnlfO
RX21gf28hvzlX8Mqs6pdkXKXGczp8WPjpdk5Uu4yg++lDN/3vXFTyl1m8PTQ
ycZXQ+9KucsMPu1KuDMnT85dZpC2Jn+O/zQ5dxWff87mnZpZcu4yg461+qdG
u8m5ywwu7Hts4nw5V8pdZuBd93mv8q3l3GUGS6ev/nY06ZWUu8zg3MrUco0i
2Hvp5DX/CTx6T8N+rheI7rfzT27b/iwXkU/pNAMiF7Djg9B9hePJqwqfH4ye
IZwP+Qrh/EPQvYTvS54pXJ9Q9HbC9SRfJ1z/MPQTwv0izxPubzh6rrAeyD8J
6ycCfQa/3oA8n1+fCvlzfj2r5OuF9R+Jfp3fL0C+nt9fCvkRfj+q5JeE/RuF
3pXf70Bema8PCnl9vp6o5ElC/YlG78zXKyA/ztc3hfyVF1cPVfLdQv2MQffl
6y2Q7+Prs0Jemq/nKnkjof7Hor/k+wWQ9+X7i0KezvcjlTxM6F9x6KP5fgfk
d/j+qJBP5PupSm4h9N94dHO+XwP5AL6/K+T+fB5QyR8K+SEB/Q2fN4C8H59P
FPIyfJ5RyXsK+ScR3Z7PS0BeR8hXLHeZw9+BmY19E+pLucscGhQ829dMay7l
LnN4fePnE683rlLuMofep55PS3kUJuUuc5g44d8qluO6SLnLHGaFr/gY+s9Q
KXeZw7Ypufe+uE6Vcpc5xDaa/7fp4WVS7jKHHprGbZyub5Fylzl033/Gv+GE
o1LuMgfj6+HGl/dnSrnLHMzHZA216XtXyl3mEJTVa8jMba+k3GUOfRt77X43
plDKXeYQtXZvQ//PbK5lje6X8+LzqSZsrmWDHtLgv/DnTdhcyxb9RM7BYPfa
7LnGDv2dS3rQL5xr2aM3LOudF3WfzbUc0DNPLZh4xpDNtRzRv1c3MX8Sy57L
nNDn5L/zrxjL5lrO9Dn5xgNe2rC5lgv6t8dr1j+7PkbKXeZw98iNrZUfsr//
4Ib+vcLZ0812sL//4I4+peyAJ9MasLmWB3rOrS4w3pvNtTzR5w2/88RzB/u7
W17odQo7ri0YsUvKXebwuOCb1+Ut7D158lUB4WEux9h7wt7oC3KSPttMYe/J
kx8OWzbndDb7/UQf9IRv8W13quznNeTdEjfU8Qtkf0/JF33vkKuz6u64LuUu
c/C3aGx7P/eWlLvMYeSNgnZlve5JucscxldtePnsxodS7iq+PplzE2//knOX
OWSvP9Kgxgo5d5mDOnpz7Lbacu4qXldlBj6eO0DOXebQ5P6WHlNXvJRylzn8
Z3rkc5eF7Pf7AtCX/jEovBPDfk5Hfn37y1kNn7GcE0i+4NTr/g4sF5Ff1Z4a
OiuSzaOC0HOE48kvC58fjL5IOB/yr8L5h6A3Fr4veSPh+oSipwvXk/yKcP3D
0BcI94t8uHB/w9FHC+uB3E9YPxHo2/n1BuRd+fWpkMfx61klPyKs/0j06fx+
AfJ5/P5SyO/y+1Elryzs3yj0Gfx+B/KTfH1QyEfy9UQlfy/Un2j0q3y9AvLX
fH1TyA/x9VAlHyLUzxj0PL7eAnk6X58Vci1fz1XybKH+x6Kv4vsFkPvw/UXh
nO9HKnmQ0L/i0KP5fgfkzfj+qJBX4vupSl5T6L/x6Al8vwbyEL6/K+TOfB5Q
yZcK+SEBfTqfN4B8Ap9PFHJ/Ps+o5BeF/JOIXpvPS0Au5iuWuyzAufmfvn6n
TaXcVZw7khcuGHXSVspdFpC6v//6mof9pNxlAWPeVzTPGR8v5S4LgN2dMnsn
9JVylwWYlLs5eXWpcVLusoBNHv7aT5HzpdxlAYGDC0d0WZIq5S4LmBk4IvOZ
wz4pd1nASZdtx2ymnJZylwUkdzj04ejoHCl3WcDl+s2ii+o9k3KXBWQZx2xZ
3euTlLsswOfUqia9HxRJucsC7jZunfV3KJtrWaMPP18Q3+AYm2vZoEdOvFTt
dBaba9miH5r5Pdkymz3X2KH/8BrnNewZm2vZo7u1Lm8/1Y7NtRzQryQMqTfG
iM21HNE/eBu0DpzNnsuc0EcUvZwItmyu5Yz+LefSpxMz2FzLBb3bTouhSVXZ
XMsV3cnhVNLZUPZc6UbH7yk/bkhvNtdyR68Xtibzkw+ba3mgT3J6s2pwRzbX
8kTf8ff91R+27LnYC31QUbntY77slXJX8XWzOeVp0ZE9d5OPN1yZfv8Le0/Y
G9005VAL067sPXnynY2vn+qef17KXcXH111ZK6VslpS7LGD347nDZ15nv9fv
i+7aYcVxpzvs7y+R/746K75b0W0pd1mAX+3fzZ/a3pdylwWEXRlSPifpkZS7
LGDfwgpJrvZPpdxlAfe/T29YtFbOXRZQFLq80aK851LusoCGvVe331pWzl0W
8J/Li03j/suVcpcFXOjRLXjfEfZztwD0uXVuXjrH/q67Qp5hVSq72wGWcwLR
nz4IGjX1EzuevH7pwmcHy7IcFYT+SDie/KTw+cHoM4TzIc8Qzj8EXfy+5MbC
9QlFF68n+S3h+oeh7xXuF7l4f8PRfYT1QK65xq+fCHR7fr0B+Q5+fSrkZvx6
Vsm3Ces/Er0Jv1+AfAC/vxTyAn4/quR9hf0bhb6J3+9APpqvDwp5eb6eqOQd
hPoTjW7F1ysg78DXN4U8l6+HKnmMUD9j0J/y9RbIVb4+K+RWfD1Xyd8K9T8W
fS3fL4Dcg+8vCvlAvh+p5DeE/hWHbsn3OyA/zPdHhXw/309V8i5C/41HP8L3
ayAfy/d3hdyezwMq+XghPySgV+fzBpAL+UQhT+bzjEo+Xcg/iej/DeDyEpC7
CPmK5S5LyDl9bVQfH2spd1nCdou/SbEVPKTcZQmjz7tn1joQLuUuS/g9cpyR
zcUuUu6yBO3GvpOrnBgq5S5L6Nxzu9sCZaqUuyzhce7oxX4/l0m5yxK6Nu1b
b0GtrVLusgTTe4W1O5w4KuUuS7i+ZOrGm28ypdxlCfa39zg7pNyVcpclLDCN
Oljx1ispd1mC04qlS9JTC6XcZQnBlytZzNayv69lRW7WRXffhc21rNFnFH3P
7G7P5lo26HGmh/JHWrO5li363VjbjMJv7LnGDr1s55NLluexuZY9+oJO1hkX
GrC5lgN60M51XSt1YHMtR/TUZqaH1+BzmRN6+IWKJmet2FzLGd2i98tzlpls
ruWCvtl1dA3Ta2yu5Yp+tn69CS0XsOdKN3R/j+kr5pZicy13dPejDmlONdlc
ywPdYNGfmxUmsbmWJ3qlOsE1F9my52Iv9BrVe42yGMj++3GAfn1N2NHATuy5
m7zdSG3aUk9Vyl2WYOL788aKXuzvGpGvnTtyw9Rm7D15H7qeusDTq/tclXJX
8fd98HD53KrsPWdf9Jq+xj7fKrPfRyNfYl7nEjRgf6/JD105MP17gukDKXcV
/+9+rfHtYvXHUu6yhKZXv5bP6ybnruJ9VHls68Zr5NxVvK+jpg5vsEvOXZZQ
+fjd1UMWvJBylyW03dt/zBV/OXdZwp0LwfdHXmc5JAC9S2C1Usuc2LyI/N2d
pkWVxrCcE4juOHX3yC7r2fHkAZ3vrL6wix0fhG4jHE/+Wvj8YPR2wvmQXxXO
PwQ9UPi+5AbC9QlFHytcT/JOwvUPQzcR7hf5VuH+hqOPFdYD+Sph/USgV+PX
G5B78+tTId/Ar2eVfKWw/iPRm/L7Bcgj+f2lkGfy+1ElryTs3yj00vx+B875
+qCQm/L1RCV3F+pPNPoJvl4B+Vq+vink9fh6qJK7CfUzBn0mX2+B3Jmvzwr5
DL6eq+TfO/H1Pxb9JN8vgNyR7y8K+QS+H6nkAUL/ikP34fsdkJvw/VEhH8D3
U5W8ntB/49HP8/0ayOvw/V0hD+DzgEquCvkhAT2EzxtAXoXPJwr5Tz7PqOQd
hPyTiL6Az0tAfk3IVyx3WYH7Jcsj/WJdpNxlBXevT+h0q72/lLus4OCbpb2i
TRKk3GUFOzt8mrfiQl8pd1lB5t+b60N6jZNylxVkJ6mDdx+cL+UuKxh7ed0w
07OpUu4q9vMX/3Xstk/KXVYwaeqhOJ/dp6XcZQWP/2u3615qjpS7rOCZ4XCL
427PpNxlBSMHt69zfMonKXdZQXpBgzJ9qvyVcpcVjKlbflGTlCp4Hdm/tqWd
61a+x+Za1ugDDQr/dn3J5lo26E/Drw6a8pzNtWzRrzbLDV2Av4dohz4/6M/d
yDZsrmVPx1ebuiS9KZtrOaBbbq+6cftCNtdyRN9/bVp6eWf2XOaEPnJW4p2z
M9lcyxn9aP+em7pXZnMtF/TQdfMb9/Fncy1X9EYRZxOmdWLPlW7o70/a+/9j
zeZa7ughH7dVfxnC5loe6Iap/VKn1mJzLU/0o+ddvcbeZc/FXuidNww+0duG
va8F6AfSjHLu7WDP3eSX593cmNGCva/ijV6pUve3bRedl3KXFVjPs7tnPeWy
lLus4O2yQc9+DmNzA/KYde8dfkey95x90RMuVlM/+LHfRyOf1s8rb6Ej+7sB
fugBE+r96VWN/T1z8iX/nG316qCcu6zgY6750Sez5NxVfH1StRULFsi5q/g8
n5SbNqa3nLusoKnN5kt/tHLusoLWHzMHD57Lfo5G3qNsqwcpL9jxAej/eD2y
/F2f5Rby85kbZ/d1YzknEL3omEvX08HsePJ3EaZ+WyLY8UHoP4Tjyc8Inx+M
3l84H/IOwvmHoIvfl1wnXJ9Q9DjhepJ3Ea5/GPo74X6RrxXubzi6uB7IZwnr
JwJdWG9AHs6vT4X8Db+eVfJWwvqPRK/O7xcgP8/vL4V8C78fVfIEYf9Goe/n
9zuQV+Prg0IOfD1RyR8L9ScavR5fr4Dcj69vCvlevh6q5D2F+hmDvoivt0De
kK/PCvlpvp6r5FOF+h+LrvL9Asgv8f1FIe/A9yOV3ELoX3How/l+B+Rb+f6o
kHfl+6lKfknov/Ho2Xy/BvKRfH9XyJP5PKCS9xbyQwL6Tj5vAPlRPp8o5Dv4
PKOSbxXyTyJ6Bp+XgNxWyFcsd1mD6uf1YHyqr5S7rCGz3cg2w00ipdxlDRlR
sbUb+naVcpc1pDbP9fhcZZiUu6xh7uyKSUYXp0q5yxryAvKPn/ZaLuUua3jZ
3G7dz9itUu6yBpeY/H/3/Dwq5S5rGDR/jK6i6UUpd1nD1C7xNSdduyvlLmvY
G2ybW1gqX8pd1vD99j8Dml0olHKXNUDDeK/51myuZYme+nb8h4fR7LnACt0w
Kr5eYUATvL7s3xhH/6haEWyuZYO+8tjl4+Ors7+vZYve26KO0aRv7LnGDj1O
69F2aHM217JHr3LIY1tsPzbXckB/UTS8zdeObK7liH7PpHL6Qzv2XOaEfmSF
JnRZFptrOaM3MRg+/AbOtVzQZ31L+FJ7LptruaJbV6vn1uj3Uil3WUPQ2yvJ
w8uxuZY7+rJZbS63/IfNtTzQ/U62/HukPptreaJvG/PQ2b0dey72Qr/nl9DM
wJ29rwXoxkutvB82Yc/d5HtHbB/UwJW9r+KNbnUj6V34E/bfTyTfUDuv2o2/
7D15H/SdFmar9pxi78mTZ/br1eTVavaesy/61lbleiwax34fjfxhpcXpA4PZ
3w3wQ98/uXFAk3dy7rIGg3kft64KeCLlLmuoCm0O+WyRc5c1eC7b2qrJKDl3
WUOu9eDp9Yzk3GUNwT6GUVOnPZdylzU8m3woYfIldjx5n6Amt6u+Z8cHoNe7
WNBg83d2PPmqxXWdzn5jxwei2xutqtbmCzue3KhwzK9aBez4IHQb4XjypcLn
B6NrhfMh7yqcfwj6I+H7kocI1ycUPU+4nuS+wvUPQ68m3C/yKsL9DUdPE9YD
+WNh/USg7+TXG5Bf4NenQr6FX88q+UZh/Uei2/D7Bcj38ftLIa/D70eVPFvY
v1Ho6/n9DuTufH1QyOfx9UQldxbqTzS6OV+vgFzh65tCXp+vhyr5NqF+xqCf
5+stkGfx9Vkh/36Qq+cqeYRQ/2PRO/D9Asgn8P1FIXfg+5FKXknoX3Hoa/h+
B+TOfH9UyJ/y/VQlnyf033j0Pny/BvJOfH9XyC34PKCSXxXyQwL6JT5vAPlo
Pp8o5Cl8nlHJ04X8k4iexuclID8s5CuWu2xgiXLTv5tnmJS7bOCo9fRGPYza
SbnLBj43u32j4oR+Uu6yAedxc/PmPRwn5S4b6OdhsTe96gIpd9nA24kNHh/6
mirlLhu4VCM8o8bCfVLusoG2Qxp0uHT3tJS7bGCk//BWgy/kSLnLBozaBZT+
kvRMyl02YLFqQM2kDZ+k3GUDNVtUmDXZ86+Uu2xg34uuk/45x+Zalujdn0cu
bPuTPRdYoVfvkVml/18217JGtx53Z2D7Qju87uxfn4Wr53v+YXMtW3TLerGR
HfDva9mhZzbbsyPQls217NGb6QqSQ/C/Q+2A7tgg6p6xH5trOaKPCD9x7/IC
9lzmhD548ZAzRdXYXMsZfcgn9YZ1IJtruaAv+hCeuwbnWq7oHx7/TdzSij1X
uqG/W2r/ZmcAm2u5o0dUfZHsUonNtTzQza5eOjzmGptreaJvGhPc2KkJey72
Qu9o1WW7yQL2vhag3zWv3u5lTfbcTX7Nc96CfQPY+yre6NrbVZa3DGZ/T57c
ttrWjNWB7H0tH/ST/n/3KDXY3IC8f8L3X1av2HvOvuhZK0bM99nHfh+NvH5k
3obSsez31/zQx/YvnJF1lP09c/L+nUPHbj8v5y4b+Kdm2++djsi5ywZcH628
tDxGzl02YGpSq8eS48+k3GUDE55M7D24gB3fFv3asZgk57/sePIR6Va+GZ/Y
8QHo+/5tr9jcYMeTf52zYaHjAXZ8IPqJkCjosJodTx61s6v7ykXs+CD048Lx
5O+Fzw9G3y6cD/kQ4fxD0C8K35dcEa5PKLqZcD3JvYXrH4Y+Vrhf5H2F+xuO
PktYD+TGwvqJQL/JrzcgH8yvT4X8ML+eVXJ7Yf1Holfn9wuQ3+b3l0J+k9+P
KnmMsH+j0Ffx+x3ITfj6oJCH8PVEJX8h1J9o9Gd8vQLy2Xx9U8j78/VQJe8n
1M8Y9G58vQXyunx9Vsjr8PVcJVeF+h+LruP7BZA78P1FIW/A9yOV/Fd3vn/F
oSfx/Q7It/P9USH/bc71U5XcUOi/8egavl8DeW++vyvkHnweUMnThfyQgH6H
zxtA3o7PJwq5OZ9nVPIPQv5JRN/B5yUgnyrkK5a7bCGs/u8jgyzjpdxlCzsN
5iQdO9dNyl22kHzu9JOuy4ZJucsWrGYHlcloOE3KXbZg2trmiMOM5VLusoW/
H7psHrRyq5S7bKGR9W6PlS7HpNxlC2fLu07bn3RRyl22EOGx+q9TmXtS7rIF
//5mLQJa50u5yxY+1Inr//F9oZS7bGHKk71fvkewuZYFevj0WuuCktlcyxJ9
tFudhT+S2HOBFXpveLtxwyA217JGf/pf+YAq5myuZYNucODGL6WiP94P9m/b
HzcGeNqz5xo79HkP3/16N5bNtezRnf2Weqzoy+ZaDuj1Q+eXdXZjcy1H9FEv
hpRLuMWey5zQ78bd2L3iJptrOaPv+d2675SFbK7lgv5kwpkrg/+wuZYrenb5
2mmryrLnSjf0gdufJs8ewuZa7uiflpYaXMuQzbU80C2WB84YEs3mWp7oH090
mjeuNXsu9kIv+3Pmlq912PtagL71UbzXu+bsuZsc8gabfjmdKeUuWzhcdtfx
HTns9+vJ3w7ve7xNCvt74D7oRveUhmd7srkB+YnsvuYLWt+RcpctvHv28l7S
A/b7aOTGn579Wh7Gfn/ND71v5cZXfg9kf1eTfPSNz3U31X4q5a7i/TU+dmLm
MTl3FX/fjCUrJ+jk3GULSvLnDhei5NxlC4MnB/yKj5Jzly1Epzk0emwp5y5b
aPFWW37vJ3Y+AejBpbMSdbvY+ZAPOjG91r5B7PhAdOdtXdu4tGXHk6u23n8n
OLPjg9CdhOPJewmfH4zuL5wPuZlw/iHoocL3JR8kXJ9Q9CnC9SRvK1z/MPRK
E/j7RS7e33D04cJ6IDcV1k8EeiG/3oD8HL8+FfJa/HpWyd8J6z8S/RC/X4A8
kN9fCrmwH1Xyvz/4/RuF/oLf70Cu4+uDQv6OrycqeW+h/kSjp/P1Cshv8/VN
Id/K10OV/KZQP2PQe/L1Fsgr8PVZIdfx9VwlV4T6H4vuw/cLIP+9n+svCnkm
349U8gChf8WhD+L7HZAH8f1RIR/N91OV/JbQf+PRTfl+DeT2fH9XyA/weUAl
ry7khwT0V3zeAPIKfD5RyI35PKOS9xbyTyL6Fj4vAXkbIV+x3GUHFUdtNzu6
tYuUu+xg8/0PZZpeGSDlLju4177a4i3bxku5yw7sC1K6rw9aIOUuOzB6bew2
sfl6KXfZgV/kKueNp/ZJucsOrh+vfmxXmQwpd9mB//hOQQEfcqTcZQee0zav
7qg8k3KXHRx7dOF7S/WTlLvsYNo57fyPg/5KucsOfL1Xvazzkc21LNCzag4w
zGnA/ntYlugG227NPVuP/fcQrdB3Z+x1nlaJ/fcQrdFX1A991aYK++8h2qBv
v11le9NBbK5li36/zsz7q7zj8T6xf08+dzmb9i+ba9mjh5a3n58TyeZaDuiD
23psTF7J5lqO6M4Z431bGLLnMif0AZfKdvwcxuZazugNs6sNHN2VzbVc0Kct
MqmS25rNtVzRPQZphhXgc6UbunbQuoEnDNhcyx0919TzfeMrbK7lgb7ocPtX
NYzZXMsTfcGkBpYdprHnYi/0J2Fqr8BK7H0tQD+4+ss3x07suZu8xY1Hpuvt
2Psq3uhl7Dbd/OnI3tcirzImNPbAV/aevA96ToTTf6uOs7kB+aD5E9P3DWLv
Ofuih/QdBjHf2O+jkfe8vktz1I79/pofeu9K2w9trsr+zgC51dX0dYtc5Nxl
ByNqNDgcu0vOXcX3yzt+cfBzdrw/usGd+bOzHrHjyZ98tP/4axs7vi16rEtU
9u0Ydjz5fd3tC7MfsflMAHpQ9VErD9Zg509uPvh13o0e7P2lQPTMe6/uzv7C
5jnkN/M7X5p2mV2fIPQM4Xjy+sLnB6P7CedDflc4/xD0cOH7kj8Urk8oejXh
epLPFa5/GPoU4X6R2wn3Nxw9WVgP5MOE9ROBnsCvNyAfxa9Phfw6v55V8krC
+o9EL8vvFyC34veXQp7G70eV/L6wf6PQJ/H7Hchn8fVBIX/K1xOVvLJQf6LR
bfl6BeRj+PqmkBvx9VAl7yPUzxh0a77eAnkHvj4r3PF8PVfJ9wn1PxY9h+8X
QL6O7y8K+Ry+H6nkK4T+FYdeuJXrd0B+mu+PCrkz309V8v5C/41H38T3ayBv
zvd3hdyRzwMq+QUhPyTQ8XzeAPKyfD5RyJvyeUYlvyjkn0T0DXxeAvLyQr5i
ucseIv9s2Rp1tq+Uu+whvdz5cePjhku5yx4GB3wzaX14mpS77GHi+HKW/Z8s
l3KXPdyf8+VcyNOtUu6yhyF/1k+dPOqYlLvs4dusMpOzl1+Ucpc9pA7rZePs
dE/KXfbQrmKHj9kd8qXcZQ+rV+Qsf2n4Tcpd9nDIcH2r6YPZXMsc3X1Rr093
ZrC5lgV6ptHyGvWHsrmWJXpGmwWT+i5kzwVW6J7nh824AWyuZY3+dfTM3ica
sLmWDfrUvS0PBXqzuZYtup1Dwr7K89lzjR2676zxvS4O74X3j/17/dPnqqa+
bK7lgF444fMZ9ydsruWIrps7IGzsffZc5oTeu2BVz/or2FzLGT3jm7+apWG/
B+SCXj3AZtWYCmyu5YoeUKtrcsBQ9lzpht5yZ6s57WuxuZY7etmA5nYZkWyu
5YE+r3udxOkt2VzLE70oVP1UvxZ7LvZCn3Vj2ZGaTdj7WoDe2/Dknc6H2XM3
+bvbLY5fTGfvq3ijR76o1t53Lntfi3zNBs2R/uHsfS0fdPV5m+V/KrO5Abn9
Pxk+jpvZe86+6L+XLilM07D3c8i3996e4aphOcEP/fmTvovt58m5yx6G93rV
ICNUzl320GTdipTWC+XcZQ/m9+9Gpy2Wc5c99OxsEPung5y77OFNdtGUpZ9Z
DmmLXuTUoFGLAjZvIR+SbmZ16R7r+wHo7UaENtLlsO9LbvI279qO7+znYoHo
Jyq9znPox35fjzw1d1JDrSs7Pgh9r3A8eX3h84PR44TzIR8knH8IeqHwfclz
hesTit5fuJ7kNsL1D0O3FO4X+STh/oaj5wnrgfyEsH4i0Cst49YbkLvx61Mh
v8ivZ5V8hbD+I9Fj+P0C5O/5/aWQD+L3o0o+Xdi/Uejf+f0O5NP4+qCQF7Xl
6olKbirUn2h0L75eAXlpvr4p5Cf4eqiSdxXqZwx6A77eAvkzvj4r5Cpfz1Vy
a6H+x6Kb8v0CyCfw/UUhz+f7kcp9jtC/4tA38f0OyE/y/VEht+f7qUq+Xei/
8ehT+H4N5K58f1e44/k8oJLnCvkhAb0znzeAPIPPJwp5Tz7PqOQdhfyTiH6U
z0tAHiXkK5a7HGCRz54nlVsNk3KXAyxr3ETba4si5S4HaL/uRs+xxxdIucsB
yhZ5LzrcY72UuxygQ5Uaq7M/7ZNylwP8HVTlv8DWGVLucoDwC8mX+tW+LuWu
4v/dWi99v214JuUuB4hdfyKs/uNPUu5ygEOLdjeetfGvlLscYJxz3a0PjKpK
ucsB9r8O7T7cg821LNDHN35kZW/P5lqW6MOHRZ4614g9F1ihD14WFNKlAZtr
WaM/ndeslOE0NteyQW/YTmdfN5LNtWzRGxzyyY/by55r7NCP9DO/mdeJzbXs
0dvd8dzxz4bheF/Zvxv+7L19rB6bazmi31wT1H1CLHsuc0Lv75UT37Anm2s5
ox+JPp67yo7NtVzQF2sduywLYnMtV/TjkDv9dEX2XOmGPmlNfmUNzrXc0S/V
DtiSXZ/NtTzQfe4NbOo0mc21PNEtHBq8a12BPRd7oVdse3rNvkT2vhagT2uV
0DvSgj13kxdd37GjW2v2voo3+pipdVeuzWe/X0/efXvmj1Nb2ftaPui+gTrL
S9FsbkA+J93o4pXL7D1nX3Sz3eeGdP4i5y4H0G7NKddhr5y7HCBisWHe8g9y
7nKAzOw9ZZpGyrnLAda/P5ad3V3OXQ6wos1tszuOcu5ygEFLmg19tp59PvnN
+Mbt901i59MW3eJc6I/mbK6ikG82Gx9y+B7LOQHounnja6WksPkeebUFntd9
17JcGojuY5H9+8sPdj3JR36Jj7U8zeaHQej2wvHk4ucHo5sI50O+STj/EHRz
4fuSXxeuTyj6SOF6km8Urn8Y+nbhfpHfEe5vOHo7YT2Q64T1E4Fuz683IF/K
r0+FPIJfzyp5V2H9R6KP5/cLkAv7SyGfxe9HlbySsH+j0Jvx+x3IXfn6oJCf
5euJSj5WqD/R6If5egXkc/j6ppDv5uuhSt5bqJ8x6Fl8vQXyVXx9Vsj9+Xqu
kq8W6n8sejW+XwC5Id9fFPKbfD9SybsJ/SsOvQvf74C8P98fFfLNfD9VyYcJ
/TcefS3fr4Hch+/vCnkbPg+o5J5CfkhA/8znDSAP4/OJwh3/h8szKnmQkH8S
0efxeQnIFwv5iuUuR9jQpvWvjjBeyl2OMLH7bgO3AzOk3OUI59/n2b+dukLK
XY7w1OnMugPO26Tc5QhJfslRySePSbnLEX60bt/sz/WLUu5yhIBxR8PW9rsn
5S5HCKmSPWDhrHwpdzlCP/tbyRr3b1LucoSyU478tVrEcrUZeopveNcRG9lc
yxx9fhevlW1nsLmWBXpe1VdP2+xncy1L9B8/98/cnsieC6zQc7R98spZsbmW
NXqZ+BZnuoaxuZYNevUXoVXbrmdzLVt0aO/fuN5k9lxjh64zcjpgHczmWvbo
Yx9nOvd8zeZaDuj30md92Px0Ct5v9m+a5/LXXuvYc5kTep35psMPlWVzLWf0
wqQuDZMrs7mWC/rojwGTK+DvIbqiHzY5PGYCvq/lRr5xyeZ0nGu5o3coXLV4
igWba3mg71a+n7xcg821PNF3XvX3UBqx52Iv9L0fm1e6u4+9rwXoun5VJzkd
Yc/d5HWOeozQTWfvq3ije00pGHqgDXtfi3xb9s9BV36zv0vpg9755b8Nbs1j
cwPykZtTagY+Yn3cFz13RliLzuznZQp51kb/DleAzU/80E81V3Jb1mF9mXxG
p4WrfvjIucsRXl9q3NzAXM5djtB95LeFBcvZ5/ujpyy73//jMDbPIXeteOXx
4fJs/tMWvfM19fTOIWy+RN5uwcW2R5+ynBOAPm32umnnR7BcRF5t9ayPSe3Y
+2+B6DNu2TdaspH9nQ3y/Q1fd97ZnV3/IHRFOJ5cK3x+MLp4PuQJwvmHoHcX
vi85CNcnFH2DcD3JRwvXPwz9s3C/yJcJ9zcc/bKwHsjvC+snAv0zv96AfCq/
PhXyAfx6Vsl3C+s/Eh34/QLkRvz+UshN+P2okh8Q9m8U+nZ+vwPnfH1QyOP4
eqKS7xXqTzT6Ab5eAfk/fH1TyPP5eqiSVxfqZwz6Pr7eAvl1vj4r5H35eq6S
a4X6H4tuyfcLIC/F9xeF/Hcc149U8rNC/4pDf8z3OyC/zPdHhXwq309V8qVC
/41H/zmZ69dAHs/3d4Xcis8DKrmlkB8S0HP5vAHkwXw+Ucgv8nlGJd8h5J9E
9EF8XgLydUK+YrnLCc7FNPywet40KXc5QZe3Hce4OC+ScpcT5Nc5lVXz6Xop
dznB/b6rD/dovV/KXU6wxHLNl69JGVLucgLD1tHt4j2uS7nLCbruTSlz69wz
KXc5weiYSoNb/v4k5S4nuPPJqFzE7b9S7nICgzbpVid9WK42Qx/2ptQ7q05s
rmWO3u+i24q9YWyuZYG+tseNvKp2bK5liV7Tyf/JJAv2XGCFvq1qI6iWwuZa
1uifbwVvSunM5lo26B+KGkf8TmNzLVt0J+N3pbTJ7LnGDr3j4Hsxi3awuZY9
+tsrmi1dGrO5lgO6rsraCI8ObK7liJ6xuufIz30W4Tpg/866/SnpsBObazmj
d7TwObAG/76WC/rCSpHTJlVmcy1XdINTuUPm43OlG/qJe9Glr+Fcyx297LnT
6cGT2FzLA/1BXqld5cuzuZYn+ifjO11GxbPnYi/0L7vDuyhm7H0tQF/UY8gc
P0v23E2+7FryzY0v2Psq3ui1Xjyd9yaVva9FXrrP0uhlbdm8xQd9aX/3Rr+O
srkB+dG46qa7brP3nH3RMwryezpMZX2ZPK2MZanzu+Xc5QRRjV78d0Un5y4n
sHKr2eupTs5dThBXa3+5T4fk/06QE0yyr/p7zBY2D/FHfz4gOqu1A8uB5JOq
Hy9qO5HlxrboQUY/Ph/ez3Im+aqAgIKfBSznBKCXvtrG70YPlovILw3yT29s
zeYngeiuZVPOWvZjuZf8ZlOT4NTm7OdcQejuwvHkWcLnB6OXFc6HXDz/EPQY
4fuSLxCuTyj6G+F6ki8Srn8Yen/hfpG7CPc3HL2HsB7IzwvrJwL9Kr/egPwy
vz4V8lR+Pavk1YT1H4luyO8XIF/F7y+FfD6/H1XyQmH/RqEX8PsdyO/w9UEh
LzrL1ROV/KhQf6LRy/P1Csjn8fVNIY/j66FKPl6onzHoJ/l6C+T1+fqskL/g
67lKHiTU/1h0Y75fAPkzvr8o5Pl8P1LJ1wj9Kw69LN/vgHwW3x8V8kS+n6rk
vYX+G4/+x4/r10Cewfd3hbw3nwdU8hAhPySgl+bzBpBP5/OJQn6ZzzMq+S0h
/ySiR/F5CcjThXzFcpczpCzuoT2VtkDKXc7wuPv9FUtPrJJylzNEp3ff+PTt
Nil3OcP4PwOWHq+dJuUuZ1j2r83W7JqXpNzlDD0tayxttf6elLucoVq7x6X2
Hc2XcpczXA/qYti22zcpdzmDe6HztE/72VzLFD3515RGzdNZrjZDP7jp5sgJ
a9hcyxx9j3tZY6sbbK5lgW5jNqz/zCFsrmWJ7n6uIC4G2HOBFbpj+iPvCe3Z
XMsavXbLDk1nHGBzLRv0rfPmTkuez+ZatujpvgYLfaPZc40deu/fWevWfGFz
LXv028Of/H6ax+ZaDuiHbsbunbaZzbUc0Qd4dyx12oA9lzmh302eMG9L9XW4
Pti/FT5MeVtlBJtruaCPnjW0f8s6bK7liv6l2YMJblHsudINPe9M1LZknGu5
o0++clUbhXMtD/ThiXdr92zI5lqe6NY+2pV39rDnYi/0jAXjzV4fYO9rAfrc
OW9qTpnCnrvJh0V6VFvnzfq4N/rkx53fjS5kfZn8TOrOEVWnsnmID3ry+zUD
7a+yuQG57YEzZ/0PsnmIL3qHo0lpWQ1ZnyXv3qr5z+rf5dzlDH+XeOatNJZz
lzOMLD/k94Jn8t+RKL7OBXfemf1muY585+E1HbRr2fn4ozuvi/Gr+JKdP/mS
PY2uWf3Hvm9b9Do7DvV0LGTvs5GbLPu8p6uWzUMC0G/f2Vl5XB+Wi8j3Tqq7
t4aO/V3ZQPTCW9UqN45m/Zrcon7tIe2qsJwchF76Nn88+X7h84PR7wvnQ24q
nH8IufB9ybcK1ycU3V+4nuSHhesfhq75zN8v8jnC/Q1Hr7WUXw/kw4X1E4He
m19vQN6WX58K+Sh+PavkN4X1H4k+g98vQD6S318K+Rx+P6rkp4X9G4Vuy+93
IB/G1weFXOHriUqeK9SfaPQPfL0C8lF8fVPINXw9VMkvCvUzBr0nX2+BfCdf
nxXya3w9V8ljhPofi76b7xdAvozvLwp5Wb4fqeRWQv+KQ2/N9zsgr8P3R4V8
Md9PVfLtQv+NR+/F92sgt+X7u0J+is8DKvmnRD4/JKAH8HkDyMfz+UQh78vn
GZXcVcg/iejn+bwE5EuEfMVylwuY7rt3+d/dK6Tc5QJFTvcnbJy8UcpdLvDd
vHZ03f37pdzlAr/HVahYJSVDyl0ucDe7QHex93Upd7nAup9rrsx//UzKXS5w
M7vU4/H1C6Tc5QLagoGZm8tqSs5bh65JXe58sj+ba5miZ1xY+eKHwnK1GXry
3uoWzn3YXMsc/VOe8eIObdlcy4K8Ud/aW13YXMsSffvN9YOr7GfPBVbob+4N
iTMdxOZa1ugXIjyjNp5jcy0b9Iiijf7uY9lcyxZ9UED7hfsPsucaO/SsN+fS
qzZjcy179BqjkuzLdWNzLQf0XXdzj18fwOZajui7O0Seee3Gnsuc0Oe0/Hr7
ZBibazmjm1X+PPqfqttw3bB/s2cuvRx+lc21XNGtjC/kWjRgz5Vu6B3Gls+t
hnMtd/QU9Z8lY8uxuZYHum8318cd4thcyxM9T3Pn+hpT9lzshT5JrbXpkgV7
XwvQDy8OGdnzGevL5B3KqcqsNWwe4o3u9criv5E+7OdQ5I3c3h9usY+9r+WD
PndOyIqtl9jcgHxa46WhJ4ew+YYv+od2HTsvXiTnLhcYdeJ55ZlV2XzDD33r
q9DSoWXk3FW8fu4/aPcxUc5dxevk/K0DtqZy7nKBzIkWq/PHsfmbP/qkVfVf
tprO5nXkg2Yd0oX1YPONtuhnjz0o/9eL5VLyKBf3L1M9WY4NQP/8y6tHuans
+pPvT599rYkt+zlvIPqHblNvGiex+SR57w/TXg43ZPc3CL1IOJ78sPD5wejf
hfMh7yCcfwj6TeH7kk8Trk8o+jLhepJnC9c/DD1XuF/kfYX7G45+RFgP5NOF
9ROBXsSvNyBfzq9PhTyFX88qubWw/iPRQ/j9AuQd+f2lkB/j96NKPkHYv1Ho
r/j9DuRCfVDIV/P1RCVvJ9SfaHQzvl4B+TW+vinkOr4equRThfoZg76Rr7dA
voWvzwp5Rb6eq+RnhPofi96R7xdA7sT3F4U8je9HKvljoX/Foafw/Q7In/H9
USF/yPdTlbyD0H/j0Y/y/RrI/1vH9XeFvAKfB1TyDCE/JKDP5PMGkJ/l84lC
/o7PMyp5vpB/EtHf83kJyOsK+YrlLldo7aXr2854g5S7iv1dp9uV4nZKucsV
Arr3b7zrRpqUu1zh3OU96Q/6XJJylyvMvOGdWe3hPSl3uYL3FN9x9fLzpdzl
CrX8/rZ4O+ublLtcIbBnUtatG2yupUP/ujPwR/5dNtcyRXf0HH/s9H6Wq83Q
uy7wC9F9ZXMtc/Rl3qmPk2ezuZYFekKrfUabo9hcyxLddUQlnzW92XOBFfqG
t01GXDrH5lrW6EPSzaadXc3mWjboa25Eaf4fWfcdV3P7/wE84yY77iQkSZIk
7T2udrSnMkNWNiGEj733itsI3Umyx22Ej70pIysre2UTwu94PL7vcZ3fX/fj
+3ycx/me8znX9X6/rvf5OHXoBHMtO/RGxi47in7CucYePbLV1IFN3sBcywH9
0r+Ra69ugbmWI3pZUs1bV2vCXMsJfWb9Ol7v/4ZzmTN6oEvcouajYa7lgj7u
w8Cc7w1gruWK/mrh3p53cK7lhn53qtPkVXiudEf/falugiHOtTzQj7u/f3jU
COZanuiX+kcXbt4Kcy0vdLd95/Lq7oRzsTf6wC6hBy0mQ58V6GN9D73M9YZz
N3nsUjEv5yPMN3zQR19ov/CZAt8rkd/Vrz/+22n4XskXvXb6Z8djuTA3IP+y
51QbszrQN/3QLUZOazvloXbuchOhZ7v59K+hnbvcxLmH+ss/btG+r95NzDD/
5Fptu/bfCXIT0REpxo1t4PWQx5p13ZnVDl5/IHpGyHnfmcbwfsnNHd+uXXgN
rk8QutJZr9WhRXA9yYO3lHbYOB7mUcHoBiZPyh0OQC4iz3ka3zrm+CWt3OUm
BhT9OJqsD/fjkRd/f5t5YeIFrdzlJqZIjyffJz1/CLqx9HrIE6TXH4q+SHq/
5B7S9QlD3y5dT/Ik6fqHoydLnxd5jvT5RqDfk9YDeRdp/USie/H1Jsgr7GXr
UyFvztezSl4qrf8o9Hl8vwjyeL6/FHKF70eVPEXav9HoLny/C/ICXh8U8hO8
nqjkP6X6E4NexOuVIH/O65tCns7roUoupPoZiz6G11tBXsrrs0J+nNdzlTxY
qv9x6Lq8Xwjyuby/KORdeT9SyRdI/Sse3Yb3O0HejvdHhTyd91OVPFDqvx3Q
rXi/FuRveH9XyAXPAyq5jpQfEtDNeN4Q5P14PlHIN/M8o5LbS/knEb0Bz0uC
vKWUryB3uYvqdftUuzQ4Vyt3uQsjp++frUbt1spd7mJQjuH5uS2Oa+Uud1Ee
Oz189b9XtHKXu6ga+2lt+7olWrnLXRgvaVl6yvW9Vu5yF2ONUn70MYa5lgl6
x2c6F14tg7mWKXr0hDeDb6+HuZYZesurufHnJ0OuNkf3HlBp8Y5OMNeyQK8f
3XFGQTDMtSzRHz9Pm1PrDMy1rOjx/ZrU2DIBzgXW6MEVX41qXwBzLRv0lqnV
AvvOgrmWLXpGE8+VVw7BXMsOvXmDnK/7LeFcY4/eQ2dc80v9YK7lgO42zufo
7qEw13JEf7So8cVmAuZaTug66SsGPIqEc5kzurVuv/jUOjDXckG/dLDuHCP8
3XhX9JvbbxxZi3MtN/QMlwpPKuK50h29fPn3Rs1wruWBnt/yYvDyOJhreaIP
dR9yJLE5zLW80OeWtqpwrxWci73Rg4e37NX0AfRNgb5zjp3bpX/g3E2edG/9
RwMB8wof9Ep7bz87twXmFeSRIyuW7T0J8wpfdM/Mlc19+8PcgLzszfAF1adr
5y534Zo67WxGZZhXkJfu01lT65X294zuImeoTVgNG+3c5S5OtB7Wav0T+N4q
AP2p773U7qYwfyMf0nj7DOfKMK8IRBdbNi1usxW+RyOPbGvx/G4AzAOD0DPa
7f708h3Mi8jVVi1X7rgCn0swel5a+fp8ffi74eRePYoLXveAz7cdusVOnYH/
7jmrlbvcxd4qCdO/Noe/y9we3UZ6PHmC9Pwh6Cek10N+TXr9oeh50vslT5au
Txh6R+l6kk+Rrn84+ifp8yIvkT7fCPR90nogr7efr59I9CC+3gR5pVK2PhXy
WL6eVfIe0vqPQm/E94sg7833l0L+H9+PKnmQtH+j0Wfx/S7IR/D6oJAf4fVE
Jf8h1Z8Y9CW8XgnyQl7fFHKpHqrkraT6GYteNpbVW0F+nddnhdyO13OVvJNU
/+PQG/N+Icin8f6ikNfk/Ugld5f6Vzx6Fd7vBPlV3h8V9njeT1VyS6n/dkDX
5/1akAfz/q6QR/A8oJIPlfJDAnptnjcE+bsYlk8U8uc8z6jkXaX8k4hek+cl
Qa4j5SvIXR6iaNXGyGG2u7Ryl4dIWajkje97SCt3eYhjB9/3trM5r5W7PERu
QkHT6za3tXKXh/gUvDNvQpMXWrnLQ1xwCCv7vuurVu7yELp7Hjs0+gxzLRP0
Y6vd5p39CHMtU3S/mvte6J2BuZYZ+rzkCknN67fVyl0eYnWXXk86ZsFcywK9
fsW9H74nw1zLEn16/rUh+SNgrmWFnu1v7lHrJpwLrNFPL3ds3SgH5lo26Iu7
6Tzr1xPmWrbod+uteVVbN10rd3mI4V+rjEr8COcae/Scxj7ZJntgruWAvmfg
u5nP9GCu5YieZ+h21NMQ5lpO6Fk9ja56joVzmTP60wWj9K40hLmWC/rOLdll
k/F3413Rh++OMizGuZYb+hq/+xbv9OBc6Y7+c6rrBG+ca3mg73K4e/TIFphr
eaIvsl6TuW07zLW80L8OXOjhPAnOxd7oEaUB/Yfi90QC/ZvZ0YqGH+DcTf5S
97+WD8bD/So+6P+t6B3gcRLuzyFv/eG8S3E29EFf9KRaC7pHVYP+RW5Zd2HG
jJvauctDGOvGGfX+f7nLQ8TeijStlaGduzzEvYkLwtvN0/69eg/he+aAw18/
oQ8GoF/L7j/uzU/IjeT3dC50vrIdcmYgeln7FyOFK1wf8hnzk7tWyIf7o4LQ
LZ4vND/dGe6XI8/pteNoShrMl4LRA01//Djx+pxW7tLUma8fFub4wefeDr1m
xKJRF1bD90fkoX2XJH2rDfm8Pbqu9HjyGdLzh6CnSK+H/Jr0+kPRvaT3S75K
uj5h6Hoh/HqSf5eufzj6Y+nzIo+XPt8I9A/SeiAfJq2fSHRrvt4EuTtfnwr5
CL6eVXIhrf8o9HN8vwjyMr6/FPJffD+q5JHS/o1G/8T3uyBfwuuDQr6X1xOV
XK4/Meireb0S5Cm8vink23k9VMlLpPoZi/4Pr7eCfCWvzwp5Lq/nKnmmVP/j
0AfwfiHIz/P+opBP5v1IJd8t9a949AW83wnydN4fFfIqvJ+q5BOl/tsBfQjv
14Lcjfd3hTyf5wGVXEfKDwnoB3jeEOQ3eT5RyGfxPKOS50j5JxE9luclQV4g
5SvIXZ4ipHThLnXfQa3c5Snm7nZIqfTXSa3c5SmKG/RqZORwVSt3eYofAQ6+
DqElWrnLUwy7/8/EaV3ea+UuT9FpsGWIsyvkUiP02c//HrPhKMy1TND31y+w
fHwC5lqm6Mt/J9sMWgNzLTP0U9/dd9UaArnaHP3xU+e48g4w17JAr3DwYlrd
ezDXskQ/8bXHAqf5MNeyQk8tH6G8vw3nAmt0NfFlz8UZMNeyQS+ree6/96dg
rmWL3uqs6/heNjDXskOP6PXUZ9kQONfYo78Ij0hfNgLmWg7oXwoO1evoD3Mt
R/Ttb3sUVIuBuZYT+gkRP2dEXTiXOaOPStrZ8DXOtVzQv2yssaMR/m68K7pe
a49RlXCu5YZu/TC7zZXKcK50R9e/PMv4ZSz0TQ/01CWfmvmbnsd1Cf9tP904
0wjnWl7o50cttWh5H87F3ugvDZbNXrMS5g8CfVHfrda5XnDuJs9b8y2xdh7M
H3zQ4952yxh/HOYP5HuN35xy6gvf+/iib9qt33zhJO3cpVmfDcfcNasA3/v4
oc/IzbUxf6D9PaOnWGYbNOq8sXbu8hSzXPt7bTyn/fcZPcWF6v8mfMTfBQ1A
z3yRtbnsJPQ78kjT5RMuR8O/1wtED++j1Hp+DL5HIz+RerFmtitc5yD0tFOv
Xqzcflkrd3mK9RMnq4Vp8DkGo1eMfrJ58M/TWrnLUzgN/NjboddJrdzlKRJW
lR/bc/64Vu7yFL6HIk4m+xzXyl2a9yU9nrn0/CHodtLrIS+QXn8oepb0fslv
S9cnDD1Zup7kQ6TrH46+V/q8yK9Jn28Eepa0HsjzpPUTiZ7D15sgz+LrUyE/
wNezSn5JWv9R6D34fhHkKt9fCvkKvh9V8jfS/o1GP8f3uyAP5vVBIR/F64lK
Xl+qPzHoUr0S5NV4fVPI3/F6qJKnSvUzFj2f11tBns3rs0L+nNdzlbxEqv9x
6O14vxDkzXh/Ucif836kkm+U+lc8ei/e7wT5bt4fFfIPB1g/VcmvSf23A/pO
3q8F+TTe3xXy7TwPqOSTpfyQgB7N84Yg787ziUL+mOcZlfy0lH8S0cfxvCTI
faV8BbnLS7jWSYyweXlcK3d5ievzd73u//iiVu7yEqMnTJh0vvy2Vu7yEh0u
K8stB7/Qyl1ewrj/64Z5j75q5S4vsXtSVPO3Dapo5S4v4fXMcUStOvpauctL
3PTeb5R+F+Zapuiuw28ccnaCuZYZetCtiRfDD0GuNkdf3zC/WcwomGtZoFeu
8vty8SSYa1mi7x+g3yHyJcy1rNCPX8wKG7wbzgXW6C5u8X+n94e5lg36lkfB
NwPqwVzLFt13wvd5S77BXMsO3e/AjJkD8uFcY48+ZJPv7u/6MNdyQI9YPrTh
LCOYazmiT/o3eVzCOJhrOaHnvojX2dwYzmXO6HFjmqRbx8JcywXdZKj556b4
u/Gu6J2HXx50AedabujhQS3qnWoM50p39Grzxvk+yYP5gwd6r3XHgwdvg7mW
J3rLLN9BvSYW4nqF/wa9cQ8Z5gnnYm96vNXrg+/ewf02gh7fKyd90Tjoa+T1
flRceOQ49DUf9HXlPZ7V+xf6GvmTx6kPvlWBvuaLbhA/fbjFde3cpVnnM3u/
PPv/cpeXUM887rxzvnbu0ryelG4Dbijav5vqJWb1rOG37hnkQPIDBeq5+cWQ
GwPQHx9r5FY2DnImeVGVB3qr30BfC0Q/NmKIjms4/F1vcmE3sH7AUci9QejW
qQEzup+7oJW7vMRL0xlTonPg8w1GH7bkQJ3HgSe1cpeX+LXRLnnwKcjn7dAN
en8bleJ5VCt3aa7bxIc5ZftgvbVH15ceT66Xw58/BD1Xej3kjZrz1x+K3ll6
v+QJ0vUJQ78pXU/yT9L1D0f/JX1e5IelzzcCPUtaD+Sm0vqJRC/m602Qn+Dr
UyFvydezSl4urf8o9Dy+XwS5Od9fCnk0348quZW0f6PRg/l+F+RmvD4o5L15
PVHJa0j1JwY9gtcrQd6J1zeF3JDXQ5U8SqqfsegbeL0V5KN4fVbIvXg9V8l7
S/U/Dt2D9wtB7sb7i0K+lvcjldxS6l/x6Nt5vxPk63l/VMi//8X6qUq+QOq/
HdCteb8W5Ma8vyvkBTwPqOQuUn5IQN/M84Ygr8nziULuzvOMSp4g5Z9E9MM8
LwlyOylfQe7yFsNOe1vNH3lBK3d5i64xX82DW1zXyl3eQlESvv1zt0Qrd3kL
39mt5v9c+l4rd3kLcemt/+sEmGsZou+Jy9m4uRRyqRH67b1ze41/BnMtE/Q1
g87tct4Pcy1T9Ne7zd+MmAJzLTN060eXp1j1gVxtjn7gZ921hp9grmWB/rzd
ks/qGphrWaLffjGtd8YTmGtZoT8umTfjUDacC6zRDX9eOVenAOZaNuhdaoy1
0nOCuZYt+lGxybHLKJhr2aGHxzSfOmo0nGvs0TtZrd+0MBjmWg7o808v/902
DuZajujPP38tHfk3zLWc0JtXPGeRXwDnMmf0qZGXfi7DuZYL+q+GTepXxbmW
K/oY59MDp+Fcyw3dpP3jRD88V7qjm6uvGrs3g3mCB/rqs2n9+lhA//JEH3TP
qkLgPZgneKHbmxRcWbHiOq5j+O8n7wB1tid8jyPQzb/NXHs3F87d5H13zk1w
Owbf4/ig/zO5XtMLveF7HPLIi+kPLinauctbzD437eul39q5y1tkDe24r32x
9veM3uLLuq+WiqF27vIWGWV+i0NV7b/P6C3SXr4ZbvYc+hf50/9O7m2/Gb4n
DUBfOaR/ybRWcH8ReaO9nfrmTIG8GkiPX36wvMU96F/kZgFfdF1y4Xu3IPSc
anHztlaD7+nIn+4OHvCjKnzuweg9vB8+WXYGfmeJPGVuQNS0XpCj2qEPqT3u
+fQHh7Ryl7coGPLr2awnsA7bo0+RHk+eJj1/CHqG9HrIDffw1x+KflN6v+QJ
0vUJQ98tXU9yB+n6h9Pjpc+L/IP0+Uagz5LWA3mOtH4i0WuuZ+tNkJ/g61Mh
X8/Xs0qeJK3/KPQcvl8EeRrfXwq5M9+PKvkPaf9Gozvx/S7IB/D6oJCv4vVE
JW8l1Z8YdFNerwR5Oq9vCvkXXg9VckWqn7HoTXm9FeT3eH1WyKfyeq6Sh0v1
Pw69Pe8Xgnw/7y8KeQfej1RyXal/xaOf5/1OMOf9USG/xfupSp4t9d8O6E15
vxbkt3h/V8jn8TygkhdI+SEBPY/nDUHuwvOJQm7P84xKniLln0T0UJ6XBHkf
KV9B7hLicOOzFl/dr2nlLiGiB4WZxx+/q5W7hNDb4VIhz/OlVu4Sou+DzLwF
tmVauUuIjafEly8+MNcyRB/w1CC8ihXkUiP06SPL90V+hLmWCXrvUe4OkzrA
XMsU3WbpNs/oIphrmaFbeT0I2D4TcrU5ekdl0O5f82GuZYGe3mTqs8XlMNey
RE9KMXh7XIW5lhX6uW7GE+YOh3OBNXraBsfksUYw17JB172csPrSb5hr2aJ3
vWRf57/jMNeyQ68YU1u/VkM419ij744K2HzdBOZaDuSmqx8NmwBzLUf0SK+O
Pyc3gbmWE7pns/iOt/Bc5ow+9mTdgmSca7mg37MbVLAJ51qu6Ovrl5WG41zL
Df3ckyYd6uC50h19+swVH5y3wlzLA71jrVVdVikw1/JEf/9oUclkD+hTXuir
zyU8fP4WzsXe6E3c6h0dn34L1zf8t1rYnbTNx6BPkR/YltazYhb0KR/0PX3H
Ln34F/Qj8tXrXzs+uqqdu4TIjy23e6kDcwNya7uOuu/maOcuIVT/kXvt07V/
N1WI0jfeGSfuQw70R2//vJPn2MuQG8kfN/xldL4v9KkA9ClHwx+GX4B/R0De
NXT48faN4X6kQPSCDffqDx0B39eQD6g7a0pwKfSpIHr8zZmWO4bA93TkO8d/
+O6cAd8DBqM73Rmzr+tEmBuQL3Afm9FMgRzVDj3Zqv9lo2NwXw35J6vRv9YX
7dPKXULMkx5Pvlt6/hD0rtLrIX8qvf5Q9Mq3+Pslz5KuTxh6qXQ9yVOl6x+O
vlL6vMjLpc83Aj1aWg/kOqV8/USiF/D1Jsjb8/WpkJ/j61klz5bWfxT6Kb5f
BHO+vxRyY74fVXILaf9Go6/n+12Qf+D1QSHvwOuJSj5Tqj8x6Bd5vRLkG3l9
U8iLeT1UyUdI9TMW3YXXW0EexOuzQr6J13OVPEuq/3Ho5dGsXwjyeN5fFPKK
vB+p5L2l/hWPns/7nSAP4/1RIe/N+6lKHiH13w7oTXi/FuQNeH9XyEN5HlDJ
x0v5IQG9N88bgjyT5xOFPIHnGZX8y3aefxLRHXleEuR7pHz1DvtPr75Xx4xf
UyznLo2f2/fvoFNFj+XcpfHZMecX1rT4IOcujfddO9152jyYa+mj/3qp18/d
vLacuzT+YNKS4pU1G8u5S+N/LZzq+s81mGuZoHcqujK88gqYa5miDzYa8Lr3
SJhrmaE/zXsztUX1MDl3afyy3oGjoVthrmWBfqFxmwDvdzDXskRvP3Nl/tPd
MNeyQu8dG19odQvOBdboZw+Wle93h7mWDbrj1btvTcfDXMsWXfeFONthHMy1
7NAHfd3U60wonGvs0c2/1zgd1wHmWg7o7cwXV0+rD3MtR3qeBwtc5xTCXMsJ
/eHz3ov+bgLnMmf0od8MR9fAuZYLeq+fRZPdca7lim76dr7vmhiYD7ihd/xi
1d3RBPqROz2+anDKnpYw1/JAX+7womH/uzDX8kQfs2WA6boMmGt5oXt2MLaY
4gH9yBvdpMmjUTc2wfcyAv3e7of3/I4W47qH/66p6Km87gXfy/ig1yidsPH3
BK3c9ef6t/Yb/PGXVu7S+J3nv4eY3dGadyl/zgXBndYaaOUujduFPZj3PV/r
7wRpfMEovdqBJfC9pz/66+H941zWwfek5MkNe6TfNIT7hQLQPWpsfPYJfxeU
/MzSVQf+2w35NhD9xFOd815t4N/3kTdanbK4YTT8+8Eg9Iz7CVE/dOB7OnJz
p8dTihOOyrlL40bNAo/Wuw/3yZC7fA2I7pwNOaodevClpNRYQ/h3ZOS3nw/4
Ocpzj5y7NJ4uPZ58iPT8IfT80ush7yi9/lD0Aun9ksdL1ycMvfIzfj3Ji6Xr
H44eKX1e5JOkzzcC/Z20HsgzpfUTie7F15sg9+frUyEv4+tZJbeR1n8UuhHf
L4I8l+8vhfw9348qua20f6PpdfL9LsjH8/qgkC/h9UQll+tPDHpXXq8EuQWv
bwp5H14PVfIBUv2MRb/D660g78frs0Luzeu5Sm4s1f849GTeLwR5Zd5fFPK2
vB+p5KrUv+LR43m/E+T2vD8q5Id5P1XJj0r9twP6Dd6vBXkS7+8KeRDPAyr5
pwU8PySgF/G8Ici/8HyikCfxPKOSj5PyTyL6Xp6XBHmClK9g3uUjcu8c2pls
+lhr3uUjbn2quzlW943WvMtHLGu95XjC7zKteZePMMxK67dwNsy19NEXdD+2
MCcS5lqG6I+6x0/+Ud1Uzl0an3nv9M4to2GuZYLeJvCvoXPewlzLFF3fXLVv
vArmWmboCZbj65ithlxtjp5UnH70Zu2ucu7647+7uhtehLmWJXrHl4/s1oyF
uZYVevHFDwu2mcO5wBo9dHr62qpVpsq5S+NeC6Otdc7DXMsWfe3WLauNm8Bc
yw497UZgR5MWcK6xR78X3+7xnIkw13JAH/PX+QOdm8JcyxF9fGSG55Q4mGs5
oc/dWfpmE57LnNEvpNacNh3nWi7oNsmNR9xsBHMtV3SdSyZb3TbDXMsN3WD2
QJ1KW+Bc6Y7+wPZIxvUJ0Hc80LeXDnq9wh3mWp7o7pUWrXtRCnMtL/QnuX0n
jh0L52Jv9BWpk1L3HoW+I9Dt20+Iab0Bcg55qcdYL1s4p+O8y0dcnJ71MO6q
9rzLR7ysNmfsJpgD4LzLRzxtbvklcI7294w+wvjgLLXKWO3fTfURHsNsxoy7
q/13sX3Ezj2vHG3x72j7oxe96P7EpDvc/0NevvnWa/8jkEsD0E3GvppeuQrc
X0T+ZfjRZ29ioO8Eom+v/Cbw3nT49/jkV0Lyug24Cbk6CD259fy4qQfh+xdy
k9Un3/dZdFjOXX9c/2vVx81gHkVuNLzDdl9nyFHt0Gserfcx/s5OOXdpfMry
284H6+6Uc9ef/SU9njxZev4QdBfp9ZCnS68/FD1Ter/k9UL59QlDL5WuJ3n1
VH79w9GdpM+L3DCPf74R6Pek9UCeL62fSPRAvt4EuSVfnwp5OV/PKvlHaf1H
od/m+0WQl/P9pZD78v2okm+V9m80+ju+3wW5L68PCvk2Xk9Ucrn+xKA35vVK
kFfl9U0hd+L1UCWX62cs+jRebwV5Gq/PCvlQXs9V8ptS/Y9DT+H9QpCv4P1F
IXfi/Ugl95P6Vzz6Bd7vBHk4748KeQTvpyp5mNR/O6BH8n4tyCvy/q6Q1+N5
QCUfJOWHBPTbPG8I8lk8nyjkejzPqOTTpfyTiK7yvCTI10v5CuZdPmJAtZbm
Vdq+1pp3aT6vdZ56v40/ac27NPVtwqvSJ8YV/ve+9NC/WFUO/ns2zLX00cN6
fNa/7AFzLUN0l6Xr4vI+QC41Qrfy+O3ovBXmWiboJXpfj52ZCnMtU/R1t/8e
FWACcy0z9FdZTV4VH4JcbY5e2VT36NPvMNeyQC//OCmgznGYa1miB1jvuBVc
AnMtK/TI+YEfevjAucAa3b7W58HPpsBcywb96e9Wgc4TYa5li/46a633r0iY
a9mhD7LNaTI2Ec419uipWV3OpjWAuZYD+oe3h+w6X4G5liP6+n9zHBfgXMsJ
fdTQV2Z6eC5zRr/5cNazd5VgruWCvrzf3X3foqG/uKJvn1gp06YpzLXc0Dst
3hZSGc+V7uj5NjpFC4thruWB/t/4qOWbl0N/8UQ/4Zm8eZI7zLW80Oucntz0
bg70F2/0mvMbve6pwvcsAr0g26iGM567yQMvnsgdN0Erd2n81o5OLut/ac+7
NH1/dazru9va8y4fcVDHYlBnA+15l4+o0mrNw04wZ8B5l4/o/P2v7MsP4HtP
cp3tezq2XgN50h9dHE+YbfA33P9Dfu2os+/NbpBXA9CHfE5acW8D3F9Ertc2
v0HsV8jDgegOA603Z/6C/kKe/cDpUffJkLeD0A1ymp3cnQnf05Ebd/x3rnHB
ATl3adzsqP3HNqf2yLnrz3rI/Z1a1BpyVDv0D9eDhr2pCHMA8vI9Z9ZmLN0q
5y6NGxXxx5NX3syfPwTdX3o95MnS6w9Fj5XeL/lz6fqEoadI15PcQ7r+4eiz
pM+L/Kn0+UagR0vrgbyytH4i0ZP5ehPkNfn6VMhP8fWskq+R1n8U+mO+XwR5
PN9fCvldvh9V8mbS/o1GN+H7XZBf4PVBIc/n9UQlPyzVnxj0rrxeCfK9vL4p
5Gt5PVTJb0v1MxZ9KK+3gvwfXp8V8lJez1XyIVL9j0PvzfuFIC/h/UUhf8D7
kUpuJfWvePR2vN8JchfeHxXyl7yfquRlzXj/7YD+gPdrQT6P93eF/ArPAyq5
oZQfEtBb8bwhyP14PlHIS3meUcmdpPyTiD6b5yVB3kPKVzDv8hWX19e7sHPt
R615l684ZVj798YjP7TmXb5ict/FLlFxVeXcpXGLjO7+y5bCXEsfvc7EI5Eb
LGGuZYgeFXxgTP5ayKVG6AbZ5x7tqeYu5y6Np1xLtTmyFeZapuiBRkuvxOfC
XMsMveutJUnNm0GuNkcf5rSo7cBbMNeyQG9aVafX1skw17JEd5o4ekSJDcy1
rNBNbjVf6V0TzgXW6MHbGz4PugJzLRv0xr7lEW2bwVzLFn14dxPTlFYw17JD
N/PIGp09Gc419uRmcywdm8FcywG9hV9Y/bbxMNdyRI/UuWzxFudaTui/dKN6
9cJzmTP6nGzD4B4413JB14/Rn9Q7F+ZaruirMj5ev7QZ+ogb+qO/C8fUwXOl
O/rhThWa7XCDPuKBXrH/42Wv38BcyxP9bq7r3PQx0Ee80J/szL96VoVzsTf6
0HFhacnrIecI9IbTH61fWxnqP7l5rVmLKlzVnnf5iqKtn0eswvu1yA1PTteN
m6OVu/48ft6lPQZjtX831VfYVCg1CIc5A867fMWCsW8udjoH9+eQ752Y3rVa
N8iZ/ujjl9+7UuEgfJ9CXpqcc8TjF/SRAPSk/pvfbwqE+4vIt6cuPr+/M+Tk
QPSaPZe6qEvg+xTyMdXdCsfGQh8JQo/tG+J6IQnuYydPstY7trnPf3Lu0viF
SxNadD0F8yjyGU9q7Zj9DXJUO/RVFc2u9q+1Wc5dGi/7z/vDnSPQd9qj35Qe
T/5Jev4QdN3L/PWQL5Fefyj6Gen9kh+Qrk8Yupt0PcmfStc/HH2M9HmRl0mf
bwR6hrQeyPdJ6ycSfQlfb4Lcjq9PhfwmX88qe7y0/qPQ7/L9Isgd+P5SyC34
flTJJ0n7Nxq9nO93Qf6U1weFvBavJyr5Can+xNDz8HolyNfx+qaQG/F6qJIv
kOpnLPoPXm8FeTCvzwq5Ka/nKrmJVP/j0JvwfiHIe/H+opD/zfuRSu4j9a94
9Ea83wlyC94fFXJ93k9V8mSp/3ZAD+f9WpB78P6ukCfyPKCS//iX54cEdBee
NwR5FZ5PFHJTnmdU8jFS/klE38fzkiA/K+UrmHdprsOagsL7bX9ozbt8he+7
K8Yzq1X63/Prou+2qqx7bUMdOXdpPHFsxUVXV8JcSx99Vtz9uLZGFnLu0njw
1AB911OQS43QG7ms63lzKcy1TNDX66W33ucEcy1T9F9zZ3opF2GuZYa+t4Kh
66K/esq5S+M9Lj3JcimEuZYF+gXnOi7Jr2CuZYn+QelvXCMI5lpW6BlXsg7l
zoZzgTV6cLvOP+tPhbmWDXrOjk7O9nEw17JFf1PLtmJmJ5hr2aHreO1pOboh
9Bd79LbNjtWxugpzLQf0rq4Hi2saw1zLEd14+8zf+jjXckIfdG9Dejaey5zR
fw0aPj4O51ou6IWmJ6KsjKFfuKKXqf0nxJjDXMsNfdy1GXX234F+4Y6+0uXt
/b3LYK7lgT780eK9k9ygX3iiV5zV6PiTjTDX8kLvUmf0/ZlHIM94o686WMF8
bjJ8ryfQ06eVvqo7QSt3aTzr96FrY35pz7t8hevldgW6d7TnXb5CTH3ivsFA
e96lyXVB/VO24tyAvPOdPQ8/w5wB512a9Xnf5fXl1dAvyGMbuDQ+UBfu5/FH
z04cv+9QZ7j/hzw4vs+lN6sh3wagP+79LXVuCfQL8gG1V2UGFUN+DkS3qPpE
72Io3D9Mfu9Taf91oZDPg+jxdy9lvb8K/YLcbX+LLW3idsu5S+MJh3ZsHmsE
8yjyBynGG60DcuXcpfHeR76pmfnZcu76c33uWzg+WwDnkfboM6THk5v0588f
gp4nvR7yQdLrD0WfJr1fcoPP/PqEocdL15M8R7r+4eh6ffjnRR4tfb4R6Iel
9UDeWVo/kei7+XoT5B35+lTIDfh6VsmjpfUfhR7K94sg3873l0I+l+9HlXyz
tH+j0VP5fhfkerw+KOSTeD1RybOk+hODrvB6Jch/8PqmkN/g9VAlrzyY189Y
dKneCvIGvD4r5B15PVfJraT6H4f+3ZP1C0H+mPcXhXwN70cquZ/Uv+LRF/N+
J8hf8f6okB/h/VQlj5b6bwf0zbxfC/L3vL8r5It4HlDJq0v5IQHdiecNQT6G
5xOFPILnGZU8V8o/iegePC8J8m5SvoJ5l58Qn332D8iv+L///b/cpfFvY97l
pvysJucujZul6A8zSqgv5y6Nr7Jot25VCsy19NEjFg7La1QEcy1D9Em5y8e9
aAm51Aj9jeOngq7HYK5lgn7aanTWyf9grmWKnn3QYctMe5hrmaG7uycXnX4C
udoc/UCt6q5HZsNcywL9VuCLRfruMNeyRB+8KmLTyHow17JCz+qzKnjeLTgX
WKNPMZrZxrsFzLVs0Dc9TK+0qw3MtWzR77Wqt+HIVOgjduilnxLa12oO5xp7
9AtLJ927hXMtB3T36WtGO1jBXMsRfa+pTm8/nGs5oacU2cW9bgjnMmd0oVhv
WrQJ+oILetLqxw3+yYW5lit65jzf9e3GQ19wQ/d8Eb37jCucK93RzTcOMHn3
GuZaHuhXbh/cMH40zLU80e8kvfe4fwRyixf6/M9H9qxbB+dib/TBFebbG8A5
GuddfmKo7U7PQ1e0511+4v7kgi1r8H4VH/QebnkF/8zRyl0a73zm59q5Y7V/
N9VPfLF3tb2OcwPyeYUhUcdgzoDzLj+RF7nhb12YSyjkawZPtbc9AH3BH73H
ucD8yuXw7+XJT3TbUa+VL+TeAPTYD6MbzwyF70fIUz0uBc4YDX0hEH3S88cb
tljA/UvkUyr/XhRxE3J7ELr5hdbdDmTA9yPkhvPO1HdYskPOXX9eZ90hLium
wDyKPLzafxGZrbPl3KXx6oOTT1avtEHOXRo/NvK75+Wv6+TcpXE96fHkqdLz
h5DX46+HvKv0+kPR+0rvl7xYuj5h6Hul60m+Xbr+4ehp0udFfk36fCPQh0jr
gXyrtH4i0XP4ehPkM/j6VMg/8fWskveQ1n8UehrfL4L8Cd9fCvkkvh9V8vHS
/o1Gz+T7XZC/4/VBIX/E64lKbifVnxh0X16vBHkWr28KeTKvhyp5sFQ/Y9EH
8noryHfz+qyQO/F6rpKfkep/HPoL3i8EeRHvLwr5at6PVPLxUv+KR1/D+50g
T+H9USE/x/upSr5D6r8d0Nvwfi3Il/H+rpAf5nlAJS+W8kMCegrPG4LciecT
hXwxzzMqeRMp/ySif+J5SZB7SfkK5l1+It+japVWOyBfwbzLT4R4ppk9yK4r
5y6Nz7JqGuax0UjOXRov2h7So8ZwmGvpo7+K+tzu3AuYaxmiX7L/++P5HMil
Rujjs/JvLA2HuZYJ+sQhPbPH3IW5lil6i+/nLkTpwVzLDD3186aOKfchV5uj
T66yYb3yCeZaFuh6k1Y92hkKcy1L9DQrvcoDF8FcywrduGnbso8z4FxgjV5s
/jiyTyLMtWzQh4/vNeJEF5hr2aJHVR/SYnRjmGvZoXev9OryDzzX2KO/nbB7
6kycazmgBwfHVG6Ecy1H9MklBz0741zLCb20xqdpO6Kg/jujx1pndLRoAnMt
F/TIm0eerm8B9d8V/VOPalMe3Ia5lhv65fi1g48thfrvjm46/D/zya4w1/JA
P9u7i8HbbMgnnuhdx2613nEY5lpe6LO/BdZ62hPqvzd6+0jbx5vHa+UujZed
7Hut6y/teZfmOpiHpDnf0Z53aa6/R+bGvxtoz7v8xINJC1LDDmn9nSCNx7zJ
7/TvQ6j/5KY6w18k4/02fujL+g2p9w3mEgp58bLqT6NhjoHzLj9xauboj91W
Qf0nV2KDxIk7kIcD0DOOt7u89zLcX0ReVnHo6GhnyNuB6MEn/+q3oRXUf/LY
yl1L9/eCPB+Evm+/2bXAPLgfmDzBVE0+4Q3f6wWjx28yWPWux0Y5d/35//V7
cdlyDeyLduid59VbumwdfD9CnqdfsX7umdVy7tK4h/R48iHS84egl0ivh1yv
OX/9oeiPpfdLvkS6PmHok6TrSW5ViV//cPQD0udFnid9vhHo56T1QP5OWj+R
6NJ6E+SN+PpUyKP5elbJi6X1H4WeyveLIP/F95dCXvUU248qeSdp/0ajZ/D9
LsjTeH1QyG/zeqKS20j1Jwb9Jq9Xgvwbr28KeTSvhyp5Z6l+xqJ/4vVWkE/h
9Vkh9+X1XCV/KdX/OPRuvF8I8va8vyjkA3g/UsmvS/0rHr0R73eCfATvjwq5
Lu+nKvloqf92QO/J+7UgN+L9XSEfwfOASj5Ayg8J6Ed43hDkt3g+UchP8Tyj
kk+Q8k8iejDPS4L8gJSvYN7lL270O75w6jTIVzDv8hfWhf71599pIOcujTuY
vL3707S5nLs0vmxUzwUPWtjIuUvjbsdmju8XD3MtQ/TC879eN74NudQIveKG
8Gaup2CuZYK+utboLwMDYa5lSs9TudYZ7w8w1zJD7zq2jnvRYsjV5ujHftRK
Cw6AuZYF+srZ4d23GMJcyxI9Mf70wqsPYK5lhW46a5d/eCs4F1ijn8maXfmH
Lcy1bNCDY690vzkd5lq26M9PJTd6YgZzLTv0h60vZ0zpAOcae/TKhxrfH41z
LQd0l4NLpjXDuZYjer0mDzNG4lzLCX27d2TjI/i73M7oPXZf2dVnE9R5F/TI
a5O+Tx4Hcy1X9GVRPUc/cIE674Y+IfzC3Y+v4Fzpjv5hd4sfShrkEA/08gOt
/v58GOZanuhBQ34W3s+EOu+Fvnl4yfp5laA+e6M/fGp+J/2K9rzLX+RU/+t1
Fp67yb0+Fo76MEcrd2l8ffUfT0zTtX831V8kBe68vOSe9t/F9hen9B4Nng//
jkwhT6o8ICcf77fxQ0/d9XjsPzCXUMgnva3c5+EPyLH+6PP0xw4z9IHvO8h1
Rix/PjQI6nwAeumZkrOXBsP9ReQuloN/nm0AOTwQPXni8s3ZmfB9B3nNvxvl
Wwqo80Holy67PTOosUPOXRqfZryxvMlTOEcEo2cFFI8POQ3zKPL0bauPN2kC
+6Udur+xru+cNnA/MHlWWoPS1vMy5NylcSPp8eTPpecPQdcJ5K+HPLApf/2h
6J+k90vuIV2fMPRr0vUkT5Kufzi6/ln+eZFbS59vBPoCaT2QL5LWTyR6Ol9v
gjyBr0+F/ARfzyp5R2n9R6Hn8f0iyKP5/lLIt/H9qJJ/kPZvNPo+vt8FeRKv
Dwp5rYOsnqjkFffw+hODPofXK0G+itc3hTya10OVvK9UP2PR9/N6K8gNeX1W
yB15PVfJdaT6H4d+j/cLQf6Y9xeF3Jf3I5X8sNS/4tEb834nyGN5f1TIF/N+
qpLvkfpvB/R43q8F+Wne3xXyeTwPqORl63l+SEA/wvOGIG/O84lCPovnGZXc
Sso/ieiWPC8J8iIpX8G8y1+Yz+9ZYf9ZyFcw7/IXU3b173O+uomcuzT+bbBt
oRjcSs5dGp+97bJvgKujnLs0vuqcS9U2p2GuZYi+e/qj7UEDIJcaobc4Enf0
RSnMtUzQZ7Usch/QGOZapuijBqw9eOoNzLXM0O91CfLN/gm52hy9ZPYgi87R
MNeyQO/9+EKztitgrmWJPsk4q2/hHJhrWaHXq+y2fmUXOBdYo4/fWiH9eTc4
X9ugh2UrJ9KaQD23RZ/278Th56/BXMsOfX5gN5sqTaGe26O39h9u1xTnWg7o
S+wLW9XDuZYjemHVOgW1cK7lhP4lyHaPmRHUc2d0yy2rxn4wg7mWC3qjhTda
6OJcyxXdJKmpxaUlMNdyQ1+Y5HhgsgvkDXf0nDVe88r+hbmWB/rv75v23zwE
9dwTfe++gtHeONfyQj9yNq5e0Hit3KXxQCv/yQG/tOdd/mLGguQT/e9oz7v8
xeta71PmN9Ced2nWeXfXyRUPa/2doD/rcOCwhPH4+0i+6FO9mloGroW5AXn6
V5NLaj2438YPfcED38038P4c8r7H9G0GwBwDctef6zzBfE38bbj/h3xSg+gZ
T89Dfg5AX1W3ZuKltlDPyU90XVe9lxHk80D05ML6d9e7wv1L5LPyxi0Y0Qvy
fxC6ycXVL2N6QD0nVyvPf3FKD77XC0bf6VF4q/W/mXLu0njN1rOud7u3Qs5d
f/bXi95u8+YulXOXxnu0bfG+S/Mlcu7SuJ70ePIp0vOHoL+WXg957F/89YfS
80jvl3yfdH3CyKXrSf5Yuv7h6Gekz4s8W/p8I9BtpPVAPkhaP5Hoa/h6E+Rj
+PpUyBW+nlXyGdL6j0Iv4/tFkOvUZvtLIV/O96NKHift32j0Ar7fBfk5Xh8U
8no/WD1RyQ9I9ScGfT2vV4K8Fa9vCrkxr4cquZVUP2PRKwazeivIi3l9VsiX
8nqukltI9T8OfTbvF4Jc6i8KeTDvRyp5mtS/4tF1eb8T5ON5f1TIk3g/Vclv
S/23A3oR79eCfADv7wq5wvOASt5Iyg8J6Ot43hDk83g+UcjH8jyjkr+W8k8i
+kSelwR5CylfwbwrQDjF2Xx4XwfyFcy7AsTCD18fDxnVQs5dGnd4Oq//qkKY
a+mh625Y9n7qUZhr6aNvNm+edLZCkJy7NF5+ps/90zchlxqhD1P2L0nuBHMt
E/QpQcsD3H7DXMsUvePmQ6LmKphrmaGXnqiiPysCcrU5+umyjgufGsNcywLd
ZdyVOg2fw1zLEt0i8/aDzm1grmWFfrPjxUBfJzgXWKMPamJ26N1MmGvZoM97
tG11vjnMtWzRfX/85982Aeq2HXr3Mo/EI3iusUePO3fm1O86ULcd0DM9RtWr
gHMtR/RZtb4UvdoIddsJ/dyJkGyHHDiXOaNf3bt6wuF0qNsu6Lkz2vYpc4a5
lit65R+XDnx9CXMtN/Ravo37TB4F50p39NI6Nl+r41zLA73j34l/GeNcyxP9
29KDHariXMsL3T71kbPnFe15V4Co+W1vnTy8X0ug69ZrVD1srvb9XQHC33iC
m5qu9bupGrd7tisiGX73WyGvPS3iwZgLULd90X2z32VsSoK5AXnmlyYVB8C/
O8N5V4AorjHXfzjen0Numr9trQ/MMSB3aTwnvccxJRDu/yEfFr292fsBkKsD
0Gu3HZD5rS58f0FeOaBQ99VsqNuB6E4xo2d2wX/PTq6udi/ch79PEoQ+Y3PD
JR4O8P0Fee3W56Nf74a6HYz+zvnJt2cP/pFzl8Z3v7BP6997qZy7NP6hvtd0
l40L5dyl8bJjVw1zBi6Qc9ef12/AH09u+JI/fwh6pAt/PeSx0usPRdfL4++X
/It0fcLQk6TrSS6k6x+O7iZ9XuSzpM83Av2MtB7ITaT1E4n+mq83QZ7N16dC
7sHXs0quJ63/KHRLvl8EeTTfXwp5I74fVXJ9af9Gowfz/S7IdZex+qCQD+b1
RCWvqMfrTwy6Ca9Xgrwer28K+XZeD1XyIql+xqLf4PVWkGfw+qyQb+T1XCWX
638celfeLwS51F8U8lm8H6nk/aT+FY9+kfc7QW7K+6NCbs/7qUquSv23A/pT
3q8FeTTv7wr5KJ4HVPJkKT8koH/geUOQr+T5RGGPX8/yjEpuKeWfRPTZPC8J
cjlfwbwrQLQ9l2TybAnkK5h3BYh8tdN6i6VWcu7SeO/gY4UNTZ3k3KX8eV9+
+1vW8ZVzl8b9c0r21s+EuZYh+qKtxUGNqiTIuUvjJ2rYG/1qCXMtE/S0s5Pu
3y2HuZYpellyhcKyKqPk3KXx7jcjVtZJgFxtju7QvY7L57Uw17JAvz0sMWDb
AphrWaIbpEWtutgd5lpW6KO7dG9bswfUZ2v0p82+10lrCnMtG/SKjYrKV16H
+mxLj5+7/O4knGvZof9cWHuWGZ5r7NHX/NgnzlSEuZYDemyXqMSUSKjPjui3
LixKatYY5lpO6JW6PfXwxXOZM3qRd68PbW/BXMsFvePzWZVuL4b84Iquf35T
zynOMNdyQ/cO+FizIp4r3dGXzcv21sG5lgf6xNkGJRk9IP94opuea5BYMk4r
d2l84al2a61+ac+7AsQAkySPdXe0510BYtUlz4e1DLXnXZr+1cTH79Bhrb8T
pPFnzXQP9ngE92uRP//VZphnJuRJX/RqjZ583IG/p0Re3rv/gJwukFf90F82
qZylA/9OTSHffu1E1CmYY+C8S1MnrXesDoK5h0JuUOflsXVtIG8HoDsNMzr6
sAHcX0QevWx2bkoryPOB6MbJG/rUaw/1mTxnyRiPn7pwXghCLwi7NWTNJLhf
l7zvP2cHzp8P55Fg9LSXG9vXd18u5y6Nf59Wc0K71Qvl3KVx3cAhL5admCPn
Lo276Ax+m7pplpy7/jw+iD+e3Hc6f/4Q9ALp9ZAPkV5/KHpyOH+/5BZL+fUJ
QzeXrif5HOn6h6N3lD4vckvp841A3yqtB/I8af1Eon/h602QV+/D1qdCrsvX
s0r+Ulr/UegP+H4R5Bf4/lLIt/H9qJJPkPZvNHoO3++C3IbXB4V8Ga8nKnme
VH9i0KN5vRLkLXl9U8iTeT1UyYul+hmLXo3XW0H+nNdnhbw7r+cqeaZU/+PQ
pX4hyKX+opBX4P1IJS+R+lc8eirvd4K8Nu+PCvkN3k9Vchup/3ZA78z7tSAv
5f1dIe/L84BKfkDKDwnoM3jeEOQ2PJ8o5I95nlHJ46X8k4i+i+clQW4j5SuY
dwWKC+V1tr2+BfkK5l2BImvSyW7t3trJuUvjX0oqiOM/POTcpfHKETUCfHrA
XEsfPbOOi+ny7zDXMkTXbJeo7mmQS43QVze8kBlQu6+cuzRe23q1x+ksmGuZ
oo/ZUTyxZkeYa5mhV+2TcdK6BeRqc/S5Z8rPJ7+FuZYF+k1n+0EDbGGuZYk+
YG32sJluUIet0AMNHO7ozoFzgTX6udEGTxZbQB22Qf/Y+dKTWzjXskVfNiX5
ReU2UIft0D+su2h+D8819uhbbpYcnW0IddgBPf3o9TuGONdyRF+Ut6W0wkao
w07oO+Lu23wbC+cyZ/STYwzS9XCu5YKesSxr148XMNdyRdfxuXxv6kiow27o
7vktrpscgnOlO7qpW02zzmsh53igG8SWfZxQEeqtJ/qRNmLez0LteVegMMtw
CN+F52Jv9KLm/p1y5mrlLo0P+Zjbp9s4rd9N1fiM6qmFzg+0/y52oLhWz2Hk
oItwvxZ5+9PbR2bD74TjvCtQ+Hece6FjPswNyIuGjgv0/Al12A89YemFZQV4
fw5552Z7U8tgjoHzrkBhWDFm2xSYeyjkXa163A7RgzocgJ71ZMm8u1Pg/iLy
ldajhubqQc4PRDf50SbZ5RB8H0GusylY9+CbHDl3afxMs8rRJX7w79PJp+22
rr54HJxTgtE724TalvoulnPXn+t2ZuDrPbfmyLlL47tF7ZDhUdPl3KXxnCbO
uZZTYV+3Ry/w4Y8nV6XnD0FfIr0e8t7S6w9F9zLl75c8Xbo+Yejy9SQ/I13/
cPRr0udFPlL6fCPQ7aT1QN5XWj+R6J35ehPkz/n6VMhD+XpWyYOl9R+FLu0X
QT6F7y+FXOH7USV/Le3faHQbvt8FeQGvDwp5K15PVHI3qf7EoEfyeiXIDXh9
U8izeT1UyQuk+hmLvpfXW0GeyeuzQj6X13OVfJdU/+PQP/J+Icil/qKwx/N+
pJKflvpXPLov73eCvAfvjwr5Fd5PVfJZUv/tgF6B92tBPoj3d4W8Cs8DKvkC
KT8koB/meUOQL+X5RCH/GM7yjEr+QMo/ieireF4S5OekfAXzrkBxoqz0QS0b
ezl3abz0TmezGV9c5Nyl8cbnOlX2LoG5lh76saH9Wv4yCZdzl8ZNh9+OdbGD
uZYh+stJ81qYuEEuNULPuZbW5HbtQXLu0vjrOgePVK0Lcy1T9OaL7i183wXm
WmboY2dFRBVmQ642R9+oOr5fuATmWhboReuM4iv2hnprif53Tp+aNskw17JC
j3Cq6jOqGZwLrNFTHm9JSymCuZYN+rnudxb9xrmWLbrNusRaljjXskPPHXJl
0ng819ij+5qeMD0dAXMtB3Sn3os7GzeCeuuIvqpvf8tFzWGu5YR+9rPfiw43
IQ84oycPv6vzdBHMtVzQ0/v+azLVCeqtK7rJ5iNzamTBXMsN/aF9+q6W+ZBn
3NF3hu6y+NAd5loe6CtqDk0bN04rd2l8yZ2kzL9/ac+7AoWPwZ6TRXe0512a
Pm48++IcQ+15lyan5Q4JGH1E6+8E/Xn+Xcml7R5DPvRBP28dMcMN//4deej0
2Qu26sP9Wr7o/451s57fFeYG5HneLeMP4+8v+aGnnjzrcRH+nZpCPqfv9Gv/
4f08/ui6feuOi4S5h0K+c0FkyRwDyOcB6A/iHLvcag71lvzUsw7pjQTk/0D0
7S/1EoKf5cm5S/Pf24NmGdiEwPkiCD3hfLVOecVr5Nyl8c4LCotGN4XzSzB6
2ozTv4pOz5dzl8YvBH6+XDhxupy7NK7EXrIKvzhJzl0af3whZU9l/D299ujt
4/jjyTsG8ecPoeeXXg/5AOn1h6Kfkd4vud1gfn3C0G9K15O8WLr+4ehl0udF
fkn6fCPQ9aX1QJ4rrZ9IdGm9CfJ8vj4V8r18Pavk7aX1H4VewPeLIF/A95dC
3obvR5W8k7R/o9ET+H4X5Lm8PijMeT1Ryc9J9ScG/TuvV4Lcmdc3hXwer4cq
eapUP2PRL/N6K8g38PqskAfxeq6Sh0r1Pw59K+8XgtyO9xeF/DzvRyp5P6l/
xaOH8n4nyGvx/qiQX+T9VCXPkvpvB/SRvF8L8ia8vyvkJTwPqOQrpfyQgP6Q
5w1BbsDziUK+necZlbyWlH8S0Ut4XhLkqpSvYN4VJF73t/1xPNlVzl0aF3uW
P7/STci5S+P/7ClNnZseLOcujd+ZfP7d8MgYOXdpXK15wuHNDphrGaJXy1/f
7KcZ5FIjdN2WcQembYO5lgn6mIsrBmf0grmWKfrfpy17728N518z9LkDhy4s
+AK52pyeJ36y32RHqKsW6Ea/05Ze9YK5liW607yw1GbzoK5aoacsPx3Q3xLO
BdboXxOi5k9JhLpqg958efny9jjXskX/+SspJx/nWnboJ/zObTTAc409+uAC
I8vAbKirDui79UvnXP4X5lqO6He2t6ntgHMtJ/SfhTf/s3CCc5kz+qNq20//
fg5zLRf0ExcPJM0YAXMtV/Qz2QmbnPIht7ihz44Y2mLlGjhXuqPrVivvWVYB
6qoHeknwl52HCrXnXUHCMvpN2gGca3mhLxi8bmOledr3dwWJ3G/X7/wap/W7
qRr30BnTtuZDrb+LrfF63xZVTb4EudEHXf/YrxEbe8D3C+T+pccuRx2CuuqL
/kFvlF0D+F1xhdw/4MmWcfj7S37oaV/PXbwP/05NIb92ava+Eryfx5+ex/Cn
618w91DIr/WoNGML5vYA9JFdRs91rAnfL5Dfa9p5c+c9UFcD0Xt8m/079mqO
nLs03nXo6wOphnDuCEIv01V67X63Qs5dGn9ZdePWs92hrgajF//1bUwDg1ly
7tK41Yo+BuG1J8u5S+Pvpv6yG9xqvJy7/tQlJbOsSsZYOXdpvPM0/njyA9Lz
h6BnSa+H3EuXv/5Q9MfS+yUfL12fMPTD0vUkL5aufzg9j/R5kVfuyT/fCPT2
0nogL5PWTyT6eL7eBHk4X58KeZW6bD2r5MHS+o9Cb8T3iyDX5/tLIffi+1El
Pyzt32j0bL7fBbkLrw8K+UdeT1RyY6n+xKDn8HolyO/x+qaQ3+b1UCX/ItXP
WPQqV1i9FeQlvD4r5Md5PVfJx0n1Pw79PO8Xgvw37y8KeQvej1TyL1L/ikfv
y/udIG/L+6NCXo/3U5V8uNR/O6DP5P1akNfh/V0hH8TzgEquI+WHBPQfB1ne
EOS7eD5RyK/wPKOSz5HyTyK6M89LgvyJlK9g3qWpV9tGBzTcB/kK5l1B4mJ5
fEuHpAA5d2l89ueld49nRMi5S+Pne4cUumfBXEsffdzbjZM3dIO5liG6yMtZ
0Lk15FIjdMPG986UNIG5lgk9v8XmrLnJcM41RZ/bZsf+GlthrmWGPmjs38dm
Z0D9NEefufWfVz4pMNeyQD/tsaB9fG+on5boP3e26T2qOcy1rNAHGNuYu92A
+mmNfti18sB0E5hr2aBnx5udbYv10xZ9X2HRBweca9mhF/VNb2OG5xp79ElW
Szc1bghzLQf0HSXO/iWm0N8d0Y81GFhduQFzLSf0R7vKmn5YCPXTGT1p8uV3
Ux1hruWCHlu2u2b9DZBPXOnx8QX1Ig7CXMsNvefbisEheK50R/+SndTTcJxW
7tJ43Zoj+33/qT3v0tSrarWa1SzWnncFieUurTbVaKg97woS1rvLhzqqWn8n
SOOPF2UesH0C9ZN81Ye4Kq7rIU/6oLcaNMV4a324X4u8ONqpcCz+vTxf9I2W
JenT10D9JL+wrM7L38WQh/3QDX3Ly0dfgPtzyDMDPCYtxft5/NEHray1PwDm
Hgp5xyJ1+nf4+8447woSv5bdnDzaA+4vIjfxrKxXeDtPzl0az3XO3TzJCeon
eeyIolXXM9bIuUvjpzziq9TZAf9+kLzMo2Bwu2Q47wSjL0r5Z9mJMKif5Ak9
ZrTZmj9ezl0an1fT02OXXpqcuzSe12/lhn0vR8i568/nW4M/nrn0/CHoU6TX
Q57vyV9/KHpn6f2SW0nXJwy9ngu/nuQ1pesfjl4ufV7kg6TPNwJ9jLQeyPOl
9ROJbs3XmyC/xtenQr6Pr2eV/KW0/qPo+fl+EeRZfH8p5E/4flTJ3aX9G42e
x/e7IDfj9UEhN+f1RCWvvpHXnxj0SbxeCfJRvL4p5IN4PVTJU6X6GYv+ntdb
QX6W12eFfC+v5yr5Eqn+x6GX8H4hyA/x/qKQb+L9SCU/IvWveHSp3wnyz7w/
KuTHeD9VycdL/bcDegrv14J8Ju/vCvlJngdU8jpSfkhAb8vzhiBP5flEIT/G
84xKPlbKP4noR3leEuQdpHwF865gYVxeGHDjGeQrmHcFC+tt1v/sPBEi5y6N
Zxd9yereLlbOXRo/GZpXpSC4m5y7NH4ibWC7u3Ew1zJEL9mY+Gv4UcilRuiz
Nve48TsV5lom6K5PDk4Lsoe5lil666mLxxz9BXXSDH3n4omhB10hV5ujL7La
tauNH8y1LNCtDjfK98S/P2KJvtVoV3t/K5hrWaEfMu+/pm1HOBdYo79qVH3B
Apxr2aDr2drH/YNzLVv0dQ+Sz6xrAHXSDr1m4uzjw/+Fc409+sOfhyauzoI+
7oBusye3weAxMNdyRB9oOKmRjyPUSSf0tT1efamE5zJndPfsna9npUIOcUG3
XO0xPPQgzLVc0fdeq6V7czXUSTf0+/FNs4bgudIdPdBm+OpxhdrzrmDxT6PW
047iXMsTPelA0omu87Ryl8Yzr91zWzNe63dTNT5meoOcB3COxnlXsLgwdXaV
jpfh3E1uZO+ctqkn1Ekf9Bmfct+0Pwz3a5G7OTyP/Ix/L88XfeXe/t/t/GBu
QD7lZ7n6NBjqpB/6mR7HZqQPhPtzyA8bRqW1wft5/NEtvno0wr+rq5DnFjaa
OLs61MkAdF9fj/TEnXB/EXnXz2Zbu5yF+5EC0fVc5n/z1IXvC8iD067WLD4I
v8MQhG721WZ/Zg349+PkOf4ew6/+miHnrj/X03HpDOcI+L6APCPxtm3apjQ5
d2n86ZF/O41qOFzOXX9ef9aTlX0ih8q5S+NrDvPHkxtJzx+CXiq9HvLX0usP
Rc/5wt8v+dNR/PqEoQdK15O8s3T9w9HdpM+LfJX0+Uagx0rrgfyCtH4i0V/y
9SbIZ/H1qZCv5+tZJY+U1n8U+jy+XwS5Od9fCvkVvh9V8vHS/o1G3833uyAf
w+uDQp7D64lK3lGqPzHo5bxeCfICXt8U8kBeD1XySKl+xqLv5PVWkI/k9Vkh
d+D1XCX/LNX/OPQmvF8I8k28vyjk+rwfqeSlUv+KR8/n/U6Qb+T9USFvyfup
Sj5V6r8d0PN4vxbkLXh/V8gdeR5QyRUpPySg3+R5Q5Dv4/lEIT/A84xKvkbK
P4noTXleEuSGUr6CeZdmf42Y2PjCvFA5d2nccsw2uyMfouTcpfH2Nvvujnmd
KOcujTscidvQ7DjMtfTR7TeMTylPgbmWIfrWCS6xYx0glxqh92629N6lgTDX
MkE//eT3ry17Ya5lSs9TWqvSo1Uw1zJDf9qk9ML2QZCrzdEtB8xvNaMvzLUs
0F1rHTQc1wLmWpboaatrmdW4CXMtK3SdaWc/fcNzgTX67Ujvn44417JBP98w
bu2rClAPbdHVZu8mTAyHuZYdeufYLu0bGkK/tkdfqvNglh3OtRzQ3w4zic8p
gnroiF606EfSrwUw13JC3zPf8do0B8gbzugvR5yaY7we5lou6Bb14ruMPAD1
0BV9d6/G3llJkH/c0FvHzmmwK10rd/25nlNefHrwU3veFSz6eSk+PsXa8y7N
dY6K6jCrofa8K1hcNvCb9V7V+jtBGs9qM3Flw6eQDwV6arL/DecNcO4mz0qr
3n+rAdyv4oM++rZfWb8kqIfk/tmt18eshXzri/6rpV241z2YG5CnJV4pir4I
+dkPPevGmHt/WUM9JNdfvudGBN7P44+eO35bVCDMPRRyZefUpu/dIP8HoJd5
NVqx9zrcX0Rez3TPjlHWcL4IRF+1MHNwxwlw/xL584wx635Mh99hCEK3cm1a
sc+9uXLu+vP/++H0j4XDp8i568/jp6y2e/JjrJy7NP89Zz1834Rtw+XcpfEF
LW4ob1sOknOXxivfavbEw7G/nLs0XmDKH0+e3IY/fwi6MpW/HvKR0usPRR/i
wt8v+Rjp+oShx0rXk9xKuv7h6MXS50WeJH2+Eeg3pfVAbiStn0j0U3y9CfJp
fH0q5DoWbD2r5B2l9R+FPoXvF0Gex/eXQj6B70eVfIO0f6PRH/D9Lsj1eX1Q
yKfxeqKSL5DqTwy6L69XgryQ1zeFPZ7XQ5W84kheP2PRz/N6K8gf8vqskH/i
9VwlXyPV/zj0YbxfCPKLvL8o5Fd4P1LJ70v9Kx7911TW7wT5SN4fFXI73k9V
cjOp/3ZAv8f7tSDP5f1dIT/O84BKniTlhwT0LJ43BLkZzycKeRueZ1RyXyn/
JKKb8rwkyFdL+QrmXe1Ev5bXju6dCv/eEOZd7cTgRuH7DxnA74/pon9t8H39
+bFJcu7SuG/LCs8zbsJcSx+9qP663YUvYa5liJ6fvrR89kLIpUboB3uNCB3q
BXMtE/Tm9u+2r9edL+cuja/f2PvACC+Ya5mhPz83KP9cEORqc/QKf7c/kbII
6p4F+pAJfae2sIa5liX6X+sq7yjGuZYV+o0uBitu4LnAGj3paULnMTjXskG3
6jvEtQ3OtWzRZ755u2NdFvRlO3SXrQMK+2+Ac409utNZ//Dc0VD3HNDrFadn
JTrAXMsRfdyJOT66z2Cu5YTebNT1SXOHw7nMGb3xx1t2PQ5A3XNB//4p/3x9
nGu5og+4e3XXcx2oY27ob7o7hHoWas+7NO+3SYPUMzjX8kA/dbcsZ/88rdyl
8UH6s4Z6TtD63VSNi4Hf9faUaP1dbI1faFzTMLIA6p5AT/1+6NDmZDh3ky9b
6LbK/wjkUh/05x11Z137DfN/8nOKTcpLmAPgvKudCHbxqvqlHcwNyDPO9Jtj
PghytR96QfHyd6l4fw65x/2WjV5MhLrnj64zocqSQ9Xg/h/yzIf5S59uh3NB
APruH137fT4B9xeRb+32b8HWClD3AtHnrJs94tRGuH+JPDNtwUP1FfwOQxB6
nk16kvvyGXLu0vgq85A3q/9V5Nz1Z19kHsuuO3GknLs0npPcynuc32A5d2n+
axc4em3VrfA71eQltWNKKvn1knOXxt/58ceT9+3Onz8EvUx6PeQLWvDXH4pu
J71fcgfp+oShZ2fy60l+Rrr+4egLpM+LfJr0+UagG0jrgTxWWj+R6M/5ehPk
2/n6VMjb8/Wskt+U1n8U+ne+XwT5Kr6/FHKF70eV/JK0f6PR2/P9LsjH8/qg
kJfweqKSZ0j1JwZdpwerV4J8Fq9vCnm9z6wequROUv2MRXfh9VaQz+H1WSFv
xOu5Su4l1f849CjeLwT5P7y/KOROvB+p5L2k/hWPXsT7nSCvyPujQt6P91OV
vLwe778d0O/xfi3I1/D+rpA34XlAJd8r5YcE9J08bwjySzyfKOTOPM+o5B+k
/JOI3pfnJUHeW8pXMO9qJ47qnbJv9xzyFcy72ono485Pts/rIucujb8yPPll
aHGynLs0nlHz4NimBlDf9NG9rt4YYZcCcy1D9PuJf919OAFyqRH6ol0vvB1P
wFzLBN1gVufV89bDXMsU/fHJkyuuDYe5lhn62x7udV6kQH0zR1+w6fSelS1h
rmWBnuE31qgE51qW6Kk/+qePaQZzLSt0h/UB5z3xXGCN/mJZ8sX1ONeyQR/6
Xy+3+2HQf23RzXW3hTVoAHMtO/SxujsrTG4G9c0ever3qxcLrsNcywF9hdv8
E9VxruWIvtPC6vx0e5hrOaE/ijSrZbEO6psz+qm6LRav3g95xgV9SOG7Wj+7
Qf5xRbfIX7MkLF0rd2n81oljPqd/as+72gk9s41mI4u1513tRFPTnld0G2nP
uzTrNnPMxC1Htf5O0J/HN1w5tMIzqG/e6OX1vQ85ZUGeFOiLvFI+bG0A525y
/a9eCxO6Q171QR87rGeGSSbcr0Xe+X2toxPuQx72Rf9+7+4S20tQ38h33jy6
fyLMGXDepTkvdD8TOQTvzyG/bW18/ZkJ5Hl/9NpDYsqqwdxDIQ/1mpb95grc
LxSAHl2pfHKGJdxfRG7mk5E0MxXuRwpE3721z0ODNLh/iVyn/rrUn3lz5dyl
8Qv1937f33yKnLs0HhkuXi7/PEbOXRoPtqr79KMO1Ddys04NWgXthPNaO/Q1
Dw455Y/vIecuzX9vdmtwOHQa1L326Jb3+ePJLyTw5w9Bf27JXw+5USh//aHo
CdL7JdfV59cnDH3ZFn49yd8Jfv3D0W2kz4tcSJ9vBLqOtB6Yt+XrJxI9j683
QX6Jr0/l/+g677ic+vj/ZyVZlcpKkvbee7zbRSjpUvbee2+XEJKVTZKVooyQ
JFxGIUUqIWRl001WCL/P/ft2PuP9vb//3Pfj8Xxc3uec5/U6n8+7c87nOoyr
PObyrGB8hJD/cMrX8+cLMK7Dn19yxnfy56OC8Sba/Pnbm3J9/nwHxmfw44Oc
cRd+PFEwbiOMPxGUv+fHK2Dcjx/f5IzH8eOhgvFnwvjZh/If/HgLjOfx47Oc
8RR+PFcwriaM/5GUr+DnC2Dck59f5Iwv4ucjBeMfhflLRrkTP98B41P4+VHO
+BZ+PlUwHi/Mv30pf8vP18B4JT+/yxnX4PsBBeNrhf4hivIHfL8BjDvx/Ymc
8VV8P6Ng/IXQ/0RTHsr3S8C4QuivOv0PJ/1XdNnRZ10SnbxETv6lwM3p5yd4
Xns+oUE64kogcIU9/Xw/PaVTwS1ae4tcCQSuB/TzSVNGmvoUJSGuBAIHP/r5
NbWNlf/UFiCuBAIfEkg/H7Hmzn6rAy8QJ2caz5ND6ed7/idXAoEretHPy/nt
Uq4EAp8STj8fzx8X5Uog8PV96OcjeG+Uk/0XfMro513474VyJRD4sb708wH8
9065EgT8Z05UYOmlhVugiTvKgwqUlTd1H/zmKMqDClwzeu5zvk4Nfb8qcLT4
T+a+M7vR96gCw4oOXO/kcwN9Xyrw6Mf9iga78feiAhU8p/5VIJKvQz2rQDK/
XepTBS4L+ymjPJ0/LupHBQYLHiQ/avCsMM53aqgv8qMGy/9ZlPtV+yTyowap
U7f5f2+sifyoQc2IPx+MC5KRHzVwHjP+alQx9qMG/nV7rJclYD+IUz9qYM7X
oX7U4C2/XepHDZKF/ZRRPo8/LupHDfIED5IfTRi2qzJIc3435EcTmnUbeynh
aQ7yowm6G9w26pW3Q3404UPX7VsX2exFfjThtfk3i9T9hciPJkxz+TZg8mLs
RxOm85z60YQnfB3qRxOq+O1SP5rQRthPGeXK/HFRP5rgIXiQ/LSDtzkOpjGn
IpCfdlD2+mNiZvwl5KcdTFPyyxub3xn5aQeXrF4MXqqxH/lpB+eDTk9verYI
+WkHM28UHBw0EvtpB7N4Tv20g2y+DvXTDrL47VI/7WCwsJ8yykv446J+2sF9
wYPkRwdaP7UMTdg5EPnRgSHjrgy498915EcHNIri2404aID86MCw6Fc9N01P
QX50IGb/yUnzW99CfnRgnf80KPPDfnRgLc+pHx1YxNehfnRAxm+X+tEBJWE/
ZZT34Y+L+tGBJoIHyY8exFeeuvgARiE/evAtP17lpl0J8qMHPS9at9FTMUd+
9MBJ+WX/TX3TkB896NfocYO1PYuRHz24ov+lGXTAfvTgEs+pHz2I4utQP3pg
ym+X+tEDW2E/ZZS/5I+L+tGDVYIHyY8+zNwzxMckYwryow8/aw3PbIu5j/zo
w7Xmkx4ezLJFfvThddGCnlmX0pEffWjypcNINevbyI8+JN1bN7fp6yrkRx8S
eU796EMDvg71ow8P+O1SP/qQKeynjPL7/HFRP/owTfAg+TGALzWfnQ2ezUF+
DCAzcoJbi5KnyI8BTCnbFWVl6Yz8GICmu8GS3QOOIT8GUFpjObLWsAT5MYCp
Vj3s16ZjP6Q+z6kfAyji61A/BtCK3y71YwCRwn7KKN/GHxf1YwCvBQ+SHyM4
EVSasWdODPJjBCuXWZfUXn+N/BjBqzMHS+JdvZAfI8j+M1U3eXcm8mMEl07E
XtthXYr8GIGl6iUl79HYjxFY8Jz6MYJcvg71YwSZ/HapHyMoEPZTRvko/rio
HyPYL3iQ/JhAWo3d8+Cg1ciPCVyLOXMiyuQT8mMCEXEqWwYm+yE/JrDm6prL
RhankB8TmH9zVmVtUBnyYwLKTz1yN7XFfhCnfkxgNl+H+jGBWH671I8JBAr7
KaP8BH9c1I8JxAseJD9mcGmd1qW3KpuQHzNoOml21ZI935EfMxj3+fk3pcEh
yI8Z7Dh0atCWRtnIjxns3LxhVdG4O8iPGWwe2q9Q/9xz5McMNvGc+iH1+TrU
jxms57dL/ZjBQGE/ZZR/msgdF/VjBmmCB8mPBUR5hs+fH7AL+bGAEzfM3Gba
KKG/Ky0g/bP7ldTwMOTHAuLs/IwvGZ1Ffiyg1LG9cuLGcuTHAl49WVqS2Bf7
sYAXPKd+LKCMr0P9WMAifrvUjwUcEPZTRnkaf1zUjwU4CB4kP1bw4OyAQ1n+
B5AfK7BUKWhmrq6M/FjBhBlLzeY+74P8EF6ae+TK5vPIjxVM7mAcoTh3F/mx
gqM6i1wfvXyG/CBO/VjBVL4O9WMFQ/jtUj9WMFTYTxnlhvxxUT9WkCd4kPzY
gMrKfgWl544gPzYA88zWGrxvifzYQOXqc2oDd/RDfmzg4pqWLd8bX0R+bMBX
p1B9SdU95McGPi0cP/jtOOzHBmp4Tv3YQABfh/qxgXP8dqkfG7gp7KeMclf+
uKgfG/i4gvcg+bGF+crXF9u1z0J+bEH3kI/pEitN5McWIs8fWnmpYgjyYwuy
6iOjt5leRn5s4fMXq+36jSqQH1tItU4x/vn8KfJjC4d4Tv3YQi1fh/qxhT78
dqkfWwgW9lNGeXv+uKgfW5goeJD82MGcg4NtW+y4gPzYgf7f3U90tToiP3aQ
uzajaJ33SOTHDm4OTqqd2DMP+bGDxm+ev/2p+QD5sQPHP5ml03tjP4hTP3bQ
kq9D/dhBMb9d6scODgn7KaNciz8u6scORgoeJD/kuON/TX45Nx/5sQfn9srx
5W30kR97GLtw5sMbKeOQH3vYYGq1NHzTVeTHHqJ1N+jFaj1EfuwhLa279ses
J8iPPaTynPqxh1F8HerHHrby26V+7CFM2E8Z5eb8cVE/9vBxNe9B8uMAq4Z9
mzen6Bby4wABR9t0821ogvw4wMsmo5wd9kxBfhygWcA2tfm115EfB4hYvPvh
PKVHyI8DTE3pMtpZA/txgCk8p34cYDhfh/pxgNb8dqkfBygX9lNGuQ1/XNSP
A0wUPEh+HMF0d97c+KHlyI8jODZWlD/OtkZ+HOGn1ZcOdw7MQH4cYX/zdlWT
ZhciP47Q8XB3j8rb2I8j/HqpN3RhQSXy4wh1PKd+HMGcr0P9OEIKv13qxxFe
C/spo7wtf1zUjyOoCx4kP06gM6Jm6t/Ix8iPE3yDNudG3XdAfpzg5YQRd+8t
mYv8OMGI9yaPfra4hfw4QdSWgkvasZXIjxMkTAhrGDDsEfLjBNt4Tv04wSi+
DvWDtkv9OEGZsJ8yyp/xx0X9OEHtcN6D5McZYo+4zZ9Z8gL5cYanb46WNPN3
R36cwWXD6dbfoxcjP87QRj51kE5FMfLjDOfnqZ78LT3HTv04QwfjLjU+1Q+Q
H2cw4jn14wwFfB3qxxk0+O1SP85gLOynjPLr/HFRP84wUfAg+XGBL2O2djfx
qEZ+XMDs/ebYwlwf5McFjrjsmZpovhT5cYGrnhduF9iXID8u8GSab7/qOOzH
BRaaT5hgOLUC+XGB9TynflzgH74O9YO2S/24QIqwnzLKO/HHRf24QJngQfLj
CsaRZ+Lsyr8gP65Q9GO5X8XXQOTHFeSbv8tWRKxAflxBb8rYeZPXlyI/rvDx
jXpuSTn24wozbvZsk//hHvLjCnE8p35cQfktV4f6cQV9frvUjyvMEfZTRvl5
/rioH1fQEjxIftzA3uhIQMeEOuTHDV62HN7z44YeyI8bHMl/pJHiGY/8uIFt
26SIQ+/LkB83GNK4a7RlHfbjBpfcUla2Hn0X+XGD+zynftxgAV+H+nEDJ367
1I8b7Bf2U0Z5GX9c1I8b6AkeJD/uYH9r3T8rFzTyFv24w5Xq9Nf3P/VGftyh
9tyQyCUNNyA/7qC7Z+2YJ/7lyI87HCuO3db5J/bjDoVrVUo/Pb6D/LjDM55T
P+5QzNehftyhK79d6scdPgn7KaM8mz8u6scdTAQPkh8POFh+bVL2VFXkxwO2
yBeWVxlFIT8ecG6mR2748E3Ijwd83fWnebfNd5EfD7g2Y2HGhGLsxwNGnF9u
EN6/DPnxgLk8p3484BVfh/rxgDp+u9SPB5wU9lNGeSx/XNSPByQJHiQ/nrB3
wfyo8vvqyI8nyOYcvBa/dxDy4wnTbfQt08K2IT+e0M5piWujinvIjye0rq4t
nbMY+/GEUbY/4789KEF+PGEBz6kfTzDj61A/ntCV3y71Q+oL+ymj3Js/LurH
E3YJHiQ/XtCvZYCRys+2yI8XqMVszb3RZzjy4wV3HxhCSkUi8uMFOaoXLnZq
XYH8eMHY9nur/FWwHy/Qa2SlFjPiNvLjBS48p368YDFfh/rxgqv8dqkfL7gm
7KeMciX+uKgfL+gteJD8eIOromlEpyZ6yI83DH4Z990scAzy4w3OHV86fFPZ
g/x4w6xXBUUnbR4gP94QVNRp8KgJuD/0htTF2k3OVd9CfrzhIc+pH2/ox9eh
frxhBb9d6scbrIT9lFHenT8u6scb7AQPkh+AC06FbQeGGiI/AD83pc36J2IS
8gPgtUz3ybFG+5EfgFMHYuwbuD9EfgD6tu9vXJeB/74A+FEpq55kWYT8ANg9
5jj1AzCGr0P9AFzjt0v9ANgL+ymj/Bl/XNQPQKbgod6PHODT1pYHvplbiH4I
jy283bb4/jTRD+HQ//jcf0YeFP0Q3nOlS9NJZo9EP4QPHTanZ/It9Pc74cus
w54+W1kg+iH8Es8lP4RP5utIfggfzG9X8kO4s7CfMsrn8Mcl+SG8QvAg5ccH
/vqHei9bZYfy4wMdB7x7ahQ+G+XHB0q3m+W9dj6M8uMDzwK9bqb/Qn4I/96m
VVTfMnz9xwdU5y24H9z4GsqPD4TwnObHBxpocnVofnzgI79dmh8fuCHsp4zy
lvxx0fz4QLXgQcqPDyR8/Xl9TYALyo8PTDPqPHhF5gKUHx9QCZ+xaMySoyg/
PjDpmPKJa4crUX58wOrOQPnCC+j6IeEFlx022+7NQ/kh9a9wnObHBxz4OjQ/
PjCf3y7ND/Ep7KeM8pH8cdH8kDqCByk/vpA/SqNRapI3yo8vVIZOGReVsATl
xxeezOr+9bpBJsqPLySaFOm6uDxG+fGFfX8ctmRuuo/y4wtJT9TexY+4jPLj
CxU8p/nxhRS+Ds2PLxzmt0vzQ/Zf2E8Z5Xf546L58YU0wYOUH1/wqN4aqbbI
H+XHF/JMVar7jV2O8uMLvT8vSOtz4yTKD/E8Qt/ofRLyQ/jy+dmN8vqi6/OE
T5lrEZkeehHlh3jgOc2PL6zk69D8+EI5v12aH1/oKeynjPIL/HHR/PiCheBB
yo8f3Dn/uTptYjeUHz9QbfhtTsNvq1B+/OBx3N2SR1mnUX78oPEry4CBlTg/
fmA4ZNO+xBb4/o4f7D9tK0/IOo/yQ/5dNsdpfvzAnK9D8+MHmvx2aX78oELY
TxnljfnjovnxgyuCByk/flC8fXFF+ZcwlB8/6OfoPM+s9zqUHz+w23K4yvFN
DsqPHzgNGvp701ecHz9wlXvWGZ5G908Jfz4yxLhTl7MoP35gM4rjND9+4MfX
ofnxgwB+uzQ/fmAh7KeM8j78cdH8+EG+4EHKjz+keW6XBaZEovz4w8EdN5Qf
Fiag/PiDlkrKxbDh51F+/KGwRd1f+yqcH3+Yf3vGVK/++P67P+yd9ON0yL3T
KD/+8IznND/+sIKvQ/PjDw/47dL8+IOasJ8yyvfyx0Xz4w9JggcpP/7QZfi7
SS/k/VF+/KGb+uQmTjO3oPz4g0Ovw8s3aFxE+fGHp0ebHplxCOfHHxbcPvxh
Tx16voVwxal9z+UVJ1F+/KGW5zQ//hDL16H58YdP/HZpfvzBUdhPGeV+/HHR
/PiDpuBByk8AtBhmHqI5bCjKTwDIf5duvHV8B8pPALRMXn1BoX0Z5ScA2kba
l5uG4PwEwN/hutMqkvDzUQGg27z736GGmSg/ARDGc5qfAFAewdWh+QkAE367
ND8BoCHsp4zyOfxx0fwEQCPBg5SfALD9pdzS6dFIlJ8AWNY+7ndNwm6UnwB4
6W9e2sAzD+UnAEbvPX/mzEXc/wRAF//pL20D0PN1hK/ZY9nl6vijKD8B8Inn
ND8BYMTXofkJgFn8dml+SB1hP9l7z+fzx0XzQ+oLHqT8BILnoVflbQeOR/kJ
hD+ZfgUpm/ai/ARCcNPozTOXXkX5CQQn104xWtrID+HKKca3Q1/g51cDIWxB
jzmv1Q6j/ARCBs9pfgJBja9D8xMIPvx2aX4CQSbsJ3s/6U/+uGh+AsFa8CDl
JxBy2tTllDabivITCLaTT6eUXjqA8hMIrps7r1356jrKTyDI0zMmZwTjv7+I
j62pKy9FoOfD/33vW8v3Rk52B1F+AkGnFcdpfgKhNV+H5icQYvnt0vyQ71HY
T/YeMQv+uGh+AiFT8CDlJwj2h6UYN+80E+UnCIoTVAcGDkhD+QmCfZddHT6M
LET5CYJpXnLDYQPw3+9BYDTY3G9oxTWUnyAYHKFZaHF1H8pPEKzlOc1PELjz
dWh+gmAGv12anyDIFPaTve+jkD8ump8gSBQ8SPkJgmyTutfHVOah/ATB2++B
97+OyUD5CQKzzmfCdvy8ifITBCVv16yZ3gdd//n3PQJ+iReaLsxH+SH1f+Tk
fcxPRvkJgq88p/khnK9D8xMEd/jt0vwEgZOwn+x3uV/yx0XzEwRHBA9SfoLB
//Or/cM/LUb5CYa4fs+emtQeQ/kJhuSr3xuMLi5G+QkGvanfnk10wNcPg+Hy
uVVKd7yuoPwEg5fTKOXG4YkoP8GgxnOan2B4wNeh+QkGY367ND/BkCLsJ/v9
zJX8cdH8BIOb4EHKTzAsKjmaoixfivITDLkbxsfHLDiB8hMMUbKw53GmJSg/
wSB/47hAS+k+yk8wDHBu98BM/xLKTzBotW0cWZq3FeUnGI5pc5zmJxim8nVo
fsj3yG+X5icYBgn7yX7nKoc/LpqfYJgreJDyEwJa7Tcd+H1sBcpPCExa3NKw
n38Wyk8I9L9bfTNjeSnKTwh46A38Gn4W378IAeeXd86fNFGg/ITAA991gZcq
NqL8hEAYz2l+QiCEr0PzEwJB/HZpfkJguLCf7PcoJvDHRfMTAmqCByk/IZC9
epfX5P3xKD8hUHbzXteH4WdQfkJgxrgngQuelqH8hEDmhM792o9D978Ibz23
r3tVSi7KTwisidC+UrVoPcpPCLzuzXGanxCw4OvQ/ITAWX67ND8hIBf2k60b
LeWPi+YnBE4KHqT8fPH+73WUtd7/vV6yzvu/10V+8f7v9Y+13v+9zrHO+7/X
M37x/u91i7Xe/70+sc77v9chfvH+7/WGtd7/va6wzvu/1w82hOzz9lGxMS7I
T2OoXGU86f7OI8iPMlTc/fX0iQKvH2wIHYcNKTzVBq8fbAzFesMuhnTC6+OU
YWWDbVrG/2v9YEPYt7ztuGb/y09j0DwQ3KpEB6+PUwa9x43UrKfj9YMNwfb8
zRmNlmE/jcEsLvVYTc8M5EcZGtz7ofdQ1xX5UYX3ByP3Zup7Iz8t4IjZ0K9t
T2UiP60g5b3j9i0r2yA/qtDBvdHsWV3x+sEWUOoSd7rLKuynFXTq1PPAo/+1
flAVGty3HJmahP20gLN1sff7rMR+WoFxwrywpUvx+kFVyD8c8EF3rjry0wLM
j+0ZsUZ2HPlpBWoVSR7ZnoD8qMNn66xJqkUByI8G1Ew7FFK9PRv5aQPpNlZv
jrfG6wfVYX/u4VUbHfYgPxrg+1Fr5z9ueP1gG4gMuTG9gxz7UYch7wrb3d+A
/WhAyb7u0epueP1gG7ArfPdLI38P8qMObUr2V4+8gddXasCmfE/HHYOykJ82
YOJ2ouP8n4HIjxZYlH8z+Py7F/KjDUe/Nlo0uVSB/LQFpwUD1/1J0UV+tKCF
92Vjhwt4faU26BoYjtC1wX9/tQW/7NZ/lo/CfrQgpftx5eBF2I82LOq10mOD
Nf77qy1sa3P2VtHSfciPFvTU0ru++mt75EcbIm38lNr3OY/8tIWpSak5Gl/C
kJ/28GTUtH1mr/oiPx0g8MyyqE6TriI/HSE9N79lypOuyE97aGjtmKyfj9dX
dgDZy9IsvZE3kZ+OIN/+8VtGAPbTHmJnhX5aNhz76QBVTbaZD5PqUD8dQTt6
a6uvFw4gP+1h0/rRH2rS9JCfDvBhu82eia3ykJ+O0NLx4+03Y6ORn04wpe28
0k6fhiI/upCTEBW4a2wx8tMZnprO8HWpM0V+OkFql68Ti0IPIj+6YBD0unDu
Hby+sjNsmJeyrXkn7KcTXHp/4biKD/ajC2oj4g50uovXV3aGKs97Hv0XpSI/
nWD8iOA33U8YIj+6UFBi8dQ1pgj56Qx7T/fWXNFpuOhHrgcTPK+e2vZyHPLT
BUoykxc7/i0X/ci7wA/r+yUfGqP1g6ROYFMvvfZ9DyE/XWBzdkBc1Tl8/acL
6Nz9ZND8PVrfROr4GSQM8tDGfrrANa+TD89cwNd/ukBBoUGc7eXDqP/Rg8I5
0UabxlsgP11AtaWGr21WmeiH1FGtOrp248kJyI8+PJl+pdWstjOQn66gtNDk
fHf1J8hPV+jUPdzys58T8qMPb7N91E3fZCA/XcHWOGLg+1R0/ZDUcUwa4KGZ
if3ow70x8ilLnuH1X11h34WvE3TS0fVDUqfD6qXehQlHkR99aLQ5p+nz3XbI
T1dwOJRxvH3jR8hPV1imt35c+eyZyI8BPHnTx/F+5ULkxxDOzek4Y/iAl8iP
IbzPUP7WQtUT+TGA+J19atc1Oo78GILq/iWH+qbi68+G0DnQKz1hEvZjAItq
ile4HcB+DGFZQ/ul7hn4+rMhuCf5HDxaexz5MYCeT7wcjwxwQX4MYdBQ+bY9
3lXIjyGM2hYwaO2XxciPETR881fbs20s8mMMw8YvH6z9oxr5MYYFDcb06/bQ
F/kxghldGmVOoO+n8KN13gS1GN87G62vJHUsg6p7/tXDfoxAeb/apLKB2I8x
9HD75O5zAa2vJHUK9tdZ95t6Evkxgtk3XoecuOiN/BhDvG6nio1d3iM/xuAT
rjwvI3UF8mMCI94eswyF9ciPKZzsPXqidtRX5McUDo0bEOY3PBj5MYFYt+TO
t37i9ZWmUJ5sMfVcGbq/Q+rkW+jueH0NrY8jdcq15lbfbI79mILH5QffVCrR
/R1SZ5vzvobVDqeRHxNo2ma9R8dEf+THFBonXTe7MvUz8mMKu3T/NPGbsAH5
MYObY25pxFzbivyYw/H7J39H+f9GfsxB9tj4hMqwXsiPGaTuaRv/9gVeX2kO
o33v+nr8wPcHzeHa4JULfo7Efszg5LNI/bwjeP2gOTRdVRpq2QStHyR1pro/
/THRPwf5MYMhv+wLQ5K7IT/mkGLern+b8z+RH3MwG7HVrGr5duTHAtR/2KnO
7LUH+bGEwqkmk+Bb/fOc1I8ldJz96+metmj9IKlz2dMwMUonF/mxhNC7lpv8
u6D7y6TO3B+7HJvUovVxpI5O4xHlMwKxH0v4MUcjr60Nur9M6hhdq3C1Sj6H
/FjA94+XW8g7hSM/ltB8WOGdwd0beot+LGHI0JKBf7fuRX6sIKfhBLPpamnI
jzWovQ6w/q7dHPmxho6fWs4z2x6N/FhB5VVjrU+7LiA/1tDhbZi3dTB+PsEa
1qSpPW64GPuxgjaf7p25UoLXD1rDztC9hhr98PMJ1hDT5t79O/sUyI8VGLa2
v3i4KhL5sYa+O46MiXqpgvxYg4ZP925taw6JfsAGOrxWmO5rkSn6kdtATPai
bUEhGqIfhQ2kzNfJHe2K1g+SOqsWK2++fRKtryR1hl74urTbWPR8C6lz74Tn
lI6/0Po4UufSj1Lt6xHID6lzP7yJcfQi9HwLqbO67tTjzMRLoh9Sx0y9Ik3j
UX/RD6lzxure3e4P1EQ/pE70MEf3ueNPID+2kBN2b1PKgzPIjy2M+nLkk2xd
O+THFp7fPTDcfdYI5McW7O4dLEw9j9ZXkjozrqQHfFiMno8idZLMzmodnID9
2IJPo6QX+dfR+kFSZ1X7UV4229DzUaTOl5kHNg48cwX5sQW9mZk12vuHIj+2
UHbSrl3ISW3kxxbMBobpbLt7FvmxAyv18MRzEy4hP3YQlXW0esYYPeTHDkKT
qwp+po9FfuxApf+ZOfffovWVpI5pRciHuBXo+TpSZ0Wv/QVWZWh9HKkTFdWv
s6Mj9mMHXpbmut/2oufrSJ1BVm0avfyej/zYQf54r8dDXEchP3ZQfCW047Px
usiPHcT07PfequIy8mMPVisWDx+kW4D82MOm0cNj024ZIj/28HXK72EaTdH6
QVInxuxiakfna8iPPcwfu27J1fno+UxSp8Oyyw7j7bAfsp3CtODcLWj9IKnj
7bBnvusO9HwmqaPn3+TdsUi0fpDUsTkYuLz1g/HIjz1UDMnqNTnQAPmxh8DR
01YomRYiPw5Q8KhN6dhxJciPA1QodbrW+54F8uMAhTWDJh5/PR35cYCi7H2z
5yWj35EjdZQ72y9aHYWe7yV1NDIfHFmq9hj5cYDrS1bKx0jPO1E/DjCnefaO
orno+V5S5/nWFgsn37qB/DhAI99fVX0HTUV+HGBlZlbUrWdmyI8DrK+xqKp8
VIr8OMKejmfXRt+5j/w4woC89WHPftghP47Q52TH5c12zkF+HMHmz5OQnl2L
kB9H+GES+0q7A3o+nNRRsXi+dEkGWj9I6sQar30Mi9H6SlInrt36tpWe6Plw
Uufuj8GzOw69ifw4wpxXHhP3x89Efhxh38Jnfb+ctUV+HGHZq7oBds8eID9O
4BKtqj1V+Rny4wTxPxf31bzrgvw4wZufPQ9W+ixCfpzAYM7F1e5n0fpKUqdX
oKdWm3PYjxMEf/KtsPV6iPw4wbi9Vh0iNdD6SlKnrGDr0AbPsR8nsHUzbFoX
g9YPkjr6jYq8P22fh/w4gYONn8uAQGfkxwn8V5jqNp79HPlxhkzTl6GNlN8g
P86gnGt54IMFID/OEHrVV2VnTAzy4wxxei8sdtreRn6cYWPrlcf2eqH1F6SO
yePxrazz0PpBUmfR9C5hLjvQ+kpSp23llYEho9D6C1InbFf3RqEPbyM/zvDV
1e1TXaQc+XGG1t3km68O90J+nCH1w7u5O1TeIT8u0KPfuyubgz4hPy7w9POH
jalf/ZEfF+iX473z9MpY5McFLr4dfCQvDq2vJHUOblMfOzkR+3GBvb06vfMI
uI/8uMCIQ7s2HWmP1leSOm5XfDPC87AfFzC9fG3XDFe0fpDUKWwTbTnhG1pf
Seqo1Fg6/cn1Q35cwOfo9nfH0muQH1e40vpYi4Jz35EfV8iMvRA6tUl35McV
Wn23NN7bfTXy4wq6m67//vYCra8kdS5/W/vpZBn24woLW7kdd7mI1g+SOsU/
c94mbkTrK0mdlO8Hunb/g/24gstnz2L9rWj9IKnTfuRB39UBK5EfV6iRmwZE
x4QgP66wbPzpy0sP/UB+3GDQ5wv6pa71v/dC/bjBk785zeV9wpEfN9C+vMfr
3bT1yI8bzEj79j7P+w7y4wart15+GfwS+3GDYd+Kz6t4lCM/buBf+iixVhWt
ryR1SnSnN2mo8gT5cYPHrZxuXfl0B/lxg7G5/aFkwBrkxw2KZnZt3HtUGPLj
Bi+qUyZfXt3AW/TjDp5V6Zcz1ZSRH3eIH2DbQFVXhvy4Q5+a5+NfndmI/LiD
4vDGUwmb8P1ld3j+5Ei/3Xj9IKnzrfzU+PhstH6Q1Ok1697qrBi0vpLUOT0i
8t37Hzg/7hC18cf5rQHo/jup08/nzIF3h9H6SlLnosaPcyd/9kF+3GHTxcM7
1j5qivx4wN6ENucCKloiPx6Q3e9J9i2tAciPB1jJy/e+WrUV+fGAUX7rtm1+
gp5PIHXeJNfevbER+/GA8HF9DsZL4wb14wFrl5urnv1divx4QMtLC9Pa52I/
HnB8/cf002vR+kFSp9ZwZWAbs83IjwfoJ/m/3HOiH/LjAcm6suPrDNWQH0/Q
a2swoH9bTeTHE0oM3nVrcn4o8uMJTk1M7YpqdiI/nmC3xm/FP53x8y2e0EN1
+c1FNtiPJyz7O7U04yJaP0jqdHDMul6wCK2vJHX8f2u99eqL/XjCkRN1022v
o+dbSB2Vpp3dY1y2Iz+e0L+9UnmL10OQH08on5aovzRXC/nxgvP7iz69eNUB
+fGC5PgWFTU9RiE/XnDfzE22NCYZ+fGCddl7puf2RM9HkTrpQzTn/D2I+x8v
GDR7jt/wiGLkxwuO3oBeC1XQ+kpSp23s4RuHC3H/4wUnXF931P6Eno8idWJy
F/5e/WoX8kOO94FWRaMeI5EfL2j8JrZigE4n5Mcbxjc0+Hz0fRfkxxtOlw3N
jH45HvnxhoTObwenjtmH/HjDjZTlxUZj8fN13lBzdedQ/Tr894U3VEblDb3+
FK0fJHV+NEndMMwNra8kdXJ1HxmALvbjDTNeXrVZ1xA9f0jq3Fvc4dSffWh9
JakTn1JyVnFiHPLjDTFfjs4uGNFV9EOOr82VlCt/LhmLfgDgxpUpI64OmCr6
GQLwQbnvOYeTKaIf8v9JOSdy5o9Hz2eSOiaD/J55WCM/pE5u0OIz3V1uiH5I
nbp8Y23lRYWiH1Jnd6f1Gwf3RH9/kTop05vKP/9Afkid2HtzEsefQusrSR3z
klOTlA5OEf2QOnGq9rV9TpmKfpIBKm6l7HPray36UZBCzZJnb5DPFP08ATjg
++B3v4mHRD+kzjPta07evdHzvaTOtAajnmn5o7/fSZ2105b8TM5A6wdJHQ/n
7oq4x9dFP6TO5xl6V54ORn+/kzoDso8kPShFz/eSOiMzlXwW2qSKfkid3p07
xYw8NEP0Q+r8Sv3r/eyzDcqPD1TNj122fL0Dyo8PLFyW3dxu8TyUHx/Y62m9
/MPOIyg/PlB7KOyNdwf0fDipo6s+fVyZJ7r+Q+qkjjWok/vno/z4wJiy+Gk/
hl5F+fEBtXu1E5Vk6PoPqTMy9MtWxzXo+XBSxzZj8vnhndJRfnyg4Z9wxwXL
5qL8+MCW84pl8V5OKD8+ILt7RqlZhRvKjw90cVnUKNNLjvLjA29TDMcm7DuO
8uMDo5Rq09MUyA+p08zLJ+Z9Z3T9kNQx6Xq6aZO/aP0gqbNgydo5Z5qi9ZWk
TuHm8E1+Duj6Ialz8t4Dg75d0foLUmdW7eAb73yOofz4wKNejSzLpN+9ofnx
gRfLIgotpPueND++MLVhd+g91Qflxxd2XLepa1myFOXHF1b/86jbMTe0fpDU
8TDsN1nbD61PIXWmXU/4olqNrs+TOuPWt+ucVonWD5I6T68bdFlfcgnlxxey
jvU7MOEPuj5P6jiP2Xyn5Sbkh9TZP+9txKRTaH0lqdMwI2jAAdOlKD++oNu5
XFtDuu9J8+MLs+VfdQLiA1F+fKH7l6UnQtVWovz4QvZE48E1Wmj9IKlTaPTg
auJu5IfUOWT8eJ1SOrq/Q+p8zz/utPfaBZQfX/gz9f3c/ZcVKD/kuE5ObDs0
G93fIXVaGc7cl/4I58cXZqlZdoIJp1B+fGGR87wTar1WoPz4QpzFFuOZg4NR
fvwg88nrycuUeqD8+IHsQ3motcYalB8/SOv4+GeIM1o/SOoUT4oqfFCG8+MH
Vz6XL8gYiH5flNSRf8/236uXi/LjB6OMLg1refocyo8f7H3/U19rFLo/SOrM
KXeapf0X58cPhjfZn3t9TDbKjx+odpOl/HaMR/nxg2Pqqg6lsl4oP36g3WD5
kTbreqP8+IF18cDhvnM3oPwQDy6hh8t2n0P58YNu6n7nGj3D+fGD+PQcjw/K
6P4pqfNhypaLn65ko/z4QdXw9E4zHXJQfvzA6cB3m9nN0fpKUic/ugPkfcf5
8YNpI5v8Op5+FuXHD/RHrnpypG49yo8f9C3fGNOsRR+UH39QbvXy25C9fVF+
/GH33bWODV9tQvnxh7BB8ODhQQXKjz/MLr3s8SAf58cfqnPq7iw9jJ5PIHUU
Xfzv+pw8hfLjDw8aRl9Z+ScL5ccf2r3uumpAOno+gdQJfOM9tegqzo8/VLyZ
r53jcgHlxx9Cyw6Xt+6/CeXHH04nJN0sWBaN8uMPup9vTC+sGYjy4w8Zudl3
Vz3dhvLjD3/uGJ9svO8Syo8/fLd/91SxFOfHH6J7zj3Qohd6voXUSTOz6zP9
PVo/SOoM25K7dnIbtL6S1LF8FZYzORQ930LqaN7utffRZJwffwho33pDj1i0
vpLU0eodd3F+wDaUH5KTDmfz9UyHoPwEwCrfFOuFT4eh/ATAmoybu3Pm7EL5
CYBNLkdP9lJcQfkJgNqy4e3S2uP8BECHs6ed3n1Bz4+ROvGhLaKzxh1D+QmA
mHV3nNZNOY7yEwDNP9zv0uUf9PwYqbNNf+1st0+4/wmAkelNK6dtROsrSZ1J
Y9d9alqYiPITAGkd4o2KBo5A+QmAiscz7IcdG43yEwAmY4+UzR60B+UnABqv
b3Wq8Z98lJ8A2Dqw+8B2cbj/IftvNbhyAaDnD0mdWzYq8yL7pqP8kP3/MK1z
P8MjKD8BkPn3yAV7a/T8IanTZtH6yqweyA+p45Q788S0S2h9JamTIOs3I/Vv
MspPAMTmzT32btVYlJ9AsNg5q53LxokoP4HQ0M/y98DB+1F+AqHM99WpM9Fo
/SCpM3d4dLMOd9HfF6ROUojakvSD6Pln8v+TxX98lfqmovwEQukZtwG679NQ
fgJh0ucL94ZtQM8/kzp+MVNfp65Af1+QOueiN0z0V7+G8hMIJo+LpuvU7kP5
CYRZTmMdVjyajPITCLqXP7/8Pmgayk8gnN/dNq3H1YMoP4HQbtvwaT2k9+DQ
/ATCE88fX+0b4b+/AsEg/9DPvgZo/QWpk7nOca9p4X6Un0C4c7sgzNUyBeUn
EDRtTG/faIbWX5A6GhkOux/sQX+fkjpliq+9TBYWoPwEgtewQ/0K+x5E+QkE
lz1Hfr28Oh3lJwjSp2pVvjs1C+UnCFa8kD3plnQY5ScIDFUefKwaiNYPkjpl
dTYj+6rjv9+DID6pUWpOzlWUnyCIGneCnEZ7UH6CoOvzjs61j/ei/ATBxsZX
+h1JvIryEwRTLR71WLQbrR8kdU5XtN20t2ERyk8QWB34GfnJ6DDKTxAcbLrG
rnjyHJSfIKiObVzR8uN8lJ8g8FCKCX/37ijKTxDMyKjJ/7YIrR8kdWrclA/d
aoyu/5A64zNSciIm5aH8BEHzrOmDjV7vQvkJgsYzxthd+LYb5ScIIvosbrKq
Rx7KTxAod1mUr74MXR9L/ncd6+X8ebtuofwEgSJ9VfcBE4+i/ARBw82PTyir
LkL5CYb8H8umrG6/BOUnGCzi1Fuu7Z+J8hMM/2gVf9xw5zbKTzDE+B7ubP0U
XV8ldarr3G1e+lxG+QmGrLXPT3U0247yEwy+52MPnH2/A+UnGEJqRx5u3/ky
yk8wmLZb4t0nAl1fJXVaqcz5MtjgNspPMLQf5jG0U/tMlJ9giCxJUrEcHIPy
Ewx3XpiXLi1bhvITDKm/Nwz61PAUyk8w2B/QqrxljdYPkjq5/yxRcT+Eft+P
1Nkz/KrjQueLKD/B8HiRZsBBtc0oP8GwvGKRrHrdFpSfYGiYYzRiWJuLKD/B
0LyD+lgLdXR9ntSJXWlaNmYxWl9J6sjbvOr97txJlJ9gONOk3Vz5gFiUnxDo
G64crAOrUH5CILGLodea6tMoPyEASXUp0+LQ+kFSJ9E1qaZ8OLp/Qep4fjF6
8Dr5PMpPCPiFdU4rjtuA8hMC8QGxQ8tvJqD8hIAs/OGjEX3Po/yEQP+IygGb
LqL1g6TOtn0lk04/ROsrSZ19FhdV0w6eRvkJgWkR5olhWvX3Pckn//9/5WrQ
+h+932MMyjz/B0vvy1aDSSNmPo7rfrmeq9DPF5jJe8xLe1PP1SjPbWdsEW6v
VH//UZPyROW4jvtaadbzdpQrW35o8C7KpJ7rUB5gu8Vg4U+Peq5H+cfXP8Zl
vJbW1+hT/nLLWQP1aGndhAHlrX4o+2mckp6HN6L8TOH7xUFPpeecTSi/cWjo
C8dL0vOrZpT7OTkMi/M6XM8tKF/Vb9CqHj659dyK8rkFiUuKzkrPEdlQ/qX/
ok9/Ux7Wc1vKtzmXr7dsXP88Nn0vthpc+ixPKX5Y/5wtfS+2Gvy0r7I+7NOs
/nt0oLzAC5o7hEi/3+hIufmD0WfXtZR+l8+J8u+26nciD0m/t+ZMeeL+GvdR
bvXPXdD3YquB98/UOxrp9ffT6Xux1eD3O83lrbpKf5+6UX4tWjV8a630d4c7
5a/zeiycGFP/+4H0vdhq0P1y1UrD1tL86El5n0M3ZLBTGve8KB8UJNve11Va
D+tN+dG5w+aN+lP/96MSUJ76eVK5w576daZyxm8s17vx6039+ib6Xmw1uDAw
+GeJor4PlzPe2GZ35EfT+nFVyZfyK5UDGx7bUH+9Rc54jSosXvZGes+sH+Xl
V/xDKtZK79FmfFnuF913gfXzJn0vthp0+xZS/M/K+vNdzrjyziW72/5TPy7R
92Krga3ZwLtPLtX3S3LGA41dOxh8rr/PrhRI+YxHzwb23lb/XLSccfezk3ur
u7ys/3wQ5UdM3uY6Zb2u/zzjmTptJ9l9fVv/+WDKu+XYBwTee1//ecatcqq8
nwVU138+hPJ9BfeDn5j+U/95xgdfWTW/3+x6Tt+LrQb7hc8zbinU7055gLA/
jB8X9j+U8kPC8TLuIfjpQfkUwSfjvoL/npRbCN8X43U7+O+3F+ViHhifIeQn
jPJbfN6A8Xd8PuWMH+fzrGC8oZD/cMoP8ucLMJ7Hn19yxrfw56OC8WTh/O1N
eX/+fAfGffnxQc64Fz+eKBgvFMafCMqz+PEKGP/Bj29yxvX48VDBeIIwfvah
/Ak/3gLjnfnxWc74BX48VzD+TRj/Iyk/yM8XwPh0fn6RM36Hn48UjI8V5i8Z
5Sv5+Q4Y78TPj3LGU/j5VMF4kjD/9qW8ET9fA+Mv+Pldzvgjvh9QMN5K6B+i
KH9vwfUbwPhuvj+RM76U72cUjK8Q+p9oyt9Uc30UMD5K6KPq+y7Sn86q+FEY
bf1N7LsIr5589vzqFq/Evovwu2fUwl/4qNYflxrl2dNm+w4o6Cz2XYSvaTX3
bsVnO7HvIry04tpWJ1NpHbcO5RtPwK/no6X1uXqU5+9t7z50rbTuUp/yYTe8
x7vPkdbTGVCeXGszQqYkrZMyorxmQ/i5gobS+hcTVn/Jxjuu0u8MSH0X4Ytj
L8Ytbik9r25BeeOPc5atUpaeQ7aiPGXBeOvSZOk5WxvKE3t0tYx6Jj0/aUt5
xIY97n/vSM/F2VG+5HuXZV216n9XQeq7CI+16p+Tp68j9l2EK5avMdv3w0Ts
uwjPNVrT5+A5R7HvItx/W+DmYeuk+2jOlB9K2W7kpSndH3FhfI6L0ejl0nVv
V8pT819vtlkrXc90o9xp90zn3p5TxL6L8OZ7J48/az5X7LsIf+GveUKpq/S7
NJ6UR52o+x0aL/VXXpRXf+01ZnOVND57U95x8fBjPxokiX0X4d2exi/KM5TG
f8aXTPpaqOSTIfZdhMd1zlof9vCE2HcR/mzkNvg+J0fsuwgvi5xU16P3RbHv
+jcP1RqpNT75Yt9F+LbiRzWO2oVi3/Xvum/NlTuujb4t9l2EW2rJvcts7oh9
F+Fb4wsPnYy6L/Zd/54Xn7etb13wSOy7/l0PruZ95KP9U7Hv+ve8u+xaaL4C
9V3/nkdnmkTaFLwQ+y7Cf35v2/+fl6/EvovwthsaTjK/+kbsuwivSl0cWBP5
Tuy7CH/Z/tYm7SXvxb6L8MCMuU1i3T6IfRfhWae/XYme+0Hsu/7Ns/B5xquE
+t0pfyHsD+Pawv6z9fh/hONlPEnw0+P/8Mn4GMF/T8oHCd8X41uE77cX5XpC
HhgX8xNGeQKfN2B8N59POeM3+TwrOC7kP5zyVfz5AoxP488vOeNe/PmoYLyF
cP72pvwJf74D45H8+CBnvIIfTxSM1+7hx58Iyo348QoYT+DHNznj+/nxUMH4
JmH8ZL/D4MSPt8D4bn58ljOewo/nCsbnCeN/JOXL+PkCGA/h5xc54zH8fKRg
fJUwf8kor/mHm++AcWF+lDN+hp9PFYzfFebfvpSv4OdrYLwbP7/LGb/K9wMK
xmOF/iGK8mN8vwGMT+f7EznjOXw/o2D8qND/RFPuxvdRwHiR0EfV910KA9hS
9rT39uy29XXq+y7Cv8yrMmod06yeq9DPXxoZtseuobnYdxHut37z/YyF3mLf
RbiVV9e4Zl17i30X4XEfBmXNXTJC7LsIP/CirlPe2Vli30V4fkxmp9pTK8W+
i3CLLclrbkTuEPsuwjPLvLIXLTss9l2E/752o8ljm1yx7yK8pNKh48uwQrHv
Inykxqvo43QdkwXlEctPux5//1bsuwhX1H2va7bwh9h3Ee64dY2+e6r0PLkt
5a81YmzdV0jPCdtRXghdfwU4Ss9/2lPuH2mcv6dIeq7PgfKqwIKOzqUeYt9F
+NTTfXpXeErP4ThRbvPKMyP6d4TYdxEe0vhL/2R639yF8gb5txyfJUv3Q10p
Vxo18sP599J9LjfKi7p+GZgwVLp/4U55fuL861qnpevSHpTHTf2g1z51vdh3
Eb60x6rSQ1+3in0X4QM+V7UOfJUs9l2Ea26zOlQhvYdC6rv+PV6rHrlP8o+K
fRfhiwrVyzOk901LfRfh+udCS9wyz4p9F+G+Vydm1V69KPZdhC/YXzKodpw0
fzF+8GOd2aRLN8S+i/CX6tPPZz0rFvsuwqePGF8+3aZM7LsIb1oes6JA+l1B
OePvXdK1h059IPZd//o5knCvzvWx2HcRHu3ZP+/eQtR3Ee6epl+0vwfquwhv
oTte/fGfKrHvItz4n70nC5a9FPuuf78v7VFejcpeiX0X4cU17aJfPZOuFzFe
vv2M84M0qc8JofymkqzB2K5vxb7r3/P63tuN3UKl61HdKC8UPs94iVC/O+VF
wv4wvkLY/1DKjYTjZVz004NyZ8En46L/npT3F74vxquE77cX5c2EPDA+TshP
GOXP+bwB42l8PuWMz+XzrGAchPyHU96KP1+A8Tn8+SVn3IA/HxWMNxfO396U
R/LnOzA+nR8f5Iwv58cTBePnhPEngvKz/HgFjH8cyY1vcsaf53HjoYJxb2H8
7EO5IT/eAuND+fFZzng+P54rGLcRxv9Iys/z8wUw/pyfX+SMW/PzkYLxNGH+
klFuzs93wLg3Pz/KGb/Mz6cKxr8J829fyjfz8zUwrsrP73LGD/P9gILxJKF/
iKJ8Nd9vAOOd+f5Ezngbvp9RMH5C6H+iKY/n+yhg/LnQR0nXu8whMjR49uhn
zmLfRfjEyJ5Hm+8zE/suwtfkljlsdOiGrneZQ87kmPTtKwei613m0M6zaLre
jCnoepc5zHEo+HNEKQZd7zKHew1u9UgK34iud5mDrNuxa7UR+9H1LsLVnf/R
/XESXe8yh+DRW62WOueh613mEL49s83s5nfQ9S5zOLL7bKNls6vQ9S5ziKn4
0sly2Wd0vcscZmlN2NXZu/73ZOj1LnPQ6e/R+MMZaT2aDeWXn36aUaOmK/Zd
hJeVXPiVuMhM7LsIz5+8eZt6lbQuwJ7yP706vW0ywk/suwjfera9VV4H6T0g
jpTHN2x23tetn9h3EX7Vfsu06R+l61TOlAcMX2RTM1y6TuVCuVqnqAczTKS/
E10pXza99yWolu4DulH+x3hC9fdq6b62O+V9vuWrKjlK16k8KDdbOtZn06FE
se8iPK/q82mPj/vEvovwirjEj3l2h8W+i3BFbJZ6hG2m2HcR/vJV7K8zlafF
vovw7Q0Htl+afV7suwjf+8/dRZXS+5LkjB+QGdp+Vb4m9l2EP9OZ+rajc5HY
dxH+c4DjiuZTpOsP7PejUnpVLNo6tUzsuwi/Nr9YrSReuq/kT/mwKp/1iYcr
xL6L8O9DLi0qynok9l2Ev7X+Y6sW+kTsuwjXbRiT0ioJX+8yB4+wtQXl15+J
fRfhm9Rz5q8peC72Xf/W+Wq83jCpSuy7CL+15a6GlvT7lvR6F9lP608vMi6+
EPsuwvsu1Rjt3Fa6TxdC+epjdXM+B0t9DuO2x196eUVLn+9G+Qrh84xHCPW7
U/5J2B/Grwn7H0p5Z+F4GU8Q/PSg3FPwyXgHwX9Pyl8L3xfjv4Tvl/1u2GAh
D4wXCfkJo3wPnzdg/BufTznjVXyeFVwdIf/hlAvnCzC+kj+/5Iw/5M9HBeM5
wvnbm/JS/nwHxs/z44OccS1+PFEwHiqMPxGUf+XHK2B8IT++yRn/o8ONhwrG
7YTxsw/lJ/nxFhhfwI/PcsbX8+O5gvEaYfyPpPwIP18A4zn8/CJnPIufjxSM
txfmL/b7chP4+Q4YH8/Pj3LG1/PzqYJxT2H+7Uu5Fz9fA+Mh/Pwu5z7P9wMK
xhVC/xBF+Ti+3wDGtfn+RM74cb6fUTA+Teh/oin35fsoYHyC0EfV913JNrAo
ucua8WdlYt9FuEHcgiRLv25i30W4onxkiw0qY8S+i/DOv3sYn7SaJ/ZdhHcY
2m7xVo94se8iPHdh+7obb3aJfRfhdk22WG3SOir2XYRPmhR9+0/6BbHvIvyJ
5aUXxSm3xL6LcBvHs6ug0WOx7yJc+9HO98dufBD7LsKDD4V5K9TrxL6L8MC5
Xqa7P0j30y0or8jz3fR4vvQ8lRXln34vvP23wkDsu/7d/3sReXUm0vNUtpRb
PKg+M7Ch9F5CO8r3Ln40v9vXELHvIvzcwMaBrj2l94g5UB4SpHHH2nCo2HcR
vvXj4z2WraT3/jhRXvco2rrmwwyx7yI8Yar17VkXpPd0uFDe5/6V4oyd0vsX
XClfvq93oZPTBrHvIvxg2NjqNju3iX0X4bfnGgdN89oj9l2Ed6tbEd4nU/o7
15PytNeW+wd/OCr2XYSnPHiqsl1buk7lTXlh+cI5W8POin0X4dM+5XxcEiXd
B2S8a9k2/+gdeWLfRfgvh+bOZ4YViH0X4Q+iX9/7tFN6fsaXcueHRUElCSVi
30X4kb8NVL+MuyP2XYQnHYtf/MTznth3EX5ZO2jNeOn3BKS+69883zkQ1mKC
dB+K8Vhb1TUjtj4W+y7C1w43+tvnOOq7CE8cdqFX92Go7yJ8wqhv4YGVT8W+
i/D4K+2eRJk+E/suwrc02T5/Rnepr2C8JjNkx6Be0ueDKa+tOeHm6SN9nvFp
k48cfWchfT6E8mauGWsidKTPM15n3MK/qbb0+W6UNxU+z/gEoX53yj8K+8P4
e2H/QylfLxwv46KfHpRPEnwyvlfw35PyjcL3xfgK4fvtRbmHkAfG84T8hFF+
gM8bMH6cz6eccRs+zwrGK4X8h7PvhT9fgHET/vySMz6RPx8VjF8Szt/elO/i
z3dgPIkfH+SMB/DjiYLxa8L4E0F5Ij9eAeOL+fFNzngPfjxUML5cGD/7UP6a
H2+B8fn8+Cxn3IMfzxWMZwnjfyTl2/j5AhjX4OcXOeP9+flIwfhTYf6SUX6H
n++AcW9+fpQzbsfPpwrGqx/y829fylX4+RoYz+fndznjA/h+QMF4R6F/iGJ+
+H4DGP8zhOtP5Ixr8v2MgvFcof+JpnwK30cB4+2EPkq6z2gP+waXeC2dN0Ps
uwj3TjRRmbBwjNh3EV7s07H7vUfL0H1Ge7Dqbz7P9edmdJ/RHt4+93zeviYF
3We0h1EaQ6Y1X30a3WckdbbGFl/NvIruM9qD6uwDznUj7qL7jPawMXVSv5MH
XqL7jPbwzLS1zenFX9F9Rntwed2hj1+jxvW5MqH8zlel28v863+nl95ntIeP
X84fLYrWE/suwjclDW2y5IT0nnQryvvlLXWAE9L7r20ofzTM7VrlXem9xraU
uw7WP/fLK1zsuwjfNXH//KO/pPeQst81HTYk4/xy31Fi30X46FMDPDZLvzND
7zOS47LNc7++RnofnBPlYyqOr371WnqeypnytNEzRxQHrBH7LsLvf6g1d2m/
Wey7CM/okJG1+fYuse8ifPmh60czU/eLfRfhBp1U806opYt9F+Eef9P3bD8m
/Z3rSXnrMwfr0kZni30X4XsijWd4e10Q+y7CB9vtGT5k52Wx7yLcPatg8BY9
6Tl2xn/d2bL5b8cise8i3Mt5hutxZ+k6AONn7m0cdL62VOy7CPf3ulRddbpc
7LsIv+ye2eUOfT7Hj3K11S1Chp5/IPZdhLf3M9foUCRd3/CnfNmhnx3VJ0n3
oRg38HnkkRUsPacdQHmW+w99122o7/p3/dCM7H2DDqLn6glv5XVI33ah9HnG
wwrSW842lD4fRHla7DmvboOl/WE8fmvCppx+lWLfRbhsYLtzgUOlPoHxvfEH
73zd+FDsuwhffH7M8O4tpefMGc8YmXNtYqV0360b5TOEzzO+Q6jfnfLewv4w
HifsfyjlycLxMh4q+OlBuabgk3EVwX9Pyi8J3xfjVsL324vylUIeGDcT8hNG
uS6fN2C8gM+nnPHufJ4VjJ8U8s9+3xj48wUY/82fX3LGffnzUcH4AOH87U35
Jv58B8ab8uODnHEnfjxRMK4rjD8RlC/gxytgPJkf3+SMl/LjoYLx/cL42Yfy
Ifx4C4wr+PFZzriMH88VjIcJ438k5ev4+QIYt+fnFznjt/n5SMG4jzB/ySif
w893wPhLfn6UM36Tn08VjFsK8y/7XetCfr4Gxmfy87uc8Y+zuH5AwXgnoX+I
olzG9xvAeAnfn8gZ1+L7GQXjCqH/iaY8ie+jgHGxj6rvu544geeXhXUjF2wQ
+y7CY5NaDLmZvFzsuwh/vXem0WSLPWLfRfhvmyuujRceF/suwoPGh7m1PHJR
7LsIt10wyOdhwm2x7yLcbK9mcFnXp2LfRfgx1fz2vUZ+FPsuwrvNDdNQvvxH
7Lv+3c8Jj8YcDm1R//0aUb59842fp1e0F/suwqd4DJjzfLOR2HcRfm1s05XF
W+3Fvovwx7trzYsOSetWrChvNemVQ4+b0ro/G8o1Y43HRJ6XiX0X4T6PPjod
95TW/dlR3m7EVsPjxyaIfRfhTkYH9GI7S78P4EC5lm/GneY5crHvInzu3v7L
CgpXin0X4Y4en41TlRPEvovwxB7fQXZ8u9h3EV7z82il4rP0d6Ir5VZNPxqe
2JYq9l2E263yW2C4/JjYdxH+q+bBt/SL0nUqD8qt3w2437ttrth3/XtcOXq9
FtPnSbwoN2kT4NlPTXpe3Zvy5qfHyd7dLRD7LsIT/mk83bqh9DwV4ynp11Lb
ZJeIfRfhLt9jDi+dKV0HYPy7lq+zp+49se8i/MjONwOzNkr3fRg/pvR0j/y0
NO/7se3ud7zwc2Kl2HcRntt33XvlPdL1DX/K5ReyTrh2keZlxs90jlnz3Aj1
Xf/Wv3y5lcN19HwX4X8WFByJy5P6ikDKf/QeoTAeKPUhjJ/pea7i63Gpzwmi
3LJ1Sfqpt9J8zXjC1HaJJdaSn2DKM5tsSFdPlfpSxjW+TVo2WvIs9V2Ej9C9
ddQ1U7oPy7ia3/0in8nS80vd/o/PM64p1O9O+UlhfxgX9z+UcifheBnPF/z0
oLxBBO+T8dYLef89KT8rfF+M5wnfby+2n0IeGL8m5CeM+efzBoxf4vMpZzyH
z7OC8YbafP7DKXfjzxdg/BB/fskZX8efjwrGWwnnb2/KhfMdGFfnxwc546b8
eKJg/Lsw/kRQbsOPV8C4OT++yRl/y4+HCsbXC+NnH1afH2+B8an8+CxnvCU/
nisY7yqM/5GU/xnOzRfAuCM/v8gZV+XnIwXjDYX5S0b5bX6+A8az+PlRzvgg
fj5VML5WmH/7Uv6Qn6+BcQd+fpcznsT3AwrGtYT+IYpyPb7fAMbd+f5Ezng1
388oGL8j9D/RlFvzfRQwLhf6qPq+S88Tvq1bNu+jXr7YdxEe9uXrMQePc2Lf
RXjxiDFN7SzLxL6LcKO7j1pstHku9l2Ev/54wKG7VY3YdxGeH24d2OqrtI5P
h/KQF7pj7FpK6/j0KK8dtj895XnHeq5PefOebYaN3iCt4zOgfEvWsvJTrtI6
PiPKPSZes3r1y0fsuwjXzzuxUPm59HuPZpQPN3K9vr1flNh3EZ5U3tGty6zh
Yt9FuPYu37rBcmmdsg3lt17ddx8wZbbYdxH+/nH4kNVpS8S+i/DqoxWq6h3i
xL6LcLecHo2WvpH6JQfKL4ZsajPk8Q6x7yJ8nFGjlIjsvWLfRfjTyHK33IQ0
se8i/MTlvyNn6B0X+y7COzZYF/1rYZbYdxG+PEbF4NtXqV9yo7wmw+nQsSDp
9xPcKf9s1Gzpm91Sv+RBucasm7FvpkvPn3tS/lL1+RnDPsVi30X4vMC38R9V
pb+7vSlPuJ98e0yeNM8C5aapE11WjJLu6zHuWlAhb3xLui/jQ/mfMNA//lia
jxhf0FbXrPUCad70pfyuSteWVfHSvMn4zoNtF7s2kOZNP8p7VdtmtS2XPs94
isvbry2ao76L8AKvv4sCj6D7jITHLX39ctQd9Fw94df2T99Vmyj1CYw/9VLY
mhpJz/8EUq4zttK89yapb2F8xoSnH7arSn1pEOXWdVnnSiNuiX0X4Te0Gt+/
qCt9j8GUh/0c7JKUclXsuwhf12dnfn916T5vCOXrHROj38+Vnq9jvOTrRZ++
H6VcdaN8pfB5xlOF+t0pXyLsD+M/hP0Ppby/cLyMxwl+elBuJ/hkXMmb99+T
8sfC98X4BuH77UV5lZAHxs8K+QmjfBKfN2A8lc+nnPHXfJ4VjG8S8h9OefNw
7nwBxnvw55eccRv+fFQwvlk4f3tTLpzvwHgVPz7IGdfixxMF41+E8SeCcmG8
AsYX8+ObnHEtfjxUMH5MGD/7UH6fH2+B8SH8+Cxn/AQ/nisYtxPG/0jKX/Hz
BTBexc8vcsYv8PORgvHfifz8JaN8LT/fAeO9+flRzrgGP58qGLcQ5t++lMfw
8zUw/qMHN7/LGa/m+wEF4z5C/xBF+Tm+3wDGy/n+RM54a76fUTB+Ruh/oil/
wfdRwHig0EdJfRfAhtnKbz8NeoL6LoDXR7r/3tanHPVdAAlWxSFBl96jvgug
4RyPXZMn/ER9F8C5W180VNzr39dJ+y6AVT2ypppXSev4dCg3OqcbvW+8tI5P
j/KBDVd/VH8lrePQp1zn/FyDTw+kdXwGlFdsf765yFRax2dE+ewRF50T7krr
+EwobzTCbf3ar4NR3wXQYdrsvYWe0jo+C8o/DUiP+BovreOzonzRtv2rXE8s
RH0XQBu1n8eHd5bW0dhSfuBgo205JtI6PjvKO3nMfP3LUFrHZ0+55e+6DYa+
yajvAti+r5/llxEpqO8C+Kxb2OGN1xHUdxHPEf1ev1I+ifougDkJEfNaNZDW
ibtQLh8Z7Ll2jQL1XeR7b1F5eVjaFdR3AVSn7bnfLuQ66rsAsszaHl4mu4n6
LgDTvkdbFN+Vnj/3pDxCtspu9Ubp+oYX5XmWqida+0nzlzflldPyq8uuSvf1
2Ps7/rwckBAuvWdEzvj0K2lvF5RJ92V8KFeNq2s/1kDqixi/4O/rf1B6fyLt
uwDC5+aMManFfRfxUKD1qL/0+8y07wJ4mL9+wshQdL2LcJnaya8jkqXrY/6U
290YvPTtUvRcPeFX2t+dcVNTuv4QQHlNadWw7OnS9TrGs5M8G6RclPqEQMpP
tr2alttJmr8Yj3LwveYRJPUhQZTH7PA8eblMWr/J+Lr3kzoNVZHuEwVT3u52
s7ySHxdQ3wUw7+2HwGOrpOd5Qih/tCk1+9Bd6f4R49UdnbyiPp5GfRf5vjbz
n2d8n1C/O+WDhf1h/LKw/+y9LaeF42V8veCnB+Wlgk/Gbwr+e1KuUsZ/X4xX
Ct9vL8rdhDwwPkbITxjl7/m8AeMqN7h8yhmfyOdZwfg1If/hlOvw5wswvpg/
v+SMt3nFnY8Kxt8K529vygv48x0Yj+THBznjRvx4omA8Wxh/Iij/xI9XwHhT
fnyTM76YHw8VjE8Xxk/2vp4u/HgLjL/lx2c542v58VzBuKEw/kdSrs3PF8D4
Hn5+kTPekp+PFIxPEOYvGeXP+PkOGFfm50c54++Hc/OpgvEJwvzbl/JCfr4G
xhvw87uc8Z58P6BgXEfoH6Ioj+H7DWA8i+9P5IzXzOb6GQXjs4X+J5ryJXwf
BYxXCn1Ufd91zAe63bwx1uvXN7HvIvyv9fTaTWYfxb6L8OxZcWY9p9e/717q
uwjXeWU4ZK2fej3XpNz9T+qbXwekdXztKB96L254Qqm0jk+H8qql5qdj1ZzF
votwRzdlC8OZ0joOfco/6Fr5f2svreMzoHxLlFnftl2ldXxGlGe8mW8WfVNa
x2dC+dvqbeYyL2kdihnlg3vozLj0WPo9TwvK/8S5Hp+ZIa3js6K8f0HDXe+W
SOv4bCjPuXcvxOHRRrHvInz3u3UnjfSldXx2lE87ZTSk+yppHZ895TLNWxM7
7zwk9l2EGx49EXTjsvR3liPl+5reLf7sK81TTpSnfWjddcujc2LfRXhic8X4
/oXS9QQXyo0a9F52yf6q2HcRHhzn+eVdm0Kx7yJ8bdcBC1VSpetU7pQ/StZL
eDRYuk7lQXnEVpPvjdqVi33Xv99XoOYQvRPSvONF+eLO7Z/fUZeuA3gzb6kZ
egZaUh8FlL9za+r/J1nqcxh3yzvS5VaSNI/4sONKOH52x1/UdxE+oLBp01nn
UN9FeJNZyiH6D6X6jGt3SDyVNUbaHz/KiwvqHEbMQc93Eb7fSy9xkZE07/hT
frfGLL9VgnRfjPE/f3w+eT6QfAZQfujpgoq3etLzaYxbvLFw7/db+r4CKR/Z
zFH+Xlt6/o1xmdqcxBvHpT4kiHL36JerrYqkvoXx02N7LPm88ozYdxHuF6im
DCknxb6L8Asje7vZmEm5DaF8bGhTr+Mm0nzEeI7sVOXUPOn5nG6UnxQ+z7jS
KL5+d8onCfvD+Ddh/0NZfeF4Gd8q+OlB+TbBJ+MDBP89Kb8ifF+Mt/zLf7+9
KH8v5IHxVCE/YZSX83kDxjvw+ZQz3pLPs4LxWUL+wynvw58v8P+4uvO4Gr4o
AOAhCSEpQlqUVNr33bRK+74QRZYUCSFLPCKJCEWIkpCyPPEj+5MkW5stERFJ
aLVk/837OPeeN/7y8f28zzRv3sy9Z+695x70iaLPFw/9m+jzKEBfz3l+falv
F33eGfSzou0DD32SaHsiQG/gtD9+1LeJtlcMuqdo+8ZD1xVtDwXo+zntpz/1
g6LtLYOeJdo+89BHi7bnAnRfTvsfQD1atL9g0HeI9i889NOi/ZEA3Z/TfwVS
/yra3zHovqL9Iw/9pWh/KkDP4fS/QdQ3ivbXDHqjaP/OQx8jGg8I0O9x4odg
6l6i8QaDrisan/DQh4nGMwJ0Pif+CaFuLRpHMejfOXEUxF2MA1O+vH1ZxqGB
cByIu1j/nZn34rYpqeMsST8fdGd32LE/8ty4i/Xzc2/3eBBD9kWXpT7RY1hV
dBTJ45OnPqjvi1MCa5LHp0DddF6w/3JJV27cxXqeZ8yYHFeSxzGa+s/CIp/+
ciSPT416sPwG+d2vorhxF+uKKY8+KglIHp8G9ZVjBuvYRJE8FC3qca9PPlrg
S/L4tKnHH7XdUv+djFPpUucfMB3vN57k8enj+X/d9sPzO3lPMaAuP8JuRpY3
yeMzpF6bMGzx2pkkj8+I+vOUkUWnLpBxKmPqJW+7bcc+Ju9ZJtSzej6vruxL
1keZUtdeMKS1woTMv5hRdw1qXDOlkYxTmVMXG1u0sP07eU+0oH67e8yQDG3y
/m5JXUL527Ybb8k4lRV1tQHbD1rsIONU1tQrcqTqTaXJfJ8NdYXWShOX8eT9
3ZZ66tLEl9d7kvmO8dSfaTT0n2ZH+gWG+pkVA/puaSbtP3rgsC9zLFv/ibtY
n26lfumxzz9xF+v7x0xImafwzzyj8PeVXuF8mdRj5aHXRobt20HqbJK4i3WV
+r47eKR+Ig/dple5lD2pi0fiLtZltRqCDEm9Mx66eL+Hhv31SX6ZE/UvddM+
Kw0k+ZjoZ7OVwucFk9/dmfqbwMVJGppknQz63HUnBOJKZLxoAvU2+/zdvNFk
Xyb0XC9Ztf6TyLo+F+qpUxxaShcd5cZdrLupV219M4PkX0ykrvD0S5/3cw5w
4y7WNwts1GRiyHPkSn0Y5/PoCznHd6M+bqro+aB3cc7fnbq6g+j3RS/mXB8P
PP8g0euJ3sq5/p7Uhz8V/b3QtTi/L9aXHMW5H9C9OPePN3Ul0fuNQa8WvT95
6AdF72cBejbn/vehvkT0eWHQZ4g+Xzz0UtHnUYD+gfP8+lLPEn3eGXRj0faB
h/5ctD0RoBtw2h8/6gNE2ysGvUK0feOhi4u2hwJ0X0776U9dX7S9ZdA57TMP
/ZJoey5Af8Jp/wOoPxDtLxh0adH+hYe+T7Q/EqAXcPovrEMaJ9rfMeixov0j
D32eaH8qQJfj9L9B1F1E+2sG/ZNo/85D3yMaDwjQ1TjxQzAeR1Ik3mDQLUXj
Ex76MdF4RoDuyYl/QqiXiMZRDPpPThwFcVeVI/NhUuPDohgyLgdxF+uGArvK
HX/IvriS9PNXNN88uLhVlxt3sX6+jxR/nqcFN+5ifYzjnSsV/Z24cRfrgzbc
Cb3tRvL4FKh/Hha3/mwnyeNTpp70tLXHPU2SxzGaesz8vPcKtiSPT426y++p
hx54kzw+deodXj0LDItIHp8G9XcRaYFrWsi+6FrUU/TKdmhUk/1etKl7jhg6
p9dMksenS/2B0bk8nUmkndenvlPbVtvhINlvyoC6wl6HR+9mkTw+Q+pFD9+9
292H5PEZUV9uOiv6TinZb8qYuvU38xU3vcl7twn1mdFh6cE3yTiVKfXvD18W
njhN3rvNqBv7jfpd/YOMU5nj99p0wvPKGfKeaEG9Vfmean4UGaeypL5qgFNS
4x8yTmVFPW79w0HiAWScypq6edRXSUc38p5rQ10sMXGGwk3SzttSd/GveCco
Iu3zeOqfVedvlxcj66kY6vE9vmzNLPgn7mJdtfboh3tnyfHtqNt87n3whSEZ
B0B/lhWqc8mYnL899clK073Uasl7N3rn0OyKcdbk+jhQz7Ea/D6TR+q8oK/c
/zBjwXVy/R2pZ/y686ndhrx3owf/1NZI9Sa/rxP1Xmr5MzXrSf0XdNOaFcev
fCDjnM7UN/R8kPx1AnnvRneP+JR59RYZL5pAXcV8k//6GwXcuIv1U1n+blO/
knFaF/xe+ptfLCB1CXnoJvbGI2cPIfPpE6krzpxXkDlqBzfuEl43t86Jd6vJ
viWu1F04n0fP4RzfjXoj53zQZfeJnr879SzO90Vfzbk+HtSvca4n+iLO9fek
rsf5vdDjOL+vF/WTnPsBPYFz/3jj50XvNwb9i+j9yUMPFL2fBej1nPvfh7qZ
6PPCoBuJPl889I2iz6MA/Sfn+fWlPln0eWfQB4u2Dzx0d9H2RIC+gdP++FHf
JtpeMeg/RNs3HvoT0fZQgG7KaT/9qfd5JNLeMugLRdtnHjoj2p4L0Jdx2v8A
6idF+wsGndO/8NC3ifZHAvRKTv8VSN1BtL9j0NeJ9o889Nei/akAvYXT/wbh
9xXtrxn0SNH+nYe+XDQeEKA3c+KHYOoSovEGgz5UND7hoR8WjWcE6Mc58U8I
9beicRSDzo2jIO4Kd2ayepstKo4j43IQd7GubZnxe8IfA27cxXrXEKfCsbfI
ujhp6jLvqls9F7hz4y7W7esMJL1fkzw+eeqavQOd8yxJHp8C9TeHPH6f2ULy
+JSpx+3q2v/182Ju3MX67cTcy2e3kTw+Ner7r007EZlE8vjUqW99N3vgpHuk
3dagHjhh9LNnwSQPRYv6z225ZouLSB6fNnWPmO1HRlqTPD5d6hstxwS9ciLv
y/rU05Uzx5rGkDwaA+r9JoWWNhwj78uG+Hetq6MfrSfjVFj/ur5yk2v3NfK+
bExd8lfEz1BST5nEXawPTHa/ODKbvC+bUr9+T8uKWUPGqcyoW/9XmN1uRd6X
zan3Mp55Y3ojeU+0oJ6Z5qBSEEzGcyypd2c0/Zi5koxTWYmcz8Yj7gYkzrGm
Hv/cd9iVqSSOsqGuxK8dObCLuC2ev8L0i5Zv/om7WM8P+8a/b/LPeBfrS63/
3OtsJXEUus9GjdlOquQ87ajfm12eOOEDWeeM7v5YNuXDbHId7Kl7GFXK9TxL
1pmgm961ltn/+Z99U4Xnv/+Xecn6Cm7cxbpg6I6fG6LI+7Ij9c0VBzaOukzW
maDv++qf8zOdrLtzol5tkTpnxM/z3LiL9RXns5fZfjrNjbuE9+dx1TgZKTJP
hz7j17eaGiOybnAC9dNn8kzPq+Zw4y7WZz3JVxUzI3GOC3XHF/Xjjl0k60zQ
tWYPeXz7MXlOJ1JP9ZoaF9SayI27WJd7uc9wSyCZ33elPtdb9PPoZzjHd6Me
wDkf9CjO+btT/875vuilnOvjQb2Icz3Rd3Guvyf1Ns7vhV7M+X29qGdx7gf0
Os794039huj9xqBPEL0/eeihovezAN2Vc//7UK8WfV4YdA/R54uHvlb0eRSg
X+U8v774vUSfdwbdWLR94KGniLYnAnR1TvvjR116p0h7xaCfFG3feOiyou2h
AN2N0376U78l2t4y6Aqi7TMPXV60PRegN3Ha/wDqf0T7Cwa9v2j/wkPPEO2P
BOjJnP4rkLqraH/HoH8R7R956J6i/akAfTOn/w2ivlu0v2bQS0X7dx56tGg8
IECv5cQPwdSVReMNBt1UND7hofcQjWcE6E2c+CeEeppoHMWga3LiKIi72icw
r4pP3x3dTcblIO5iPamzbP0LOzJOJUk/rzXZ4MS182RdnDR1CX0xnk3cVG7c
xfrem2ekh56bzY27WC/4lTnhh9tCbtzF+srh200Ubq/gxl2sF95b5hp7ntR/
H03dzHJpSYH/Fm7cJTx+ldHkjBtkvyl16tXWfEvpfFL/S4P6n3nv7omNI/WR
tajHzx99QquQrCfRpn76RkRbVV/SfupSvzH1aP/WO2ScSp/6KWXbioxCst+U
AfVSxdM6nx6QcSpD6r1X3Ko6OonsC21E/b/GYmcdP7LflDH1hknWCQlepH83
oR4cv7o7uS+Z7zOlXi414JLdZTIOY4bHsTP1KHAn60PMqW/Nj05yyiTviRbU
36vNepe0hoxTWVJvv7W3O/ojad+sqCu80P/SXkbaVWvqfeV//Uim77k21E0c
v8yXzfwn7mJdSSW/+f22f+YZWZfW8bcr/EXiKIb6/LEDf8l2kvYTXar/jzkr
NpFxOTvql1TL/Mze/bOPBOsDuzuUJcb9s3+X8Hutv5CyL4aso0Y/7q3UNGfv
P3WCWC/aP9Es9DxZp40+adWWZXV+ZH2II/XnV8zXh30leVXozPa2acvmkTxT
J+p1d/US9vU6xY27WA98Hj5isxvJY3Wm3iuzZqtEDMmrQm95fN92RRDJk51A
vTb74VpP3nZu3CX8XtcrDNcWbuTGXaxr/gzQ6ltJ8qrQ+SO8O55HkzoIE6mv
OFr8eGoxqc+CLmnz8+KpRjK+7Up9Qr7o59EDOMd3o76Gcz7oEqWi5+9OfSrn
+6Jv5VwfD/xdONcT3Zdz/T2p13B+L3RTzu/rhdfhquj9gB7FuX+88fii9xuD
flr0/uShjxG9nwXoqpz734d6iejzwqAPFX2+eOhxos+jQOTznOfXl7qR6PPO
oHuJtg88dDnR9kSArs9pf/yoD7gt0l4x6L3HiLRvPPRC0fZQgP6J0376U68T
bW8Z9HDR9pmH/lq0PReg3+K0/wF43UT7Cwb9rmj/wkMvFu2PBOjlnP4rkHqR
aH/HoC8Q7R956N9F+1MBeimn/w2inifaXzPohqL9Ow/9iGg8IEBfyIkfgqnn
iMYbDHqaaHzCQ/+hJxLPCNBHc+KfEOr3ReMoBp3HiaM64e9IM1K3LJtmfS+D
uo09GOKRcWnf/POfgPel/sxuz3lJl3Yb8n/y7+qnVjuTw8QhH1OW+gJ7m8e2
YsPB5alvl2hvih6qC+vQlKm3rnb9832zP/ho6tr3xOJe+M0GV6N+d3LPPsO7
l4GrUy+63p5rNgn2oWU08DzzvmzJmrwfXJu6ZGO+b0yUAFyXut6QkxIn0qv+
urI+9R/vgi4+ngv5C8oG1I0Txc4ntLSBG1Jf37p4+oI5sA+JsjH12Fcem4cN
GPH391A2oX5w6/PbC6LHgptSD7Q4+iv4sDG4GfWZfzx8Dz+FOFzZnLrTgotf
5rt5gltQr9dV2DnYGOq6KltSv9gnuu1+Gqx7VLai/udjxKGzi2GdpLI19Tob
SfUTj6FfU7ahrurw3v7LGxh/ULalXvVi6byggfAcKY+nPkj5XXK9w86/nsZQ
V5Qe13PLIFifIG1Hfe/JHUbySvBeloae8WSZi6wC9FPS9tQLh6nUKF2B+Z00
9EPT8y8kZUO7lOZAXefsrX2rlKDfkXakfnrrnmBdWWgn09D9bC12ym+A/kXa
ifpopUkzmiOg3U5DXzTAoemkE+xbnuZMPaq/ZbLXeqhrIz2ButaPNTLZP6Ce
YBr62vU7nk3Tg/rO0i7UP00S67YWhzrRaeijjRWeOk5rhc9PxOswziZQx6gN
Po8+JUI9ZkAMuLQrdb537vGEgeTz6InD5VPfDyfHd6O+xOfco6H7oT51GrqJ
62r52yehrqK0O/WVtUobuiPh+0p7UHf4WrutzAnq8qSh3z52wS8nF/pZaU/q
z5MONbzQgn48DT29h8GwJxEwXiHtRX3q/u/XmqQgrpD0pq4w79mA2lqYD3JB
XxozdZc7iXOS0VVNEgdtzoZxhnJ055N62XbRsD5H0od64H2b68xeqB+djG7m
0Xzz8mSY3ylHjzruk9Y0BOZ3JH2pp5wwPX6gFfYTcEH/+cFC8udZiDOT0Q2K
x+YeqoP9oMrR64Z9fK7fAuMGkn7UJxYnlcu1w3obF/Q4/qZPYfdhvU0yeki2
x9WaftAflaOX2nl43Yq3heP7Uz/8OODejBUwPuCC7tn35fd9hTCPU46efvZd
9aQVUGdQMoB67b3o7fnvuv+2ty7oi1fYVDxseffXk9HfHt9XaB5b99fL0Qtk
D3b1XngbjhNI3eH8nAGPO/LhOOg6J1/cv7x+FxwH3XFk26jSq7CPk2QQ9cYp
M0YWnlsEx0ef4bZjUkvSNDgOumepbNGlkZZwnGDqfbcOURvVMAaOg25+aPWs
Dd2D4TzR08XjbgR2/fzbj5ejN8128Vr3tumvS4ZQP2B95dt39xqIBz5BHDGK
2WdZcN5kfit4T4b4+syzlmquYrCevB91ydtOAUbLh4APpu6Ya2/mGDAWXA4/
v6EuddMSK/Dh1AfVNX6efNoL4gpl6mrKj+R2tcD15I2mPv2JuITRCbj+PDXq
o4uf3uxWg9+Lp059+zinotuW8PvyNKgrTSmbpN9QDK5N3f9tbo38xVpwXeox
lpttWjvfQlyhT/1V9olPV6+QdfgG1Lf0WLa2UK83xG+G1M9Zaxk8nzQE3Jh6
2e8vB56sgHlPxoR6Z8eULaETLMFNqV9YXfjjqLkzuBn1RA0vt3MxvuDm1F8l
zrdM/TMF3IL6lAr9mJOdEK8yltQLswclXrpG4lsr6vdnvvCVe7AS3Jr6CU2x
VX0vrwe3ob4ve0/2JzmyntCW+pJDW/q9DyV5u+OpayRsUHh7GOYjchjqEhOv
5+8VgzhB2Y66YqD32LR0GO/NQY8PGtwQvgPeZ5XtqWffGf/ROh3a+Rz0KLfz
fe0uQL+Q40DdpeTWT78gGN9WdqQuH2r53McE3r9y0BWktX8emQvvocpO1LcF
fr8V0ATvgznoA+IdSruvQfyQ40y9XTfYZ+FEiB+UJ1Av3Vs5wDcI+tMc9BE+
J2yl1aD/VXahfmy6+O7peyGuyEG/M8vneJ9j0I8rT6SedGmQ/MCJEG/koC/N
Dy+qjgJXdqU+Nfzrh/RB5PPoo8Jd7Q9bkeO7UX/VfH/xgG9wnjnoHh9dL5YH
Qv1lZXfqhWtvTD0+G+osK3tQ75hsclb1G9SXyUGvnrpl271DED8oe1J/Nt9i
vMJZiB9y0POdZKTM/CHeU/aivn+2bb2LHcSH0t7U7y0y2/Z2H8xfeKM/iLc7
10sM5i/S0HvUn9Ie7gTzXFXojN7vo+cE8F4s7UO9JHWep8lKWE+Shp6namb5
dDWsm6pCX1upNjBv4144ji/1zpOnJ9yUhfVa3ugpFdJGjp0wHpWG/mV66NX7
nhBXVKGvO/BQyecIxBXSftQzTQ/uHDN0Hhwf/Sdzb9MoH5iPSENfomraWpED
8xFV6MpXjQVfomCfSWl/6nsNp3ZvcGXg+OhKUbXym3/COt4q9JSPdm7LfGG9
rnQA9QkbXG2WXuwHx0F3qTp3cmcl1GFJQ2fqx7hnLGz961Xod3sclx6WCnVY
vAOpHzbwTpNsh3oraeiVc4zOLjKEeitV6IYzuod2NUC9Fekg6pG/fi7dNRDe
c73Rd6z80vngAbwXV6G/NjJyr86F92vpYOpLFDOtn7+1g+Ogyxi/z8xeCu/p
aehZvS9kjFwA7/VV6NMHPv45b1BvOH4I9ba4tZXiqzohTvgC4xlqzEz5c0NG
9JeB/r0XQ7xPdfQRDzVV8P7UB02ZkLNmhCn0s4Optxp1uI1dMxFcjrq3pobN
5K5Q8OHUO/tlH9yjSOoDjqJ+ssD1zao9a2AfA2XqDRWLvknVbQcfTX2gLLNJ
4+5BW/J/8m/S/mdNXhFQ31CgTr3WdahU3c5ScA3qkis/W9yKgP2pBNrUh/cw
Ugt/CvtcCXSpm8qecdTM6vH3OobrU19gLGOzURnqPIYbUI+vi2qb9hXWO4Ub
Uh92PU05d60muDH1M+INhYOO2oObUFcz6MO78gfGE8JNqed0bPoxmYHxhHAz
6knuKfNCtGE8Idyc+oMvG08+zZoPbkG9MUl2ubsb5GmGW1J3Wji16asXrHMI
t6Iuv7gwYqEs5IGGW1PXvOxpyORBOxZuQ11Cv1O+9ydo98Jtqa9TcuhWXAft
ZPh46r5uMs93X4b1pfoM9W1fOisOfodxcj76rvOjO/pehPWl+nbUI8IC2ocI
YH0gH9166qdTfmkw/qBvT91qtJNVwCIYR+Wj1ynETqvpDesW+A7UW/pE9w1Z
BePe+o7UB3SFSsnIwTgwH73WsOSC8z3o1/SdqJu5ZC3cNgH6QT66mOmNhiBl
6Df5ztRHzJCa674O6urqT6DuvCy5wOMLxCF89IBfR1Tf6UIcou9CfYCT/CWd
MdCP89E36iYkq9WA60+kLiFekPhBH+IBPvqyhzsH37QF13elPmzudr7SD3J8
9J0TLjxIn02O70b9V//Hi3okw3ny0Wdt5rnwpkNcoe9OffjRHpOm/IHrwEc/
OJqZ9i4S6gvre1Dfxi8+NaaQXE90H3fJq0734frre1KPPrPSeNhzGEfio78e
WbNtuDzEjfpe1FMNE/3fzIM4U96beubXhc5918L6imD0poUpnoMvwDqZTHTe
APeIfbmwrqYWXWHJnLFSdhCfyPtQ/1lpde65KqzbyUR/u3xOssp8GJ+vRX8d
XXWtxy1Y1yrvS11NfFqdQRWMewSjP+mhUZL4DcY9MtHP9ys88rAT1rXWok+1
HibzdheMQ8r7Ua/r6VQt3gvWtQajr/dI1i9phXHOTPQTCRZqmvtnwvHRZX/v
nmMrDeta5f2pexTM2Dk7C/LBg9GVHoUYz/oN+eCZ6Asi/OYcyIT1ErUin9d4
Oeutxzg4fgD17vNTzGd+h3zwYPRBBWfXV1pCPngmeuCagGc7b0Od31p0yys5
i3vKf/rbvwQHUj/Re7PO5CNQzzcTfWG8+PYVNVDPtxa9LH3gioqt//11+SDq
Of0ru6waoZ5vMHqGpMTBC4+gnm8terxPasDbeuiX5YOpt7UVnz9gOBWOgx4j
rfxfSSLUg8tE/zrzy0an1xAn1KKLrQ44aHAB4gr5EOoHvmXVJMWQOKT773US
G8eovrhy68dpI3BxhvjlK/YuzcmO4FLU8w7VCv77Qur/ylCPUZx3T7B3DvhQ
6u0+JfMKhq4EH0FdvWl+XKHlFnBF6reLVoySas4GV6H+WvJbpHMiH1yV+t2s
huuvSmBeQ2wM9Y0WJf3GnoR5DbGx1GfMeSRnNJHsb6lJPWuMxpXLOjCvIaZD
XeHRTa0z7RAni+lRX1UmfmmGD8TVPH3q5b2CXBOTIG+OZ0CduXMnb9xJkmdn
SP15nsXd4xWk3qIx9U/TfFY1XYDxRp4J9V5HYw58jCX5gKbUnZtTz0XGkbqQ
ZtRPG81NPKwP66Z45tSrq9scr/Ul66wsqKc3qiwrrSD5jJbUO6JPN5r5k7qW
VtSrjPaPDLgM+ZI8a+opCocVBD5knZgN9bLDex6tKSf5mLbUF/WZz/cTh3EM
3njqKp5ap6ZrkjqeDPWgwbFPCubB+LMAnT/r4PDrsWRdnB31l7LDmh5ch/dQ
Abr6gVRG7CipQ2pPfe7pB1Uf+5B5efQG6YBQpo3UOXWgbmvXV2PqYLIe0pF6
p/iGQQEqJI8Y/baxbkqFDFnf6EQ9pcKu7FgzmU9HLzgkcVtKHfpTgTN1Q6l1
7y+Mgf6XmUC9ibdr/I9GcAF6+mPzwweXQj/OuFC3/rpiRmQjuAD955OgvOla
EOcwE6nLKm5LUfcCF6AfdvDV6e9HPu9KvTHknFW5Cfk8utSlDc0rP5PzcaM+
rm2rr9JWcj7oEv0jI8b/Id/Xnfqq71OUu+3J90V3nyL97mUwzKcwHtRPHOt7
pJbU8xWgL4+wlVnYA8adGE/q4pvTgpWsyfpS9JlMwh9ZO7KO1It6q2LfZdJj
4X5Q9qZ+Ye+Fo9M74f4JR/9ttruwsBfcbzno4TWST6Uz4P5sQJ9l0HTr9xG4
n5V9qFv0a+wI9Yb7Pwd9lfKQ0IImmJdpQI/eOO506WbIm1b2pX6//HM1bxI8
p+HoZRt7XirrIuOQ6AectuuPHw3tQAP6lP0TFR1rYZxT2Y9607kss7iB0M6E
o0eGj3q0qGMVHB89zT0qWTAZ8qYb0FsH91Zoc4C8aWV/6r/7a+sfyQqH46Or
hVbPU9njD8dH33Fz2oyBA6AebgP67aidOfPrbeD4AdSfpR5dYBwH8zjh6M+v
vny/XQzq4eaghy7RvLx82VA4PnrKZ4UVTiWw32B4IPUPuglrlH1hX8Ec9Cu9
E9rkI+v/egN6qXo8o9p+D+bfg6jbH84rDXsF+zyHoytP1n54dPxxOA76G5/u
McycFDhOMPWB/tm9HkyNh+Og79sR035XehacJ7qnhmySzjE/OD56s6pp/vMs
GIdRDqH+apf++o7VBtD/fofrp88ETdb/GfgLjiPWmyF+OXKuz8qZM8AHUC+f
J18aM3QJjHvIUDdOr7y59/4G8KHU07Rl3+6asBt8BPXmCMUkV58CcEXq/k0/
2ke+uADzGirUX85um+3ZDPNojCr1xL0+ywzmwrwbM4b67+nLLjxbAPN0zFjq
z94OWBPbB+b1GE3q+5p6LREwkEfPjKP+fe3pnRtMZMF1qAf3/+9T6B8VcD3q
jiM9Mzzn69HrS/4tyW6r2fYe5lNyDKgnT++/ZNpemE/JMcTrll09/9E+mE/J
Mab+6dWWYUUVMG+SY0J9cQ8FE4+VMG+SY0p9/4wdVgbqMG+SY0a9pai8aIQ4
zJvkmFN30Kk6GncD1lfkWFC/srvhv59DYX1FjiX188rvl0cMzwa3oh67TnZE
1FJYN5VjTT0/45y02yCYp86xoX49fHZX6URYl5VjS31SdOWflpHwPpgzHo8v
4fpCug+8P3oz1LXDbm+3Gwzvm1XoxzqPJN/Ig/EQbzvq7cznQsFJWIdWhe7I
vy3WnALr1rzt0TdMNAsLhvH5KvSWDQbOjCasB/B2oF7ZeGqT+Wvop6rQG8YO
vnxrPvRr3o7UD+tckjx3BuZrqtDHBT75bu4NcYu3E/WJo/e82jUE+tMq9Bht
N/2jucSdqf/erGDx2QD6Ze8J1Fe72BVG2YNXoS+5vl75tTX5vAv1tQ68mYwO
+Ty614Rn1r0UyecnUr8ZZ1b4ZCj5PLrthzXqa0aSz7tSV5+2Wsx6HPk8+ivF
V+uaGfJ5N+rzXi09c86PfB69Z+yBqMhg8nl36qo2GaNr6fdF/7S56/KJPuTz
HtSzs6IWNO8j1xP97UG3uZJi4N6eeP7qNa4V2vB7VaGPfNL14Lwn/L7eXtSH
lT5VPvER1mFWoWc2qqwZ4gb3j4Y39dkaUxzSV8P4TCR6ln/SiNmHYP1JPvqL
4KVGjQ8h/mlGb/L4HdHiCfnLGj7U44f+7HQPhnnJfPQbx8L2LuuCdVDN6AMn
pK1xcoNxSw1f6vrzt71NJPv7RaI7e/1+HZkG46L56Ac79qwKXQbjqM3oa1Xv
9cj4DeOuGn7UZ016Ku55AcZpI9Flu3ZfPWwP47r56DovdiR5LoVx4Gb0+pbP
pWYbYNxYw5964tHJO5d2wDhzJHqdf0RY4QwYl85HX7y3VOvEBhjHbkbv+GGv
IR3oBccPoJ6XcuvVsKcwTh6JLhjid6x8vCkcH33BjsdlBZdhvL0ZvWfhA48x
RqPg+IHUeat1t4+1gfH8SPTSt69qrvwH4//56A38NGONdpgvaEbPkBVbGvcU
6mJoBFFP5rsmLo2CeYdIdK2E1U09MmCeohldNnzdYb3zMN+hEYzXYc22B6sF
MD8SiR51p+12AA/mU/LR/1se+S5VAcZ5mtGXr5TtldEDxnk0QqiHyYYJAq/C
eg+xn/CeYcTE3tds/Px5IbgEQ/xPRHfy4jdrwQdS3y9usmdcDYw7iQ2hfntC
v2upp2CcSmwYdfOR++7IMDCuJTaS+vTOgFtVc2AcTEyJeucWvWcvNGHcjKdC
/e6XqkszE1+Dq1K37uXbu3h1F/gY6uPv+LzU0oHxOt5Y6hIXbD/y98H9wNOk
7v9R7uvG23D/8MZRL3y0TDxFH/aT5OlQr5ooY/54B9yfPD3qqcYJcopDyX6V
+tRjKtP7ih2C+19gQP1SiYOlx3l4XgSG1Lf0a490XQPPl8CYekn4s9Ij2+A5
FZhQL6+xGNSfPNcCU+pZb+6PUjSDdkBgRl3p/uenSwvIvqDm1GUKIr2snkM7
I7CgfjPH48HCUGiXBJbU9aeMlrgWDu2YwIp67xk+xnP2k31Nrann+Suv+jgE
2kmBDfXc6V9fHTsI7arAlvr3LcZbdx+FdSOC8dQlGi//mNQf2udwhrqiS2i/
N02QB9GA/up1U/6sNGj/w+2on02aY+s9EfqLBvT75TclxklA/xJuT33ksbD5
Wwth3UIDesiDrfnFCtB/hTtQl3mnMLqHLcw7NKAnZl2MyfgK/WC4I/Wmitxo
CQXoNxvQX2tNn+KyAjzcifrP2XO0VfaQz6OfkM967b2KuDP11pe6Fc82wjhD
+ATqvHFl/a6nwvk0oFvmnky2TofzD3ehrhXn1rP1CsRvDehBau9m1WuCh0+k
3qISKjW/Ga5PA7pFz5tKrr3I512pl6qPrYlYSo6PfnNxXJqnKTkfN+qHfH+U
l44l549+onNjuZ02+b7u1I8qfLqhI02uD7rLuh0/rGPJdfagHrm77KXtYfJ5
9NIJLnuWkHUv4Z7Ue/rG9Twyk3weXWLr/CuxN8n5eFHX8Im6muFAzh9d7c0I
i+UeZJ7Rm/raTt2ShO8QF8Wif74ne0BrJsThfHR1zy3O8QUQt7ej22/cH6L0
FuJ8fR/qZ5afOpseReZJ0dN7n7i5lw/vF+3o+p68LU1p8D6i70u997HHqdY9
YZ+9WPQDEcbKgeIwXsRH3+R3LVvWBPLc29EXRp2KORQMefH6ftQH7Ko5288E
xoti0edOtdmxXQrWufHRN1XYrM0fDONF7egxoX41u7/C+6C+P/Uedv8Zr10A
9Sli0WcnOZ0+Gwx5anx0/XfRCzZ9jITjoxsPVxqrvgrqU+gHUJftl/h7yhrI
Q4lFf+TTYv6IPwGOj/5S5ffua6ZQn6IdvdR19GrNZVCfQj+Q+t1Lh/mlz0bD
8dGDOiMtdupAfQo+ekVY9sj33rAeuB39SsQBueZx3/72s/pB6J+bTxYdavnr
sehL6hoW7j769K+3o3+YfI33TeESHCeYunbNdf3+yYVwHHTPHduv+KzY89f5
6LWtffp/0tkIx0e3Hil/3SUaxpH0Q6gfPrPsalJSNMQbv+E5M2VGJ991MGlM
A+/DENc7MtetYE4O+CDqH43nh+Qfh3ki3hDqgpyxnT+ewjwRbxj1AKusl7uu
wzwRbyT1R11+7kWTYZ6Ip0S9YO/llt7eME8kUKG+5r7vSL0Zv8BVqZ+ovL91
zMD+0D+OoT5rTMLv6LkwfyQYSz3eMeTH4Gyy76Im9V5tmw/q34D5I8E46rY+
t2Zs/AzzRwId6nkr/lMeewLWpQv0qNt90IiZ8xjmlRr0qfPSPTvXJsO8UoMB
9ZdLEhdO3wPzSg2G1JvyDbN8PGFeqcGIOn+Mf4KGMswrNRhTT6od2s+9DcZ7
G0yom8XZZ16J2kZ/b3r+enfTTteR8WQz6uK61v4BETCv1GBOXfFP6LBbdTBe
3WCBfvbST53+MK/UYEk9TVA6/LIGzCs1WFGvU7400jIU5pUarPH3Ctmr3BoE
4+oNNtQjJ04+fn0LjMM32FJv2V4RynMi4/bjqZ/VG/C1KALWJ8Qy1APu9qjJ
nQ7zAu3opxM+bDo1Cta9xNpRj/qQ8zXkJvQj7ejyFumRi+1gvUSsPfVUjZ6q
RfOgn2pHD4kMe2amD/1arAP1MH9955CF0A+2o5eqvZdaIwP9ZqwjdUH31UcT
Sb31dvR7GjnR7ZVwnFgn6sd4fklbSF2DdnTDtj69k0keaKwz9Zliqz9cegHx
STt65M5F7aajyPedQH1RSNC4wdMhDmxH93A++1rvIcSNsS7UR6f77JLdDde5
HV328bd3MregX46dSL3fhbU3FJeS/ho9+siY4lDSj8e6Up9u4+i6ZSo5Pvrh
2Sd2z1hHzseNerd+V8SZnuT80f3H7hi1tJjEFe7UU26O3BW3mlwf9IADuSfC
9cj19KD+oEE9SusAuf7oAwWWZvpkv7tYT+r6H4eErVclvy/6pqb4qPvq5H7w
os6kqlvGXyH3D7p0fvrM/Cz4u+be6Dbn1jl8hvszHr1+UfmzdfXw+xaj74nf
pb0qFq5PN/pNZbX3s+7CdTb3oa6nHlb+ZhC8R8SjN1TemZgTBO8dxegrZs12
2hUP7ynd6BPNXpreyIX8bnNf6tWJ/V7ITYT3oHj0jcdmmy7+Auvti9HdL688
c2Ml5PF1o++9OClEThHey8z9qPsd/6WWuxny2ePRv/d0+FhwCvLfi9Gj3z4P
0KmBfPlu9LGTFGtd6yG/3tyf+jzDywf3iUNeVTx6D6lOr5RdsP65GL11alC1
ux/Uae1Gz5q6UneEH9RpNQ+gHnVbvOWPH9RpjUffNGxuxykNqNNajJ5/4LXG
mCyo09qNbr1di+m6DXmg5oHUjYP1Vrz8Cnmj8ehvDXzsVK2gTmsx+sr11Z8m
LYY6rd3o9h7Lpzkkwj7G5kHUHzwxeCWZA3Va49Fn8a9Lq5d2/O33i9HLRzam
zd3/6q93o9+sfWGurHr/r5sHU+/88OBbhvv1vx6P/uOG3G11ldNwfPRPe5Te
qt/JheOj73u/taitB4z/mIdQP7NkfrXe/SSIlyA/WtmGWZrunnn9AqzTJvnR
rNf9Sq3PUL0F3pf62fxu6wjNxxAXSVPvVRspyPzxBlyWukGp9fLqc7D+iuRH
sz5+r8zV+yZQv4PkR7Ne1fY+/aGFEvho6l8eFo/6FALrxEh+tLBO7hqHGw2r
yT486tSTC9N+n74H4zwkP5r1yK2XTi6YCuvWSH4063F3rAMWjoD1byQ/mvUL
B6+a9qV5wfrUtaK35sVrk7xgA+ruRw6GNb2EcR6SH816D4cL6iU3YZyH5Eez
bs5cbVObDHVhSH40620x076MOgbjOSQ/WlhH+HHNMt9SGM8h+dGsb36lnOH7
FNoNkh/NesWg/Utuh8J4DsmPFtY1/lq/+Uw3jOeQ/GjWb521S3vwBNoxkh/N
+tR31dctGRjPIfnRwvMscP7mr3iX3k/k337GawOOFEK7SvKjWQ/0FJscPg3a
YZIfLbyvwov7/hoK/SDJj2Y9+vbh97r9oV8j+dGs99kyvUdrf5J3jJ47k/fz
QQb0LyQ/mvU1Ardlp7ZDf5SG3uBkWPmF7CdG8qNZf3Duqn7TY3IcrGsf++Gz
1+u55O+iV167/2nHRnKeWNd+goe7+UdX6K/T0K+4F520riHfF+vax4wqjhh2
Fd73pbF+vYTv+PptlfC+n4b+MyKqX3oRxJkkP5r1kp+tuVsD4fdKQ/fVltW0
aoDxAZIfzXpvi/NKU+eQPHH00M68FW/EwEl+NOvlU1S/ShWSz6Nb+UqFRk2D
eFga69d7HfsmcVcG5jfT0EcLVpzvdRD6WZIfzfqsPX1ralsgTib50cL7Z/KH
47bNJD8dfe3OtzuN40m+M9ap3zUreeudZnL90VsfdsjdGgrxhjTWqT9zVdNx
3kv4fUl+NOulX3Xf7HgN94kLet4uie2HfoIno5dcEFgqLgIvR0+p++Fa4wX3
FcmPFra33nHnkg7C+SSj91cJFOsi9V7L0YurU3p9i4E4h+RHsx4wyq0j5jS8
R7igv2/w6NHwC65nMnrB6d7Omffh/ilHV1D8nXVjAMQ5JD9a2E523VnsUwbv
QS7odxZ9kxg7DOKcZHTrV/O0Rl2H96xydLHENc5HN8B7GcmPZt1vQHxLx37Y
d84FfUzhR7MF3+G9rxy9oH3K4gIZiGdIfjTrG5qT+599CfvLuaCbKX4dl3AH
3k+T0dO2W/VKtCJ54uga+SovBz6DPHGSH816wrLA4MKPkLeVjF6W9P64xWDY
R64cfXOfOeeqayFvi+RHs76l81T8/IdGcHz0rRvaPno1qcNx0Mv3WrXNvSsF
x8H67wZVN513hv/528+6oM+JbZhUXg51r5LRR/0nt3B50cu/Xo5++3hjwIvC
mr9O8qOF7eH4JxJHX8J8GcmPVmYY41PvMkIzn4D3ZIirnbbf5WwD80EkP1pY
P13GIitCEebvSH40601bxEaOyYL4iuRHC+sOP/p+uMyM1OcaTt3/s1+Qb3+I
30h+tLCu96S7E8VXQhxI8qNZ13bYZ97sC3EjyY8W1js2c8qIugK/Fw/rwmvF
vDuqOCMIHOvCT0vtHtNRCHl8JD+a9Utj7o/aEAf3D8mPFn7f7Zt6mLXA/Uby
o4X1iwcdrEv6TfY/xPrv49+PurpTAe5nkh8t/L4X04rirsD+iiQ/mnVb11UT
QpPJPo1Y533ntr0RgQvh+SL50ay7PpZ4NSaHrKfFOu+VNd1Tjr6CcQ+SH816
24EvH2YdIOtpsc57lcf6TcnPSD0XrPPePH+5aVM6WU+Ldd4XXHu7NuwUtD8k
P5r16SZVW/YlkX0ybaiXCj53JVqTfa6wzrtt2I+kGc9JHR+s835PPkmS7wHv
iSQ/WlgXePXyMz1GQntL8qOF9dlDPvZXd4T2OQddO+7UutMPwUl+NOuz8txV
+5B5gRz0tuIfRzvliWPd9pjKlA0q0tCek/xoYX3wuFGpNS+hP8pBtwzM3yo3
B76XMtZnzzDNHTanDPq7HHSlnV/eK42A65aD9dm/ll42+2wI118Z67Crxyr3
uNQCv1cOuubBqf5SniTewzrs2WUTNQ+9h3yuHHTbnDgv3SaYLyD50cJ6ynvf
7+nKgbzdHPRAua7Jg8aCk/xo1p1fqPC1V5B1U+jDPx9/Vb+L5KdjHfZRhhnj
bM/B/EUOuvKwzVWRnRCHkPxoYX35fiWO/d+ReBXrrUcpD7xqf4Oss0UfZ81z
/xxD4lKst56+a4jLAiWSz46+LHZ4dNPZf/KjhddZamOHjiyJA7FO+sfaguyK
XLKuBv1LduLohBwSf6L/zhsju4Xsq1aFvm6xj28LGVch+dHCdqNynPfrejh+
Grqq3b74JSvJuh30+XYPR/C04T4k+dGsh1zf1zF0D3xfb/QR8ZH8y6/h+qSh
3+5/M2e6FsSrVehXZth6nusH69ZIfrSwX4j8PrhLjqxzQ99VqSebkkHiSfRD
Ke93rrGA/dOq0D0HHuFVzSZ54lgPXbxaTUbiDOSJe6M7xeeLrRkJ+VlV6LIr
nofUvIc8LJIfzfqq7knXlAxhnzRv9M1eU/v4LkyF80Q3vM0svjUQ9kmrQs+t
TLh65A7kYZH8aNaPDs0qzd0MdQTS0G0mySj2nBMKx0F/lCFd7JAKdQRIfjTr
J0wS2+odYd8zb/SImeZ3fjtDHYEqdIt3Xk2DapXhOFjHfJzr6bF338jAcdCr
Vm4vG/FQHM4TXSXh/SG9k1+4+dHCfrxzR1ZnYzM3P1p4P3yIsVJeDuuWSX60
sF7nym3v00y7uPnRrE8fkuEfOuQ3Nz+a9UPTsiJ5qpCPQ/KjWa9tlU6MHTcM
XI76o43bZ7ydCuuxSX60sM74Sl3p5dmwfpvkRwvrU6sNa+pog/XeJD+a9ZLx
t3dN7YJ69CQ/Wnj83jHf1s6C9eQkP5r1T8O8f9SHwvpzAdY93zNipviOq3PA
se756ZVlpya+gPlKkh8trLt9cXFFcVASONY3b9H+If3dCeZJSX406ytmHA52
ZWBeleRHC+uoLl/98rgrzMOS/Ghhne5jCa/CZ8C8LcmPZl0uUNyrqwvWu5L8
aNYddZN0yp5Du03yo4XnU729aeNCaJ9JfrSwbu/cVT2mrIX3TZIfzbrFxRsH
J8pCPibJj2a9+4+i2G0ZeM8NxzrmPNsTI2eegHYmHOuY7ywLeD4kAvpHkh/N
utPW5K7zUtCfhttQ589ZPykhFdq9cKxjHhdd2TC/jKwPwTrmgz8c8v6+G94H
SX406wbH3/ya3grtLR99roNRoyof2meSHy08jsVc5xv3X9D7nvzbK7hn/u9A
8nl76m+ZhQO+MuT46N/fWtXtPQBxBcmPZr1S4sbNHxrQH5H8aGH93+wvzx03
QRzFR49U6fV61iOIH/SxLvmE8ZJf7o2F/pGPviV3QF6oIbyn87Euefd8QbyD
P8QP+lh/nKeqH1ayFcaX+OgvnHbNWnKX5I9j/XFBl+G7w1Fwv/HRjTadZVrm
QRxL8qOF15l/auLeQlinzUev6Ox3f4M9OMmPZv15j/EGNgcgz4WPnlSsF3Rr
JvQX+lh/3D6qTPnydBif56Pfzu51IqwM4mSSH8265b2COUqOECfz0ct8LB3e
TIS4i+RHs27u7T+s5SXc/3x0Fd2h4ultcP+T/GjW/a5efHttDPxefPS+vktq
+7yC+18f648XayXt2bYV7n+SH816x89Q6dWkXmQwurmXfsfLXnC/ZaLHtPTP
320P92ctev4Yj5Vu78BJfrSwXraszncnUu8yE33y14GyGqRuZi36jtCvo1PC
4XxIfjTrKT+PNMebQTwfjF7qeSYi6gp8r0z07AVdBfdk4T6vRf+4vqKLFwLX
jeRHC9u96kethj4kTxzduurWgxlGED9noi/L2dEqSIDfsRY9Sf+/nVku8LuT
/GjWe94ML7tuB/dJMPqJ8KRbd2Tg/SsTffG3aXqzu+D+rEX3GRX/vq8A5rVJ
fjTrqgZttXwvGA8JRn8QVnJI+irMm2eid0uH9dEPhnn2WvRDu8tW5z+GeXmS
Hy28/ldbP1bYwvx+JnrtMZeEhZtgPUAt+vdfgjqJRFg/QPKjWc9d0HIg5RGs
NwhGtzTPVDj9H6xPqEUfsaik9mEdrHMg+dHC+uz37nbl34R1EcHoS79cLht+
BdZRZKLbN1qsbXkE6y5q0V3y3aJWVfzh5kcLf6+1x5fYt5E4BPKjGQfmvdnw
NUN7w3HEID+a9V7/uVV310DeDcmPFtbZ7Cy4t3kr5N2Q/GjWLZp275FXIvWb
hlIfXau333c/qV85gnqDtaOb0wKyn60i9Us3YvoEZJP6lSrUk9P6ZBvPhbiR
5EcL6zJr5mbuWknqV46hLr29xbloEdnfeyz1j8kqvO3bSf1KTeqds0sO/3hM
6mfpUA/S2W05rJHUqdSj/p+UltSMWFLnDuuA77DZ5acZAvshkPxo1r3l4w48
3Ql1wUh+NOtGCbFyksGkjhjW+1ZW37R8yW54PyX50cL6s8OWL/muT/Zhxnrf
YWvfBKXsJfXOsN53rHyQ1dzlpJ4d1vuuqf3VZ1gt2Wce630Xd7ZLSqSQ+olY
71tfd/3HQxakXhvW++6WmLm37RbZl9uauvw4k3fDyHpUkh8t/L46CodeDSb7
YGO97w+53XfV00i9Oaz3fabxR6LlGpJHjHW99Y79nvT9EclXRZfOzVmjsZl8
Hut6H5i6P/dTHhxfgF47qT5hty6pr2dPXWpE4IBRtmRfbvTto56fmtJK6vdh
Xe+ilat3uBSSOoBYv9vH0iSm6xPJs0ZPswtcLl5A6tZh/e7Dyxff/ngNfkcB
+nOxlscZPqRuHdbvVnyxzcjNntSnwzrdR1tvuHg+g/tKgH791f2IY04QP5D8
aNaTCrTFpw+GdliAbquhfM/kN8y/k/xo1vmXOt+eJHmyAvT253aOHq/BGazT
zTw5fHtPFRxHgF74pGmxy02Izxms010yIrNC9xW8zwrQVfK+xNnkwPci+dGs
r2ouVbf8Q9Z1o7dPWG94JwOeI5IfzXrH54KBYuQ5EqCbiEltys6D60/yo4W/
+8GG4+rp8HsJ0Cvj5BId2+D3ZbBON5+vUT3uGBlvwfra0zQ2rTr7G+6fcPR5
YeseGQXC/ZaDHvn0te82D7J+Gz26Z+VB71tk3A/ra1/kr8h7d5qM16G3CjrS
zuSDN6Bv+hWl/Ps0OQ7W0d5sbrZQU5+sc0Z/E3FEc7YROU/0fkcs3vCekHXp
6L3/9HYJsYN2g+RHC+9bdd0sf9LOhKOvMFrj+KWajF+hN8y0Pf8yAq5/g8hx
nAfL5yaQcTCsox0funRi3kD4fcPRH5ZpRnr7kHE/9LTEo3+mHoL7pwE9/a7p
4yg5uN9IfrSwPvXq12YOStCeh6OrPLCSKumAee0cdIt1+lqp12EevAH97qhn
24cHQf9C8qOFnx+0pCxdD/qjHPRc9bI9t3fBvHwDusE6PaMLl8k8PtbLztuz
q1pqBcz7h6NLDL2ruVYS9r1pQK8402t6hokjHAfrYo9eVdb4RNIcjoP+Wzms
zw41bThP9DlhHyJGhcE4TAN6kZ+z26rVsA8qyY9m/fHTFbUTH/eFfhbyo4V1
PHOnjF/WQOINyI9mXaaX1b1B/WC9BMmPFtbHjDJ7XjmK5MXIUJd7l1VbNxny
vEh+tLCuaJ+v5wssYD80kh8trLu9W9FzbgKs2yH50cK61TlXxnuvhHU+JD+a
dfGZU94GzYN1QSQ/mvVopaKtbp6wjojkRwvrY9o4T3ixFtYdkfxo1ot7DrDo
rIR9Gkl+tLCe+MAXr2SOknmTcdTNXyd0nVsC66BIfjTrGosOxF2fTdptPer5
WwcO1lGAdVYkP1p4HIU7enl34T2U5Eez7nV+aOP1/vCeSPKjWQ8/t79fbhiM
Y5P8aNYrrCRNR2jBvCrJjxae/69Pcklv4b2D5EezXlJ5scOG7guB9bInLanV
fcQn4/9YL9vdqPPVvhnwHkTyo1n3v7dy/mqynjAH62WPG+jLdEeTeROsl71r
7Mlur7VkX1Br6k9/xD2T0yT7tdpQfz0vS3q/C2lXsV7211frLhhUEcd62S+e
bjQrOAdO8qOF9Zc1TbYwYuBV6MUPW5bFnYH2luRHs55kPvvygLdkfBv9l/e1
8JBTMM5D8qNZ37lAsbpeH94fq9DN16kFV62D92iSH836nXcSr3ffIePb6OeU
UvdNs4P3dJIfLaw7fDBU/6vJLfp8kn8tZ01fWrQLxsFIfjTr2h/GPDicAONm
VehyT1/bHH4L42xVWBc7y71V8oo75F+Q/GjWH469MK7rP4gTqtAdHI7L7fgJ
8QbJjxZeh7CEga+fwnxiFfqzfXsc316E9pbkR7Nu3xE1c38IPF9V6IevftpS
lgHujfWv/+vbZ438Yhg/r0JfN8ThwyclyF8j+dGsf1wwb4x4G7zPVqGnHB8T
1y4B85skP1p4Pk9KbFUl4HmsQn/5acTmWfLwfk3yo4XH/xbVPcgD3ser0Eeo
MM0vA+D9neRHs253YeFQ8Z3wvl+F/jQw60NSMNnnFutf141oWbswEcYTqtCn
tL/Iio2H55TkR7MeUbFp2iczeE4j0U+XvnJfSOoM5qNbRv8auWEyPKfN6Kkh
P2S28OA5JfnRrPO/lspZmMBzmo++fZ5rghJZ79SM7nF+rL/gFTjJjxbWDZ/z
n814A/BI9AUdvbe5voPnMR9do3yUcvcoOJ9m9Lp15QFtZB0OyY8Wfn5ahqVU
JHzfSPSEZRu3ll+A5zEf/VRk16gLf+B5bEZ/+yyv9FEePI8kP5p1noO71pod
8DxGoj/VSHvSuxWex3z0ex3vC9XvwPPYjH7b/5Tr9bkw70nyo4XneW5o/dXp
kCcViT5ZS29ZxWN4TvPRL1c1XXV4Cc9pM/q9ezmv3+fBc0ryo1nPnDm1b9xV
GM+PRN/qqxcauA/G//PRFU6tv3ntLswXNKN3qT6OWnES9tUh+dGsO3r69DjM
wL46keh+AXUdJ8xhX51mdLveKumy12C+g+RHs/7TNfpK8RzYPycSveRy5MqA
E1AHIR8932DCpRXxMM7TjL51TWr91E+w7oXkRwvv20z1Vb0GQrxE8qOF9SXz
xp5S9Yd4huRHs/5ug838zA2w3obkR7PO99na28yc1GEcQt2ScYrsHAzjVCQ/
mnW11wvE3t+GeRySHy2sL1ziJNCbBNeH5EcLP1/5JnGLJ1xPkh8trOuq/llT
4Sxcf5IfzbqUrVnq1HL4vUh+NOtTp+z1GJJO6tWOpb5QRm5STAHcDyQ/mvW+
Y2R3+WyD+4fkRwvrI1uPyI4SwP1G8qNZ139W/f5AHqlXq0d9W/BNLRkbuJ9J
fjTrKlVLej0yg/uf5EcL64DPdF29+gg8LyQ/mnXdtWWNd6/C80Xyo1mfmLpz
iUoYPKckP1r4ex0v1x79mNThwrrVX9/X39VKJXVpsW71wONrvh4xJfVYsW71
7zfxOzf8B+0MyY8W1uX86m17tYWMV2Dd6vTmyvuXi0ldWqxb/eNxkOrn3mT8
xJr6mfPO/+leJW5DXfnZ46XhT4hj3eobufZ2132JY93qtOQ3/XobkfxirE+9
yeGs+9YUkleLfmFmZt23WGj/SX608DoXfN74nMR1DehbBgaLBYRB/0Lyo1n3
LRMsmnkI+qMG9J4DHqXFN0L/RfKjhfWXn9zRKjpP8pjQp+z8vvxCF/SPJD9a
eD/rbHvY7xjJk0LfNXR4l2Qj9L8kP5p127FvGbdtJA8LPV91xuU3k0jeFtan
XvPIZIZeBcQJJD9a+PvaKKVsPg/xTAO6J2/o9IAUiE9IfrSwDvKA/XEPyP4b
DegLDM4qRHpDninJjxbWmT16f1LOLVjX3YA+fYOGu9MKeA8NxzrU3esv6l5Y
TPLd0NPkDS54Sm2Fz2Md6iXmsR8DIyFeakBv731foqkUxlHDsQ7156eRh0I3
wjhqA/qaOkXxN83kvRvrUB+f6/FlWja8pzega991yh0QBuNjJD+a9QIZxXP9
HGDdRQO69u6Z/oMOk3EDrEMt5WXZ/70RrOtoQF/wrLRfpimsAyH50cJ2MsO7
qcQZnvdYdHsLtzOWEvC889H7/dyUvfsKjJO0o7emv00M8IHnneRHsz5tU7D0
jv3wvPPR84YMibvWQfKe0C8/kR/nVk7mYbF+dG379LDm3yQfCv3Tg9cJ+8h6
cj567pZ1e+VSyPFF6lOb5FR++kTyxLF+dILek+feLSR/DZ3/XM97fRI813x0
xnrrvMJmkkeGPmhX9wAJfRgvIvnRrDdHSH4oXAbvj7Ho9V+H2wVdJvO5IvWp
UyS37X0D76ft6CdTdtb0SCbzvFg/+kXfqH1b5sA8byz6qoKEZqaRzJ+ib+75
xU9iKeQptKOP69M/ylaV7EOO9aP3XB/BqOvCeFEsuqHK+FFqe+E9go8eq7g4
rXwF7JvRjv7jyXe9L92Q30Tyo1kP7HPvuYDsux6L7hTv0O4SAft4tKOnNk9Z
pzkf9v0g+dHC30Xh+46S67BPSCz6hi0Bw3r3h3wTPrpz4Yb08T1hHKkdPXeU
8/tHX2E+iORHs262N0/wTAnWCZP86PYJjPGg+FilCBLPQH406/uj7xWZDyX1
EwdRXz+a72AfAvVuSH406/I8/ykzH8I8EcmPFtbD7Sg/Oz4b5olIfjTr9Q28
Q3K3YJ6I5Eez7ui6sOTSb2gPSX4069nLHv1Z7gbrpkh+NOuycZv3zxgA7R7J
j2Y9xnT14ifHod0j+dHCOqQqPqp166DdI/nRwrrPghMpSfeh3SP50cL6pPvE
VFTWkHF+HeqTn1aU3BgN7R7Jjxaez6gL08NewPgnyY9m/evGlk1VodDukfxo
YZ3K8rh3/athfJXkRwvr0t4xCWo9T8Zjsa607ynPtqKf8DyS/GjWz1YXj/9c
RPY5wbrSDrsnL+uaCe0eyY8W1n2ePfK+WTfp97GudMe31twdrmQfD6wrrXU+
N3813ecE60pXLvm84Fgx2dcC60pradzwXXqQjIdjXemYRLNzn9uJW1PfOaOX
hW8WcRvqOnvzvroVkONjXen9ly0kyzTI+WBd6czCb4sW68D5k/xo4e8Yto5X
d5/kw6K7+gv45ZYkfxbrR8df3Bt1dw1cz3b00f2c5C6VkfbQnnpCs1x59AT4
vdrRXfp++DR3Mvy+JD+a9XcJTZLn3kJ72I5eOGfdUqNfpD3E+tHSzy1X3/GE
8fN29BsPju3zEEB7SPKjhfVVVwaGeK+G9rAdvah2SmjadNIeYv1orV2qpj1q
oD1sF6krffhQwIR90B6S/Gjhc+oWVWbttom2I+TfJTtX3njSQdpDrB/d752T
z4W38Ly3oxvLvjJ5ngrvOyQ/mvUZ26QHLdCA/R7b0cX889ZlL4J1brFYP3rx
SfUdYTtJe4s+VW7y8pGDYRyY5EcL2xPN/F2nkmH9fDv6yad9LBbwYZ1DLNaP
XlzVa+5aS4gP29HTirXSr/MhniT50cJ6zfseevQMgnGndvTSX2emXJwDcSnJ
jxbeJykL7W7xIY5tRzdb9HH2gKEwDhyL9aN7Ho3ktVdBnNyO7pjdcWT1GJJf
jPWgFZtWaoR8gzg8Ht3K4uruLHmSv4w+atHsnW9rIM7vRp8UrtBvwfZ/8qNZ
31AnNqDFAp6vePS599c1/XeU5F+jv8+PvO1aAvFMN/qhtBKV6lkkvxvrQTO3
v4WfWQ3tQzz67UEfdR+Q/Kli9AebukwHPAbvRv/N65P1Rhqc5Eezrh4vFet8
FtqTePS5sno33Z9Ce1KMnt5epB+6B+LGbvTbTWNNzwyG90qSH836m/f6Vo/D
IS6NR9/Qo5fp4MMQxxajvzZNn17SDXFvN/rmHe6C5i6Ik0l+NOv86j5y26fC
+3I8uuaht8mtHvB+XYw+c7rOUrVMGB/uRleYaGv+rQjW0ZH8aNaPC5pdUy7B
vHY8+jWFKR15PWF8oBh9zKOGrVM+wb6p3egSj2co370K+6yS/Ghhf9p1w0rq
BrzXxKMzW0YMyCmB96lidDvlA06J42Hfnm708aYFj3t4QPtA8qNZH/vC3zBV
GtbNxqPzwsIXVY6E8Zli9NzINS2XHsA4VTd6y64V143HQ74PyY8W9lNZPV+9
egTrbXgKf11Yl3mvTIjnNdivmNGivrba2K7HS6hjpWxEfTXjcPljNORnSWOd
X7cEl/OZOjA+I411eNeKh/UcMAvGJ6WxTm5F/wGFb96ROrBYN/bVZqfeq5pg
X/Q0rOt6a2XdzOL5MK7ignVUPdYOSvglBfvcJmNd0VXFaaUyZ2B/IUms49kk
9Xy4TPt5yBfDupx6XtqD3FI9IY8broPYKOapVXZBaX/IE2eMqK8rXqh4IQjm
JZWxbuD3vTq+bdfhuVDGun6xaavn+0nD/u05WG9usF5Dy3uyL5w31neT002t
7x4O8Z401hFzl0v5NKsP7OeThnXBVN6Mn2niA/W1BXD+AjUm78Jxgew92Dcy
3Ih6lvn+eDNJGFfUxzpEW6Tqn2wfRdbNYp2g3DyPhD2N8HvxsU7N9Tk9Lu76
DJ8PxrowYvOcZi6Xg+dUHuuMCPx+jfksDXn0mVg3pM511s3Jy2C/Rx65zuOY
zX9aX67ZTOqhY12A9eLmU9ZawfmE437vI54sstquCeMwObjvd3rj6WuJg7Ng
H284fo4+U+E940aLNNRn98Z9envvHxnX/gf2lY3EfVZnz9qYu/slxEX5uK/m
4ZT8r8eCoV4Yeb6UbZjTvXdtHroS6rmQ50uYN3r36rbolElwnxhR/7Krqy2u
Xzr3+WL91ffuOveTtdzni/Vl9irB1mdecJ8v1o+JrTpx2v4B9/li/fsDu2jz
0Bru88X69tff/ZrJPnXk+RL6Uq/ntkl13OeL9e7oVvUYkq9Hni9hfnpibYD5
VMgfJM8X6y8rFfw1W4dD+0OuA8P8+PZjsqYN1BMkzxfrpuXPR5/oOMB9vliP
qw51L35Yz32+WP+Tld+bL17Jfb6E+R29m+VkhtVzny/WB3f4lvhG13OfL9Y/
ybd8cU6F98E0zCs5+yt1cfkSnb9Oni++HXM9+6jVvqEw7k2eL9bVlj2456l3
gvt8sa44z9BtTFod9/liXbd84ZOaVWXc54v1SVkt6y8PrOM+X6z39quaHeXz
gvt8sX7j5UIPSRnIx8wUWac6Jy19fm+YLyDPl3DdTltUx7IP57jPF+vHWobs
TXl6hft8sf6uSVy+4g+Z78Z1I8uvjnNJPgnjAOT5qnJkjo8WWy/RTOYfcZ5X
ccHxDO9vp7nPF+vb+FGtY6a94D5frLc7t4jXHibzFKP+OttuqOgP2JYhtdqW
/E7Eh2iL+9u4wHtHDtbzil3i2fFmD7TDaVinKVV8hdf9QAvu8dl2w2fSIZOH
Wbu5x2d9/8oVUYaHz3OPz/p8s5lF57Y1co/Peki2a7j7AXfu8dl2w/Vr6YMW
GWg3xHDf+3dxJ39mlEC+Evm7wv3Sz076bTwf2h8G9zMvk3LcKNj6hHs+rJ+V
tcl+Sfb3FuC+1gcubE3clP2Ee57CfZjLdtW73YL2UBn3H96Waqg9nD/4n+tv
xAhilpXPb77HPX/h/oebrJo/N6tzz5/1Z02HMvnTb3HPX7ifYdwwPRWyn2cO
7ofpJulVFGHbwD1/1qtDlLUnkfp39Hc0YmrTs++4Lp7PPX/hPpCSb+4Gq6lz
z7/BlPHMKboap/+Ge/6sS7U2LrqbD/UCBLj/m7Rz4tOWe6u434v1If3Enfrw
q7jfi/VcnSCp6z3Jfpu4r5eBlGGTxdB/vi/robNUK9oUn3G/L+t3K+Zl20qR
cVrcr2n0lDuGm09Uca+DcP+fZdLz3Lau4l4H1mdclJ273xG+Fx/37akdUXT3
Uh7JZ4frI8xfcFz0KP6QFff7sj7/WfvVnQ+ec8+f9bNNnmefXSvlng/r9a9O
jZ21nc+9/sL11T/3GGw/6Mk9vnA99hAJw9IXL7jHZ92/afe32XWXuMcXrps1
8VFysD3PPb5wPdLxZLvLOqTdwHVTrzZfdd4bsJv7d1nf4DgodPGsF9zfUTjP
uyNXXky1hns+rD+p6nUzUuE09/cSrn9wdozsp1LDPU/Wj4V6aGyg+cg4f916
SeFsWkMm9/zZ+yVk5axx1ybGcs+f9REhndXygw9xz5/1+7bW3erx9dzzZ90r
9tm6c7/ucM+f9RNZkxtrR+Rzz184b+V0hr+98w73/IV/V7td56brLe75s651
xH5AfH0e9/zZ9w7TacN68ZxXc8+f9bZee4ZkneNzny/WUywXvz5xpIr7vVi/
LrPsiUZQHfd7Cd/7vkmfPJNC8u9wXEjtywfDDIV93O/L+vmMWeYHP2Rxvy/r
y1Rv9lhL8vhi8X1/6MQLD8aH1nGvA+uB8zbOXnyoinsdWF/1rc7w9hE+9/kS
jm+URmj/92sV9/qw7x1Rq3JqL0s5ctsf1sOrbr04bQb7lgvw/WvV4ND/ok/J
cq8P63ekH16c8ieHe31Yt+wXuPJ3yx3u9WFdYaNf2kJSfyoH379qFpnl6W5/
w70+rMstbXxfRo4Ti+9fd3K8Y9U+5XCvD+t1B/bv1o2U5V4f1plDJ+qe50N/
x8f3L7EXs7aNknXgXgf2OrXcvBC3cdo97nVgveeHJysCYtS535f1+4sr9i1f
WMn9vqynBeqebjL953sJ60SvU0pxX1TJ/V6srz9ktv+RyhHu+bO+dX+3Yt/z
d7jnz3pqvZbyaZvwf/pBNeb7yZOH7lm84Z4/67p2vkf2jbT8px9UYy6d035y
dUMN9/xZd7lwY35a6mvu+Qvrn145dTFqUw33/IXvfR8M049oneKeP+tzp/5g
rPMauefP+pEbCm4h0Sv/uc7jmFCrwUoS0zz+uZ7jGKn+yz70SWz857qNY1aE
J4xUX3eee/8L67stvNZn26ld3OOzccWMmXmDZy8L4x6fdUOx2I+XB7ziHp/1
IS27L22bWsI9vrDOTtHzY2evFHH7L+F7xy2vusxuGW77I9xXR7vL6kNtGLf9
Yd32aLfOyfeZ3OeL9UPTpod/+1nL/b1YV/y81/dC9D/9O+tDNQfGtBz7p79g
3c0ouDD8eA33d2S93YAXErX4n/6d9QuLGYeGHv/Eaayf26t8JqM0k/v7sl5/
OKFH+7ww7vUR7qP1nVe5b/W/14Fh8m6+2hrmEPvPdWAY1d7PNA3f5f3zfRlG
YFW5Lium/p/vyzBvegwyjEi6+8/3Yph1exfX66yq/+d7Mczl8eIeR5Y/++f8
GSYrq59Wd9X8f86fYbwSWs+dLFXnnr8wH3ZU7/pjKau558/6ubd6/qpFfO75
s14TUX6takId9/yF+Y9diz33VpVyz5/1w4f8B8mQficW378yHTveb337nHv+
rK92Svkmxl/FPX/W9W3GutUf+SeeZM9r1nuDzKpp57nnI8y/MHt5fMKvS9y/
K4yX/p9hp4Del/uo5oP2K30LLzq62RfVfNB6VxHh624Jh1DNB4o35Ui9OWW3
GdV80DpnhZmVCyvRzAeKP97NabypJd4eAJCnkoc=
   "], {{
     {EdgeForm[None], GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJxEnXWclNXbxndn3d3ZmZ0N2NkZZ0YFJATFAgtRQWwBRVBUxAJFEBBUQEBK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         "]], Polygon3DBox[CompressedData["
1:eJxMnXm8jWXU/s85OIMzb3vvsx3O2dNRoVIJkaEMGTIrFKmkJFOUmQYVzaFR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         "]], Polygon3DBox[CompressedData["
1:eJwV1nl8z3UcB/CPWyrhsVhssw1NeVA9EoXKkXK0XJ2Okmo6UA8Khc01RxOz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         "]]}]}, {}, {}, {}, {}}, {
     {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl1FmU1nMcBvBH00w1zUzLTNtM2yRT0UImZEImW9kqWtCiheNwjk6uylY4
hwt0YTlOLpxcOLniigsKKbTIhEyFyVa2slRokcnnz8Vnnvme7/zf8877e35v
/cIl0+8+LckCPzrI4vfb2cbZhra+ybPyBPP9QXO/ZJMcUZKsYq35iJzdMVlP
RW0ypDR5jIMsNU8rS16nrlPSal4p9zOlc9JUl7wqa7oky9nLpPLkZSq7Jmvs
75G7mFCRlPZPXpRllcld3GneIcdVJc/TYj4lF3dLttA4IBndPXmaY6w2z+2R
vMuwnkm7+Ql5iJnVyZusYz1v8TbvsIFlvT0nN7KJ93ifD1hut1luYSvb+JDt
3Gv3kWxhBx/zCZ+yk89oZRe72cPn3Oe5L+SXtLGXr/ia++2+kd/yHfvYz/c8
YPeD/JGf+JkDHOQXfuU3fucQhznCg577Q/7JXxzlGMdZYXdC/s1J/qGdU6y0
S43u0IESOlJKGZ3oTBfK6UoFD3muUlbRje70oCcP21XLGnrRmz705RG7frKW
OvozgIEM4g3vaUbx/znTBQOTx2UDG5z5Sec9Rx7Vhad4zjxKbtaVRYw1t+vP
ahrZrk8tRc8o5Q7zGv1rolUnS8xLZQVrdbaZNh1eRjUv6O8r+j2ZfTo/3rxC
1vKaO7HTfZgqD7grj7LEXC/XuUuzKDcfdr+eZDgvuW8b3b95HHcnJ5qfkWPY
6hhuYzGLWFjca25lPuf5bObJuczhFm7mJhrtZstZzGQGN3IDY+2my2lM5Xqu
41qu4WqmMJmruJIriu8Pz10uL2MSzVzKREbbXSIv5iIm0MSFjLQbLy/g/OJ9
M654j5xbvB/OKV6fMcVrMYozPTdSnlX8zgiGM6xIuwZ5BkM5nSHU02A3WA5C
XaICcaxxVPHxx0ccX4PpQ1H1Xv/XPUP9ULOoVlQqahQVSlXx2nbqEjWJakQt
og5Rgwwu7oR07HHUccxxtP99//4LatWsWA==
       "]]}, {Line3DBox[CompressedData["
1:eJwV0dVSVmEYBeAPC6VTwUDK7m7xGrgEVGxQ7CLsbmzFAGzsuhDPLOxusePZ
B/88a9bM+t89e+eVlBeXxYQQ7vjdywqhJCeEu5zM+5zCB5zKhyxlM6fxEZcV
hBBXGMJjebruCWfwKWfyGWfxOWfzBZfbxNu8lOfoXrGMr1nON5zLt5zHd1xh
k2DzXq7QfeB8fuQCfuJCfuYifuFifuUStnApv0XPzO/Rc/BH9N/8yZX8FelW
olu/5UrdH1bxL6v5jzUM2SGsYgwrbZJsWsmrda25hm24lm25ju24nrGsskm2
aS9v0HXgRsZxE+O5mQncwkRuZRK3MZnbmcIdTOVOpnEX07mbGax2K8WtTHmP
riNr2Yl7mcV9zOZ+dmaNTapNF/mArisPshsPMYeH2Z1HmBu9D5s0mzz5qC6f
dSzgMRbyOHvwBHvyJHuxnr3ZwD5sZF+eYj+eZn+e4YDoPbuV7tZA+axuEM9x
MM9zCC9wKJs4LPomNhk2w+WLuhG8xJG8zFG8wtG8yjHR97PJtBkrX9ON43WO
5w1O4E1O5C0W8TYn8T9heHrE
       "]], Line3DBox[CompressedData["
1:eJwV0dVSlWEUBuAPxe4TFHMcvRFBTCzsQkVERQUDOzFobMVubsLGbsTu7hYx
sZ59sOdZ6515Z69v/vYpmUkZUSGECr+42BD2tw2hEw8wngfZmYeYwMPswiPs
ygsxIXTjUXt3lrEHj7EnjzORJ9iLOR1CiOkYQm/zSVkfnmJfnmY/nmESz7I/
c3Wa6wwwn5MN5HkOivw/B/Mih/ASh7Kcw3iZw1nBEbzCkbzKZF7jKF7n6EjP
e8bwhj2FNzmWt5jK2xzHO0xjnttauG28+a5sAu9xIu8znQ84iQ85mfk6sTpT
zI9kGXzMTD7hVD7lND7jdD7nDL5gFl9yJl9xFl9zNt9wDt9ybuS93jOP7+zz
+Z4L+IEL+ZGL+ImLWeC2lm5bYv4sy2Yll/ILl7GKy/mVK1io00onx/xNlsvv
zOMP5vMnC/iLhaxmEX+zmH+4kn+5iv+4mqFdCGsYxbWR7+Q961jDvp41uYHR
3MhaLGFtbmKR21q7bbO5jmwL63Ir63Eb63M7G3AHi3Xa6Ow0N5TtYiPuZmPu
YRPuZVPuYzOW8j8sMIvx
       "]], Line3DBox[CompressedData["
1:eJwNzmVTVVEYhuGFrR8VUFA5HM5BUOzuFgsD7Fbs/ie2f8Hu7iDsVuzuTuzi
+rDnuuedeWbtaOHigkUJIYQy39qUEGpHQljDOlzHRK5nEjcwmRtZl5tYFAuh
nt6sU7iFqdzK+tzGBtzOhtzBJTZp8RB26jS3XYxwN9O5h1HuZQb3calNxGa/
jrkdYJwHmclDbMTDzOIRZvMoG/MYm/A4c1jEpixmM5awOUtZ7K0W+oRuyZNs
xVNszdNswzNsy7NcZpPu/87pdm7n2Z4X2IEX2ZGX2ImXudwmanNFd3a7yi68
xq4sYzdeZ3feYA/eZE/eYi/eZm/eYR/eZV/eYz/eZ4m3cvUD3Z8POYCPOJCP
OYhPOJhPucImw/8903luzzmELziULzmMrzicr7nSJmbzRue7vWUB33EE33Mk
P3AUP3I0P3EMP3Msv3AcyzmeXzmB3ziR31nqrUn6h57Mn5zCX5zK35zGPyzk
X66yifu/f3q623/OYEgNYSYTOIuVOJuVudom06aKnuNWlXNZjfNYnfNZgwtY
kwtZixU51IQJ
       "]], Line3DBox[CompressedData["
1:eJwV0lVXlkEUBtDh2g4EQUEECcXu7k6wwUQRML7P7g7sDhQUu7u7A730H7Hf
i1n7OefmzJk1GSXxwlhCCOG/0zAlhFh6CA0YZyOuZmOuYROuZVOuYzP+yQxh
vdxc3sAW3MiW3MREbmYrbmESE5NCSOZWdWtuYwq3M5U72IY72ZYXzMjOCiFN
3qWXzt1sxz3M4F625z5mcj+zeIAdWMlsHmQODzGXh5nHI+zIOrOOyp3kY8zn
cXbmCXbhSXblKXZjsn2687S6B8+wJ8+yF8+xN8+zD6vMyLFP32g3vX5Rj/15
kQN4iQNZzUGs4WBe5hBe4VDWchivcjivcQSvcyT/mnVDHiXf5Gje4hje5lje
4Tje5Xim2mcC76kn8j4n8QEn8yGn8BGnRnc2I9c+0+THegV8wkI+5XQ+4ww+
50y+4Cy+5Gy+4hy+5ly+YRHfspjvOI//zHovz5c/cAE/ciE/cRE/czG/sIRp
9lnCr+ql/MZSfucy/mAZf7I8ensz8uxTIf/SW87fXBH9d66M/glXRe/LWHQv
xlkPCgJwYg==
       "]], Line3DBox[CompressedData["
1:eJwV0uVWFlEYgNGD3Z0YgGDrzXgJXoDYioqKXaBiEwZ2txhYWEh+lN3d3YV7
fszazzpr3jnrzEzSyNQRo+JCCPWuMfEhlCaEMJplHMtyjmMFx7OSE1jFidH9
ySHE9CRdzcmsYRprOYV1nMp6TouebeaaTtfXOZ03OIM3OZO3mMHbnMUcM0NS
Qpit71ibw7ucy3ucx/uczwdcwIdcyEdcxMdczCdcwqfM5DNm8TmXRme21wu9
TL/kcr5iNl9zBd9wJd9yVfR+zLzTq/V7ruEHruVHruMn5vAzc5lrZqgz5ekv
1vL5lev5jRv4nRv5g5v4kwX8xc38zS38w638y238x+1s4I7ou9krJIawU8dx
FxtxNxtzD5twL5tyX/SNzTTT+3VzHmALHmRLHmIrHmZrHmGemWHOdFS3sXaM
bVnIdjzO9jzBDjzJjjzFTixiZ55mF55hV55lN55jd55nzF49dLHuyQuM50X2
4iX25mX24ZXoHzXTV5foBF5lIkuZxDL2YzmTWcF8M8OdqVKnWKtif8Y4gNUc
yBoOYi0Hs47/AVN1l8s=
       "]], Line3DBox[CompressedData["
1:eJwVz+dfzmEUwOE7W/YqyiiZ7T1sCWXLjkL2KqvsGeHPC017z6yyhet58Xyu
73lxfs99Eqtry2uiQghNfi1xISQnhNDMFLYylW1MYzvT2cEM3uPtpBAy9X2d
xQfM5kPm8BFz+Zh5fMI7dvL1U13AZyzkcxbxBWfxJWfzFatiQ3jNOeY3nMu3
nMd3nM/3XMBOLuQHFvMjF/ETS/iZi/mFS9jFpezmXW8r1V91Gb9xGb9zOX9w
BX9yJX+x2c4q/Vuv5h+uYQ/X8i/L+Y/rGOJD2OmeKK439+IG9uZG9uEm9uVm
9uMW9mcFB3ArB3Ibo1nJQaziYG7nELZ42w49NPKfHMZqDucujuBujuQejmKr
nb16tN7HMdzPGB5gLA9yLA9xXOQb7onjYXM8j3A8aziBtZzIo5zEY0zgcSby
BCfzJJNYxyms51Se4jS2edtpPV2f4Qye5UyeYzLPM4UXmMp2Oxd1mr7EdF5m
Bq8wk1eZxQZmR+52Tw6vmXN5nXlsZD5vsIA3WchbLOJ/Hupx/g==
       "]], Line3DBox[CompressedData["
1:eJwV0tVWEFEYgNHjc3iDy7ewA7tRUbGxC+xOMOlusMXC7u5uxcJCLIx3cJ+L
WfubNeufMzNn2qWmJ6W1CSE0Ojq2DSErIYQOzGYn5rAzc9mFeezKfHbj+/Yh
FOjuupA9WMSeLGYiS9iLpezNJjNluo8uZ19WsB8r2Z9VHMBqDuQHMzV6kK7l
YNZxCLdzKHdwGHcyibs4nLs5gns4knuZzH0cxXqO5n6O4UdrHdAp+iDH8hDH
8TDHs4ETeIQT+cnMUT1JH+NkHmcqT3AKT3IqT3EaP5s5rafrM5zBs5zJc5zF
85zNC5zDi5zLS5zHy0zjFabzKufzGhfwOhfyi7Vu6EX6JhfzFpfwNpfyDpfx
Lpez2cw9vULf50o+4Co+5Go+4ho+5lp+NfNEr9NPuZ7PuIHPmcEXzORLbuQr
bmIjN/M1t/ANt/Itt/Eds+I/x2y2WKtJ58T/g7lx75gX94P58RuzIL4/C/nN
TLMuis/K4ngflsRrLOV3lvEHy+O5mZ+6Qv9iJVtZxd+s5h/W8C9r+Y91/A8W
I5mo
       "]], Line3DBox[CompressedData["
1:eJwNyzVSBFAARMGPs4u7y+Lu7hDjmnMAKC6Mu7tbB10vmJrY5vbyVlwIYYfd
SAh77HPAIUccM1sQwomecsY5F1wyZ7vSa2645Y575m0P+sgTz7zwyhvvfPDJ
F9/8sOD3q3+EaAhxxJPAoi1Rk0gmhVQiLNmimkY6GWSSRTY55JJHPgUUsuxX
pMWUUEoZ5azYKrSSKqqJUcOqrVbrqKeBRppopoVW2ming07W/Lq0mx566aOf
dduADjLEMCOMsmEb03EmmGSKaWb4B16AMxM=
       "]], Line3DBox[CompressedData["
1:eJwNzeVSFWAUBdDvgt1doHIBW+kUEPMFeAQfQN9IuuwCuztADMTuDrp7/Tiz
9uyZPSe6/2DJgUgIodWVxYXQnhBCKTtYzk5WsIuV7GYVe1jNQ0khpCSHUCP3
6mrZxzr2s54DPMxBHmGpTarNUXlId4zDPM4RnuAoT3KMp1hmk2ZzWh7XneEE
zzJEQ2hghI2M4TnG8jyn8AKn8iKn8RKn8zJn8Apn8irL/Ur365o8S3eds3mD
c3iTc3mL83ibFTYZNnfk+bq7XMB7XMj7XMQHXMyHrLTJtHkkL9E95lI2cRmb
uZxPuIItXMmnXMVnjONzxvMFV7OVa/iSa9nGKr+y/HolJ+heM8o3TORbJvEd
k/me1TbZNh/kdbqPXM9P3MDP3Mgv3MSvrLHJsfkmb9Z95xb+4Fb+5Db+Ygp/
M5V/mMa/TOc/ZvA/M9nOLHYwm52s9SvXry45R9fNXPYwj73MZx+3s591Nnk2
A3KBbpCFHGIRh7mDIyzmKOtt8m3G5J26ce7iBHczxIewhxHuZQz3MZaT0xOP
Gw==
       "]], Line3DBox[CompressedData["
1:eJwN0mVPlmEYBuCbzW4sUEF9AbtbaQTpfAHpekkL7C5QsRCw+w+Iov4U/42b
m+P48Ow4r3O7tuvenkhsKDoYF0L445udFEJhJIRZLOIcFnMuSziPpZzPMi7g
34QQFrLcvIgVXMxKLmEVl7Kay/gtNYT0tBDi5Rrdcka5grVcyTquYj1Xc8pO
hp0E+aQukQ1cw0auZRPXsZlJbGEyW7mebdzAdm5kByPsZAq7mMp/3pPGmHkT
u7mZPdzCXm5lH7fxu9sy3bZd7tft4AB38hR38TR38wz38IedLDt75bO6fTzH
/RzkAQ7xIM/zEC/wMC/yCC/xKC/zGK8wnVeZwWvM5H/vyeJ1czZvMIc3mctb
zONtHue027Ldli/f0RXwLk/wHgt5n0UcZjF/2smxUyKP6Er5gGV8yHI+YgVH
WcnHrOITVvMpa/iMUT5nLcdYxxesZ1yif4Dj5gZOsJGTbOJLNvMVW/jLbblu
a5Vf69r4hu18yw6+Yyffs4u/7eTZickfdN38yB5+Yi8/s49f2M+vHOAME61i
Gg==
       "]], Line3DBox[CompressedData["
1:eJwV0sVyEEEUBdDmP9ik4EtwtvkEdgRI0IQAwd0tQQJxd3d3xRPcNbjLjtOL
qXPr1dzpnp5JWJWSmDwvhDDjSpofQk5CCKuZyzXM41rmcx0LmMxCpvDNghCK
5PVyMTewhBtZyk0s42aWcwsbdBYtDCFVrjBLYyW3sorprOY21nA7G3UW6+yQ
a80yWMedrOeu+FzujvdyD5u4l83cxxbuZysPsI0H2c5D7OBhvrVWp3xE7uJR
dvMYe3icvTzBPp6Ma+kssb9Tcr/ZaQ7wDAd5lkM8x2Gej/vSWaqTKY+YZXGU
FzjGixznJU7wMieZzSle4TSv8hpzeJ25vME83mQ+31nrllwg32Yh77CIMyzm
LEt4l6XxvHSW2V+ZfM+snPdZwQes5ENW8RGr49nqLNepkR+b1fIJ6/iU9XzG
Bj5nI1+wiS/ZzFds4Wu2xn+MbfG7sD2+Czs4Z605uVN+zy5+YDc/soef2MvP
7IvfXGeF/fXLX8wG+JWD/MYhfucwf3Ak/h86K3VG5Z9mY/zFcf7mBP9wkn85
xX+c5n9DRq30
       "]], Line3DBox[CompressedData["
1:eJwVz+VWlFEUBuAzdHcMMANM0I2JhSAWYQDegBeg9wd6Cyp2t6iEDSjpw49v
Pe/ea33rPTtx/eb0jUgIYcF3NxbCZiKEO9ziPW5zgTu8z10+4B4fcinlx2QI
j+QIHzODT5jJp8ziM2bzOUeiIbxgjvklc/mKeXzNfL5hAd9yTsd4OoR3cqHd
exbxA4v5kSX8xFIusoyfWc4vrOBXVnKJVVxmNVdYw1Uu66qVv8lRfmcdf7Ce
P9nAX4zxN8fc84dx8xobuc4mbrCZf5ngP87rmHDPppy022KK20xzhy3cZSv3
2MYQD6GdEXYwg53MZBez2M1s9jCHK7p65Vy5j3nsZz4HWMBBFvIAi3jePcU8
aC7hIZbyMMt4hOU8ygre0jHpnkp5yK6Kx1jN46zhCdbyJKM8xToOs56n2cAR
xjjKOM+wkWNs4qqus3KzfI6J/fcyyQtM8SLTHGfLvu5p5YS5jZNs5xQ7eImd
vMwu3tYx5Z5u+YpdD6+yl9Ps4wz7OcsBXuMg/wNNcmsQ
       "]], Line3DBox[CompressedData["
1:eJwNz0VyFEAAhtHmICyQGyCB4BAsQAyI68RtJu7u7oJbAhHctsghuAYkyJ63
6HpfddVfXb0vEkuL7gkh/HAO7w0hfX8Ih5jBI8zkUWYxjtk8xhwe588DIeTq
eJ3HE8znSRbwFAt5mkU8w182EX1WF/McS3iepbzAMiawnBf5xSbpYAiXdIW7
y6zkFVbxKquZyBpeYy2vM8objDGJdUxmPVPYwFQ2Mo073mrSN3Uzb7GFt9nK
dLYxg+3M5K5Nh87SncxmF3PYzVz2MI+9zOdXm2R/KtB97grZzyIOMMJBFnOI
JRxmKUdYxlGWc4wVHGclJ1jFSVbzt7emdI2eZi1nGOUsY5xjHedZzz82C7pB
L7KRS2ziMpu5whauspXfbFL8qU3fcdfOu+zgPXbyPrv4gN18yB4+Yi8fs49P
2M+nHOAzDnKNQ/zrrXU9rJ9zhC84yg2OcZPj3OIE/9ls60n9klN8xWm+5gzf
cJZvOcfvNqn+NK/fuVvgey7yA5f4kcv8xBV+5ir/A85rgp8=
       "]], Line3DBox[CompressedData["
1:eJwV0cVuFkAUBtApRYpWgIQNC+CNeAQeAN6DpAlJN1Rwdyt1d2//uruXGnVB
ziwm57uLOzN35sade7fvJoUQElb29RAKbobwkIXMYRFzWcw8lvARS/mYu7dC
KJOfyOV8ygo+YyWfs4ovWM2X3NNTI7+Sa/madXzDer5lA9+xke95/1oIH9ik
/shmfmILP7OVX9jGr2znN3bwOzv5g13MZ4I/2c0C9rCQ++7WKxfJfSxmP0s4
wFIOsoxDLOeBnmG5Qh5hJUdZxTFWc5w1nGAtM81Tx0l1PafYwGk2coZNnGUz
59jCebZygW1cZDuX2MFldnKFXTx0t19yQl5lN9fYw3X2coN93GQ/j/T8lgfk
LQ5ym0Pc4XD8d47Ev+QoH5hnLL6fejy+CSfi+ZyMe3KKx5zmH87wL2f5j3MM
zp5nEhd4gotM5lLs50lrWT7FFZ6OM/IMV5nCNZ7lejyL56wN+Tw3eSHOyIvc
4iVuM5U7zDLPLtPUe0znPjN4wMs85BUe8SqP+R/SybYM
       "]], Line3DBox[CompressedData["
1:eJwVz9VWG0AYhdEJTqng2gTSBHd3d4fgLm2BGtTlQfs4hW4uZu3v5qx/Tfzy
LnUbCSH89e6jIZQmQvjHMj6wnCEWQgUjrGQaq5jOe770MnSUmYwxi9XMZg1z
GGcuH/jKe6ITzGOST1nLZ6zjc9bzBUMyhAadrxtZwCYWsplFbGExW1nCNpay
nWXsYDk7WcEuVrKbVex5/AsjbvXqqO5jjP2s5gBrOMg4hx7/wjSbYZ3QI0xy
lLUcYx3HWc8JNjDdZlI36ik2cZrNnGELZ9nKObZxnu1cYAcX2ckldnGZ3Vxh
D1fZywy31nSfXmc/NzjATQ4yxSFucZiZNtt6RO9wlLsc4x7Huc8JHnCSWTaH
ekofcZrHnOEJZ3nKOZ5xnudc4AUXecklvuYy33CFb7nKK64x261rva5vuMF3
3OR7pviBW/zIbebYfNI7+pa7vOMeP3OfX3jArzxkrs03faS/85g/eMKfPOUv
nvE3z/mHF/wPq3tRWQ==
       "]]}, {Line3DBox[CompressedData["
1:eJwN0CFIA0AAhtETDCKGhakLBocLCyKGhQXDwoLBIGIwLIgsGEQnLBgWFgwL
C4aFBcPCgmFhwbCwIDJkiGHIgohhQURkiEFkQcQXjvfBH467+MHJzvFUCOHU
WY6GcL4QQpwXTPOSWc4mQrjS2/qaOd7wkA8s8ollvrLKL96uhFDXv7rJmcUQ
2ozyztbVy7rPVQ6Z5r1tpLN6zG1OmOOjbXre3TrCIpdY5rMtqas6xTozbHKL
be6xyzz7LHDN+4a6pEescMwaJ2xwOhZCixF2uMQ39/V0Ug+Y4gsz/LC96y39
zT0G/5Dnp21OF3SMJSZY4Y9tXdf0BhvcZIt/tl3d0fvs8YgDnvEfUyNGrA==

       "]], Line3DBox[CompressedData["
1:eJwN0CFMAkAAhtEjEJwzsAlq0A3RQHDOQMDNgJvBQNDNQCDoRjCoIxAMBIKB
QDAQDAYCwUAgGAwEA4E5g3ME5wwEg4E5g3MEpy/c3rf94W6XPDrbP42EEMrO
8mwIF4kQUrxkltfc4fRKCDd6T9+yyHseM2F71BX9whrf2eCS7Utf6V+2OTUX
Qpdx9pjkgGscMsuHVAgjvaPH3OOERT7bonF36xgrXGSNr7a0bugMr5hjm3l2
WWCPJQ5Y5rp3DnVVj1jnmE1u2ia6paPzIXQY4x23bYu6r9N8YoZvzPGDeX6z
wIg/KPHTO2d0WS+wylXW+WPb0E29xRZ32eGf7UDf6UP2ecInnvMfE9lEdw==

       "]], Line3DBox[CompressedData["
1:eJwV0SFMQlEAhtGrgeCcgakwA05FA8E5AwE3A24EAoFgIBAIBANOg8FAIBgI
BAOBYCAQDASCgUAwEAgGAsE5A8FgMBgMBOcx3J1v+/d2t/t2KpfF2lII4cpJ
rodwtxnCPu+Z4QNzXE2G8KiL+ollPvOCMduLvtGvbPCDLW7bvnVH/7LHlVgI
Ax7YNvVI73LCQ86YsmX0XOf4xSIXLDOy4W5GecMEG3zb861u6TQ7zLLHAgcs
ccQqJ7zmkftmuq7nbPKLbZ7YFrqrI/EQ+oxyyDNbQo91ilOm+c68Las/dYE/
LHHZOxRsVb2mr7nFOg/Y5DHbPGWXefbj/z8phHM91BWOWeOUt/wDZQpBTw==

       "]], 
      Line3DBox[{26, 127, 228, 329, 6389, 430, 531, 632, 6490, 733, 834, 935, 
       6591, 1036, 1137, 1238, 6692, 1339, 1440, 1541, 6793, 1642, 1743, 1844,
        6894, 1945, 2046, 2147, 6995, 2248, 2349, 2450, 2551, 2652, 2753, 
       2854, 7096, 2955, 3056, 3157, 7197, 3258, 3359, 3460, 7298, 3561, 3662,
        3763, 7399, 3864, 3965, 4066, 7500, 4167, 4268, 4369, 7601, 4470, 
       4571, 4672, 7702, 4773, 4874, 4975, 5076}], Line3DBox[CompressedData["
1:eJwN0C1MglEAhtHLDATnDPi3GZjTSSA4ZyAQDASCgU2CgeCmgeAmcwSCgUAw
GAgGAsFAIBgIBAOBQCDgZtDN4JyBQCDgZtCNoCd8O8/2hnu/u3VWOr6MhBCu
fLsrIdyshZDgHdO8Z5ZLOyE86Lx+5CkHvOAzK3xnjRPW+c3BdghN/afbXFwP
oct1Dm19va1H3OMb03yyjXVWz5jnnKd8tUVXna1jrDDOGj9sSV3XKTaZYZs5
dllgn0WOWOa+/3vTVT3mLWdscM4WoxshdBhjj3FOnDfUSf3CFD+Z4dQ21Tn9
wwIXvEORX7ZlXdabrDLBW/7aDnRDH7LFI3YYcc8T3dPnHLLEF17zH2FFRvo=

       "]], Line3DBox[CompressedData["
1:eJwV0C1MglEAhtGrMxCcM6ASDDgJuhGcMxAIBgLBwBzBQGDOQHD+bASCgUAw
EAgGAsFAIBgIBAPBYCDgZsDN4JyBYDDgZtCN4CF8O8/27tu9uxvH54dncyGE
S99WNITr1RC2ecM0b5nlUiKEO53X9yzykaeM2Z51Rb+xxk82GLf96JYOayF0
uMje7D8+MMEhd/jKNJ82QxjrrJ4wzymLfLFFVpyto6wwzhrfbUnd0Cm2mGGH
OfZY4ANLHLLMXfd81VU9Zp0TNpm2TXVbR2IhdBllnxlbXA90kiOm+DHb+MUc
f1nggrco8ds9l3VZr7PKLdb5Z9vTTb3PNg/Y5bzzjnRfn3DAC454xX/CmEPK

       "]], Line3DBox[CompressedData["
1:eJwN0CFMgkEAhuFjzkBwzk1UguGfOqeM4JyBQDAQmHMON4OBoJvBoI5AIBgI
BIOBYCAQDASCgUAwEAgGAsFAIDhnIBgMBIOBzSfcnnf7drvtosu709tYCKHk
7C6H8LASQopPzPKZeS5uhvCiz/QrL/jGGyZt77qiP1jjN+uMbL+6qWOrIbS5
wC63bUnd11scco9jpmxZPdF5TnnGGS8YT3ibCVYYscbPjRDSuq4zbDLHNgvs
ssg+rzlkmfveG+uqnvCRUzaYtc10S8fXQugwwR5ztkgPdJojZvjFI1tO/+gC
/1jkvP84sV3rJV3mOqvc4SMP2OAhWzxmh3PuneuevuKAJY54z38v8UGd
       "]], 
      Line3DBox[{51, 152, 253, 354, 6414, 455, 556, 657, 6515, 758, 859, 960, 
       6616, 1061, 1162, 1263, 6717, 1364, 1465, 1566, 6818, 1667, 1768, 1869,
        6919, 1970, 2071, 2172, 7020, 2273, 2374, 2475, 2576, 2677, 2778, 
       2879, 7121, 2980, 3081, 3182, 7222, 3283, 3384, 3485, 7323, 3586, 3687,
        3788, 7424, 3889, 3990, 4091, 7525, 4192, 4293, 4394, 7626, 4495, 
       4596, 4697, 7727, 4798, 4899, 5000, 5101}], Line3DBox[CompressedData["
1:eJwV0CFMAmEAhuFf5wwG55yiM7iJzuCU4JyBQDAQCAYCwUAgGAg4DQSCgUAw
EAwGAsFAIBgIBAOBOecIBAOB4JyBOecMBIOB+RBuz3v7bvvvbit3kS7MhBAu
XfsrIdxEQjjgHRO8Z4pLOyE86Ix+ZI7PLPCVJb6xwi/e8pdP2yHU9exaCE0u
ss0Nvti6elf3ecghE9N720in9JgZTpjjwLaw6mwdYYlRVvhui+lbHWedSTaZ
ZptZdplnn0Ue+b6hLusRqxyzxgkbXFgPocUIO4zy03k9HdMDxvnBJL9tPzqt
/5jlvH+S59i2rIt6k2XusTp91nasa/qEDZ6yxTnveaY7+pw9XnHAa/4DKKBH
SA==
       "]], Line3DBox[CompressedData["
1:eJwV0C1MQlEAhuHjnDMQnPMHp8EpbgY3Cc4Z3CS4SSC4SSAY2CQY2GTOQCAY
CAQDgWAwEAwEgoFAMBAIBgLBQCA4ZyAYDASDAR/C3fPefXc7Z3frqnBxMxNC
uPXsL4fwsBpCnI9M8JkpLu6E8KIz+pU5vrHAddu7LukPVvjNGrdtv7quZ6Mh
NLnANjfY5S77POCQiel7LISRTukxM5wwx4EtsuJsHWWJMVb4aYvrmj5mnUk2
mWabWXaZZ59FHrrnUJf1iFWO+cQT20Q3dGQthBaj7PDMFtM9HeeAx/xikj9M
849ZzvsXeY7dc0kX9SbL3GN1+q3tSD/pUzZ4zhbnnHepO/qaPd5xwHv+A/Pz
RRs=
       "]], Line3DBox[CompressedData["
1:eJwV0CFMQlEAhtHr5pyB4BwqmwYdBAMBN+cMbBLcJBCYIxAMzBkMTHEzEAgG
AsFAIBgIBAOBYCAQDASCgUAwEAjOGQgGg8Fg8Bjuzrf9e7u7b+f8+vRqIYRw
46SiIdyvh7DHB2b4yBxXEyE86aJ+5gVfWOGm7VXX9Bsb/GSLcduP7ujFjRB6
XOGAu7YtPfpvTrjPGZO2jJ7rHL9ZZFhzNyOsMMYaE2zwPe4duqXT7DDLHgsc
sMQRy5ywygP3zXRdz9nkN9s8soVYCF0dYZ8xDnliS+ixTnHKND+Ys2X1ly7w
lyUu+x95W1lHdZXbrDPJJg/Z5jG7zLPPJd+d6aG+5Ji3nPKOf5csQOw=
       "]], 
      Line3DBox[{76, 177, 278, 379, 6439, 480, 581, 682, 6540, 783, 884, 985, 
       6641, 1086, 1187, 1288, 6742, 1389, 1490, 1591, 6843, 1692, 1793, 1894,
        6944, 1995, 2096, 2197, 7045, 2298, 2399, 2500, 2601, 2702, 2803, 
       2904, 7146, 3005, 3106, 3207, 7247, 3308, 3409, 3510, 7348, 3611, 3712,
        3813, 7449, 3914, 4015, 4116, 7550, 4217, 4318, 4419, 7651, 4520, 
       4621, 4722, 7752, 4823, 4924, 5025, 5126}], Line3DBox[CompressedData["
1:eJwN0CFMQlEAhtFLcM5AcIpKMDAlGAzonDMQCAaDQTcCwYCbwYCOYCAQDASC
gUAwEAgGAsFAMBgIBAKbBDcJBOcMBIKbBDfdPOHtfNsf7n03cX59ehUJIRR9
O8sh3K2EsMt7ZvjAYy5thvCoc/qZF+yzyFeW+c4qp6zzh72NEJp6bjWENhf5
xHX2bT29pYfc45gZvtgm+ljPmGMk5ly+2aK6qOMsM8kqP2wpXddpNnnENrN8
Yp49Fjhkifv+b6wresIaZ2wwshZCi1F2GGeXSU6cN9ApPWKanzzi1Pals/qP
eS54kwK/bTFd0glWuM0af20HuqEP2eIJO5x3zzPd1Zcc8IYj3vIfiFNGlw==

       "]], Line3DBox[CompressedData["
1:eJwN0C1MAkAAhuGT4JyB4BAdc27+jGAwMHXOwBzBOQKBQCAYCAYDToKBQDAY
CAYCwUAgGAgEA8FgIBAMbhrcJBCcMxAMbhLcdD7h9rzbF+52K6XTfHkqhHDm
bMVCuIqHsM1rZnjDHGPrIdzqor7nMR9Y4ZLtRdf0G+v8ZJPrth/d1tMLIXQ5
xzsuc8ANPnOHI2b4tBbCWOf0hEVG5t3LV1tUV3SCNSZZ57stpZs6zTaz7LLA
O5Y4YJnPrHLXO0f6Uo/Z4IQt7tsiiyF0dJQ9JtjnoS2pH3WKQ6b5wSy/WOAf
S5z1F2V+e2dcV/UqL7nJBn9te7qlD9hhnj3OuO9I9/UJH3nOIS/4D1sJRG4=

       "]], Line3DBox[CompressedData["
1:eJwN0C1IA0AAhuGTBRHDgj8ThohMGSJiGDjEMMQgMmSowbAgaDAIDlkwLCwY
FhYMCwuGhQXDgsGwsGBYWDAsLBgWDCKGBYNhwaBPOJ4XPo6DWz4vHF9PhBBu
nK3ZEO7nQ0jzgXt8ZI5zKyE867x+4SVfWeSi7U2X9Qer/Gadq7Zf3dSTsRCe
OMMO12xLuqfXOWCa79yw7emRznHMPCNz3maURcZZZpJVfiZCSOm6zrDJLJ94
yg4v2GOBA5a47b13XdEj1jhmg7u2yEIILR1lm3F2eWBL6r5OccgMv3hoy+of
fco/XnDafxzZCjqmS0ywwk3WuMMG99niCduccu9Md/UV+7zlkHf8B8S/Qjk=

       "]]}, {}, {}}},
   VertexNormals->CompressedData["
1:eJxknHc419///0VlJdkyElklFSEqryNEJXtnr0JFyd5btjLK3jKzy8jzKHtU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    "]],
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  Method->{"RotationControl" -> "Globe"},
  PlotRange->{{1., 101.}, {1., 51.}, {0., 1.}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.428242861651219*^9, 3.432312993078986*^9, 
  3.500209403319538*^9, 3.5129169797294416`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Different powers", "Subsection"], Cell[" (page 925)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[PartialD]", 
    RowBox[{"t", "\[InvisibleComma]", "t"}]], 
   RowBox[{"u", "[", 
    RowBox[{"t", ",", "x"}], "]"}]}], "==", 
  RowBox[{
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"x", "\[InvisibleComma]", "x"}]], 
    RowBox[{"u", "[", 
     RowBox[{"t", ",", "x"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox[
       RowBox[{"u", "[", 
        RowBox[{"t", ",", "x"}], "]"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"a", " ", 
       RowBox[{"u", "[", 
        RowBox[{"t", ",", "x"}], "]"}]}]}], ")"}]}]}]}]], "Subsubsection"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{703, 852},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
CellContext->CellGroup,
Magnification->1.,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions for NKS Webcode", "Subtitle"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 12], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{8, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 8], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, 
          CellLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 5, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, CellFrameLabelMargins -> 
          6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{36, 6}, {20, 3}}, 
             CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", CounterIncrements -> "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             36], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 40}}, LineSpacing -> {1, 0}, 
             FontSize -> 44], 
            Cell[
             StyleData["Title", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], 
             CellMargins -> {{2, 10}, {12, 30}}, FontSize -> 24]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleHeader"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, 
             CellMargins -> {{36, Inherited}, {3, 25}}, 
             CellGroupingRules -> {"TitleGrouping", 20}, PageBreakBelow -> 
             False, CellFrameMargins -> {{8, 8}, {4, 8}}, 
             DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", FontSize -> 14], 
            Cell[
             StyleData["TitleHeader", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["TitleHeader", "Condensed"], 
             CellMargins -> {{8, 10}, {8, 8}}, FontSize -> 12], 
            Cell[
             StyleData["TitleHeader", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], 
             CellMargins -> {{12, Inherited}, {20, 15}}, 
             CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 24], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 36], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 4}}, FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 18]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, ShowGroupOpener -> True, 
             CellMargins -> {{36, 3}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, 
             CellFrameMargins -> {{Inherited, Inherited}, {4, Inherited}}, 
             CellFrameColor -> GrayLevel[0.6], DefaultNewInlineCellStyle -> 
             "None", InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 18], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellMargins -> {{40, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{18, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{13, 0}, {7, 22}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], ShowCellBracket -> False, 
             ShowGroupOpener -> True, CellMargins -> {{50, 6}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 14, FontWeight -> "Bold", 
             GridBoxOptions -> {
              GridBoxAlignment -> {
                "Columns" -> {Left, {Right}}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {"Columns" -> {
                   Scaled[0.8], {
                    Scaled[0.2]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{36, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{16, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 22}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellFrame -> 2, ShowCellBracket -> 
             False, ShowGroupOpener -> True, 
             CellMargins -> {{70, 2}, {8, 18}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> False, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[1, 0.730007, 0.360006], 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Subsubsection", FontWeight -> "Bold", 
             Background -> RGBColor[1, 0.970001, 0.840009]], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {11, 26}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{17, Inherited}, {6, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 14}}, FontSize -> 11]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell1"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {20, 0}}, 
             CellFrameMargins -> {{-1, 0}, {-1, -1}}, Hyphenation -> True, 
             StyleMenuListing -> None, FontSize -> 2, Magnification -> 1, 
             Background -> GrayLevel[0.2]], 
            Cell[
             StyleData["TitleCell1", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell1", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell1", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell2"], ShowCellBracket -> False, 
             CellMargins -> {{12, 10}, {-3, 7}}, Hyphenation -> True, 
             StyleMenuListing -> None, Background -> GrayLevel[0.98999]], 
            Cell[
             StyleData["TitleCell2", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell2", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell2", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{80, 10}, {7, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             Hyphenation -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
             "Text"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {6, 6}},
              LineSpacing -> {1, 1}, FontSize -> 11], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {6, 6}}, 
             DefaultNewInlineCellStyle -> "None", Hyphenation -> True, 
             LineSpacing -> {1, 3}, LanguageCategory -> "NaturalLanguage", 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{24, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             FontSize -> 12], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {5, 5}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{2, 2}, {5, 5}}, TextJustification -> 0.5, 
             FontSize -> 7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names. Some attributes for these styles are actually set in FormatType Styles \
(in the last section of this stylesheet). ", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellMargins -> {{80, 10}, {5, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> True, CellGroupingRules -> "InputGrouping", 
             CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, DefaultFormatType -> 
             DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{72, Inherited}, {8, 10}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, 10}, {2, 3}}, FontSize -> 11], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}},
              LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
           Closed]], 
         Cell[
          StyleData["InputOnly"], Evaluatable -> True, CellGroupingRules -> 
          "InputGrouping", CellHorizontalScrolling -> True, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", StyleMenuListing -> None, FontWeight -> 
          "Bold"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], CellMargins -> {{80, 10}, {7, 5}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping",
              CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, DefaultFormatType -> 
             DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Output"], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{72, Inherited}, {10, 8}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{41, Inherited}, {3, 2}}, FontSize -> 11], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{39, 0}, {6, 4}}, FontSize -> 9]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontSize -> 11, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 7, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, LanguageCategory -> 
             None, FormatType -> InputForm, CounterIncrements -> "Graphics", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             StyleMenuListing -> None, FontFamily -> "Courier", FontSize -> 
             10], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             ImageMargins -> {{62, Inherited}, {Inherited, 0}}], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             ImageMargins -> {{38, Inherited}, {Inherited, 0}}, Magnification -> 
             0.6], 
            Cell[
             StyleData["Graphics", "Printout"], 
             ImageMargins -> {{30, Inherited}, {Inherited, 0}}, Magnification -> 
             0.8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["CellLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["FrameLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9], 
            Cell[
             StyleData["FrameLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["FrameLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["FrameLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["SO10", "EnhancedPrintout"], StyleMenuListing -> None, 
             FontFamily -> "Futura", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 10, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Times", FontSize -> 10]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Placeholder Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making placeholder objects \
in palette templates.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Placeholder"], Placeholder -> True, StyleMenuListing -> 
             None, FontSlant -> "Italic", FontColor -> 
             RGBColor[0.890623, 0.864698, 0.384756], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["Placeholder", "Presentation"]], 
            Cell[
             StyleData["Placeholder", "Condensed"]], 
            Cell[
             StyleData["Placeholder", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["PrimaryPlaceholder"], StyleMenuListing -> None, 
             DrawHighlighted -> True, FontSlant -> "Italic", Background -> 
             RGBColor[0.912505, 0.891798, 0.507774], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["PrimaryPlaceholder", "Presentation"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Condensed"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Printout"]]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["FormatType Styles", "Section"], 
         Cell[
         "The cells below define styles that are mixed in with the styles of \
most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options. This is particularly true of Input and Output.", "Text"], 
         Cell[
          StyleData["CellExpression"], PageWidth -> Infinity, 
          CellMargins -> {{6, Inherited}, {Inherited, Inherited}}, 
          ShowCellLabel -> False, ShowSpecialCharacters -> False, 
          AllowInlineCells -> False, Hyphenation -> False, 
          AutoItalicWords -> {}, StyleMenuListing -> None, FontFamily -> 
          "Courier", FontSize -> 12, Background -> GrayLevel[1]], 
         Cell[
          StyleData["InputForm"], InputAutoReplacements -> {}, 
          AllowInlineCells -> False, Hyphenation -> False, StyleMenuListing -> 
          None, FontFamily -> "Courier"], 
         Cell[
          StyleData["OutputForm"], PageWidth -> Infinity, TextAlignment -> 
          Left, LineSpacing -> {0.6, 1}, StyleMenuListing -> None, FontFamily -> 
          "Courier"], 
         Cell[
          StyleData["StandardForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          StyleMenuListing -> None, FontFamily -> "Courier"], 
         Cell[
          StyleData["TraditionalForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          SingleLetterItalics -> True, TraditionalFunctionNotation -> True, 
          DelimiterMatching -> None, StyleMenuListing -> None], 
         Cell[
         "The style defined below is mixed in to any cell that is in an \
inline cell within another.", "Text"], 
         Cell[
          StyleData["InlineCell"], LanguageCategory -> "Formula", ScriptLevel -> 
          1, StyleMenuListing -> None], 
         Cell[
          StyleData["InlineCellEditing"], StyleMenuListing -> None, 
          Background -> RGBColor[1, 0.749996, 0.8]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Automatic Styles", "Section"], 
         Cell[
         "The cells below define styles that are used to affect the display \
of certain types of objects in typeset expressions.  For example, \
\"UnmatchedBracket\" style defines how unmatched bracket, curly bracket, and \
parenthesis characters are displayed (typically by coloring them to make them \
stand out).", "Text"], 
         Cell[
          StyleData["UnmatchedBracket"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.760006, 0.330007, 0.8]]}, Closed]]}, Open]]}, Visible -> 
  False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 1845, 38, 25, "TitleCell1"],
Cell[3083, 70, 234, 7, 24, "Text"],
Cell[3320, 79, 42, 0, 46, "TitleHeader"],
Cell[CellGroupData[{
Cell[3387, 83, 41, 0, 59, "Title"],
Cell[CellGroupData[{
Cell[3453, 87, 40, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[3518, 91, 160, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[3703, 99, 356, 11, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[4084, 114, 668, 20, 24, "Input"],
Cell[4755, 136, 264, 5, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5056, 146, 91, 2, 24, "Input"],
Cell[5150, 150, 265, 5, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[5464, 161, 176, 6, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[5665, 171, 531, 20, 24, "Input"],
Cell[6199, 193, 191, 3, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6427, 201, 168, 5, 24, "Input"],
Cell[6598, 208, 190, 3, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[6837, 217, 298, 9, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[7160, 230, 530, 17, 24, "Input"],
Cell[7693, 249, 242, 4, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7972, 258, 125, 3, 24, "Input"],
Cell[8100, 263, 315, 8, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[8464, 277, 239, 8, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[8728, 289, 733, 25, 24, "Input"],
Cell[9464, 316, 221, 4, 44, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9722, 325, 195, 6, 24, "Input"],
Cell[9920, 333, 217, 4, 44, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10198, 344, 130, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[10353, 351, 527, 16, 89, "Subsubsection"],
Cell[10883, 369, 364, 11, 24, "Input"],
Cell[CellGroupData[{
Cell[11272, 384, 61, 1, 24, "Input"],
Cell[11336, 387, 390, 8, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11763, 400, 262, 8, 24, "Input"],
Cell[12028, 410, 392, 8, 24, "Output"]
}, Open  ]],
Cell[12435, 421, 315, 9, 26, "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12811, 437, 40, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[12876, 441, 227, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[13128, 450, 715, 23, 94, "Subsubsection"],
Cell[CellGroupData[{
Cell[13868, 477, 98, 2, 24, "Input"],
Cell[13969, 481, 188, 3, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14194, 489, 247, 8, 24, "Input"],
Cell[14444, 499, 190, 3, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14671, 507, 705, 22, 30, "Input"],
Cell[15379, 531, 185, 3, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15625, 541, 232, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[15882, 550, 574, 19, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[16481, 573, 1152, 33, 85, "Input"],
Cell[17636, 608, 1814, 36, 100, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19511, 651, 159, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[19695, 659, 1115, 35, 104, "Subsubsection"],
Cell[CellGroupData[{
Cell[20835, 698, 1059, 34, 55, "Input"],
Cell[21897, 734, 699, 21, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22633, 760, 1703, 53, 85, "Input"],
Cell[24339, 815, 525, 10, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24901, 830, 561, 17, 24, "Input"],
Cell[25465, 849, 520, 10, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[26046, 866, 233, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[26304, 875, 168, 4, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[26497, 883, 515, 16, 24, "Input"],
Cell[27015, 901, 280, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27356, 914, 231, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[27612, 923, 290, 10, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[27927, 937, 408, 13, 24, "Input"],
Cell[28338, 952, 303, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[28690, 964, 480, 14, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[29195, 982, 614, 18, 24, "Input"],
Cell[29812, 1002, 494, 9, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[30367, 1018, 161, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[30553, 1026, 633, 19, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[31211, 1049, 1028, 29, 70, "Input"],
Cell[32242, 1080, 1057, 26, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33336, 1111, 236, 8, 24, "Input"],
Cell[33575, 1121, 309, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33921, 1132, 408, 13, 24, "Input"],
Cell[34332, 1147, 306, 6, 24, "Output"]
}, Open  ]],
Cell[34653, 1156, 212, 8, 26, "Text"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[34914, 1170, 160, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[35099, 1178, 1099, 29, 119, "Subsubsection"],
Cell[CellGroupData[{
Cell[36223, 1211, 2126, 60, 85, "Input"],
Cell[38352, 1273, 161, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38550, 1280, 748, 24, 40, "Input"],
Cell[39301, 1306, 306, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[39668, 1319, 140, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[39833, 1326, 298, 9, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[40156, 1339, 600, 18, 24, "Input"],
Cell[40759, 1359, 326, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[41134, 1371, 356, 11, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[41515, 1386, 653, 19, 24, "Input"],
Cell[42171, 1407, 327, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42559, 1420, 246, 6, 46, "Subsection"],
Cell[CellGroupData[{
Cell[42830, 1430, 263, 8, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[43118, 1442, 374, 11, 40, "Input"],
Cell[43495, 1455, 325, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[43881, 1468, 135, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[44041, 1475, 447, 14, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[44513, 1493, 647, 20, 70, "Input"],
Cell[45163, 1515, 493, 9, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[45717, 1531, 155, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[45897, 1539, 307, 9, 58, "Subsubsection"],
Cell[46207, 1550, 60, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[46292, 1554, 591, 17, 55, "Input"],
Cell[46886, 1573, 1124, 31, 55, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[48071, 1611, 142, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[48238, 1618, 228, 7, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[48491, 1629, 440, 13, 40, "Input"],
Cell[48934, 1644, 570, 10, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[49577, 1662, 38, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[49640, 1666, 241, 6, 46, "Subsection"],
Cell[CellGroupData[{
Cell[49906, 1676, 243, 8, 58, "Subsubsection"],
Cell[50152, 1686, 282, 9, 24, "Input"],
Cell[CellGroupData[{
Cell[50459, 1699, 170, 5, 24, "Input"],
Cell[50632, 1706, 372, 8, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[51053, 1720, 364, 12, 44, "Subsubsection"],
Cell[51420, 1734, 447, 14, 24, "Input"],
Cell[CellGroupData[{
Cell[51892, 1752, 169, 5, 24, "Input"],
Cell[52064, 1759, 451, 12, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[52576, 1778, 140, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[52741, 1785, 605, 22, 89, "Subsubsection"],
Cell[53349, 1809, 631, 21, 40, "Input"],
Cell[CellGroupData[{
Cell[54005, 1834, 344, 11, 24, "Input"],
Cell[54352, 1847, 494, 13, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54883, 1865, 224, 6, 24, "Input"],
Cell[55110, 1873, 495, 13, 74, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[55654, 1892, 547, 17, 44, "Subsubsection"],
Cell[56204, 1911, 515, 16, 40, "Input"],
Cell[CellGroupData[{
Cell[56744, 1931, 291, 8, 24, "Input"],
Cell[57038, 1941, 5120, 147, 138, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[62207, 2094, 489, 15, 44, "Subsubsection"],
Cell[62699, 2111, 547, 16, 24, "Input"],
Cell[CellGroupData[{
Cell[63271, 2131, 178, 6, 24, "Input"],
Cell[63452, 2139, 5012, 145, 138, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[68525, 2291, 243, 6, 46, "Subsection"],
Cell[CellGroupData[{
Cell[68793, 2301, 541, 18, 89, "Subsubsection"],
Cell[69337, 2321, 589, 19, 40, "Input"],
Cell[CellGroupData[{
Cell[69951, 2344, 82, 2, 24, "Input"],
Cell[70036, 2348, 332, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[70429, 2361, 244, 6, 46, "Subsection"],
Cell[CellGroupData[{
Cell[70698, 2371, 1381, 49, 149, "Subsubsection"],
Cell[72082, 2422, 1010, 35, 55, "Input"],
Cell[CellGroupData[{
Cell[73117, 2461, 485, 15, 24, "Input"],
Cell[73605, 2478, 359, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[74013, 2491, 343, 11, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[74381, 2506, 460, 15, 24, "Input"],
Cell[74844, 2523, 819, 13, 55, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[75712, 2542, 705, 21, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[76442, 2567, 852, 25, 70, "Input"],
Cell[77297, 2594, 1022, 27, 78, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[78368, 2627, 910, 26, 90, "Subsubsection"],
Cell[CellGroupData[{
Cell[79303, 2657, 1037, 30, 110, "Input"],
Cell[80343, 2689, 260, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[80664, 2702, 156, 4, 46, "Subsection"],
Cell[80823, 2708, 446, 14, 89, "Subsubsection"],
Cell[CellGroupData[{
Cell[81294, 2726, 718, 25, 75, "Subsubsection"],
Cell[82015, 2753, 779, 28, 55, "Input"],
Cell[CellGroupData[{
Cell[82819, 2785, 80, 2, 24, "Input"],
Cell[82902, 2789, 166, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83105, 2796, 81, 2, 24, "Input"],
Cell[83189, 2800, 166, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[83382, 2806, 796, 26, 75, "Subsubsection"],
Cell[84181, 2834, 783, 27, 75, "Subsubsection"],
Cell[84967, 2863, 515, 16, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[85507, 2883, 142, 4, 44, "Subsubsection"],
Cell[85652, 2889, 960, 31, 55, "Input"],
Cell[CellGroupData[{
Cell[86637, 2924, 80, 2, 24, "Input"],
Cell[86720, 2928, 142, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[86911, 2936, 292, 10, 75, "Subsubsection"],
Cell[87206, 2948, 805, 27, 40, "Input"],
Cell[CellGroupData[{
Cell[88036, 2979, 194, 6, 24, "Input"],
Cell[88233, 2987, 278, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[88548, 2998, 210, 7, 24, "Input"],
Cell[88761, 3007, 282, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[89092, 3019, 334, 11, 78, "Subsubsection"],
Cell[89429, 3032, 1097, 38, 55, "Input"],
Cell[CellGroupData[{
Cell[90551, 3074, 303, 10, 24, "Input"],
Cell[90857, 3086, 370, 8, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91264, 3099, 193, 7, 30, "Input"],
Cell[91460, 3108, 337, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[91846, 3121, 407, 14, 75, "Subsubsection"],
Cell[92256, 3137, 1097, 38, 55, "Input"],
Cell[CellGroupData[{
Cell[93378, 3179, 230, 8, 24, "Input"],
Cell[93611, 3189, 273, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93921, 3200, 299, 10, 24, "Input"],
Cell[94223, 3212, 277, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[94549, 3224, 308, 11, 75, "Subsubsection"],
Cell[94860, 3237, 1097, 38, 55, "Input"],
Cell[CellGroupData[{
Cell[95982, 3279, 260, 9, 24, "Input"],
Cell[96245, 3290, 296, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96578, 3301, 159, 5, 24, "Input"],
Cell[96740, 3308, 250, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[97039, 3320, 516, 17, 75, "Subsubsection"],
Cell[97558, 3339, 1097, 38, 55, "Input"],
Cell[CellGroupData[{
Cell[98680, 3381, 258, 9, 24, "Input"],
Cell[98941, 3392, 224, 4, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[99202, 3401, 393, 14, 24, "Input"],
Cell[99598, 3417, 220, 4, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[99867, 3427, 1141, 36, 90, "Subsubsection"],
Cell[101011, 3465, 1097, 38, 55, "Input"],
Cell[CellGroupData[{
Cell[102133, 3507, 363, 12, 24, "Input"],
Cell[102499, 3521, 381, 7, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[102917, 3533, 939, 28, 55, "Input"],
Cell[103859, 3563, 375, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[104283, 3576, 483, 16, 75, "Subsubsection"],
Cell[104769, 3594, 1562, 53, 70, "Input"],
Cell[CellGroupData[{
Cell[106356, 3651, 480, 16, 24, "Input"],
Cell[106839, 3669, 200, 4, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107076, 3678, 372, 13, 24, "Input"],
Cell[107451, 3693, 201, 4, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[107713, 3704, 135, 3, 46, "Subsection"],
Cell[107851, 3709, 328, 7, 58, "Subsubsection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[108228, 3722, 41, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[108294, 3726, 139, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[108458, 3733, 656, 21, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[109139, 3758, 1029, 31, 55, "Input"],
Cell[110171, 3791, 325, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[110545, 3804, 251, 8, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[110821, 3816, 489, 16, 24, "Input"],
Cell[111313, 3834, 332, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[111694, 3847, 203, 6, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[111922, 3857, 306, 9, 24, "Input"],
Cell[112231, 3868, 331, 7, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[112623, 3882, 225, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[112873, 3891, 316, 9, 119, "Subsubsection"],
Cell[CellGroupData[{
Cell[113214, 3904, 500, 16, 40, "Input"],
Cell[113717, 3922, 218, 4, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[113972, 3931, 615, 19, 55, "Input"],
Cell[114590, 3952, 209, 4, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[114848, 3962, 309, 10, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[115182, 3976, 468, 15, 40, "Input"],
Cell[115653, 3993, 1137, 40, 40, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[116839, 4039, 847, 24, 50, "Subsubsection"],
Cell[117689, 4065, 37, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[117751, 4069, 1039, 30, 70, "Input"],
Cell[118793, 4101, 161, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[119003, 4109, 223, 7, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[119251, 4120, 329, 11, 24, "Input"],
Cell[119583, 4133, 137, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[119769, 4141, 343, 11, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[120137, 4156, 460, 15, 24, "Input"],
Cell[120600, 4173, 141, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[120790, 4181, 356, 11, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[121171, 4196, 473, 15, 24, "Input"],
Cell[121647, 4213, 143, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121827, 4220, 506, 16, 40, "Input"],
Cell[122336, 4238, 231, 5, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[122616, 4249, 653, 20, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[123294, 4273, 870, 26, 70, "Input"],
Cell[124167, 4301, 307, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[124511, 4312, 311, 8, 40, "Input"],
Cell[124825, 4322, 314, 7, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[125212, 4337, 41, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[125278, 4341, 231, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[125534, 4350, 318, 8, 74, "Subsubsection"],
Cell[125855, 4360, 324, 9, 26, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[126216, 4374, 408, 13, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[126649, 4391, 619, 20, 30, "Input"],
Cell[127271, 4413, 203, 3, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[127523, 4422, 353, 11, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[127901, 4437, 552, 17, 40, "Input"],
Cell[128456, 4456, 227, 4, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[128720, 4465, 79, 2, 24, "Input"],
Cell[128802, 4469, 225, 4, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[129076, 4479, 1643, 47, 110, "Subsubsection"],
Cell[CellGroupData[{
Cell[130744, 4530, 1833, 51, 110, "Input"],
Cell[132580, 4583, 301, 5, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132918, 4593, 80, 2, 24, "Input"],
Cell[133001, 4597, 288, 4, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[133350, 4608, 297, 10, 50, "Subsection"],
Cell[CellGroupData[{
Cell[133672, 4622, 388, 13, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[134085, 4639, 515, 16, 40, "Input"],
Cell[134603, 4657, 297, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[134937, 4668, 224, 7, 24, "Input"],
Cell[135164, 4677, 295, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[135508, 4689, 754, 23, 70, "Subsubsection"],
Cell[CellGroupData[{
Cell[136287, 4716, 983, 29, 70, "Input"],
Cell[137273, 4747, 1668, 44, 85, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[138978, 4796, 83, 2, 24, "Input"],
Cell[139064, 4800, 273, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[139374, 4811, 248, 8, 24, "Input"],
Cell[139625, 4821, 273, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[139947, 4833, 811, 27, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[140783, 4864, 863, 28, 46, "Input"],
Cell[141649, 4894, 142, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[141852, 4903, 229, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[142106, 4912, 281, 9, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[142412, 4925, 498, 15, 24, "Input"],
Cell[142913, 4942, 143, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[143093, 4949, 282, 9, 24, "Input"],
Cell[143378, 4960, 451, 10, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[143890, 4977, 227, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[144142, 4986, 185, 6, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[144352, 4996, 548, 18, 24, "Input"],
Cell[144903, 5016, 230, 3, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[145170, 5024, 110, 3, 24, "Input"],
Cell[145283, 5029, 227, 3, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[145559, 5038, 380, 13, 75, "Subsubsection"],
Cell[145942, 5053, 433, 14, 40, "Input"],
Cell[CellGroupData[{
Cell[146400, 5071, 164, 5, 24, "Input"],
Cell[146567, 5078, 226, 3, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146830, 5086, 135, 4, 24, "Input"],
Cell[146968, 5092, 226, 3, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[147255, 5102, 144, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[147424, 5109, 243, 7, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[147692, 5120, 405, 13, 24, "Input"],
Cell[148100, 5135, 704, 11, 40, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[148853, 5152, 456, 13, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[149334, 5169, 585, 18, 40, "Input"],
Cell[149922, 5189, 679, 20, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[150650, 5215, 1315, 41, 70, "Subsubsection"],
Cell[CellGroupData[{
Cell[151990, 5260, 1503, 45, 90, "Input"],
Cell[153496, 5307, 379, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[153924, 5320, 338, 10, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[154287, 5334, 523, 17, 30, "Input"],
Cell[154813, 5353, 277, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155127, 5364, 464, 14, 24, "Input"],
Cell[155594, 5380, 275, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[155918, 5392, 2085, 62, 83, "Subsubsection"],
Cell[CellGroupData[{
Cell[158028, 5458, 2659, 74, 115, "Input"],
Cell[160690, 5534, 284, 4, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[161035, 5545, 135, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[161195, 5552, 366, 11, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[161586, 5567, 558, 17, 24, "Input"],
Cell[162147, 5586, 377, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[162573, 5599, 235, 8, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[162833, 5611, 352, 11, 24, "Input"],
Cell[163188, 5624, 375, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[163612, 5637, 433, 13, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[164070, 5654, 594, 18, 40, "Input"],
Cell[164667, 5674, 358, 9, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[165086, 5690, 135, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[165246, 5697, 162, 5, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[165433, 5706, 437, 15, 24, "Input"],
Cell[165873, 5723, 446, 9, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[166380, 5739, 238, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[166643, 5748, 268, 8, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[166936, 5760, 487, 14, 24, "Input"],
Cell[167426, 5776, 331, 7, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[167794, 5788, 98, 2, 24, "Input"],
Cell[167895, 5792, 333, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[168277, 5805, 276, 8, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[168578, 5817, 824, 26, 40, "Input"],
Cell[169405, 5845, 158, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[169600, 5852, 497, 13, 40, "Input"],
Cell[170100, 5867, 156, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[170305, 5875, 459, 14, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[170789, 5893, 867, 26, 30, "Input"],
Cell[171659, 5921, 159, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[171867, 5929, 1307, 37, 90, "Subsubsection"],
Cell[CellGroupData[{
Cell[173199, 5970, 1916, 49, 100, "Input"],
Cell[175118, 6021, 612, 12, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[175779, 6039, 380, 11, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[176184, 6054, 497, 15, 40, "Input"],
Cell[176684, 6071, 1044, 16, 55, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[177777, 6093, 445, 13, 60, "Subsubsection"],
Cell[CellGroupData[{
Cell[178247, 6110, 699, 22, 55, "Input"],
Cell[178949, 6134, 162, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[179172, 6143, 128, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[179325, 6150, 363, 12, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[179713, 6166, 558, 18, 24, "Input"],
Cell[180274, 6186, 185, 4, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[180496, 6195, 81, 2, 24, "Input"],
Cell[180580, 6199, 141, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[180782, 6208, 139, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[180946, 6215, 200, 6, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[181171, 6225, 302, 10, 24, "Input"],
Cell[181476, 6237, 139, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[181652, 6244, 348, 12, 24, "Input"],
Cell[182003, 6258, 139, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[182179, 6265, 297, 10, 24, "Input"],
Cell[182479, 6277, 195, 4, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[182711, 6286, 322, 11, 24, "Input"],
Cell[183036, 6299, 240, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[183313, 6310, 328, 11, 26, "Input"],
Cell[183644, 6323, 168, 3, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[183849, 6331, 302, 10, 24, "Input"],
Cell[184154, 6343, 189, 4, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184380, 6352, 443, 16, 24, "Input"],
Cell[184826, 6370, 179, 4, 43, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185042, 6379, 380, 13, 24, "Input"],
Cell[185425, 6394, 165, 3, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185627, 6402, 327, 11, 24, "Input"],
Cell[185957, 6415, 230, 5, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[186248, 6427, 136, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[186409, 6434, 382, 13, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[186816, 6451, 461, 15, 40, "Input"],
Cell[187280, 6468, 163, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[187480, 6475, 327, 12, 24, "Input"],
Cell[187810, 6489, 158, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[188017, 6497, 523, 15, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[188565, 6516, 727, 22, 30, "Input"],
Cell[189295, 6540, 379, 7, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[189735, 6554, 155, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[189915, 6562, 365, 11, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[190305, 6577, 1179, 38, 55, "Input"],
Cell[191487, 6617, 162, 3, 44, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[191698, 6626, 313, 10, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[192036, 6640, 649, 20, 71, "Input"],
Cell[192688, 6662, 146, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[192895, 6671, 142, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[193062, 6678, 984, 29, 80, "Subsubsection"],
Cell[CellGroupData[{
Cell[194071, 6711, 542, 16, 30, "Input"],
Cell[194616, 6729, 204, 3, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[194857, 6737, 574, 18, 40, "Input"],
Cell[195434, 6757, 206, 3, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[195713, 6768, 42, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[195780, 6772, 241, 6, 46, "Subsection"],
Cell[CellGroupData[{
Cell[196046, 6782, 431, 15, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[196502, 6801, 764, 25, 40, "Input"],
Cell[197269, 6828, 482, 9, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[197812, 6844, 140, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[197977, 6851, 814, 25, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[198816, 6880, 1068, 33, 46, "Input"],
Cell[199887, 6915, 135, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[200083, 6924, 232, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[200340, 6933, 106, 2, 58, "Subsubsection"],
Cell[200449, 6937, 133, 5, 26, "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[200643, 6949, 57, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[200725, 6953, 255, 6, 46, "Subsection"],
Cell[CellGroupData[{
Cell[201005, 6963, 516, 15, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[201546, 6982, 1071, 29, 50, "Input"],
Cell[202620, 7013, 6433, 93, 346, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[209102, 7112, 674, 19, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[209801, 7135, 1204, 32, 110, "Input"],
Cell[211008, 7169, 5879, 92, 346, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[216960, 7269, 47, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[217032, 7273, 135, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[217192, 7280, 693, 21, 104, "Subsubsection"],
Cell[217888, 7303, 656, 20, 70, "Input"],
Cell[CellGroupData[{
Cell[218569, 7327, 533, 14, 40, "Input"],
Cell[219105, 7343, 1566, 49, 150, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[220732, 7399, 135, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[220892, 7406, 199, 6, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[221116, 7416, 693, 18, 40, "Input"],
Cell[221812, 7436, 1135, 32, 160, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[223020, 7476, 49, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[223094, 7480, 222, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[223341, 7489, 660, 19, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[224026, 7512, 1334, 42, 50, "Input"],
Cell[225363, 7556, 165, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[225589, 7565, 232, 5, 46, "Subsection"],
Cell[225824, 7572, 332, 11, 58, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226193, 7588, 230, 5, 46, "Subsection"],
Cell[226426, 7595, 463, 15, 58, "Subsubsection"],
Cell[226892, 7612, 196, 6, 44, "Subsubsection"],
Cell[227091, 7620, 496, 16, 50, "Subsubsection"],
Cell[227590, 7638, 690, 22, 50, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[228317, 7665, 154, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[228496, 7673, 1471, 47, 132, "Subsubsection"],
Cell[CellGroupData[{
Cell[229992, 7724, 1737, 50, 110, "Input"],
Cell[231732, 7776, 159, 2, 27, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[231940, 7784, 2279, 75, 182, "Subsubsection"],
Cell[CellGroupData[{
Cell[234244, 7863, 1829, 53, 70, "Input"],
Cell[236076, 7918, 137, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[236274, 7927, 135, 3, 46, "Subsection"],
Cell[236412, 7932, 463, 15, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[236900, 7951, 2683, 84, 210, "Subsubsection"],
Cell[239586, 8037, 1910, 59, 106, "Input"],
Cell[CellGroupData[{
Cell[241521, 8100, 795, 24, 50, "Input"],
Cell[242319, 8126, 584139, 9612, 302, 531593, 8749, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[826519, 17745, 137, 3, 46, "Subsection"],
Cell[826659, 17750, 737, 24, 64, "Subsubsection"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature YxTXMbkBoE8ytCgSPK6154S8 *)
