(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[    160555,       4475]
NotebookOptionsPosition[    115713,       3410]
NotebookOutlinePosition[    152840,       4193]
CellTagsIndexPosition[    152797,       4190]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {
    ButtonBox[Cell[GraphicsData["CompressedBitmap", "\<\
eJzVWL1uFDEQduzd2/wgISEkRHco0NGlAN0DAAXcC1CdIqSkQKAkokjDC9Aj
UoBESUt5LW9AR5UHiQ782fPtzXq9l70lKKLwrj3jmfHOfPaM98Xs5ODV69nJ
4f5s/PRo9vbgcP94/OTNkSe5DWPML9/ujA36v31XHlPz6ebuB7O3t2fMuv0t
9M3I/Dh5H3ps3x4/M9+fv6zCoAzsxcVF3TAuA8+Znx+/BBpGhdAwBj2O2rRR
eFYwUctTL8eFzNRyaMJ3YjBh2/BdpTk9PTXn5+dmsViY+XxuptOpnwzeKPRB
Aw8N8zzNBbYzZ2dngYwRRbQ6vEVlISIgQwwjm6EVmVXhDX5PE2CDhcWXPdSl
HynqSmHr1aHJR7vM4scRKpsSR8QMTv/64JH/1jYGSoktaXjruOJd/AV2iDtA
lLixsBCm9ULNTouNL4TH6Cl6Fv3okyrwQaOnMYdzc9hxSeQw12Jkg4oYIvof
TZyei4GTsFE/7WLslV1iqmqZ4rfobXGJbroHYjYwXQ0+rWYossoGQkCJCAMl
oo7BsgkCMN8liAIvpQ1BGWU/330Y59neKOs8m3Qw6HS6B85nYBj0NHgiExxu
dYgmk0mIHN45f+eOJpuENwY2HlqJ4U5bW5062sjTH6htc7cNh1Glkgo9z4OK
fYseMcCsVsfWP9FnJroK/OTm0e6Sti6SdIDUts05p1pxMulUU4RnTEM9DyWb
qAYUqk7VrqE6XVYq2zz4cssfDpHtRkQ1VBAZwse/04D9f0CxAhQmBsldubql
Eyhh2xeyqcFhHFcdJ71w0ql581rQMZKAEAEsivG2UpPiMFGoYaSuOxW1Kxpt
ncmUH2WX0HB1yo+5aVgWUiIIFVXrmpX5QJvTVdcyZ6yXR7rsXX1O2mmtnfU1
9Wlb9zSmqkbgdThAt8l2B/7cwCraJRimHGBga9CIEI87oo5CmZI6FYtT4p7Q
6/J2FLrK2oVSTDagMLSg1oW6ldk6NHJqgVQ2FKelas+Kt8vO9npqVhbOYbmR
W9Wz0dK1C67KJGTLNBQxw22PxlS1xEz/Gz3xpG/pTdyW9biNzT43/Corj/2h
z93kBwXzGiEku463W15+9eV4jRs+g+nPlrQcZSgkNCOBed+LvdJ8o4foykt8
1VoUf3SAFm9+rpECJc/tSGSZy9Bu9UxQ9/GUn0fjfy1zO+4M76F3w6Xj7Qpp
gm44vkxZs4zy22d3zdUUDcz7/m7GBdwaOseThreW6fMvz2z8AbMc9mc=\
\>"], "Graphics",
      Evaluatable->False,
      GeneratedCell->False,
      CellAutoOverwrite->False,
      ImageSize->{218, 23},
      ImageMargins->{{0, 0}, {0, 0}},
      ImageRegion->{{0, 1}, {0, 1}}],
     Active->True,
     Appearance->{Automatic, None},
     BaseStyle->"Hyperlink",
     ButtonData:>{
       URL["http://www.wolframscience.com"], None},
     ButtonNote->"A New Kind of Science"]}
  }]], "TitleCell1",
 CellMargins->{{Inherited, Inherited}, {0, Inherited}}],

Cell[TextData[{
 "From: ",
 StyleBox["A New Kind of Science",
  FontSlant->"Italic"],
 ", by Stephen Wolfram \[Copyright] 2002 Stephen Wolfram, LLC"
}], "Text",
 ShowCellBracket->False,
 CellMargins->{{36, Inherited}, {Inherited, 5}}],

Cell["NOTES FOR CHAPTER 7", "TitleHeader"],

Cell[CellGroupData[{

Cell["Mechanisms in Programs and Nature", "Title"],

Cell[CellGroupData[{

Cell["Chaos Theory and Randomness from Initial Conditions", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 314 \[CenterDot] Simple case", "Subsection"], Cell[
     " (page 973)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[PartialD]", 
    RowBox[{"t", "\[InvisibleComma]", "t"}]], 
   RowBox[{"z", "[", "t", "]"}]}], "==", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"z", "[", "t", "]"}]}], "/", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"z", "[", "t", "]"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "2"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"e", " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Pi]", " ", "t"}], "]"}]}]}], ")"}]}], ")"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}], 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
     RowBox[{"3", "/", "2"}]}]]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"z", "/.", 
   RowBox[{"First", "[", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"e", "=", ".1"}], "}"}], ",", 
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"t", "\[InvisibleComma]", "t"}]], 
            RowBox[{"z", "[", "t", "]"}]}], "==", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"z", "[", "t", "]"}]}], "/", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"z", "[", "t", "]"}], 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "+", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"1", "/", "2"}], " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"e", " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"2", " ", "\[Pi]", " ", "t"}], "]"}]}]}], ")"}]}],
                  ")"}], 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}], 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
              RowBox[{"3", "/", "2"}]}]]}]}], ",", 
          RowBox[{
           RowBox[{"z", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
          RowBox[{
           RowBox[{
            SuperscriptBox["z", "\[Prime]",
             MultilineFunction->None], "[", "0", "]"}], "\[Equal]", "0"}]}], 
         "}"}], ",", "z", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "7"}], "}"}]}], "]"}]}], "]"}], 
    "]"}]}]}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"InterpolatingFunction", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"0.`", ",", "7.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], "]"}],
  False,
  Editable->False]], "Output",
 CellChangeTimes->{3.4136550107983513`*^9, 3.413655173451778*^9, 
  3.4282473312643843`*^9, 3.4323158047833633`*^9, 3.4323163667498913`*^9, 
  3.500210088350322*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"sol", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "7"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.388759912112029*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1nc8ld8fAHDr2sq4FxEh0pSUrHI+EtFA0lBJGkZ2+SolZGSvkqIlLckm
SXSEyCrZK9sd3Oua2fV7fvePe1/v133O53nO53zO5zyKF9wtL3NxcHB4EF//
/31x6v3HsK1B+l/+/f/DRq8WJQNfJtqh8JqYoGXCRyJJm24neiJjhZcqU4RN
kv7FpdndRO2Ts339hFObfZedEu+g7/0t+d8Jp3T55PxbCkHZr2dS3xF+OuB9
6YFdBPLs0MkKIpxMvya9pToGPRuvbjtBuP66tv35xHj0eD2//HrCh5Z2w5aa
+6j92GQI/S8b1fppyvxZeoCiZM6IviVswrVrpkztEZpthy/nCFeHaPyItEtG
InuL41YTNhbYkXYi4QmyslcM/7TCRpVR2wMVq5+hxIFfaWcJD5hKPj6T+AJl
07dcjFkmnjeSwv81OxVNBp3mkCN8voH834aal2hN+UzNqyU26rWQMJ9ceo0O
FLvSni+y0bN74iUnKG/R5625eyUI27SIbSpRS0Piyhbf/BfYqOekKHeoXTq6
/DHMdf88Gz1JWu3BvPkeeT+9Gvdkjo3OdK/6fTQhA53y8GSw/rBR1zmRj2ur
s1D2FbN9vrNsxNQI0bROzEWcT/WyD0wR+WnmYQqtz0Ojs8GpTpNslOEVnPol
Ow+ZBX9tCZ5gI+fCoNXKNflI5qD24ptxNhrVCWSML31Atk95LyePEvnr4kx5
EVaICiy5XO4y2OjdrTsnrCgfUcu575+c6WzkWBpQ8UmtCFWrmW5TorIRDfyf
BtsVo72jKVH6A2xUNfD3mNZ4MTqz6drgTB8bvQn0Exy9+RmpunaHvOplI/vK
29fNE0pQkIVTEbubjYYP+B6Vqf6CrGfL+jXb2MjzbQnXqcSvKMtuqPFODRvt
l/fXejL4FbGCBA+nVbOR9AMDl361ciTpPjld9Y2NygKrWh2ry5HtxR31zK9s
tOpcY5rPfAWqcJPN6PpEzJ88bPb4dBXieGfrj9LYKCDyTVDfmypkoFg1T3/N
Rse4nIrWT1chnwv6ryJestEim6WYEVmNwjbGxRc+YyPTurmZkpLv6EtuQ2VO
AhtR7wg97pWvQ2FVYi5q/mxUPN/wU8m5DmXo5iyc9mWjGPc4HoePdcipZm2h
vw8badpQ3Njm9ehpk8Wn3GtsFKy9zoDjTgNaESnr+OjARopsDZri0E/UvMmk
85AZG6mpZSblHWtCpUvlNZEUNroKgjVHrjchyxRemxUxNiq0dJinJzehamEl
TsdVbKR/XfHkusEmFOCwzXsjHxuZlT0gR3k0o8VnS4zj8+PI1dIv9nJ0C/ox
63/PrnMcZXibh0hXt6EaTk/y9sRxNBGWUZA/2oa2K751xvHjaNdjgWGzVe3o
6HmphybR46gEV+wLOd6OuhicdkbB46ieX5tjaqgd3cmrvUX3HEfMZIVbdRyd
6HDXufCmQ+NoC5708NPtRomndQ4qLbKQvW9Uk71NN9oe09YzOMNCqTqqu8wD
upEz/zONJ2wWki44O7euqhsZqM7JLAyzEO+76ttfj/agHZYOwWd+slD/vacR
PE6/0bKcyC+cykKJ9qavIh72ocb4K/ksQxZqWj9Mulbch44Ul/GV7WUhkQE/
hzO/+5BkGmRGaLFQ+bbTlESxfpTxcrCbfwsLaafFdtif7Cfq0uNkmhgLbXi6
eI5/qB/xGyfv9PjNRJyhjc6HFgeQkkZXLcmdibRj/1rqigyi9s21uvoOTOT2
cKvuJoVBFNdX99fFlol63obx8xkPIrtj8c6Z5kxU+B1el8cPognqJ41P25nI
WTC3V2fTEJJuX9CZY42h1uj4oxtPDaM9eT17By+MIeFErC3lPIxu/s337LQe
Q/uesdbx+g2j0aawXVUWYygny3R86CVxvZ3vkQD9MRTxkzPyOXsYWeioSHuv
GUNI7GqlZOgIup5LvXShYRS9S7DUIhVSUVGMyRrRbaPocNjftJxqKlqQ++Zw
bv0omriVLnO2k4rWth2lp64ZRdoXuf7mLVNRRYbalVW8o6hqR17leUMa+o1E
u916GWj4h5hlSSMNpVr4VFpEM5CCwC+Xa2N01BpwPPLaEB0l3jZPHVAYQ9Qz
La3iHjTUJHO2lm/XGKo2+K5dcoGGVhc5Tm07MIbETuc+PHWchsKm7uy76TqG
buszd1zRpaFbDgWD4sVjaKQtSnOCm4bOH12zfv8xJioTqgsITKCizSpDL9+E
sNCS2KB68vsRhOu9XzsTfWqbfdHQ3ZwhdAOl2msTfTpwg9xuSgqR507qfS7+
CXSj8GH3g9gh1HhI/PhPmQlUrmks4eY2hAx2OLU7wgQS6KL0+2wZQkrLkj2P
IyeQ0QvFc8upg2gk/uoIp9Ik4uL+RksOHUDOpZvmG8ymUFSl0dvkI71IOvC4
65z/DFrl2rtzF7SgIZ/ErOv9f5CK7WYJt9YvyKIvAYVLL6AnFQ/H2Y/z8StD
x6Y9igvoXsJp5bjzBXjurd7liU0LaBU9J3ZJ+QN+5jEYcVJvAek72M5uySzE
TE71NpVzC2jNf47cn4s/4XDlOpfylwvorJbUxp7vGJc7cSYvqS2ixyP829Wa
vuGdM64zrkZL6JL649bYO43YKtNzsNdsCR3UUQpuzW7EXvb/NZqfWkIn9scb
Tf1uxAUdvhk7nJeQTR2HW47OL7yrNPLSbNwSmu2bqtFjE777rsW3ZwklU6JV
fCyb8S7pkYLIa8vodbKgpuFCK7b6RU9d9l1Gc5FHWCZKbdgrghnnencZjYwN
vVE+1IYLlqddzJOWkTRv0NlzT9rwrgEuFQm8jL4Wa+CePe14V7rCg2TBFWTn
Ml4i5d2BNfec/e/dixVUxZU4rF/bhYXHnqXdSF9BkvONyXVjXXgwaaD7QP4K
8nWNTNst0o3j5uz3UStX0OlLQbpp5t14NM9z9Xr6Ctq4n3p0uakbP9sU+u6J
2l904sr6kDvNPZhPKu937Oe/6K6kkVNDSS/u/TYjaltJ+O+L3TZdvbjAS2u/
WsNflBinyPlzrhdfaCpJr+/9i36W/OC01ujDJdHV1wW4/iGcFdUt8KYPe/D8
Fgsy+YdWHI/OLRn2485JPmPv1n9ozmnk60XZAew7e7OFq+8fcs/6V3J70wBW
WGBdiKX/QyIRB2TCtAawPUeLf9rSP5R5mqTndmwA+/A1nmWJcoDVZr/6OxED
mCT5JHGdFgfkFTBDm2cHsNzOXYLBQRxwxvg5LeTrIB4vcD16MIwDRrgLqr43
DOKy3W8fiUZzQHmlY91K5yC+pCuj+jSRA56x5v/TnxrE6QYc+wvfcYA0Z26y
rNIQ3m1Rf5v+kwP8SvQlzP2HsJnrpcnDazmh+el59tD2Yez3aqR3WYETcmbP
8ZnrDuPsbvv6DBVOUDmXx5G1fxiLHnR6K7ydE274phQesB7GTRvcbOoNOCFm
7gPP2J1hfLz/es0hB04QPbvTd65xGJ89FvniYB4n5NNvbD1uP4KjIoRjFwuJ
eEMP3pu6j+DSr9G+6Z85gT/Ks1XjxgiWV487KfiNE+o9tfYMhY/gfuEHIrXt
nJB18kdLScYIvlj1zMd0hRNe9HX3nZgYwVd08o6amHCBQ+FRR+ROxd5jTXZv
D3PBkVceEWbeVBz4dNqT9ygXmF2MU7e6TcVJnJr3Kq254HRj5WrDSCr+XvOx
CZy54HhdyoHsN1Sscrr0mE4MF6zT395b3k3F/Te/H9/cQljit0SvPg0ztzIu
h3dwwa1iA7my/TQ83yvgTe/hAo32yZpHB2l4teGhxDcjXBAgILlK7QQN6wv9
aFOa4wKVvWeN6C40/ORx80lZGW4w30N1e/yIhk+W9FoLn+cGisjZykU6DX9/
9FCq9hI30N6kx0iO07DufxatoU7cwJhUNlWdpmF5tXIL7mvcsNfdIEJ1hYap
z18fWAzhhvGylLUvRenYO8hFk/6eG7RPKF8I0aRjuq3K9OscbhD5GJ3M1qHj
03t6cy5+4IZPKsOZZvp0rD9rvrXvCzfcz+a2HTOmY16HnevbfnGD0Sfb0mcn
6Tjx4KJo5Rw3uJzkGh3zpmN+1fwfd5YJF4vzvbxJxze5XaIQJw+4rNs4ZOZH
x+dKfvN9FuSBdXLljcEhdLxB7evfXDkeOMaOOeR0n44fCd4scVfigYvHvmyu
SqRjQZrGzW2qPNBdevqTVDIdjz9/NZumzgMjD5t7HqXQ8QexMOZzQx44Yf2P
WyKTiDcO6TYmPBCaTFOh5BDxahccZI/wgGL3BFUon459g5yHEk/wwEuKon57
ER3vnzXrinbigXH/37wjFXTc0kH5fiuW+H/Dc7XudjpWVHdLo9/nAWu9qbv/
OunYLbQq7PgjHpDie9expoeOBXZfN93+ggeyhn3t1PuJfN3vqB3M44HCqfjO
YRodR46qvzf/yAPaSr8aihh03GEQHlnymQeglycrcIyOr03oHE6s5AErhbQt
8+N0nHbkcYNpGw/sO/6Z5TRLx7OvpjMLu3igWMZLgvWHjvctH4pZ38cDZDku
aft5Ov6dvmy2QiPydW/7R50lOt7MdXz7FSYPvC14apawTMc3rDNXt0/wQEiI
35fhFToW5z/XmLPAA+9XzBUdOBjY1rYwR+4vDxwsURJL4mTgjMJV8RFcJDjh
vLW5jIuBjS/jo5eESPCjq7J6koeB75dIafxaTQKJIwfnFkkM3C/hIa5PJkHK
hpmpBV4GvlWu0CwlRwKFzWUmnfwM/H2NT36wIgnGmsaffxJgYEnPX/cnVUjQ
M326NFaQgXPWBVrVqZHA/4mykZwwA694d+3S3kmCStm3GS2ED/7QoLzWIgFJ
IbfljggDD/sOtfoBCahddedLVzHwjha9wrH9JIi6Lld+aDUD+21JSDxlSoLl
/270/iRcH8j0/naEBDqGdwtMRRl4Tdf+kxqWJIibmt73ibD9jqdaz0+QYN7o
api8GAMXhM1KCZ8hgVvhhyAfwpz9R+Zv2JLgjK/3zlrCZlpvOkYukmDqoUei
qDgDP475W2TpSMTrvPj+MGH6yIkk7EIC+VEJTz/Cu/dm+2z1JIH7MRPqa8JB
CXynk/4jweuweoEKwo1jtrq8N0kQsOLe1UpY3rBI5pofCTrceU/2EnZOFl3q
CyTBCNXBr4dw0aRj9+FQEsTneJg3EiaZfv38KZIEOxw5az4RtkxZ82RDHAn2
rvxlPCKcMufpez+BBGLFlrmuhFlmtWc5koj7HxyV0yas+0Zpr+tTEhhXfFSb
J+YXtnJTrusFCU69zR3MJNxq1bxi/IYE/BNN2taElTK29Oank2C1hKz6IpG/
tm1rXfyzifxxSgaEEg7PFl48WECCz78iUvgJ79mxEir5ibi/mlHcbWI9JvJY
lMFSEhRLS5lRifV7tav3ZWY5CcKmOzr2ET5Z+GOHTzUJrkQ6bb9PrPeXT9lH
RH+RYI59T281UQ9X9VK6u1tJ4HdEkK0rxMAqpXFOb7tI8CRK5Mppop6iyjxD
9IeJ/+dK87yI+kP7LkgIMkhwlNPfz52PgacqLF+0skignj8tco6oV+vqnaUu
c8T8W5y8JIn6FjZVPqS9TIJJiQ+m/UT9l9WSO7k5eYH55kDfU2J/bPgxO5Ms
yAt+VoomM3/puMucGmi/mhdC2ulroon9Ff2rTVSDzAvS4fNpa4j9N9PycWuN
HC+I9O5ZFlkg9veJtOIEJV7oHtqI/5uj4zMdj0zOq/JCOmf9nl/Efi/v9rk0
p84LC81Tly9O0XHcoN4Tlf28cPuQvd3MKNGvLm3dPGnCCwYVt8cW6HQ8N7K2
qOQILywOe2+dphL9lbHSfOwkL5Sde/OrbJCOt05gocArvEC6l5rynehf/Z45
SUfcecH6vn6nM9Hf7k+nqK7x4oXllidVXK10vPjnjmHObV7QtBDDQo10/H3F
8FZvHC9UcngoR3wj+qf/LoH0B7zwfCqQo66cjrdzqjz8L5kXRNsYcf8wcR7w
8OYLv+KFQYuFH4bFdHxJ6Puo7kde0K2+UqGdRcf/pA+ffvibF1Tc5UpaiH4v
bhEcc3iQF4Zmgj3s4uhYObSknJPGCwWPoswGo+jYZHbrFpcJXhA+vjG8jDgv
7v0SWQZuPihUtSWxifNGJeLn09GNfDBb/yGWTJxH2l/5mp5v44NKkpbMsCUd
H5xHvMc1+CCfT7X9rRnRv+1z3LAeH4SLrR0TIs6zon3xKMGMD8Yevow13kXH
h5YsB/Z68cEWdeUbd1cR+dSIpEzf4IOtl/mCkwTo2MOpwjTtNh80B7F+pPDQ
cUL7zjzxUD6YSTVQiVqk4d58chAtiQ+i31KZrSM07OnSphyP+WC/t3n+7mIa
fvjb2nFYkB+27suL2HmahoNjd2CT1fxgsb7YTN+Khq8aCEhmSvDDX/+lCX0z
GjZ7XVTx31p+OBfT2qS4j4Z5XKXW8anxwz59AXm3TcT1yy2tm47yQ7Oru7Xi
Hyo+LGth6P6QHzi3v+iaDaVi3QbV5ObH/FAaoeNZGkDFqv7/JrRS+KHBzHLm
pg8Vcw1lPeN4xw8uad5l7Veo+FO6yGJ8MT9clNa+Kn2Eijfo1uUU/OaHr+HM
HYWrqZjD2lh+cb0APHz0n7Jd9Ai20ixUKt0oAGlCuW/UgkdwmtgG1YBtArB8
vGzfxM0RbFFLUufVEoCgIe0Kc8cR/Fzvm4H4QQEIb9r5xX/fCNaX3395s4cA
vPAU2po6M4x9hwwyTpcIwISbUOWA+TBuxLk5cl8FoHTiUrma0TBWfqL4of+b
AEhQhmPdiffPeivOL/Y/BYAm+i28XnkYy1aV/bw6KAAfdPVjpueHcHEamo7g
FwTvO0+0pp4N4XnXvbqfrQQhSHxmOXZgEKt+O2y3zVoQHPyVU+TbBvGJtWfD
ntsIgm+IJSW1dhAX1N5sC7IXBOnLEbah+YPYU7Xo6uEbgjC0uqa5NngQj/Zr
vP/9WBDe59vPblcZxD3HNq7lGBKEFoenhvttBvBXHYm/+z2FwLrEg/38aB+2
ML5Sl/KfEDzxDc831OzDvZZfHy37CMGGUP3JBuk+vOjsvrMgUAhC3+UFPujr
xRrP6hzXJwjBtc1yD8ade3EqV3Az50chyB0lZxT4/8ZBdTNpX5aFILoz6+jo
vW5sZNN2TDtMGOoWlzLcLrRj3YRvP6aihEHSrUSRpdeO1eoKTDPjhSG36Ium
MaUdS+rcR0qPhUHG9WNZaHUbppMttghnCQP1WYSs0eY2HFFfw9XfLAxBBr3b
4+gt+KdeaW7oOhHY0XjoTsWBJmwt82p1e6EIfObNuGcqX4P1Yyyu6f9aBfaU
Jw3meXdwZ0PQszROUZC4onDmP8Ua5Mlxop76UBS++Sd09Ha0o3RemxNSyaJg
7y9XfP1fOxoUvtR/4IkopDiOWs+pdCDLNVdn0lJEQSPxyp/0qx1IQyNmrfM7
UVC91/lgWLATTV2scmEXi8KYlM3Wd7u70NXq3SLzv0Vhk7PL5cJbPehqjJSZ
gLIYuBiSE/vP9aPf70bVnDaIQZmEEv9dj35k8q10dc1GMahIUG+VC+xH8ssX
f4VtE4PQh5/ilF/3ozqnHCt+LTH4GDuyEjPaj5SNTM/wHRSD5Z0zQt1XB1Db
0k1HkocY/OrqjHD0GUS6Tr2BnCVikGOdnvj33DCS2Mc5q/1FDD4oBA+fdxlG
TBllB48yMSCfcZj66DOMntY7HeqrFINoY5vj+xOGEYf6rERpgxhsijJwavs+
jKr+CL2+0ScGO9jN5gPbR5BlsE41m0sc3uZ9Mnk2O4K22JzVUSWJA3XFZ+kx
JxXx7PZ/f45PHIwXQt/EiFDRB1plbIOQOBjk9jAtVahI+pDFqfdkcRh4I+t2
0oqKesUcGPYbxGHVpvOMozlU5Pw8QajXVBxkE8eTZM7T0Ixlt4XgYXGi/pKf
hVyhIV9epcTdZuJw3jvkANWLhqJcsxViLcWhmvYkJiychjL0ajXhjDionQa1
o3k0NN7+zzbVRRx2ThS8muGko6uizgX2seLgOkjpSEiio8WK3IV78eLw+pRW
c1EqHQVen9fH98XBexp/aXpPR/d7Q2qkHonDpTeZnvRSOirISOn9niIO/T8D
7j0eoKM/Jm38W/KIeK52m9erMpDPHQMbdos4JHA49dalM9Cug1YLB9vFwciq
b51tPgNNiDs8eNMpDkey0v9QPzOQ/auoBptecTAMu+LVUs9AVtXte+tp4mCT
h5VUxxlITcRN/t2iOGhwbx7LUhtFw4+S+y4oSIBm7QLJ/u0oSrHLvPVFSQK4
3w5JJWSNojOby6RkVCRA7tVhk48fRlHT5xHzX5skgFWaIvm7YhThXvUytFMC
4nT/0N70jaJk5eqUtcaEbwRaa1HGkHnOtF2bswQobePOdL4xhm7sPhEr4CYB
xfEM68HbYyilpKhkj4cEnOnpFrEIGkNT329LvfSSgDK1xSTRmDGUOMDX4H5b
Ar78Ss3Y8HIM9Yqv1RaIlYBzt3V50+vGEF+S3+U98RJgOX+Tdq9xDKmvG7jn
fl8COj37hK61jqHALW9YrQ8lYMP3xa1r+sbQhv3qL1NTJGDkPx/tlckx5Pbf
/lV78iQg8NmxbFVJJnq49EbPvYCYX1Sq310ZJiq7I+CUWigBAU5TdT3yTCQe
86OC/7MEiFnxsd1VmajwzSmf1goJyMh79lldm4n+trsMu7VKwD+9ZxHrTjFR
tO6D4hfzEhCVy2tQG89Eo60V+jxLElDV9OyP/QMmMvacKrdfkYCSAwJqi4+I
8W/N67ZwkeGSdbwGTwoTuVEEez4IkUFyrJDrbSYTmU34rdTIk2F539GtW6qZ
KD0y885WRTJ89Gjo2FHLRLyqPaTY9WS4hihG2xuY6IuNziqrjWTY7RvnvKqZ
ibbXTcv37iCD3yUTq3O9TCT6xhGm9hPjj0c9PjDNRC4GDyutDpDhp8hL+udZ
Jvre883koykZzktIbFWdZ6IAifVHfc3IILXilzq4zESTAb/teE+RQaFc6iWL
xEJma4WpjqfJ8C2/an4NPwulf9S9UneWDDeO0c7uFWShC+MPr8bZ/T/e7zNO
q1io6YxlkIwzGdZmbgo8IclCanMBfLddycBlrZmkJ81CEfeyI/vcybCt9FaL
lAwL7asRTnjlRQYVTurXD3IslLe7+pWaH5moJ6PSUGUWWtU0uzE+gBi/PkBv
wwYWuuKqnDkdSAYtXbPJz6ospPTqzoeiUDLYbLsn3LCZhe6L7anaF08G3Vcz
e++qs9DZK8XdvvfJsHkTbP6+g4U2VGhPFj4gAz3tsS/XThYq9tJcuyWZDL7v
i63Pa7JQf7vaVYmXZAjNP7Huqw4xX/XM0COvCSessa/SZSGv8C1PQ9+S4dh0
qHylHgvx6W38vvSeDCsoiZG2l5jvM0X54QIyWFJlhaQNWGj+z/Od8h/JcH2e
k2uAcLm5vOmpT8T4JXmv1H0sdJxT1qu+lAyRD9f/WLWfheRPJ4XzlpHhchl/
0SfC9Dyp51BOhtWMdYo2Rizke4lcW1BFBlJ3gFe0MQsZl97rG/9OhnrLoPMy
B1hIVFJsdmMdGXykNv18TrjLLVbwYgMZ3Iq1v8qZsNDLahGFpz/JoC3goZVA
2EUhSrP9FxmekII1uE1ZaLeP4CGxFjLELSvkXyFcu5nPO6SDDHLY98D6gyyU
EBQSibvIMK/jdNaL8Lke7hcLPWR4/kdnoZTwRs3Awp19ZPAacpfnOMRCk9Ec
9a4DZHBWDarXJVxM9Rt4O0SMXzfE7UY4GK38GRghA4ftn8okwmaPbgmvpZOh
Kk1G9Ath6ckFxROjZGibfDXSRXjQ9IZWHJMMC2cHjCYIZ6T+OVw7TgZ5HYkd
fwl7L3ld4Jkkw+F/Xm95DrMQspq+rj9N5NdC+x03Yf5Mz+gbs2Tong7ZvURc
30SaSM2bI4N0y23zMcJPzrkVMRfIMLGye6aZsP1HZsOGZTI0PMXKHwirizoP
nf9L7IeVtQMxhBcdGfPJHBQIDTq0yY5w5VeHVa1cFDiYpb+yhXC0DHX9ahIF
SsgDZ9lEfk5cu6RjykeB8Qtkk/eEFeoHzYIEKGB4KveLLeFRZbtLpUIU4KkN
LRMmXHC7z2dOhAJHZ88dySPWw6/NJnaHKAVsHWcvWRA22d7zylmcAq+yOPho
xHp293f87JOkwHGaPGOFWP9XOidH1qyhQCevx0Y/wm73WhePyVLAwTZv4g9R
P1z7m1S+ryOeZ1RZpomor1vXvVbNKVJg+2L2Sy3CM+mScyrKFLCXu/D3AVGP
NLEz34M2UkAwnqW815CFzhut5ORtpoBITCQ7hKjnrhvPkwa2UqCUqyusmqj3
+r6hK2gHBSJ+FilrAgsZSdw95raTAtFmDSp2iIW+GG/c81STAo+eJk+F6LNQ
TqaLyJIOkY+l1cxPe1jowa3Z7MJ9FAgxcTGq0yb6QfbDRyP7KVBwIyyyVIuF
wgZ17pAPUGD1+9EHabtZ6Kapn+XVQxTIU1GfdtxF1KcU3+w2KyJf335k39vO
Qu0H3/0+e4IC9z/bzR9UYyELv0NVkacooFlSt7S0lYUMR2IfMs5S4FZ9+zYT
op9szJfWfX2ZAqZqK1LhRD96QS1WanGggOODDFG+9SwkI2MjxH2FApw5DUW3
FVlI5M6LnvNuFMjZqCR2XJ6Fpsw2+6+9TqxPZWzBeykW+jyqV3k/jAJq2X4G
c0Q/3SXfm1EeQYGM9LzL/3hZKOtowIPJKOL5GQNrOYj+m1JUaW8eTwGhSMqe
MQ5iv9w9IiCUTAFxtQBuR6J/mynZmgW+p8D07rz6hREmWrzSEN2fSVwv/mjK
aoiJ3uTrNejnUCB4NGvH234m+rdf+vBSAQU+HBkaV+9mohyHX6ZeXyjQqpMk
1PmTiSQyDY3sf1GgvJE5eOMjcV7O5gZXNhP5s90itr+AOE/0FSqV2iiwwHld
iTeXiSp/Lu/r66KAXnp4n1s6E3lPfYBTwxR4+E7zTNMTJurQ2rjn4BwFWuTb
l3/7M1FwQOKttAUK6MZJJlB8mUi9hucz7zIFXPktGw1vMFH46QGdCg5JkL62
TzXYg4l0bydr7RGUhOYq467755noabnwTjU5Sdi44pc8ps9EF45MbhI3lASH
yXehNjNjyPdY9uIBI0mgdT/EhWzifcPate72AUlotzh3nG9sDNVeZrgwDkmC
YtdCRMzAGNLwG8gus5IENyWf3F0/xhBn9i9Nd3tJGDpHu9XzmnifEc0zqA+X
hOTCeDk/szFULOkhzhUlCb0vk+w/m4yhlrVqQ1oxktBj+DGavW8M8W9KD355
TxKODQ9e3qM1hjwMUqtvPpYEw/n3dQ7rxhC6eu/IpkxJuOv4qZNzfBT1Nl+1
vtsoCf6bi902BI+iLezlgLEmSVgqjX6V6juKbgiGplm0SoLAqnuhEv+NInGD
x3MyXUT8nq/QfHkUGWdVPMgekoQjIVaTNcajKDuM3NTxh5jvcGB/LO8oCthb
eHCLnBTUTykcOnObgRpOwdW4dVJw0bXk5kUvBpLxqk2aVZSCm3uMim2dGagg
vZeON0jBnsfRJ3ZZMxBdii/USl0KKtXXBx3ZxUBHp05W3DaUgpx/xz/q0elI
6e2CXqOTFFQr+EswjOlI/unb3ZtdpGAugxs/3kNHsveP7wh2kwIFOH1pnwYd
kf1zN2hfk4LMrvpoZzk64j3pJJbiKwV0H+s/W6dpaJS3k+oeS8Rv2crv9ISG
8uyL4ld/IOK5HejIGqEiww3XaWYc0rBJhs+uznIEZXV6XQvgkoauhxsDDxqP
IOnoq/9yeaRh789fEV90RhBz2lWKIiANpynXD4UojKCEr5cOdItJgy/r1clo
1jCinrV867BeGtpKJ1bdDRlGYfe3OQQYS4NauA9DJHMINXAMU3OjpKFXjnFI
qmsAXanJrBGPlQah4Tj16zUDiP/e9Yxr8dLQWPo+qKZoAO1bL3RVM1Eatqq0
XjF6OICKjDRWip5Lg/Tr0qmkYwMoNSJAoixPGhxSvvrn1/Qjb7Ic/Ogg4pm8
i1A92YfWbTyRNKq8Bixsy97fi+hCnekfn/Plr4EdnpG33G0akWfnandrfRlY
/bS0TDYxHzVauU4GtMpA4k03l12uZXhLWJXCh3YZSFr5Nv6rrgzf/bzOgtEp
A5V9M5f1N3/Fe5Saso72ykD00mBpAPUrfsfe7aJEk4FjQRrs+2crcGAEB61i
XgYc2zs8D+pX4V1l93t418rCnh2NNi+b63DsNFNIT14WKpNem9VvrsejG4z1
3BVkQZ7rSHjunXqcEj2f1K4sC/WflD9kqzVgkTM2J9O2yUKC87G8ayE/MHV2
Q5MpkgWxDVyOf+414kdbiqujLsjCKeELjlPSzbiD4ZXAdVkWxse/VOXub8bS
advtbjjIgvH2lvVGHs04Sfn14kUXWfBW9BGjVzXjZLm4bXresmAQpRKucLUF
P15tf58RLgvr1OQOuJW14mfTYrbGubJQq2N4EPZ24N7c+i0l+bJwd6+cQdbF
DizvETq/o1AWbL0a8HR4B37OXI6X+ywLdXzqY6S2DpwyQqucqZQF3SDZ9Ydc
OvGL9tLNLztkwZp1qONmfBcefHBjTrqbGL/02/Dahy6sZLWzMua3LETurUwx
6uzCqY1pNjcHZeFOrm3tDYVunFpzP+4oUxaUNM3WymV248FQM5vqcVm4tknV
kvGzGysZC2zeOykLL6pks+OmuvHLcr+KjX9kAQLNr3tq9eDhAJ24Z/OykNWQ
p/beugcro5mz5CVZKPX473XZrR58aSVrU8SKLDjkHuDMe9qDX312+vPvnyzo
LWU5+OMe/D+mqDiW
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0, 7}, {-0.7835532855710836, 0.9999999999999927}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.413655011102448*^9, 3.413655173597908*^9, 
  3.428247335005015*^9, 3.432315805168141*^9, 3.432316366851842*^9, 
  3.500210090142912*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Intrinsic Generation of Randomness", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 321 \[CenterDot] Card shuffling", "Subsection"], Cell[
     " (page 974)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", "list_", "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Reverse", "[", 
     RowBox[{"Partition", "[", 
      RowBox[{"list", ",", 
       RowBox[{
        RowBox[{"Length", "[", "list", "]"}], "/", "2"}]}], "]"}], "]"}], 
    "]"}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "[", "list_", "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Reverse", "[", 
     RowBox[{"Partition", "[", 
      RowBox[{"list", ",", 
       RowBox[{
        RowBox[{"Length", "[", "list", "]"}], "/", "2"}]}], "]"}], "]"}], 
    "]"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"s", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"4", ",", "1", ",", "5", ",", "2", ",", "6", ",", "3"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4136550111647587`*^9, 3.413655173645993*^9, 
  3.428247353596944*^9, 3.432315805248335*^9, 3.4323163669013643`*^9, 
  3.500210095634354*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Random number generators", "Subsection"], Cell[" (page 974)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"n", "[", 
   RowBox[{"i", "+", "2"}], "]"}], "==", 
  RowBox[{"Mod", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["65539", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
     RowBox[{"n", "[", "i", "]"}]}], ",", 
    SuperscriptBox["2", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "31"}]]}], "]"}], "==", 
  RowBox[{"Mod", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{"n", "[", 
       RowBox[{"i", "+", "1"}], "]"}]}], "-", 
     RowBox[{"9", " ", 
      RowBox[{"n", "[", "i", "]"}]}]}], ",", 
    SuperscriptBox["2", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "31"}]]}], 
   "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"LFSRStep", "[", "list_", "]"}], ":=", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"Rest", "[", "list", "]"}], ",", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"list", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
        "+", 
       RowBox[{
       "list", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",", 
      "2"}], "]"}]}], "]"}]}], "\n", 
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Nest", "[", 
     RowBox[{"LFSRStep", ",", "#", ",", "n"}], "]"}], "&"}], ",", 
   RowBox[{"Append", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"n", "-", "1"}], "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
   "t"}], "]"}]}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LFSRStep", "[", "list_", "]"}], ":=", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"Rest", "[", "list", "]"}], ",", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"list", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
        "+", 
       RowBox[{
       "list", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], ",", 
      "2"}], "]"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "=", "5"}], ",", 
     RowBox[{"n", "=", "30"}]}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Nest", "[", 
       RowBox[{"LFSRStep", ",", "#", ",", "n"}], "]"}], "&"}], ",", 
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"n", "-", "1"}], "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
     "t"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
     ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413655011247739*^9, 3.4136551737176037`*^9, 
  3.428247365826125*^9, 3.4323158053294277`*^9, 3.4323163669866333`*^9, 
  3.50021010835697*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PolynomialMod", "[", 
  RowBox[{
   SuperscriptBox["x", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "+", "x", "+", 
      SuperscriptBox["x", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]]}], ",", "2"}], 
    "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "=", 
      RowBox[{"30", "*", "5"}]}], ",", 
     RowBox[{"n", "=", "30"}]}], "}"}], ",", 
   RowBox[{"PolynomialMod", "[", 
    RowBox[{
     SuperscriptBox["x", 
      RowBox[{"\[VeryThinSpace]", "t"}]], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "+", "x", "+", 
        SuperscriptBox["x", 
         RowBox[{"\[VeryThinSpace]", "n"}]]}], ",", "2"}], "}"}]}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"1", "+", "x", "+", 
  SuperscriptBox["x", "4"], "+", 
  SuperscriptBox["x", "5"]}]], "Output",
 CellChangeTimes->{3.41365501131697*^9, 3.4136551737651367`*^9, 
  3.428247373108724*^9, 3.4323158053697853`*^9, 3.432316367022007*^9, 
  3.500210112596054*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LFSRStep", "[", 
   RowBox[{"taps_List", ",", "list_"}], "]"}], ":=", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"Rest", "[", "list", "]"}], ",", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Plus", ",", 
        RowBox[{
        "list", "\[LeftDoubleBracket]", "taps", "\[RightDoubleBracket]"}]}], 
       "]"}], ",", "2"}], "]"}]}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LFSRStep", "[", 
   RowBox[{"taps_List", ",", "list_"}], "]"}], ":=", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"Rest", "[", "list", "]"}], ",", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Plus", ",", 
        RowBox[{
        "list", "\[LeftDoubleBracket]", "taps", "\[RightDoubleBracket]"}]}], 
       "]"}], ",", "2"}], "]"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "=", "5"}], ",", 
     RowBox[{"n", "=", "30"}]}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Nest", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"LFSRStep", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "2"}], "}"}], ",", "#"}], "]"}], "&"}], ")"}], 
        ",", "#", ",", "n"}], "]"}], "&"}], ",", 
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"n", "-", "1"}], "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
     "t"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", 
     ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
     ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413655011422583*^9, 3.4136551738507137`*^9, 
  3.42824739290163*^9, 3.432315805464459*^9, 3.4323163671067247`*^9, 
  3.500210117486265*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Append", "[", 
  RowBox[{
   RowBox[{"Rest", "[", "list", "]"}], ",", 
   RowBox[{"Mod", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"list", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
      "+", 
      RowBox[{"list", "\[LeftDoubleBracket]", 
       RowBox[{"q", "-", "p", "+", "1"}], "\[RightDoubleBracket]"}]}], ",", 
     SuperscriptBox["2", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "k"}]]}], "]"}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", "=", "24"}], ",", 
     RowBox[{"q", "=", "55"}], ",", 
     RowBox[{"k", "=", "1"}]}], "}"}], ",", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{"Function", "[", 
      RowBox[{"list", ",", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"Rest", "[", "list", "]"}], ",", 
         RowBox[{"Mod", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "list", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
            "+", 
            RowBox[{"list", "\[LeftDoubleBracket]", 
             RowBox[{"q", "-", "p", "+", "1"}], "\[RightDoubleBracket]"}]}], 
           ",", 
           SuperscriptBox["2", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "k"}]]}], "]"}]}], 
        "]"}]}], "]"}], ",", 
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"q", "-", "1"}], "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
     " ", 
     RowBox[{"3", "q"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.413655011505348*^9, 3.41365517390038*^9, 
  3.4282474058543873`*^9, 3.4323158055064*^9, 3.432316367161031*^9, 
  3.500210121590619*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "\[Rule]", 
  RowBox[{"FromDigits", "[", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{
      RowBox[{"IntegerDigits", "[", 
       RowBox[{
        SuperscriptBox["n", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", "10", ",", 
        "20"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "15"}], "}"}]}], "]"}], ",", "10"}], 
   "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "1234567890"}], "}"}], ",", 
   RowBox[{"n", "/.", 
    RowBox[{"n", "\[Rule]", 
     RowBox[{"FromDigits", "[", 
      RowBox[{
       RowBox[{"Take", "[", 
        RowBox[{
         RowBox[{"IntegerDigits", "[", 
          RowBox[{
           SuperscriptBox["n", 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", "10", 
           ",", "20"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "15"}], "}"}]}], "]"}], ",", "10"}], "]"}]}]}]}], 
  "]"}]], "Input"],

Cell[BoxData["41578750190"], "Output",
 CellChangeTimes->{3.413655011550408*^9, 3.4136551739488497`*^9, 
  3.4282474188388367`*^9, 3.432315805555212*^9, 3.432316367224802*^9, 
  3.500210125062126*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "\[Rule]", 
  RowBox[{"Mod", "[", 
   RowBox[{
    SuperscriptBox["n", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", "m"}], 
   "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"n", "=", "1234567890"}], ",", 
     RowBox[{"m", "=", 
      RowBox[{"13", "*", "19"}]}]}], "}"}], ",", 
   RowBox[{"n", "/.", 
    RowBox[{"n", "\[Rule]", 
     RowBox[{"Mod", "[", 
      RowBox[{
       SuperscriptBox["n", 
        RowBox[{"\[VeryThinSpace]", "2"}]], ",", "m"}], "]"}]}]}]}], 
  "]"}]], "Input"],

Cell[BoxData["87"], "Output",
 CellChangeTimes->{3.413655011619563*^9, 3.413655173999062*^9, 
  3.42824742835868*^9, 3.432315805604095*^9, 3.432316367292632*^9, 
  3.500210128885393*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Unequal probabilities", "Subsection"], Cell[" (page 976)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Fold", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"BitAnd", ",", "BitOr"}], "}"}], "\[LeftDoubleBracket]", 
      RowBox[{"1", "+", 
       RowBox[{"First", "[", "#2", "]"}]}], "\[RightDoubleBracket]"}], "[", 
     RowBox[{"#1", ",", 
      RowBox[{"Last", "[", "#2", "]"}]}], "]"}], "&"}], ",", "0", ",", 
   RowBox[{"Reverse", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"First", "[", 
        RowBox[{"RealDigits", "[", 
         RowBox[{"p", ",", "2", ",", "n", ",", 
          RowBox[{"-", "1"}]}], "]"}], "]"}], ",", "a"}], "}"}], "]"}], 
    "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n", "=", "100"}], ",", 
       RowBox[{"p", "=", 
        RowBox[{"3", "/", "10"}]}]}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Random", "[", "Integer", "]"}], ",", 
           RowBox[{"{", "n", "}"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"Fold", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"BitAnd", ",", "BitOr"}], "}"}], "\[LeftDoubleBracket]", 
            RowBox[{"1", "+", 
             RowBox[{"First", "[", "#2", "]"}]}], "\[RightDoubleBracket]"}], 
           "[", 
           RowBox[{"#1", ",", 
            RowBox[{"Last", "[", "#2", "]"}]}], "]"}], "&"}], ",", "0", ",", 
         RowBox[{"Reverse", "[", 
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"First", "[", 
              RowBox[{"RealDigits", "[", 
               RowBox[{"p", ",", "2", ",", "n", ",", 
                RowBox[{"-", "1"}]}], "]"}], "]"}], ",", "a"}], "}"}], "]"}], 
          "]"}]}], "]"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", "100", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.513001974074016*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
   ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.513001976207658*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 325 \[CenterDot] Noisy cellular automata\
\>", "Subsection"], Cell[" (page 976)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Lambda]", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "10"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "]"}], "+", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "10"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "-", "3"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], 
    "]"}]}]}]], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "10"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "]"}], "+", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "10"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "-", "3"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"{", 
    RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "]"}], ":=", 
  RowBox[{"\[Lambda]", "[", 
   RowBox[{"a", "+", "b", "+", "c", "+", 
    RowBox[{"b", " ", "c"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Grid", "[", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "/@", 
       RowBox[{"Partition", "[", 
        RowBox[{"#", ",", "3", ",", "1", ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "2"}], "}"}]}], "]"}]}], "&"}], ",", 
     RowBox[{"N", "@", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}]}], ",", "4"}], "]"}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.5129967025926*^9, 3.5129967047621317`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0.`", "0.`", "0.`", "0.`", "1.`", "0.`", "0.`", "0.`", "0.`"},
    {"0.000045399929762484854`", "0.000045399929762484854`", 
     "0.000045399929762484854`", "1.`", "1.`", "1.`", 
     "0.000045399929762484854`", "0.000045399929762484854`", 
     "0.000045399929762484854`"},
    {"0.00004552376100163087`", "0.00004552376100163087`", 
     "0.9999998144961912`", "0.999999979388464`", "0.000045399929762484854`", 
     "0.00009080000176086793`", "0.9999999175501154`", 
     "0.00004552376100163087`", "0.00004552376100163087`"},
    {"0.00004552409920283004`", "0.9999998139892327`", "0.9999999796494985`", 
     "0.00009080000111584793`", "0.9999998145407176`", "0.9999994850847238`", 
     "0.9999996696146474`", "0.9999999172497895`", "0.00004552409920283004`"},
    {"0.999999813987848`", "0.9999999796496372`", "0.00009080042717836482`", 
     "0.00009080042718172265`", "0.9999999200777404`", 
     "0.00004540163325302592`", "0.00004540114757334599`", 
     "0.00009080000124502409`", "0.9999999172491053`"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.41365501180415*^9, 3.4136551741498003`*^9, 
  3.4282474870882273`*^9, 3.432315805755393*^9, 3.432316367468102*^9, 
  3.500210141755904*^9, 3.512996707337061*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Phenomenon of Continuity", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Central Limit Theorem", "Subsection"], Cell[" (page 976)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Exp", "[", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "-", "\[Mu]"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "/", 
    RowBox[{"(", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Sigma]", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}], "]"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2", " ", "\[Pi]"}], "]"}], " ", "\[Sigma]"}], 
   ")"}]}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Related results", "Subsection"], Cell[" (page 977)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Exp", "[", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Log", "[", "x", "]"}], "-", "\[Mu]"}], ")"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "/", 
    RowBox[{"(", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Sigma]", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}]}], "]"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"2", " ", "\[Pi]"}], "]"}], " ", "x", " ", "\[Sigma]"}], 
   ")"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Exp", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"x", "-", "\[Mu]"}], ")"}], "/", "\[Beta]"}], "]"}], " ", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{"-", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "\[Mu]"}], ")"}], "/", "\[Beta]"}], "]"}]}], "]"}], 
   "/", "\[Beta]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{"2", " ", 
  RowBox[{"Sqrt", "[", 
   RowBox[{"1", "-", 
    SuperscriptBox["x", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "]"}], " ", 
  RowBox[{
   RowBox[{"UnitStep", "[", 
    RowBox[{"1", "-", 
     SuperscriptBox["x", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "]"}], "/", 
   "\[Pi]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", "2"}], " ", 
  RowBox[{"(", 
   RowBox[{"\[Pi]", " ", "x"}], ")"}], " ", 
  RowBox[{"Exp", "[", 
   RowBox[{
    RowBox[{"1", "/", "4"}], " ", 
    RowBox[{"(", 
     RowBox[{"-", "\[Pi]"}], ")"}], " ", 
    SuperscriptBox["x", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], 
   "]"}]}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 328 \[CenterDot] Random walks", "Subsection"], Cell[
     " (page 977)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"#", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", 
      RowBox[{"Random", "[", "Integer", "]"}]}]}], "&"}], ",", "0", ",", 
   "t"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "=", "10"}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", 
        RowBox[{"Random", "[", "Integer", "]"}]}]}], "&"}], ",", "0", ",", 
     "t"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   RowBox[{"-", "1"}], ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "3"}], ",", 
   RowBox[{"-", "4"}], ",", 
   RowBox[{"-", "3"}], ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "3"}], ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "1"}], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413655011852791*^9, 3.413655174202421*^9, 
  3.428247666804019*^9, 3.432315805807145*^9, 3.4323163675263567`*^9, 
  3.5002101472640676`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FoldList", "[", 
  RowBox[{"Plus", ",", "0", ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", 
      RowBox[{"Random", "[", "Integer", "]"}]}], ",", 
     RowBox[{"{", "t", "}"}]}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "=", "10"}], "}"}], ",", 
   RowBox[{"FoldList", "[", 
    RowBox[{"Plus", ",", "0", ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", 
        RowBox[{"Random", "[", "Integer", "]"}]}], ",", 
       RowBox[{"{", "t", "}"}]}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   RowBox[{"-", "1"}], ",", 
   RowBox[{"-", "2"}], ",", 
   RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "0", ",", 
   RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.413655011990622*^9, 3.413655174250761*^9, 
  3.4282476797986603`*^9, 3.432315805933261*^9, 3.4323163675712013`*^9, 
  3.5002101532064734`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FoldList", "[", 
  RowBox[{"Plus", ",", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", "d", "}"}]}], "]"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"RotateLeft", "[", 
      RowBox[{
       RowBox[{"PadLeft", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "^", 
           RowBox[{"Random", "[", "Integer", "]"}]}], "}"}], ",", "d"}], 
        "]"}], ",", 
       RowBox[{"Random", "[", 
        RowBox[{"Integer", ",", 
         RowBox[{"d", "-", "1"}]}], "]"}]}], "]"}], ",", 
     RowBox[{"{", "t", "}"}]}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "=", "10"}], ",", 
     RowBox[{"d", "=", "2"}]}], "}"}], ",", 
   RowBox[{"FoldList", "[", 
    RowBox[{"Plus", ",", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "d", "}"}]}], "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"RotateLeft", "[", 
        RowBox[{
         RowBox[{"PadLeft", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], "^", 
             RowBox[{"Random", "[", "Integer", "]"}]}], "}"}], ",", "d"}], 
          "]"}], ",", 
         RowBox[{"Random", "[", 
          RowBox[{"Integer", ",", 
           RowBox[{"d", "-", "1"}]}], "]"}]}], "]"}], ",", 
       RowBox[{"{", "t", "}"}]}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "2"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4136550120559597`*^9, 3.4136551743015213`*^9, 
  3.42824768558947*^9, 3.432315805976233*^9, 3.432316367623343*^9, 
  3.500210156780719*^9}]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Sigma]", "=", "1"}], "}"}], ",", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"d", "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "\[Pi]", " ", "\[Sigma]", " ", "t"}], ")"}]}], 
      ")"}], 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
      RowBox[{"d", "/", "2"}]}]], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "d"}], " ", 
      RowBox[{
       SuperscriptBox["r", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "\[Sigma]", " ", "t"}], ")"}]}]}], "]"}]}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"e", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"2", " ", "\[Pi]", " ", "s"}], "/", "k"}], "]"}], ",", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"2", " ", "\[Pi]", " ", "s"}], "/", "k"}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", 
       RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{"FoldList", "[", 
  RowBox[{"Plus", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"e", "\[LeftDoubleBracket]", 
      RowBox[{"Random", "[", 
       RowBox[{"Integer", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "k"}], "}"}]}], "]"}], "\[RightDoubleBracket]"}], 
     ",", 
     RowBox[{"{", "t", "}"}]}], "]"}]}], "]"}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "=", "10"}], ",", 
     RowBox[{"k", "=", "4"}], ",", "e"}], "}"}], ",", 
   RowBox[{
    RowBox[{"SeedRandom", "[", "1", "]"}], ";", " ", 
    RowBox[{"e", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{
           AdjustmentBox[
            RowBox[{"2", " ", "\[Pi]", " ", "s"}],
            BoxMargins->{{0, -0.111111}, {0, 0}}], "/", 
           AdjustmentBox["k",
            BoxMargins->{{-0.222222, 0}, {0, 0}}]}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{
           AdjustmentBox[
            RowBox[{"2", " ", "\[Pi]", " ", "s"}],
            BoxMargins->{{0, -0.111111}, {0, 0}}], "/", 
           AdjustmentBox["k",
            BoxMargins->{{-0.222222, 0}, {0, 0}}]}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "0", ",", 
         RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}]}], ";", "\n", 
    RowBox[{"FoldList", "[", 
     RowBox[{"Plus", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"e", "\[LeftDoubleBracket]", 
         RowBox[{"Random", "[", 
          RowBox[{"Integer", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "k"}], "}"}]}], "]"}], 
         "\[RightDoubleBracket]"}], ",", 
        RowBox[{"{", "t", "}"}]}], "]"}]}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413655012105812*^9, 3.413655174351804*^9, 
  3.413657144633704*^9, 3.42824769147374*^9, 3.432315806025666*^9, 
  3.432316367673355*^9, 3.5002101622572193`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{"Outer", "[", 
    RowBox[{"Times", ",", 
     RowBox[{"e", "\[LeftDoubleBracket]", "s", "\[RightDoubleBracket]"}], ",", 
     RowBox[{"e", "\[LeftDoubleBracket]", "s", "\[RightDoubleBracket]"}]}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", 
     RowBox[{"Length", "[", "e", "]"}]}], "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "=", "4"}], ",", "e"}], "}"}], ",", 
   RowBox[{
    RowBox[{"e", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{
           AdjustmentBox[
            RowBox[{"2", " ", "\[Pi]", " ", "s"}],
            BoxMargins->{{0, -0.111111}, {0, 0}}], "/", 
           AdjustmentBox["k",
            BoxMargins->{{-0.222222, 0}, {0, 0}}]}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{
           AdjustmentBox[
            RowBox[{"2", " ", "\[Pi]", " ", "s"}],
            BoxMargins->{{0, -0.111111}, {0, 0}}], "/", 
           AdjustmentBox["k",
            BoxMargins->{{-0.222222, 0}, {0, 0}}]}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "0", ",", 
         RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"e", "\[LeftDoubleBracket]", "s", "\[RightDoubleBracket]"}], 
        ",", 
        RowBox[{"e", "\[LeftDoubleBracket]", "s", "\[RightDoubleBracket]"}]}],
        "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"s", ",", 
        RowBox[{"Length", "[", "e", "]"}]}], "}"}]}], "]"}]}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "2"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413655012172126*^9, 3.4136551744016533`*^9, 
  3.42824769539835*^9, 3.432315806074541*^9, 3.4323163677234583`*^9, 
  3.500210166628057*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Implementation", "Subsection"], Cell[" (page 978)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"AEvolve", "[", "t_", "]"}], ":=", 
   RowBox[{"Nest", "[", 
    RowBox[{"AStep", ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], "}"}], ",", "t"}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"AStep", "[", "c_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"!", 
         RowBox[{"MemberQ", "[", 
          RowBox[{"c", ",", "#"}], "]"}]}], ",", 
        RowBox[{"Append", "[", 
         RowBox[{"c", ",", "#"}], "]"}], ",", 
        RowBox[{"AStep", "[", "c", "]"}]}], "]"}], "&"}], ")"}], "[", 
    RowBox[{
     RowBox[{"f", "[", "c", "]"}], "+", 
     RowBox[{"f", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"f", "[", "a_", "]"}], ":=", 
  RowBox[{"a", "\[LeftDoubleBracket]", 
   RowBox[{"Random", "[", 
    RowBox[{"Integer", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"Length", "[", "a", "]"}]}], "}"}]}], "]"}], 
   "\[RightDoubleBracket]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"AEvolve", "[", "t_", "]"}], ":=", 
  RowBox[{"Nest", "[", 
   RowBox[{"AStep", ",", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], "}"}], ",", "t"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"AStep", "[", "c_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"!", 
        RowBox[{"MemberQ", "[", 
         RowBox[{"c", ",", "#"}], "]"}]}], ",", 
       RowBox[{"Append", "[", 
        RowBox[{"c", ",", "#"}], "]"}], ",", 
       RowBox[{"AStep", "[", "c", "]"}]}], "]"}], "&"}], ")"}], "[", 
   RowBox[{
    RowBox[{"f", "[", "c", "]"}], "+", 
    RowBox[{"f", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"f", "[", "a_", "]"}], ":=", 
  RowBox[{"a", "\[LeftDoubleBracket]", 
   RowBox[{"Random", "[", 
    RowBox[{"Integer", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"Length", "[", "a", "]"}]}], "}"}]}], "]"}], 
   "\[RightDoubleBracket]"}]}]}], "Input",
 CellChangeTimes->{
  3.4282477118143578`*^9, {3.428247751562126*^9, 3.428247759755434*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AEvolve", "[", "10", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "3"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.4136551170318403`*^9, 3.4136551383621693`*^9}, 
   3.4136551744599953`*^9, {3.4282477043245687`*^9, 3.4282477179407988`*^9}, 
   3.428247776665967*^9, 3.4282478303194523`*^9, 3.432315806151237*^9, 
   3.432316367858533*^9, 3.500210173207266*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AStep", "[", "a_", "]"}], ":=", 
  RowBox[{"ReplacePart", "[", 
   RowBox[{"a", ",", "1", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "\[LeftDoubleBracket]", 
        RowBox[{"Random", "[", 
         RowBox[{"Integer", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"Length", "[", "#", "]"}]}], "}"}]}], "]"}], 
        "\[RightDoubleBracket]"}], "&"}], ")"}], "[", 
     RowBox[{"Position", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "a"}], ")"}], " ", 
        RowBox[{"Sign", "[", 
         RowBox[{"ListConvolve", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", "a", 
           ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "2"}], "}"}]}], "]"}], "]"}]}], ",", "1"}], 
      "]"}], "]"}]}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"AStep", "[", "a_", "]"}], ":=", 
  RowBox[{"ReplacePart", "[", 
   RowBox[{"a", ",", "1", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#", "\[LeftDoubleBracket]", 
        RowBox[{"Random", "[", 
         RowBox[{"Integer", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"Length", "[", "#", "]"}]}], "}"}]}], "]"}], 
        "\[RightDoubleBracket]"}], "&"}], ")"}], "[", 
     RowBox[{"Position", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "a"}], ")"}], " ", 
        RowBox[{"Sign", "[", 
         RowBox[{"ListConvolve", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", "a", 
           ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "2"}], "}"}]}], "]"}], "]"}]}], ",", "1"}], 
      "]"}], "]"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"s", "=", "5"}], "}"}], ",", 
   RowBox[{
    RowBox[{"SeedRandom", "[", "1", "]"}], ";", 
    RowBox[{"Nest", "[", 
     RowBox[{"AStep", ",", 
      RowBox[{"ReplacePart", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", "s", "}"}], ",", 
          RowBox[{"{", "s", "}"}]}], "]"}], ",", "1", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Round", "[", 
           RowBox[{"s", "/", "2"}], "]"}], ",", 
          RowBox[{"Round", "[", 
           RowBox[{"s", "/", "2"}], "]"}]}], "}"}]}], "]"}], ",", "4"}], 
     "]"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.413655145397393*^9, 3.413655174590817*^9}, 
   3.42824784248442*^9, 3.432315806238463*^9, 3.432316367924891*^9, 
   3.500210181605912*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Isotropy", "Subsection"], Cell[" (page 980)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{"Plus", ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Outer", "[", 
          RowBox[{"Times", ",", "##"}], "]"}], "&"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{"#", ",", 
          RowBox[{"{", "n", "}"}]}], "]"}]}], "]"}], "&"}], ",", "v"}], 
    "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"k", "=", "6"}], "}"}], ",", 
   RowBox[{"With", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n", "=", "4"}], ",", 
       RowBox[{"vecs", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"2", " ", "Pi", " ", 
              RowBox[{"s", "/", "k"}]}], "]"}], ",", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", "Pi", " ", 
              RowBox[{"s", "/", "k"}]}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"s", ",", "0", ",", 
            RowBox[{"k", "-", "1"}]}], "}"}]}], "]"}]}]}], "}"}], ",", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Apply", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Outer", "[", 
              RowBox[{"Times", ",", "##"}], "]"}], "&"}], ",", 
            RowBox[{"Table", "[", 
             RowBox[{"#", ",", 
              RowBox[{"{", "n", "}"}]}], "]"}]}], "]"}], "&"}], ",", "vecs"}],
         "]"}]}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["9", "4"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["3", "4"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["3", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "4"], ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["3", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "4"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "4"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["9", "4"]}], "}"}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.41365515071279*^9, 3.41365517463654*^9}, 
   3.428247850479862*^9, 3.432315806292268*^9, 3.432316367974682*^9, 
   3.500210188632588*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"d", "-", "2"}], ")"}], "!!"}], " ", 
  RowBox[{
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"Mod", "[", 
               RowBox[{"#", ",", "2"}], "]"}]}], ")"}], " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"#", "-", "1"}], ")"}], "!!"}]}], "&"}], ",", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Count", "[", 
             RowBox[{
              RowBox[{"{", "##", "}"}], ",", "i"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "d"}], "}"}]}], "]"}]}], "]"}]}], "]"}], "&"}],
      ",", 
     RowBox[{"Table", "[", 
      RowBox[{"d", ",", 
       RowBox[{"{", "n", "}"}]}], "]"}]}], "]"}], "/", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"d", "+", "n", "-", "2"}], ")"}], "!!"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "=", "2"}], ",", 
     RowBox[{"n", "=", "4"}]}], "}"}], ",", 
   RowBox[{
    AdjustmentBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"d", "-", "2"}], ")"}], "!!"}],
     BoxMargins->{{0, -0.111111}, {0, 0}}], 
    AdjustmentBox[" ",
     BoxMargins->{{0, -0.111111}, {0, 0}}], 
    RowBox[{
     AdjustmentBox[
      RowBox[{"Array", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Apply", "[", 
          RowBox[{"Times", ",", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"Mod", "[", 
                  RowBox[{"#", ",", "2"}], "]"}]}], ")"}], " ", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"#", "-", "1"}], ")"}], "!!"}]}], "&"}], ",", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Count", "[", 
                RowBox[{
                 RowBox[{"{", "##", "}"}], ",", "i"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "d"}], "}"}]}], "]"}]}], "]"}]}], "]"}], 
         "&"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{"d", ",", 
          RowBox[{"{", "n", "}"}]}], "]"}]}], "]"}],
      BoxMargins->{{0, -0.111111}, {0, 0}}], "/", 
     AdjustmentBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"d", "+", "n", "-", "2"}], ")"}], "!!"}],
      BoxMargins->{{-0.222222, 0}, {0, 0}}]}]}]}], 
  AdjustmentBox["]",
   BoxMargins->{{-0.222222, 0}, {0, 0}}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["3", "8"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["1", "8"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["1", "8"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "8"], ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["1", "8"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "8"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "8"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["3", "8"]}], "}"}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.413655153752129*^9, 3.413655174688138*^9}, 
   3.4282478576619368`*^9, 3.4323158063413153`*^9, 3.432316368025679*^9, 
   3.500210194305785*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Origins of Discreteness", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 339 \[CenterDot] 1D transitions", "Subsection"], Cell[
     " (page 981)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
   "a1_", ",", "a2_", ",", "a3_", ",", "a4_", ",", "a5_", ",", "a6_", ",", 
    "a7_"}], "}"}], "\[Rule]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"a4", "==", "1"}], ",", 
       RowBox[{"a1", "+", "a3", "+", "a4"}], ",", 
       RowBox[{"a4", "+", "a5", "+", "a7"}]}], "]"}], "\[GreaterEqual]", 
     "2"}], ",", "1", ",", "0"}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"init", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Random", "[", "Integer", "]"}], ",", 
        RowBox[{"{", "15", "}"}]}], "]"}]}], ",", 
     RowBox[{"t", "=", "5"}]}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Partition", "[", 
        RowBox[{"#", ",", "7", ",", "1", ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "4"}], "}"}]}], "]"}], "/.", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "a1_", ",", "a2_", ",", "a3_", ",", "a4_", ",", "a5_", ",", "a6_", 
          ",", "a7_"}], "}"}], "\[Rule]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"a4", "==", "1"}], ",", 
             RowBox[{"a1", "+", "a3", "+", "a4"}], ",", 
             RowBox[{"a4", "+", "a5", "+", "a7"}]}], "]"}], "\[GreaterEqual]",
            "2"}], ",", "1", ",", "0"}], "]"}]}]}], "&"}], ",", "init", ",", 
     "t"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0",
      ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413655174738653*^9, 3.4282478768594837`*^9, 
  3.4323158063926077`*^9, 3.432316368076161*^9, 3.5002101997476187`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["The Ising model", "Subsection"], Cell[" (page 981)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"e", "[", "s_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "/", "2"}], " ", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "\[IndentingNewLine]", 
     RowBox[{"s", " ", 
      RowBox[{"ListConvolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", "s", ",", 
        "2"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}]], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"e", "[", "s_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "/", "2"}], " ", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "\[IndentingNewLine]", 
     RowBox[{"s", " ", 
      RowBox[{"ListConvolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", "s", ",", 
        "2"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{"m", "[", "s_", "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", "s", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"s", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}], ",", "1", ",", "1"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1", ",", 
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1", ",", "1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "[", "s", "]"}], ",", 
     RowBox[{"m", "[", "s", "]"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"8", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.4136551748048286`*^9, 3.428247886768072*^9, 
  3.43231580647289*^9, 3.432316368155401*^9, 3.500210206474284*^9}]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Abs", "[", 
   RowBox[{"m", "[", "s", "]"}], "]"}], "==", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "-", 
     SuperscriptBox[
      RowBox[{"Sinh", "[", 
       RowBox[{"2", " ", "\[Beta]"}], "]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
       RowBox[{"-", "4"}]}]]}], ")"}], 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
    RowBox[{"1", "/", "8"}]}]]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"e", "[", "s", "]"}], "==", 
  RowBox[{"-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Coth", "[", 
      RowBox[{"2", " ", "\[Beta]"}], "]"}], " ", "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", 
        RowBox[{"EllipticK", "[", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"Sech", "[", 
            RowBox[{"2", " ", "\[Beta]"}], "]"}], 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
          SuperscriptBox[
           RowBox[{"Tanh", "[", 
            RowBox[{"2", " ", "\[Beta]"}], "]"}], 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "]"}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox[
             RowBox[{"Tanh", "[", 
              RowBox[{"2", " ", "\[Beta]"}], "]"}], 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}]}], ")"}], 
         "/", "\[Pi]"}]}]}], ")"}]}], ")"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"IsingEvolve", "[", 
    RowBox[{"list_", ",", "t_Integer"}], "]"}], ":=", 
   RowBox[{"First", "[", 
    RowBox[{"Nest", "[", 
     RowBox[{"IsingStep", ",", 
      RowBox[{"{", 
       RowBox[{"list", ",", 
        RowBox[{"Mask", "[", "list", "]"}]}], "}"}], ",", "t"}], "]"}], 
    "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"IsingStep", "[", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "mask_"}], "}"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"MapThread", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"#2", "==", "2"}], "&&", 
           RowBox[{"#3", "==", "1"}]}], ",", 
          RowBox[{"1", "-", "#1"}], ",", "#1"}], "]"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", 
         RowBox[{"ListConvolve", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", "a", 
           ",", "2"}], "]"}], ",", "mask"}], "}"}], ",", "2"}], "]"}], ",", 
     RowBox[{"1", "-", "mask"}]}], "}"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Mask", "[", "list_", "]"}], ":=", 
  RowBox[{"Array", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"#1", "+", "#2"}], ",", "2"}], "]"}], "&"}], ",", 
    RowBox[{"Dimensions", "[", "list", "]"}]}], "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"IsingEvolve", "[", 
   RowBox[{"list_", ",", "t_Integer"}], "]"}], ":=", 
  RowBox[{"First", "[", 
   RowBox[{"Nest", "[", 
    RowBox[{"IsingStep", ",", 
     RowBox[{"{", 
      RowBox[{"list", ",", 
       RowBox[{"Mask", "[", "list", "]"}]}], "}"}], ",", "t"}], "]"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"IsingStep", "[", 
   RowBox[{"{", 
    RowBox[{"a_", ",", "mask_"}], "}"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"MapThread", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#2", "==", "2"}], "&&", 
          RowBox[{"#3", "==", "1"}]}], ",", 
         RowBox[{"1", "-", "#1"}], ",", "#1"}], "]"}], "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        RowBox[{"ListConvolve", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", "a", ",",
           "2"}], "]"}], ",", "mask"}], "}"}], ",", "2"}], "]"}], ",", 
    RowBox[{"1", "-", "mask"}]}], "}"}]}], "\n", 
 RowBox[{
  RowBox[{"Mask", "[", "list_", "]"}], ":=", 
  RowBox[{"Array", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"#1", "+", "#2"}], ",", "2"}], "]"}], "&"}], ",", 
    RowBox[{"Dimensions", "[", "list", "]"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"IsingEvolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
       "0", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "1", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
       "0", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
       "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", 
       "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
       "1", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "0", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
       "1", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
       "1", ",", "1", ",", "1"}], "}"}]}], "}"}], ",", "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1",
      ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1",
      ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1",
      ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1",
      ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0",
      ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0",
      ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0",
      ",", "1", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413655174872841*^9, 3.4282479001042423`*^9, 
  3.432315806557959*^9, 3.4323163682399483`*^9, 3.500210213820389*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Problem of Satisfying Constraints", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 346 \[CenterDot] Implementation", "Subsection"], Cell[
     " (page 984)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Cost", "[", "list_", "]"}], ":=", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", 
     RowBox[{"Abs", "[", 
      RowBox[{"list", "-", 
       RowBox[{"RotateLeft", "[", "list", "]"}]}], "]"}]}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Move", "[", "list_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cost", "[", "#", "]"}], "<", 
         RowBox[{"Cost", "[", "list", "]"}]}], ",", "#", ",", "list"}], "]"}],
       "&"}], ")"}], "[", 
    RowBox[{"MapAt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "-", "#"}], "&"}], ",", "list", ",", 
      RowBox[{"Random", "[", 
       RowBox[{"Integer", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"Length", "[", "list", "]"}]}], "}"}]}], "]"}]}], "]"}], 
    "]"}]}], "\n"}], "\n", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Cost", "[", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"i", ",", "2", ",", "n"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"\[VeryThinSpace]", "n"}]], "-", "1"}]}], "}"}]}], 
  "]"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Cost", "[", "list_", "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Plus", ",", 
    RowBox[{"Abs", "[", 
     RowBox[{"list", "-", 
      RowBox[{"RotateLeft", "[", "list", "]"}]}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"Move", "[", "list_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Cost", "[", "#", "]"}], "<", 
        RowBox[{"Cost", "[", "list", "]"}]}], ",", "#", ",", "list"}], "]"}], 
     "&"}], ")"}], "[", 
   RowBox[{"MapAt", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "-", "#"}], "&"}], ",", "list", ",", 
     RowBox[{"Random", "[", 
      RowBox[{"Integer", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"Length", "[", "list", "]"}]}], "}"}]}], "]"}]}], "]"}], 
   "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"n", "=", "6"}], ",", 
     RowBox[{"l", "=", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
        "0", ",", "1", ",", "0"}], "}"}]}]}], "}"}], ",", "\n", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Cost", "[", "l", "]"}], ",", 
     RowBox[{"Nest", "[", 
      RowBox[{"Move", ",", "l", ",", "10"}], "]"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"6", ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413655174933127*^9, 3.428247919701928*^9, 
  3.4323158066531487`*^9, 3.4323163683045263`*^9, 3.5002102227004232`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Gradient descent", "Subsection"], Cell[" (page 985)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"FixedPoint", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"#", "-", 
      RowBox[{"a", " ", 
       RowBox[{
        SuperscriptBox["f", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", "#", 
        "]"}]}]}], "&"}], ",", 
    SubscriptBox["x", "0"]}], "]"}], "\n"}], "\n", 
 RowBox[{"FixedPoint", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"#", "-", 
     RowBox[{
      RowBox[{"f", "[", "#", "]"}], "/", 
      RowBox[{
       SuperscriptBox["f", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", "#", 
       "]"}]}]}], "&"}], ",", 
   SubscriptBox["x", "0"]}], "]"}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", "0.1"}], ",", 
     RowBox[{"x0", "=", "0."}], ",", "f"}], "}"}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"x", "-", "2"}], ")"}]}]}], ";", "\n", "  ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"FixedPoint", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "-", 
          RowBox[{"a", " ", 
           RowBox[{
            SuperscriptBox["f", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", 
            "#", "]"}]}]}], "&"}], ",", "x0"}], "]"}], ",", 
      RowBox[{"FixedPoint", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "-", 
          RowBox[{
           AdjustmentBox[
            RowBox[{"f", "[", "#", "]"}],
            BoxMargins->{{0, -0.111111}, {0, 0}}], "/", 
           AdjustmentBox[
            RowBox[{
             SuperscriptBox["f", 
              RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "\[Prime]"}]], "[", 
             "#", "]"}],
            BoxMargins->{{-0.222222, 0}, {0, 0}}]}]}], "&"}], ",", "x0"}], 
       "]"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.499999999999999`", ",", "1.`"}], "}"}]], "Output",
 CellChangeTimes->{3.413655175021019*^9, 3.428247940844522*^9, 
  3.432315806714489*^9, 3.432316368365945*^9, 3.500210227574526*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Discrete Voronoi diagrams", "Subsection"], Cell[
     " (page 987)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"0", "|", "1"}], ",", 
      RowBox[{"n", ":", 
       RowBox[{"(", 
        RowBox[{"0", "|", "1"}], ")"}]}], ",", 
      RowBox[{"0", "|", "1"}]}], "}"}], "\[Rule]", "n"}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"_", ",", "0", ",", "_"}], "}"}], "\[Rule]", "2"}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"_", ",", "n_", ",", "_"}], "}"}], "\[Rule]", 
    RowBox[{"n", "-", "1"}]}]}], "}"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{"#", ",", "3", ",", "1", ",", "2"}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"0", "|", "1"}], ",", 
           RowBox[{"n", ":", 
            RowBox[{"(", 
             RowBox[{"0", "|", "1"}], ")"}]}], ",", 
           RowBox[{"0", "|", "1"}]}], "}"}], "\[Rule]", "n"}], ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"_", ",", "0", ",", "_"}], "}"}], "\[Rule]", "2"}], ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"_", ",", "n_", ",", "_"}], "}"}], "\[Rule]", 
         RowBox[{"n", "-", "1"}]}]}], "}"}]}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "0", ",", "2", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "0", ",", "2", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "0", ",", "2", ",", "0", ",", "0"}], "}"}], ",", "10"}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.512996716459242*^9, 3.5129967188132668`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "2", "0", "0", "0", "0", "0", "0", "0", "2", "0", "0", "0", "0", 
     "0", "0", "2", "0", "0"},
    {"2", "1", "2", "0", "0", "0", "0", "0", "2", "1", "2", "0", "0", "0", 
     "0", "2", "1", "2", "0"},
    {"1", "0", "1", "2", "0", "0", "0", "2", "1", "0", "1", "2", "0", "0", 
     "2", "1", "0", "1", "2"},
    {"0", "0", "0", "1", "2", "0", "2", "1", "0", "0", "0", "1", "2", "2", 
     "1", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "1", "2", "1", "0", "0", "0", "0", "0", "1", "1", 
     "0", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "1", "1", 
     "0", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "1", "1", 
     "0", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "1", "1", 
     "0", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "1", "1", 
     "0", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "1", "1", 
     "0", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "1", "1", 
     "0", "0", "0", "0", "1"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.413655175072537*^9, 3.42824794969606*^9, 
  3.432315806781865*^9, 3.432316368433568*^9, 3.500210231883684*^9, 
  3.512996719601509*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Origins of Simple Behavior", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Nested lists", "Subsection"], Cell[" (page 989)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"_", ",", "_"}], "}"}], ",", 
      RowBox[{"-", "1"}]}], "]"}], "=", "0"}], ";", 
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", "_"}], "]"}], "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"m_", ",", "n_"}], "}"}], ",", "_"}], "]"}], ":=", 
    RowBox[{"0", "/;", 
     RowBox[{"n", ">", "m"}]}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"c", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m_", ",", "n_"}], "}"}], ",", "d_"}], "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}], ",", "d"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", 
      RowBox[{"m", "-", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"m", "-", "d"}], ",", 
      RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"_", ",", "_"}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "]"}], "=", "0"}], ";", 
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", "_"}], "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m_", ",", "n_"}], "}"}], ",", "_"}], "]"}], ":=", 
   RowBox[{"0", "/;", 
    RowBox[{"n", ">", "m"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"c", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m_", ",", "n_"}], "}"}], ",", "d_"}], "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"i", ",", "j"}], "}"}], ",", "d"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", 
      RowBox[{"m", "-", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"m", "-", "d"}], ",", 
      RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.432315795514332*^9, 3.4323157969598913`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Binomial", "[", 
       RowBox[{
        RowBox[{"2", "n"}], ",", "n"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"n", "+", "1"}], ")"}]}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"n", ",", "n"}], "}"}], ",", "d"}], "]"}], "-", 
        RowBox[{"c", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"n", ",", "n"}], "}"}], ",", 
          RowBox[{"d", "-", "1"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "}"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "3", ",", "1", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.41365517512884*^9, 3.4282479640491533`*^9, 
  3.4323158069475594`*^9, 3.432316368537781*^9, 3.500210238241941*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Self-organized criticality", "Subsection"], Cell[
     " (page 989)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SandStep", "[", "s_", "]"}], ":=", 
  RowBox[{"s", "+", 
   RowBox[{"ListConvolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "4"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"UnitStep", "[", 
      RowBox[{"s", "-", "4"}], "]"}], ",", "2", ",", "0"}], 
    "]"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SandStep", "[", "s_", "]"}], ":=", 
  RowBox[{"s", "+", 
   RowBox[{"ListConvolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "4"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"UnitStep", "[", 
      RowBox[{"s", "-", "4"}], "]"}], ",", "2", ",", "0"}], "]"}]}]}], "\n", 
 RowBox[{"Grid", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{"SandStep", ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "4", ",", "4", ",", "4", ",", "4", ",", "4", ",", 
        "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "4", ",", "4", ",", "4", ",", "4", ",", "4", ",", 
        "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "4", ",", "4", ",", "4", ",", "4", ",", "4", ",", 
        "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "4", ",", "4", ",", "4", ",", "4", ",", "4", ",", 
        "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "4", ",", "4", ",", "4", ",", "4", ",", "4", ",", 
        "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        "0", ",", "0"}], "}"}]}], "}"}], ",", "5"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.512996729029653*^9, 3.51299673155399*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "0", "0", "0"},
    {"0", "0", "2", "2", "2", "2", "2", "0", "0"},
    {"0", "2", "0", "3", "3", "3", "0", "2", "0"},
    {"0", "2", "3", "2", "4", "2", "3", "2", "0"},
    {"0", "2", "3", "4", "0", "4", "3", "2", "0"},
    {"0", "2", "3", "2", "4", "2", "3", "2", "0"},
    {"0", "2", "0", "3", "3", "3", "0", "2", "0"},
    {"0", "0", "2", "2", "2", "2", "2", "0", "0"},
    {"0", "0", "0", "0", "0", "0", "0", "0", "0"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.413655175171178*^9, 3.428247977501357*^9, 
  3.432315806999058*^9, 3.432316368578966*^9, 3.500210243601244*^9, 
  3.512996733536488*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SandStep", "[", "s_", "]"}], ":=", 
  RowBox[{"s", "+", 
   RowBox[{"ListConvolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "2"}], ",", "1"}], "}"}], ",", 
     RowBox[{"UnitStep", "[", 
      RowBox[{"s", "-", "2"}], "]"}], ",", "2", ",", "0"}], 
    "]"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SandStep", "[", "s_", "]"}], ":=", 
  RowBox[{"s", "+", 
   RowBox[{"ListConvolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "2"}], ",", "1"}], "}"}], ",", 
     RowBox[{"UnitStep", "[", 
      RowBox[{"s", "-", "2"}], "]"}], ",", "2", ",", "0"}], "]"}]}]}], "\n", 
 RowBox[{"Nest", "[", 
  RowBox[{"SandStep", ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "4", ",", "4", ",", "4", ",", "4", ",", "4", ",", "0",
      ",", "0"}], "}"}], ",", "5"}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2", ",", "0", ",", "3", ",", "3", ",", "4", ",", "3", ",", "3", ",", "0", 
   ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.4136551752196836`*^9, 3.4282479917704697`*^9, 
  3.4323158070459538`*^9, 3.432316368629655*^9, 3.500210247772427*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{703, 847},
WindowMargins->{{-1, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
CellContext->CellGroup,
Magnification->1.,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions for NKS Webcode", "Subtitle"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 12], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{8, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 8], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, 
          CellLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 5, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, CellFrameLabelMargins -> 
          6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{36, 6}, {20, 3}}, 
             CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", CounterIncrements -> "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             36], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 40}}, LineSpacing -> {1, 0}, 
             FontSize -> 44], 
            Cell[
             StyleData["Title", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], 
             CellMargins -> {{2, 10}, {12, 30}}, FontSize -> 24]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleHeader"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, 
             CellMargins -> {{36, Inherited}, {3, 25}}, 
             CellGroupingRules -> {"TitleGrouping", 20}, PageBreakBelow -> 
             False, CellFrameMargins -> {{8, 8}, {4, 8}}, 
             DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", FontSize -> 14], 
            Cell[
             StyleData["TitleHeader", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["TitleHeader", "Condensed"], 
             CellMargins -> {{8, 10}, {8, 8}}, FontSize -> 12], 
            Cell[
             StyleData["TitleHeader", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], 
             CellMargins -> {{12, Inherited}, {20, 15}}, 
             CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 24], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 36], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 4}}, FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 18]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, ShowGroupOpener -> True, 
             CellMargins -> {{36, 3}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, 
             CellFrameMargins -> {{Inherited, Inherited}, {4, Inherited}}, 
             CellFrameColor -> GrayLevel[0.6], DefaultNewInlineCellStyle -> 
             "None", InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 18], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellMargins -> {{40, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{18, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{13, 0}, {7, 22}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], ShowCellBracket -> False, 
             ShowGroupOpener -> True, CellMargins -> {{50, 6}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 14, FontWeight -> "Bold", 
             GridBoxOptions -> {
              GridBoxAlignment -> {
                "Columns" -> {Left, {Right}}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {"Columns" -> {
                   Scaled[0.8], {
                    Scaled[0.2]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{36, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{16, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 22}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellFrame -> 2, ShowCellBracket -> 
             False, ShowGroupOpener -> True, 
             CellMargins -> {{70, 2}, {8, 18}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> False, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[1, 0.730007, 0.360006], 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Subsubsection", FontWeight -> "Bold", 
             Background -> RGBColor[1, 0.970001, 0.840009]], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {11, 26}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{17, Inherited}, {6, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 14}}, FontSize -> 11]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell1"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {20, 0}}, 
             CellFrameMargins -> {{-1, 0}, {-1, -1}}, Hyphenation -> True, 
             StyleMenuListing -> None, FontSize -> 2, Magnification -> 1, 
             Background -> GrayLevel[0.2]], 
            Cell[
             StyleData["TitleCell1", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell1", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell1", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell2"], ShowCellBracket -> False, 
             CellMargins -> {{12, 10}, {-3, 7}}, Hyphenation -> True, 
             StyleMenuListing -> None, Background -> GrayLevel[0.98999]], 
            Cell[
             StyleData["TitleCell2", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell2", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell2", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{80, 10}, {7, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             Hyphenation -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
             "Text"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {6, 6}},
              LineSpacing -> {1, 1}, FontSize -> 11], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {6, 6}}, 
             DefaultNewInlineCellStyle -> "None", Hyphenation -> True, 
             LineSpacing -> {1, 3}, LanguageCategory -> "NaturalLanguage", 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{24, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             FontSize -> 12], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {5, 5}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{2, 2}, {5, 5}}, TextJustification -> 0.5, 
             FontSize -> 7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names. Some attributes for these styles are actually set in FormatType Styles \
(in the last section of this stylesheet). ", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellMargins -> {{80, 10}, {5, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> True, CellGroupingRules -> "InputGrouping", 
             CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, DefaultFormatType -> 
             DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{72, Inherited}, {8, 10}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, 10}, {2, 3}}, FontSize -> 11], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}},
              LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
           Closed]], 
         Cell[
          StyleData["InputOnly"], Evaluatable -> True, CellGroupingRules -> 
          "InputGrouping", CellHorizontalScrolling -> True, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", StyleMenuListing -> None, FontWeight -> 
          "Bold"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], CellMargins -> {{80, 10}, {7, 5}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping",
              CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, DefaultFormatType -> 
             DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Output"], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{72, Inherited}, {10, 8}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{41, Inherited}, {3, 2}}, FontSize -> 11], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{39, 0}, {6, 4}}, FontSize -> 9]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontSize -> 11, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 7, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, LanguageCategory -> 
             None, FormatType -> InputForm, CounterIncrements -> "Graphics", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             StyleMenuListing -> None, FontFamily -> "Courier", FontSize -> 
             10], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             ImageMargins -> {{62, Inherited}, {Inherited, 0}}], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             ImageMargins -> {{38, Inherited}, {Inherited, 0}}, Magnification -> 
             0.6], 
            Cell[
             StyleData["Graphics", "Printout"], 
             ImageMargins -> {{30, Inherited}, {Inherited, 0}}, Magnification -> 
             0.8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["CellLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["FrameLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9], 
            Cell[
             StyleData["FrameLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["FrameLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["FrameLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["SO10", "EnhancedPrintout"], StyleMenuListing -> None, 
             FontFamily -> "Futura", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 10, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Times", FontSize -> 10]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Placeholder Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making placeholder objects \
in palette templates.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Placeholder"], Placeholder -> True, StyleMenuListing -> 
             None, FontSlant -> "Italic", FontColor -> 
             RGBColor[0.890623, 0.864698, 0.384756], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["Placeholder", "Presentation"]], 
            Cell[
             StyleData["Placeholder", "Condensed"]], 
            Cell[
             StyleData["Placeholder", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["PrimaryPlaceholder"], StyleMenuListing -> None, 
             DrawHighlighted -> True, FontSlant -> "Italic", Background -> 
             RGBColor[0.912505, 0.891798, 0.507774], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["PrimaryPlaceholder", "Presentation"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Condensed"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Printout"]]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["FormatType Styles", "Section"], 
         Cell[
         "The cells below define styles that are mixed in with the styles of \
most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options. This is particularly true of Input and Output.", "Text"], 
         Cell[
          StyleData["CellExpression"], PageWidth -> Infinity, 
          CellMargins -> {{6, Inherited}, {Inherited, Inherited}}, 
          ShowCellLabel -> False, ShowSpecialCharacters -> False, 
          AllowInlineCells -> False, Hyphenation -> False, 
          AutoItalicWords -> {}, StyleMenuListing -> None, FontFamily -> 
          "Courier", FontSize -> 12, Background -> GrayLevel[1]], 
         Cell[
          StyleData["InputForm"], InputAutoReplacements -> {}, 
          AllowInlineCells -> False, Hyphenation -> False, StyleMenuListing -> 
          None, FontFamily -> "Courier"], 
         Cell[
          StyleData["OutputForm"], PageWidth -> Infinity, TextAlignment -> 
          Left, LineSpacing -> {0.6, 1}, StyleMenuListing -> None, FontFamily -> 
          "Courier"], 
         Cell[
          StyleData["StandardForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          StyleMenuListing -> None, FontFamily -> "Courier"], 
         Cell[
          StyleData["TraditionalForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          SingleLetterItalics -> True, TraditionalFunctionNotation -> True, 
          DelimiterMatching -> None, StyleMenuListing -> None], 
         Cell[
         "The style defined below is mixed in to any cell that is in an \
inline cell within another.", "Text"], 
         Cell[
          StyleData["InlineCell"], LanguageCategory -> "Formula", ScriptLevel -> 
          1, StyleMenuListing -> None], 
         Cell[
          StyleData["InlineCellEditing"], StyleMenuListing -> None, 
          Background -> RGBColor[1, 0.749996, 0.8]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Automatic Styles", "Section"], 
         Cell[
         "The cells below define styles that are used to affect the display \
of certain types of objects in typeset expressions.  For example, \
\"UnmatchedBracket\" style defines how unmatched bracket, curly bracket, and \
parenthesis characters are displayed (typically by coloring them to make them \
stand out).", "Text"], 
         Cell[
          StyleData["UnmatchedBracket"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.760006, 0.330007, 0.8]]}, Closed]]}, Open]]}, Visible -> 
  False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 1845, 38, 25, "TitleCell1"],
Cell[3083, 70, 234, 7, 24, "Text"],
Cell[3320, 79, 42, 0, 46, "TitleHeader"],
Cell[CellGroupData[{
Cell[3387, 83, 50, 0, 59, "Title"],
Cell[CellGroupData[{
Cell[3462, 87, 70, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[3557, 91, 160, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[3742, 99, 869, 26, 65, "Subsubsection"],
Cell[CellGroupData[{
Cell[4636, 129, 1764, 48, 121, "Input"],
Cell[6403, 179, 395, 11, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6835, 195, 212, 6, 24, "Input"],
Cell[7050, 203, 22283, 373, 223, 13311, 224, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[29406, 584, 57, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[29488, 588, 163, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[29676, 596, 341, 10, 58, "Subsubsection"],
Cell[30020, 608, 333, 10, 40, "Input"],
Cell[CellGroupData[{
Cell[30378, 622, 144, 4, 24, "Input"],
Cell[30525, 628, 278, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[30864, 641, 145, 3, 46, "Subsection"],
Cell[31012, 646, 700, 22, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[31737, 672, 805, 25, 60, "Subsubsection"],
Cell[32545, 699, 440, 13, 24, "Input"],
Cell[CellGroupData[{
Cell[33010, 716, 550, 18, 40, "Input"],
Cell[33563, 736, 2424, 47, 160, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[36036, 789, 345, 10, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[36406, 803, 504, 17, 30, "Input"],
Cell[36913, 822, 279, 6, 27, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[37241, 834, 443, 13, 44, "Subsubsection"],
Cell[37687, 849, 435, 13, 40, "Input"],
Cell[CellGroupData[{
Cell[38147, 866, 748, 25, 55, "Input"],
Cell[38898, 893, 2422, 47, 160, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[41369, 946, 483, 13, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[41877, 963, 1127, 34, 90, "Input"],
Cell[43007, 999, 791, 13, 55, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[43847, 1018, 423, 13, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[44295, 1035, 586, 18, 70, "Input"],
Cell[44884, 1055, 200, 3, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[45133, 1064, 199, 6, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[45357, 1074, 406, 14, 30, "Input"],
Cell[45766, 1090, 186, 3, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[46013, 1100, 142, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[46180, 1107, 696, 20, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[46901, 1131, 1408, 40, 85, "Input"],
Cell[48312, 1173, 1150, 17, 70, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[49523, 1197, 174, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[49722, 1206, 549, 18, 64, "Subsubsection"],
Cell[50274, 1226, 767, 24, 46, "Input"],
Cell[CellGroupData[{
Cell[51066, 1254, 601, 17, 55, "Input"],
Cell[51670, 1273, 1363, 24, 214, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[53106, 1305, 47, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[53178, 1309, 142, 3, 46, "Subsection"],
Cell[53323, 1314, 534, 18, 64, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53894, 1337, 136, 3, 46, "Subsection"],
Cell[54033, 1342, 580, 19, 64, "Subsubsection"],
Cell[54616, 1363, 383, 13, 44, "Subsubsection"],
Cell[55002, 1378, 372, 11, 50, "Subsubsection"],
Cell[55377, 1391, 362, 12, 50, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55776, 1408, 161, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[55962, 1416, 269, 9, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[56256, 1429, 382, 13, 24, "Input"],
Cell[56641, 1444, 496, 14, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[57186, 1464, 308, 9, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[57519, 1477, 421, 13, 40, "Input"],
Cell[57943, 1492, 403, 9, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[58395, 1507, 689, 21, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[59109, 1532, 878, 27, 70, "Input"],
Cell[59990, 1561, 1136, 40, 40, "Output"]
}, Open  ]]
}, Closed]],
Cell[61153, 1605, 689, 22, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[61867, 1631, 922, 29, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[62814, 1664, 1505, 43, 55, "Input"],
Cell[64322, 1709, 1219, 43, 40, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[65590, 1758, 389, 10, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[66004, 1772, 1355, 40, 55, "Input"],
Cell[67362, 1814, 332, 9, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[67755, 1830, 135, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[67915, 1837, 1449, 48, 134, "Subsubsection"],
Cell[69367, 1887, 1457, 46, 70, "Input"],
Cell[CellGroupData[{
Cell[70849, 1937, 61, 1, 24, "Input"],
Cell[70913, 1940, 1138, 36, 40, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[72100, 1982, 1175, 34, 90, "Subsubsection"],
Cell[73278, 2018, 1167, 34, 85, "Input"],
Cell[CellGroupData[{
Cell[74470, 2056, 694, 21, 55, "Input"],
Cell[75167, 2079, 662, 16, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[75890, 2102, 129, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[76044, 2109, 436, 14, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[76505, 2127, 1253, 37, 85, "Input"],
Cell[77761, 2166, 1223, 41, 78, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[79033, 2213, 1090, 35, 90, "Subsubsection"],
Cell[CellGroupData[{
Cell[80148, 2252, 1678, 51, 70, "Input"],
Cell[81829, 2305, 1229, 41, 81, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[83131, 2354, 42, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[83198, 2358, 163, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[83386, 2366, 472, 14, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[83883, 2384, 1124, 33, 85, "Input"],
Cell[85010, 2419, 1422, 34, 100, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[86493, 2460, 136, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[86654, 2467, 705, 21, 74, "Subsubsection"],
Cell[87362, 2490, 882, 27, 55, "Input"],
Cell[CellGroupData[{
Cell[88269, 2521, 802, 25, 40, "Input"],
Cell[89074, 2548, 207, 4, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[89308, 2556, 437, 13, 51, "Subsubsection"],
Cell[89748, 2571, 1094, 30, 70, "Subsubsection"],
Cell[CellGroupData[{
Cell[90867, 2605, 1657, 50, 150, "Subsubsection"],
Cell[92527, 2657, 1574, 48, 115, "Input"],
Cell[CellGroupData[{
Cell[94126, 2709, 1696, 44, 100, "Input"],
Cell[95825, 2755, 1690, 44, 85, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[97588, 2807, 56, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[97669, 2811, 163, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[97857, 2819, 1271, 42, 138, "Subsubsection"],
Cell[99131, 2863, 867, 28, 55, "Input"],
Cell[CellGroupData[{
Cell[100023, 2895, 497, 15, 40, "Input"],
Cell[100523, 2912, 352, 8, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[100936, 2927, 137, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[101098, 2934, 674, 22, 89, "Subsubsection"],
Cell[CellGroupData[{
Cell[101797, 2960, 1288, 40, 55, "Input"],
Cell[103088, 3002, 225, 4, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[103374, 3013, 152, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[103551, 3021, 527, 17, 60, "Subsubsection"],
Cell[CellGroupData[{
Cell[104103, 3042, 1152, 31, 87, "Input"],
Cell[105258, 3075, 1490, 30, 186, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[106821, 3113, 45, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[106891, 3117, 133, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[107049, 3124, 1150, 41, 119, "Subsubsection"],
Cell[108202, 3167, 1116, 38, 40, "Input"],
Cell[CellGroupData[{
Cell[109343, 3209, 795, 27, 40, "Input"],
Cell[110141, 3238, 291, 7, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[110493, 3252, 153, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[110671, 3260, 561, 17, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[111257, 3281, 2334, 58, 190, "Input"],
Cell[113594, 3341, 773, 17, 154, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[114416, 3364, 358, 11, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[114799, 3379, 558, 16, 55, "Input"],
Cell[115360, 3397, 289, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature hv0A7r58v@4jYBwLFncMr645 *)
