(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[    277095,       8728]
NotebookOptionsPosition[    221722,       7294]
NotebookOutlinePosition[    258868,       8078]
CellTagsIndexPosition[    258825,       8075]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {
    ButtonBox[Cell[GraphicsData["CompressedBitmap", "\<\
eJzVWL1uFDEQduzd2/wgISEkRHco0NGlAN0DAAXcC1CdIqSkQKAkokjDC9Aj
UoBESUt5LW9AR5UHiQ782fPtzXq9l70lKKLwrj3jmfHOfPaM98Xs5ODV69nJ
4f5s/PRo9vbgcP94/OTNkSe5DWPML9/ujA36v31XHlPz6ebuB7O3t2fMuv0t
9M3I/Dh5H3ps3x4/M9+fv6zCoAzsxcVF3TAuA8+Znx+/BBpGhdAwBj2O2rRR
eFYwUctTL8eFzNRyaMJ3YjBh2/BdpTk9PTXn5+dmsViY+XxuptOpnwzeKPRB
Aw8N8zzNBbYzZ2dngYwRRbQ6vEVlISIgQwwjm6EVmVXhDX5PE2CDhcWXPdSl
HynqSmHr1aHJR7vM4scRKpsSR8QMTv/64JH/1jYGSoktaXjruOJd/AV2iDtA
lLixsBCm9ULNTouNL4TH6Cl6Fv3okyrwQaOnMYdzc9hxSeQw12Jkg4oYIvof
TZyei4GTsFE/7WLslV1iqmqZ4rfobXGJbroHYjYwXQ0+rWYossoGQkCJCAMl
oo7BsgkCMN8liAIvpQ1BGWU/330Y59neKOs8m3Qw6HS6B85nYBj0NHgiExxu
dYgmk0mIHN45f+eOJpuENwY2HlqJ4U5bW5062sjTH6htc7cNh1Glkgo9z4OK
fYseMcCsVsfWP9FnJroK/OTm0e6Sti6SdIDUts05p1pxMulUU4RnTEM9DyWb
qAYUqk7VrqE6XVYq2zz4cssfDpHtRkQ1VBAZwse/04D9f0CxAhQmBsldubql
Eyhh2xeyqcFhHFcdJ71w0ql581rQMZKAEAEsivG2UpPiMFGoYaSuOxW1Kxpt
ncmUH2WX0HB1yo+5aVgWUiIIFVXrmpX5QJvTVdcyZ6yXR7rsXX1O2mmtnfU1
9Wlb9zSmqkbgdThAt8l2B/7cwCraJRimHGBga9CIEI87oo5CmZI6FYtT4p7Q
6/J2FLrK2oVSTDagMLSg1oW6ldk6NHJqgVQ2FKelas+Kt8vO9npqVhbOYbmR
W9Wz0dK1C67KJGTLNBQxw22PxlS1xEz/Gz3xpG/pTdyW9biNzT43/Corj/2h
z93kBwXzGiEku463W15+9eV4jRs+g+nPlrQcZSgkNCOBed+LvdJ8o4foykt8
1VoUf3SAFm9+rpECJc/tSGSZy9Bu9UxQ9/GUn0fjfy1zO+4M76F3w6Xj7Qpp
gm44vkxZs4zy22d3zdUUDcz7/m7GBdwaOseThreW6fMvz2z8AbMc9mc=\
\>"], "Graphics",
      Evaluatable->False,
      GeneratedCell->False,
      CellAutoOverwrite->False,
      ImageSize->{218, 23},
      ImageMargins->{{0, 0}, {0, 0}},
      ImageRegion->{{0, 1}, {0, 1}}],
     Active->True,
     Appearance->{Automatic, None},
     BaseStyle->"Hyperlink",
     ButtonData:>{
       URL["http://www.wolframscience.com"], None},
     ButtonNote->"A New Kind of Science"]}
  }]], "TitleCell1",
 CellMargins->{{Inherited, Inherited}, {0, Inherited}}],

Cell[TextData[{
 "From: ",
 StyleBox["A New Kind of Science",
  FontSlant->"Italic"],
 ", by Stephen Wolfram \[Copyright] 2002 Stephen Wolfram, LLC"
}], "Text",
 ShowCellBracket->False,
 CellMargins->{{36, Inherited}, {Inherited, 5}}],

Cell["NOTES FOR CHAPTER 10", "TitleHeader"],

Cell[CellGroupData[{

Cell["Processes of Perception and Analysis", "Title"],

Cell[CellGroupData[{

Cell["Data Compression", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 560 \[CenterDot] Number representations\
\>", "Subsection"], Cell[" (page 1070)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{"0", ",", 
   RowBox[{"{", "n", "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"n", ",", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "n", "}"}]}], "]"}]}], "]"}], ",", "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413731813055848*^9, 3.428252920306747*^9, 
  3.432321906556644*^9, 3.500210583860593*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"IntegerDigits", "[", 
  RowBox[{"n", ",", "2"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"n", ",", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"n", ",", "2"}], "]"}]}], "]"}], ",", "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731813177175*^9, 3.428252975412163*^9, 
  3.432321906685027*^9, 3.500210587647037*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sign", "[", 
        RowBox[{"-", 
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"1", "-", 
            RowBox[{"Length", "[", "#", "]"}]}], ",", "0"}], "]"}]}], "]"}], 
       ",", "#"}], "}"}], "]"}], "&"}], ")"}], "[", 
  RowBox[{"Map", "[", 
   RowBox[{"Rest", ",", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{
      RowBox[{"Rest", "[", 
       RowBox[{"Reverse", "[", 
        RowBox[{"NestWhileList", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Floor", "[", 
            RowBox[{"Log", "[", 
             RowBox[{"2", ",", "#"}], "]"}], "]"}], "&"}], ",", 
          RowBox[{"n", "+", "1"}], ",", 
          RowBox[{
           RowBox[{"#", ">", "1"}], "&"}]}], "]"}], "]"}], "]"}], ",", "2"}], 
     "]"}]}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"n", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sign", "[", 
            RowBox[{"-", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"1", "-", 
                RowBox[{"Length", "[", "#", "]"}]}], ",", "0"}], "]"}]}], 
            "]"}], ",", "#"}], "}"}], "]"}], "&"}], ")"}], "[", 
      RowBox[{"Map", "[", 
       RowBox[{"Rest", ",", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{"Rest", "[", 
           RowBox[{"Reverse", "[", 
            RowBox[{"NestWhileList", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Floor", "[", 
                RowBox[{"Log", "[", 
                 RowBox[{"2", ",", "#"}], "]"}], "]"}], "&"}], ",", 
              RowBox[{"n", "+", "1"}], ",", 
              RowBox[{
               RowBox[{"#", ">", "1"}], "&"}]}], "]"}], "]"}], "]"}], ",", 
          "2"}], "]"}]}], "]"}], "]"}]}], "]"}], ",", "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137318132421923`*^9, 3.428252983881064*^9, 
  3.4323219067471113`*^9, 3.5002105917199507`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"Append", "[", 
     RowBox[{
      RowBox[{"2", "-", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"w", "=", 
           RowBox[{"Floor", "[", 
            RowBox[{"Log", "[", 
             RowBox[{"3", ",", 
              RowBox[{"2", " ", "n"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"IntegerDigits", "[", 
          RowBox[{
           RowBox[{"n", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["3", 
                RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                 RowBox[{"w", "+", "1"}]}]], "-", "1"}], ")"}], "/", "2"}]}], 
           ",", "3", ",", "w"}], "]"}]}], "]"}]}], ",", "3"}], "]"}], ",", 
    "2", ",", "2"}], "]"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"n", ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{
        RowBox[{"Append", "[", 
         RowBox[{
          RowBox[{"2", "-", 
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"w", "=", 
               RowBox[{"Floor", "[", 
                RowBox[{"Log", "[", 
                 RowBox[{"3", ",", 
                  RowBox[{"2", " ", "n"}]}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"IntegerDigits", "[", 
              RowBox[{
               RowBox[{"n", "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox["3", 
                    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                    RowBox[{"w", "+", "1"}]}]], "-", "1"}], ")"}], "/", 
                 "2"}]}], ",", "3", ",", "w"}], "]"}]}], "]"}]}], ",", "3"}], 
         "]"}], ",", "2", ",", "2"}], "]"}], "]"}]}], "]"}], ",", "5"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.428252994054804*^9, 3.4282529949007263`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413731813303454*^9, 3.428252995265513*^9, 
  3.432321906838398*^9, 3.500210597897312*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{"Take", ",", 
   RowBox[{"RealDigits", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"N", "[", 
         RowBox[{"#", ",", 
          RowBox[{"N", "[", 
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"10", ",", "#"}], "]"}], "+", "3"}], "]"}]}], "]"}], 
        "&"}], ")"}], "[", 
      RowBox[{
       RowBox[{
        RowBox[{"n", " ", 
         SqrtBox["5"]}], "/", 
        SuperscriptBox["GoldenRatio", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
       RowBox[{"1", "/", "2"}]}], "]"}], ",", "GoldenRatio"}], "]"}]}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"Function", "[", 
    RowBox[{"n", ",", 
     RowBox[{"Apply", "[", 
      RowBox[{"Take", ",", 
       RowBox[{"RealDigits", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"N", "[", 
             RowBox[{"#", ",", 
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"10", ",", "#"}], "]"}], "+", "3"}], "]"}]}], "]"}], 
            "&"}], ")"}], "[", 
          RowBox[{
           RowBox[{
            RowBox[{"n", " ", 
             SqrtBox["5"]}], "/", 
            SuperscriptBox["GoldenRatio", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], "+", 
           RowBox[{"1", "/", "2"}]}], "]"}], ",", "GoldenRatio"}], "]"}]}], 
      "]"}]}], "]"}], ",", "5"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731813356061*^9, 3.4282530078539877`*^9, 
  3.432321906892374*^9, 3.500210608297155*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Apply", "[", 
  RowBox[{"Join", ",", 
   RowBox[{"Map", "[", 
    RowBox[{"Last", ",", 
     RowBox[{"NestList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}],
           ",", 
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"Map", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Join", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}], ",", 
                 RowBox[{"Rest", "[", "#", "]"}]}], "]"}], "&"}], ",", 
              RowBox[{
              "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
             "]"}], ",", 
            RowBox[{"Map", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Join", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"1", ",", "0"}], "}"}], ",", "#"}], "]"}], "&"}], 
              ",", 
              RowBox[{
              "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "]"}]}], "]"}]}], "}"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"{", "1", "}"}], "}"}]}], "}"}], ",", 
       RowBox[{"n", "-", "3"}]}], "]"}]}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "6"}], "}"}], ",", 
   RowBox[{"Apply", "[", 
    RowBox[{"Join", ",", 
     RowBox[{"Map", "[", 
      RowBox[{"Last", ",", 
       RowBox[{"NestList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], ",", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Join", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                   RowBox[{"Rest", "[", "#", "]"}]}], "]"}], "&"}], ",", 
                RowBox[{
                "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
                "]"}], ",", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Join", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", "#"}], "]"}], "&"}], 
                ",", 
                RowBox[{
                "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}],
                "]"}]}], "]"}]}], "}"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"{", "1", "}"}], "}"}]}], "}"}], ",", 
         RowBox[{"n", "-", "3"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731813424088*^9, 3.4282530220771017`*^9, 
  3.4323219069479637`*^9, 3.500210611685445*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Rest", "[", 
     RowBox[{"RotateLeft", "[", 
      RowBox[{"Join", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "]"}], "]"}], "&"}], ",", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", "=", "6"}], "}"}], ",", 
     RowBox[{"Apply", "[", 
      RowBox[{"Join", ",", 
       RowBox[{"Map", "[", 
        RowBox[{"Last", ",", 
         RowBox[{"NestList", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
              "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
              ",", 
              RowBox[{"Join", "[", 
               RowBox[{
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"Rest", "[", "#", "]"}]}], "]"}], "&"}], ",", 
                  RowBox[{
                  "#", "\[LeftDoubleBracket]", "2", 
                   "\[RightDoubleBracket]"}]}], "]"}], ",", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", "#"}], "]"}], "&"}], 
                  ",", 
                  RowBox[{
                  "#", "\[LeftDoubleBracket]", "1", 
                   "\[RightDoubleBracket]"}]}], "]"}]}], "]"}]}], "}"}], 
            "&"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"{", "1", "}"}], "}"}]}], "}"}], ",", 
           RowBox[{"n", "-", "3"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "1"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413731813490027*^9, 3.428253024997061*^9, 
  3.4323219070155363`*^9, 3.500210613872046*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 563 \[CenterDot] Huffman coding", "Subsection"], Cell[
     " (page 1071)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Drop", "[", 
       RowBox[{
        RowBox[{"Last", "[", "#", "]"}], ",", 
        RowBox[{"-", "1"}]}], "]"}], "&"}], ",", 
     RowBox[{"Sort", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"MapIndexed", "[", 
        RowBox[{"Rule", ",", 
         RowBox[{
          RowBox[{"FixedPoint", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Replace", "[", 
              RowBox[{
               RowBox[{"Sort", "[", "#", "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"p0_", ",", "i0_"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"p1_", ",", "i1_"}], "}"}], ",", "pi___"}], "}"}], 
                "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"p0", "+", "p1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i0", ",", "i1"}], "}"}]}], "}"}], ",", "pi"}], 
                 "}"}]}]}], "]"}], "&"}], ",", 
            RowBox[{"MapIndexed", "[", 
             RowBox[{"List", ",", "p"}], "]"}]}], "]"}], 
          "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"{", 
          RowBox[{"-", "1"}], "}"}]}], "]"}], "]"}], "]"}]}], "]"}], "-", 
   "1"}], "\n"}], "\n", 
 RowBox[{"First", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "d"}], "}"}], "//.", "\[InvisibleSpace]", 
   RowBox[{"MapIndexed", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "r___", "}"}], ",", 
         RowBox[{"Flatten", "[", 
          RowBox[{"{", 
           RowBox[{"#1", ",", "s___"}], "}"}], "]"}]}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"r", ",", 
           RowBox[{
           "#2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
          "}"}], ",", 
         RowBox[{"{", "s", "}"}]}], "}"}]}], "&"}], ",", "c"}], "]"}]}], 
  "]"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CodeWords", "[", "p_List", "]"}], ":=", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Drop", "[", 
       RowBox[{
        RowBox[{"Last", "[", "#", "]"}], ",", 
        RowBox[{"-", "1"}]}], "]"}], "&"}], ",", 
     RowBox[{"Sort", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"MapIndexed", "[", 
        RowBox[{"Rule", ",", 
         RowBox[{
          RowBox[{"FixedPoint", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Replace", "[", 
              RowBox[{
               RowBox[{"Sort", "[", "#", "]"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"p0_", ",", "i0_"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"p1_", ",", "i1_"}], "}"}], ",", "pi___"}], "}"}], 
                "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"p0", "+", "p1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i0", ",", "i1"}], "}"}]}], "}"}], ",", "pi"}], 
                 "}"}]}]}], "]"}], "&"}], ",", 
            RowBox[{"MapIndexed", "[", 
             RowBox[{"List", ",", "p"}], "]"}]}], "]"}], 
          "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
         RowBox[{"{", 
          RowBox[{"-", "1"}], "}"}]}], "]"}], "]"}], "]"}]}], "]"}], "-", 
   "1"}]}], "\n", 
 RowBox[{
  RowBox[{"Frequencies", "[", "d_", "]"}], ":=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Count", "[", 
       RowBox[{"d", ",", "#"}], "]"}], "/", 
      RowBox[{"Length", "[", "d", "]"}]}], "&"}], ",", 
    RowBox[{"Union", "[", "d", "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"HuffmanEncode", "[", "d_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"chars", "=", 
       RowBox[{"Union", "[", "d", "]"}]}], ",", 
      RowBox[{"code", "=", 
       RowBox[{"CodeWords", "[", 
        RowBox[{"Frequencies", "[", "d", "]"}], "]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"chars", ",", "code", ",", 
      RowBox[{"Flatten", "[", 
       RowBox[{"d", "/.", 
        RowBox[{"MapThread", "[", 
         RowBox[{"Rule", ",", 
          RowBox[{"{", 
           RowBox[{"chars", ",", "code"}], "}"}]}], "]"}]}], "]"}]}], "}"}]}],
    "]"}]}], "\n", 
 RowBox[{
  RowBox[{"HuffmanDecode", "[", 
   RowBox[{"{", 
    RowBox[{"chars_", ",", "c_", ",", "d_"}], "}"}], "]"}], ":=", 
  RowBox[{"chars", "[", 
   RowBox[{"[", 
    RowBox[{"First", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "}"}], ",", "d"}], "}"}], "//.", "\[InvisibleSpace]", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", "r___", "}"}], ",", 
            RowBox[{"Flatten", "[", 
             RowBox[{"{", 
              RowBox[{"#1", ",", "s___"}], "}"}], "]"}]}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"r", ",", 
              RowBox[{
              "#2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
             "}"}], ",", 
            RowBox[{"{", "s", "}"}]}], "}"}]}], "&"}], ",", "c"}], "]"}]}], 
     "]"}], "]"}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Frequencies", "[", 
  RowBox[{"{", 
   RowBox[{
   "a", ",", "b", ",", "b", ",", "c", ",", "a", ",", "a", ",", "b", ",", "a", 
    ",", "a", ",", "c", ",", "a", ",", "a", ",", "a", ",", "c", ",", "d"}], 
   "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["8", "15"], ",", 
   FractionBox["1", "5"], ",", 
   FractionBox["1", "5"], ",", 
   FractionBox["1", "15"]}], "}"}]], "Output",
 CellChangeTimes->{3.413731813576027*^9, 3.428253046674933*^9, 
  3.432321907122036*^9, 3.50021062081548*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CodeWords", "[", 
  RowBox[{"{", 
   RowBox[{
    FractionBox["8", "15"], ",", 
    FractionBox["1", "5"], ",", 
    FractionBox["1", "5"], ",", 
    FractionBox["1", "15"]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4137318136412697`*^9, 3.428253048504561*^9, 
  3.432321907177568*^9, 3.5002106223734293`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HuffmanEncode", "[", 
  RowBox[{"{", 
   RowBox[{
   "a", ",", "b", ",", "b", ",", "c", ",", "a", ",", "a", ",", "b", ",", "a", 
    ",", "a", ",", "c", ",", "a", ",", "a", ",", "a", ",", "c", ",", "d"}], 
   "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0",
      ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", 
     ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", 
     ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4137318136920347`*^9, 3.428253050331107*^9, 
  3.43232190722789*^9, 3.500210624087535*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HuffmanDecode", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
      "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
      "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
      "0", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}]}], "}"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "a", ",", "b", ",", "b", ",", "c", ",", "a", ",", "a", ",", "b", ",", "a", 
   ",", "a", ",", "c", ",", "a", ",", "a", ",", "a", ",", "c", ",", "d"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137318137581577`*^9, 3.4282530525954733`*^9, 
  3.4323219072781353`*^9, 3.500210625557246*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Arithmetic coding", "Subsection"], Cell[" (page 1071)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"c", ",", 
     RowBox[{"m", "=", "0"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"c", "[", "#1", "]"}], "=", 
         RowBox[{"{", 
          RowBox[{"m", ",", 
           RowBox[{"m", "+=", 
            RowBox[{
             RowBox[{"Count", "[", 
              RowBox[{"s", ",", "#1"}], "]"}], "/", 
             RowBox[{"Length", "[", "s", "]"}]}]}]}], "}"}]}], ")"}], "&"}], 
      ",", 
      RowBox[{"Union", "[", "s", "]"}]}], "]"}], ";", 
    RowBox[{
     RowBox[{"Function", "[", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"First", "[", 
           RowBox[{"RealDigits", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"2", "^", "#1"}], 
              RowBox[{"Ceiling", "[", 
               RowBox[{
                RowBox[{"Min", "[", "x", "]"}], "/", 
                RowBox[{"2", "^", "#1"}]}], "]"}]}], ",", "2", ",", 
             RowBox[{"-", "#1"}], ",", 
             RowBox[{"-", "1"}]}], "]"}], "]"}], "&"}], ")"}], "[", 
        RowBox[{"Floor", "[", 
         RowBox[{"Log", "[", 
          RowBox[{"2", ",", 
           RowBox[{
            RowBox[{"Max", "[", "x", "]"}], "-", 
            RowBox[{"Min", "[", "x", "]"}]}]}], "]"}], "]"}], "]"}]}], "]"}], 
     "[", 
     RowBox[{"Fold", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Max", "[", "#1", "]"}], "-", 
            RowBox[{"Min", "[", "#1", "]"}]}], ")"}], " ", 
          RowBox[{"c", "[", "#2", "]"}]}], "+", 
         RowBox[{"Min", "[", "#1", "]"}]}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", "s"}], "]"}], "]"}]}]}], 
  "]"}]], "Subsubsection",
 CellChangeTimes->{3.51300394701962*^9, 3.513004010864109*^9, 
  3.520261858442137*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"s", "=", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
       "1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"m", "=", "0"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"c", "[", "#1", "]"}], "=", 
           RowBox[{"{", 
            RowBox[{"m", ",", 
             RowBox[{"m", "+=", 
              RowBox[{
               RowBox[{"Count", "[", 
                RowBox[{"s", ",", "#1"}], "]"}], "/", 
               RowBox[{"Length", "[", "s", "]"}]}]}]}], "}"}]}], ")"}], "&"}],
         ",", 
        RowBox[{"Union", "[", "s", "]"}]}], "]"}], ";", 
      RowBox[{
       RowBox[{"Function", "[", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"First", "[", 
             RowBox[{"RealDigits", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"2", "^", "#1"}], " ", 
                RowBox[{"Ceiling", "[", 
                 RowBox[{
                  RowBox[{"Min", "[", "x", "]"}], "/", 
                  RowBox[{"2", "^", "#1"}]}], "]"}]}], ",", "2", ",", 
               RowBox[{"-", "#1"}], ",", 
               RowBox[{"-", "1"}]}], "]"}], "]"}], "&"}], ")"}], "[", 
          RowBox[{"Floor", "[", 
           RowBox[{"Log", "[", 
            RowBox[{"2", ",", 
             RowBox[{
              RowBox[{"Max", "[", "x", "]"}], "-", 
              RowBox[{"Min", "[", "x", "]"}]}]}], "]"}], "]"}], "]"}]}], 
        "]"}], "[", 
       RowBox[{"Fold", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Max", "[", "#1", "]"}], "-", 
              RowBox[{"Min", "[", "#1", "]"}]}], ")"}], 
            RowBox[{"c", "[", "#2", "]"}]}], "+", 
           RowBox[{"Min", "[", "#1", "]"}]}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", "s"}], "]"}], "]"}]}]}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5130039107061653`*^9, 3.513003926305341*^9}, {
  3.520261845427888*^9, 3.520261851591832*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1"}],
   "}"}]], "Output",
 CellChangeTimes->{3.5130039291740007`*^9, 3.520261860747069*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 565 \[CenterDot] Pointer-based encoding\
\>", "Subsection"], Cell[" (page 1071)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PEncode", "[", 
    RowBox[{"d_", ",", 
     RowBox[{"b_", ":", "4"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "a", ",", "u", ",", "v"}], "}"}], ",", 
     RowBox[{
      RowBox[{"i", "=", "2"}], ";", 
      RowBox[{"a", "=", 
       RowBox[{"{", 
        RowBox[{"First", "[", "d", "]"}], "}"}]}], ";", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"i", "\[LessEqual]", 
         RowBox[{"Length", "[", "d", "]"}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"u", ",", "v"}], "}"}], "=", 
          RowBox[{"Last", "[", 
           RowBox[{"Sort", "[", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"MatchLength", "[", 
                 RowBox[{"d", ",", "i", ",", "j"}], "]"}], ",", "j"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"j", ",", 
                RowBox[{"i", "-", "1"}]}], "}"}]}], "]"}], "]"}], "]"}]}], 
         ";", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"u", "\[GreaterEqual]", "b"}], ",", 
           RowBox[{
            RowBox[{"AppendTo", "[", 
             RowBox[{"a", ",", 
              RowBox[{"p", "[", 
               RowBox[{
                RowBox[{"i", "-", "v"}], ",", "u"}], "]"}]}], "]"}], ";", 
            RowBox[{"i", "+=", "u"}]}], ",", 
           RowBox[{
            RowBox[{"AppendTo", "[", 
             RowBox[{"a", ",", 
              RowBox[{
              "d", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
             "]"}], ";", 
            RowBox[{"i", "++"}]}]}], "]"}]}]}], "]"}], ";", "a"}]}], "]"}]}], 
  "\n"}], "\n", 
 RowBox[{
  RowBox[{"MatchLength", "[", 
   RowBox[{"d_", ",", "i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", "=", 
      RowBox[{
       RowBox[{"Length", "[", "d", "]"}], "-", "i"}]}], "}"}], ",", 
    RowBox[{"Catch", "[", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"d", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "k"}], "\[RightDoubleBracket]"}], "=!=", 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            RowBox[{"j", "+", "k"}], "\[RightDoubleBracket]"}]}], ",", 
          RowBox[{"Throw", "[", "k", "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", "m"}], "}"}]}], "]"}], ";", 
      RowBox[{"m", "+", "1"}]}], "]"}]}], "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"PEncode", "[", 
   RowBox[{"d_", ",", 
    RowBox[{"b_", ":", "4"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", "a", ",", "u", ",", "v"}], "}"}], ",", 
    RowBox[{
     RowBox[{"i", "=", "2"}], ";", 
     RowBox[{"a", "=", 
      RowBox[{"{", 
       RowBox[{"First", "[", "d", "]"}], "}"}]}], ";", 
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"i", "\[LessEqual]", 
        RowBox[{"Length", "[", "d", "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"u", ",", "v"}], "}"}], "=", 
         RowBox[{"Last", "[", 
          RowBox[{"Sort", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"MatchLength", "[", 
                RowBox[{"d", ",", "i", ",", "j"}], "]"}], ",", "j"}], "}"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", 
               RowBox[{"i", "-", "1"}]}], "}"}]}], "]"}], "]"}], "]"}]}], ";", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"u", "\[GreaterEqual]", "b"}], ",", 
          RowBox[{
           RowBox[{"AppendTo", "[", 
            RowBox[{"a", ",", 
             RowBox[{"p", "[", 
              RowBox[{
               RowBox[{"i", "-", "v"}], ",", "u"}], "]"}]}], "]"}], ";", 
           RowBox[{"i", "+=", "u"}]}], ",", 
          RowBox[{
           RowBox[{"AppendTo", "[", 
            RowBox[{"a", ",", 
             RowBox[{
             "d", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
            "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}]}]}], "]"}], ";", "a"}]}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"MatchLength", "[", 
   RowBox[{"d_", ",", "i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", "=", 
      RowBox[{
       RowBox[{"Length", "[", "d", "]"}], "-", "i"}]}], "}"}], ",", 
    RowBox[{"Catch", "[", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"d", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "k"}], "\[RightDoubleBracket]"}], "=!=", 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            RowBox[{"j", "+", "k"}], "\[RightDoubleBracket]"}]}], ",", 
          RowBox[{"Throw", "[", "k", "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", "m"}], "}"}]}], "]"}], ";", 
      RowBox[{"m", "+", "1"}]}], "]"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PEncode", "[", 
  RowBox[{"{", 
   RowBox[{
   "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
    ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",",
     "1", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   RowBox[{"p", "[", 
    RowBox[{"5", ",", "4"}], "]"}], ",", 
   RowBox[{"p", "[", 
    RowBox[{"1", ",", "4"}], "]"}], ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "1", ",", "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413731813877743*^9, 3.4282530772794313`*^9, 
  3.432321907408621*^9, 3.500210639012154*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PDecode", "[", "a_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"d", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"a", "/.", "\[InvisibleSpace]", 
        RowBox[{
         RowBox[{"p", "[", 
          RowBox[{"j_", ",", "r_"}], "]"}], "\[RuleDelayed]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"p", "[", "j", "]"}], ",", 
           RowBox[{"{", "r", "}"}]}], "]"}]}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Flatten", "[", 
     RowBox[{"MapIndexed", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Head", "[", "#1", "]"}], "===", "p"}], ",", 
          RowBox[{
           RowBox[{
           "d", "\[LeftDoubleBracket]", "#2", "\[RightDoubleBracket]"}], "=", 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            RowBox[{"#2", "-", 
             RowBox[{"First", "[", "#1", "]"}]}], "\[RightDoubleBracket]"}]}],
           ",", "#1"}], "]"}], "&"}], ",", "d"}], "]"}], "]"}]}], 
   "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"PDecode", "[", "a_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"d", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"a", "/.", "\[InvisibleSpace]", 
        RowBox[{
         RowBox[{"p", "[", 
          RowBox[{"j_", ",", "r_"}], "]"}], "\[RuleDelayed]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"p", "[", "j", "]"}], ",", 
           RowBox[{"{", "r", "}"}]}], "]"}]}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Flatten", "[", 
     RowBox[{"MapIndexed", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Head", "[", "#1", "]"}], "===", "p"}], ",", 
          RowBox[{
           RowBox[{
           "d", "\[LeftDoubleBracket]", "#2", "\[RightDoubleBracket]"}], "=", 
           RowBox[{"d", "\[LeftDoubleBracket]", 
            RowBox[{"#2", "-", 
             RowBox[{"First", "[", "#1", "]"}]}], "\[RightDoubleBracket]"}]}],
           ",", "#1"}], "]"}], "&"}], ",", "d"}], "]"}], "]"}]}], 
   "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PDecode", "[", 
  RowBox[{"{", 
   RowBox[{"0", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
    RowBox[{"p", "[", 
     RowBox[{"5", ",", "4"}], "]"}], ",", 
    RowBox[{"p", "[", 
     RowBox[{"1", ",", "4"}], "]"}], ",", "0", ",", "0", ",", "1", ",", "0", 
    ",", "1", ",", "1", ",", "0"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413731813956717*^9, 3.42825312236769*^9, 
  3.432321907492242*^9, 3.5002106444199457`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1", "-", 
  RowBox[{
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["2", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
           RowBox[{"-", "b"}]}]]}], ")"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "i"}]], " ", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"1", "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", 
            SuperscriptBox["2", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
              RowBox[{"-", "b"}]}]]}], ")"}], 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "j"}]], "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", 
            SuperscriptBox["2", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
              RowBox[{
               RowBox[{"-", "b"}], "-", "1"}]}]]}], ")"}], 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "j"}]]}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", 
          RowBox[{"i", "-", "b", "+", "1"}], ",", 
          RowBox[{"i", "-", "1"}]}], "}"}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "b", ",", 
       RowBox[{"n", "-", "b"}]}], "}"}]}], "]"}], "/", 
   RowBox[{"(", 
    RowBox[{"n", "-", 
     RowBox[{"2", " ", "b"}], "+", "1"}], ")"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "100"}], "}"}], ",", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"1", "-", 
       RowBox[{
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", 
              SuperscriptBox["2", 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                RowBox[{"-", "b"}]}]]}], ")"}], 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "i"}]], " ", 
           RowBox[{"Product", "[", 
            RowBox[{
             RowBox[{"1", "+", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 SuperscriptBox["2", 
                  RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                   RowBox[{"-", "b"}]}]]}], ")"}], 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "j"}]], "-", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 SuperscriptBox["2", 
                  RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
                   RowBox[{
                    RowBox[{"-", "b"}], "-", "1"}]}]]}], ")"}], 
               RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "j"}]]}], ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", 
               RowBox[{"i", "-", "b", "+", "1"}], ",", 
               RowBox[{"i", "-", "1"}]}], "}"}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "b", ",", 
            RowBox[{"n", "-", "b"}]}], "}"}]}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"n", "-", 
          RowBox[{"2", " ", "b"}], "+", "1"}], ")"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "2", ",", "15"}], "}"}]}], "]"}], "//", "N"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.9816240460570534`", ",", "0.963187069202104`", ",", 
   "0.9270435528092723`", ",", "0.8674340294059045`", ",", 
   "0.7819591982740753`", ",", "0.6556680434253327`", ",", 
   "0.49571098957057724`", ",", "0.336255438701542`", ",", 
   "0.20854316532185302`", ",", "0.12142499726443401`", ",", 
   "0.06787690441245083`", ",", "0.036990014216790774`", ",", 
   "0.019838292330557214`", ",", "0.010529463406255116`"}], "}"}]], "Output",
 CellChangeTimes->{3.413731814413144*^9, 3.428253133301907*^9, 
  3.432321907848648*^9, 3.500210648554976*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 568 \[CenterDot] Recursive subdivision\
\>", "Subsection"], Cell[" (page 1072)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Subdivide", "[", "a_", "]"}], ":=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "a", "]"}], "==", "2"}], ",", "a", ",", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"Apply", "[", 
         RowBox[{"SameQ", ",", "a"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"First", "[", "a", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Map", "[", 
           RowBox[{"Subdivide", ",", 
            RowBox[{"Partition", "[", 
             RowBox[{"a", ",", 
              RowBox[{
               RowBox[{"Length", "[", "a", "]"}], "/", "2"}]}], "]"}]}], 
           "]"}]}], "}"}]}], "]"}]}], "]"}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Subdivide", "[", 
   RowBox[{"a_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"s", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"1", ",", 
        RowBox[{"{", "n", "}"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Flatten", "[", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", "a", "]"}], "==", 
        RowBox[{"2", " ", "s"}]}], ",", "a", ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Apply", "[", 
          RowBox[{"SameQ", ",", 
           RowBox[{"Flatten", "[", "a", "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"First", "[", 
            RowBox[{"Flatten", "[", "a", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Subdivide", "[", 
               RowBox[{"#", ",", "n"}], "]"}], "&"}], ",", 
             RowBox[{"Partition", "[", 
              RowBox[{"a", ",", 
               RowBox[{
                RowBox[{"1", "/", "2"}], " ", 
                RowBox[{"Length", "[", "a", "]"}], " ", "s"}]}], "]"}], ",", 
             RowBox[{"{", "n", "}"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}], 
     "]"}]}], "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Subdivide", "[", "a_", "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Length", "[", "a", "]"}], "==", "2"}], ",", "a", ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Apply", "[", 
        RowBox[{"SameQ", ",", "a"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"First", "[", "a", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"Map", "[", 
          RowBox[{"Subdivide", ",", 
           RowBox[{"Partition", "[", 
            RowBox[{"a", ",", 
             RowBox[{
              RowBox[{"Length", "[", "a", "]"}], "/", "2"}]}], "]"}]}], 
          "]"}]}], "}"}]}], "]"}]}], "]"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"Subdivide", "[", 
   RowBox[{"a_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"s", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"1", ",", 
        RowBox[{"{", "n", "}"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"Flatten", "[", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Dimensions", "[", "a", "]"}], "==", 
        RowBox[{"2", " ", "s"}]}], ",", "a", ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Apply", "[", 
          RowBox[{"SameQ", ",", 
           RowBox[{"Flatten", "[", "a", "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"First", "[", 
            RowBox[{"Flatten", "[", "a", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Subdivide", "[", 
               RowBox[{"#", ",", "n"}], "]"}], "&"}], ",", 
             RowBox[{"Partition", "[", 
              RowBox[{"a", ",", 
               RowBox[{
                RowBox[{"1", "/", "2"}], " ", 
                RowBox[{"Length", "[", "a", "]"}], " ", "s"}]}], "]"}], ",", 
             RowBox[{"{", "n", "}"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}], 
     "]"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Subdivide", "[", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", 
    ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",",
     "0"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413731814543799*^9, 3.4282531472327547`*^9, 
  3.4323219079755507`*^9, 3.500210656474539*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Subdivide", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
       "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", 
       "1", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
       "0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", 
       "0", ",", "1", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "1", ",", "1", ",", "1", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
   "2"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
   "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", 
   "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.4137318145976763`*^9, 3.428253148693205*^9, 
  3.432321908016371*^9, 3.500210658560624*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Irreversible Data Compression", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 573 \[CenterDot] Walsh transforms", "Subsection"], Cell[
     " (page 1072)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Outer", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Outer", "[", 
      RowBox[{"Times", ",", "##"}], "]"}], "&"}], ",", "b", ",", "b", ",", 
    "1", ",", "1"}], "]"}], "\n"}], "\n", 
 RowBox[{"Map", "[", 
  RowBox[{"Transpose", ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", " ", "b"}], "&"}], ",", "b", ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"Outer", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", "##"}], "]"}], "&"}], ",", "b", ",", "b", ",", 
     "1", ",", "1"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413731814647827*^9, 3.428253161830453*^9, 
  3.432321908067281*^9, 3.5002106645728397`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"Map", "[", 
    RowBox[{"Transpose", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"#", " ", "b"}], "&"}], ",", "b", ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137318146980352`*^9, 3.42825316334732*^9, 
  3.432321908120261*^9, 3.500210665988649*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"Join", ",", 
      RowBox[{"f", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"#", ",", "#"}], "}"}], "&"}], ",", "#"}], "]"}], 
             "]"}], "&"}], ",", "#"}], "]"}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"#", ",", 
                  RowBox[{"-", "#"}]}], "}"}], "&"}], ",", "#"}], "]"}], 
             "]"}], "&"}], ",", 
           RowBox[{"g", "[", "#", "]"}]}], "]"}]}], "}"}], "]"}]}], "]"}], 
    "&"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "1", "}"}], "}"}], ",", "s"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"s", "=", "2"}], ",", 
     RowBox[{"f", "=", "Identity"}], ",", 
     RowBox[{"g", "=", "Reverse"}]}], "}"}], ",", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Join", ",", 
        RowBox[{"f", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Flatten", "[", 
               RowBox[{"Map", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"#", ",", "#"}], "}"}], "&"}], ",", "#"}], "]"}], 
               "]"}], "&"}], ",", "#"}], "]"}], ",", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Flatten", "[", 
               RowBox[{"Map", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"#", ",", 
                    RowBox[{"-", "#"}]}], "}"}], "&"}], ",", "#"}], "]"}], 
               "]"}], "&"}], ",", 
             RowBox[{"g", "[", "#", "]"}]}], "]"}]}], "}"}], "]"}]}], "]"}], 
      "&"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", "1", "}"}], "}"}], ",", "s"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.41373181474824*^9, 3.42825317900842*^9, 
  3.43232190816791*^9, 3.500210670683243*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Nest", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Flatten2D", "[", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "&"}], ",", "#", ",", 
        RowBox[{"{", "2", "}"}]}], "]"}], "]"}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"{", "1", "}"}], "}"}], ",", "s"}], "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Flatten2D", "[", "a_", "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Join", ",", 
    RowBox[{"Apply", "[", 
     RowBox[{"Join", ",", 
      RowBox[{"Map", "[", 
       RowBox[{"Transpose", ",", "a"}], "]"}], ",", 
      RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Flatten2D", "[", "a_", "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Join", ",", 
    RowBox[{"Apply", "[", 
     RowBox[{"Join", ",", 
      RowBox[{"Map", "[", 
       RowBox[{"Transpose", ",", "a"}], "]"}], ",", 
      RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]}], "\n", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"s", "=", "2"}], "}"}], ",", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Flatten2D", "[", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "&"}], ",", "#", ",", 
         RowBox[{"{", "2", "}"}]}], "]"}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", "1", "}"}], "}"}], ",", "s"}], "]"}]}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731814798761*^9, 3.428253187409238*^9, 
  3.432321908217616*^9, 3.500210674401573*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"BitReverseOrder", "[", "a_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", "=", 
      RowBox[{"Length", "[", "a", "]"}]}], "}"}], ",", 
    RowBox[{"a", "\[LeftDoubleBracket]", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FromDigits", "[", 
          RowBox[{
           RowBox[{"Reverse", "[", "#", "]"}], ",", "2"}], "]"}], "&"}], ",", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", 
            RowBox[{"n", "-", "1"}]}], "]"}], ",", "2", ",", 
          RowBox[{"Log", "[", 
           RowBox[{"2", ",", "n"}], "]"}]}], "]"}]}], "]"}], "+", "1"}], 
     "\[RightDoubleBracket]"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"BitReverseOrder", "[", "a_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", "=", 
      RowBox[{"Length", "[", "a", "]"}]}], "}"}], ",", 
    RowBox[{"a", "\[LeftDoubleBracket]", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FromDigits", "[", 
          RowBox[{
           RowBox[{"Reverse", "[", "#", "]"}], ",", "2"}], "]"}], "&"}], ",", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", 
            RowBox[{"n", "-", "1"}]}], "]"}], ",", "2", ",", 
          RowBox[{"Log", "[", 
           RowBox[{"2", ",", "n"}], "]"}]}], "]"}]}], "]"}], "+", "1"}], 
     "\[RightDoubleBracket]"}]}], "]"}]}], "\n", 
 RowBox[{"BitReverseOrder", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", "1"}], ",", "1", ",", 
      RowBox[{"-", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731814848*^9, 3.428253195159534*^9, 
  3.432321908268886*^9, 3.500210678324383*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"Times", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"IntegerDigits", "[", 
          RowBox[{"#1", ",", "2", ",", "s"}], "]"}], " ", 
         RowBox[{"Reverse", "[", 
          RowBox[{"IntegerDigits", "[", 
           RowBox[{"#2", ",", "2", ",", "s"}], "]"}], "]"}]}], ")"}]}]}], 
     "]"}], "&"}], ",", 
   RowBox[{"2", "^", 
    RowBox[{"{", 
     RowBox[{"s", ",", "s"}], "}"}]}], ",", "0"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"s", "=", "2"}], "}"}], ",", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Apply", "[", "Times", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"IntegerDigits", "[", 
           RowBox[{
            TagBox["#1",
             #& ,
             SyntaxForm->"a"], ",", "2", ",", "s"}], "]"}], " ", 
          RowBox[{"Reverse", "[", 
           RowBox[{"IntegerDigits", "[", 
            RowBox[{
             TagBox["#2",
              #& ,
              SyntaxForm->"a"], ",", "2", ",", "s"}], "]"}], "]"}]}], ")"}]}],
        "]"}], "&"}], ",", 
     RowBox[{"2", "^", 
      RowBox[{"{", 
       RowBox[{"s", ",", "s"}], "}"}]}], ",", "0"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731814931614*^9, 3.428253202182269*^9, 
  3.432321908318385*^9, 3.500210682581183*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"Transpose", "[", 
      RowBox[{
       RowBox[{"Partition", "[", 
        RowBox[{"#", ",", "2"}], "]"}], "\[VeryThinSpace]", ".", 
       "\[VeryThinSpace]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "]"}], "]"}], "&"}], ",", 
   "data", ",", 
   RowBox[{"Log", "[", 
    RowBox[{"2", ",", 
     RowBox[{"Length", "[", "data", "]"}]}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"data", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Partition", "[", 
          RowBox[{"#", ",", "2"}], "]"}], ".", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "]"}], "]"}], "&"}], ",",
      "data", ",", 
     RowBox[{"Log", "[", 
      RowBox[{"2", ",", 
       RowBox[{"Length", "[", "data", "]"}]}], "]"}]}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5130041596044683`*^9, 3.513004163115736*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "2", ",", "2", ",", 
   RowBox[{"-", "2"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4137318149828377`*^9, 3.428253208435498*^9, 
  3.432321908367826*^9, 3.5002106856864033`*^9, 3.5130041654035788`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"data", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", 
        RowBox[{"-", "1"}]}], "}"}]}], ",", " ", 
     RowBox[{"m", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", 
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}], ",", "1", ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{"data", ".", "m"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.51300414945494*^9, 3.513004150460291*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "2", ",", "2", ",", 
   RowBox[{"-", "2"}]}], "}"}]], "Output",
 CellChangeTimes->{3.513004151737694*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Hadamard matrices", "Subsection"], Cell[" (page 1073)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PadLeft", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Array", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"JacobiSymbol", "[", 
        RowBox[{
         RowBox[{"#2", "-", "#1"}], ",", 
         RowBox[{"n", "-", "1"}]}], "]"}], "&"}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", ",", "n"}], "}"}], "-", "1"}]}], "]"}], "-", 
    RowBox[{"IdentityMatrix", "[", 
     RowBox[{"n", "-", "1"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "n"}], "}"}], ",", "1"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", "=", "12"}], "}"}], ",", 
    RowBox[{"PadLeft", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Array", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"JacobiSymbol", "[", 
           RowBox[{
            RowBox[{
             TagBox["#2",
              #& ,
              SyntaxForm->"a"], "-", 
             TagBox["#1",
              #& ,
              SyntaxForm->"a"]}], ",", 
            RowBox[{"n", "-", "1"}]}], "]"}], "&"}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"n", ",", "n"}], "}"}], "-", "1"}]}], "]"}], "-", 
       RowBox[{"IdentityMatrix", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "n"}], "}"}], ",", "1"}], "]"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1"},
     {"1", 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}]},
     {"1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1"},
     {"1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]},
     {"1", 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]},
     {"1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", "1", "1", 
      RowBox[{"-", "1"}]},
     {"1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", "1", "1"},
     {"1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1", "1"},
     {"1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], "1"},
     {"1", "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}]},
     {"1", 
      RowBox[{"-", "1"}], "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1"},
     {"1", "1", 
      RowBox[{"-", "1"}], "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.413731815034185*^9, 3.4282532147296057`*^9, 
  3.432321908421114*^9, 3.500210690830114*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Fourier transforms", "Subsection"], Cell[" (page 1074)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c", "=", 
        RowBox[{"BitReverseOrder", "[", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{"Length", "[", "#", "]"}], "-", "1"}]}], "]"}], "/", 
          RowBox[{"Length", "[", "#", "]"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"Flatten2D", "[", 
       RowBox[{"MapIndexed", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "1"}]}], "}"}], " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "^", 
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"Last", "[", "#2", "]"}], 
                "\[RightDoubleBracket]"}]}]}]}], "}"}]}], "&"}], ",", "#", 
         ",", 
         RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], "]"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", "1", "}"}], "}"}], ",", "s"}], "]"}]], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Flatten2D", "[", "a_", "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Join", ",", 
    RowBox[{"Apply", "[", 
     RowBox[{"Join", ",", 
      RowBox[{"Map", "[", 
       RowBox[{"Transpose", ",", "a"}], "]"}], ",", 
      RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"BitReverseOrder", "[", "a_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", "=", 
      RowBox[{"Length", "[", "a", "]"}]}], "}"}], ",", 
    RowBox[{"a", "\[LeftDoubleBracket]", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FromDigits", "[", 
          RowBox[{
           RowBox[{"Reverse", "[", "#", "]"}], ",", "2"}], "]"}], "&"}], ",", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", 
            RowBox[{"n", "-", "1"}]}], "]"}], ",", "2", ",", 
          RowBox[{"Log", "[", 
           RowBox[{"2", ",", "n"}], "]"}]}], "]"}]}], "]"}], "+", "1"}], 
     "\[RightDoubleBracket]"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"s", "=", "2"}], "}"}], ",", 
    RowBox[{"Nest", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"c", "=", 
           RowBox[{"BitReverseOrder", "[", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{"0", ",", 
               RowBox[{
                RowBox[{"Length", "[", "#", "]"}], "-", "1"}]}], "]"}], "/", 
             RowBox[{"Length", "[", "#", "]"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"Flatten2D", "[", 
          RowBox[{"MapIndexed", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"#1", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"1", ",", "1"}], "}"}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"1", ",", 
                   RowBox[{"-", "1"}]}], "}"}], " ", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"-", "1"}], ")"}], "^", 
                  RowBox[{"c", "\[LeftDoubleBracket]", 
                   RowBox[{"Last", "[", "#2", "]"}], 
                   "\[RightDoubleBracket]"}]}]}]}], "}"}]}], "&"}], ",", "#", 
            ",", 
            RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], "]"}], "&"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", "1", "}"}], "}"}], ",", "s"}], "]"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "1"},
     {"1", 
      RowBox[{"-", "1"}], "\[ImaginaryI]", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]},
     {"1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "\[ImaginaryI]"}], "\[ImaginaryI]"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.413731815121389*^9, 3.4282532498402348`*^9, 
  3.4323219084995737`*^9, 3.500210697723092*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", 
     RowBox[{"Length", "[", "data", "]"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"k", "=", 
               RowBox[{
                RowBox[{"Length", "[", "#", "]"}], "/", "2"}]}], "}"}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"1", ",", "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", 
                  RowBox[{"-", "1"}]}], "}"}]}], "}"}], "\[VeryThinSpace]", 
              ".", "\[VeryThinSpace]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Take", "[", 
                 RowBox[{"#", ",", "k"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"Drop", "[", 
                  RowBox[{"#", ",", "k"}], "]"}], " ", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"-", "1"}], ")"}], "^", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"k", "-", "1"}]}], "]"}], "/", "k"}], ")"}]}]}]}],
                "}"}]}]}], "]"}], "&"}], ",", 
          RowBox[{"Partition", "[", "##", "]"}]}], "]"}], "]"}], "&"}], ",", 
      RowBox[{"BitReverseOrder", "[", "data", "]"}], ",", 
      RowBox[{"2", "^", 
       RowBox[{"Range", "[", 
        RowBox[{"Log", "[", 
         RowBox[{"2", ",", "n"}], "]"}], "]"}]}]}], "]"}], "/", 
    SqrtBox["n"]}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"BitReverseOrder", "[", "a_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", "=", 
      RowBox[{"Length", "[", "a", "]"}]}], "}"}], ",", 
    RowBox[{"a", "\[LeftDoubleBracket]", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"FromDigits", "[", 
          RowBox[{
           RowBox[{"Reverse", "[", "#", "]"}], ",", "2"}], "]"}], "&"}], ",", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", 
            RowBox[{"n", "-", "1"}]}], "]"}], ",", "2", ",", 
          RowBox[{"Log", "[", 
           RowBox[{"2", ",", "n"}], "]"}]}], "]"}]}], "]"}], "+", "1"}], 
     "\[RightDoubleBracket]"}]}], "]"}]}], "\n", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"data", "=", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", 
       "8"}], "}"}]}], "}"}], ",", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", "=", 
       RowBox[{"Length", "[", "data", "]"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"Fold", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"With", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"k", "=", 
                 RowBox[{
                  RowBox[{"Length", "[", "#", "]"}], "/", 
                  "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}]}],
                 "}"}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"1", ",", "1"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}], ".", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Take", "[", 
                   RowBox[{"#", ",", "k"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"Drop", "[", 
                    RowBox[{"#", ",", "k"}], "]"}], " ", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"k", "-", "1"}]}], "]"}], "/", 
                    "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "k"}],
                     ")"}]}]}]}], "}"}]}]}], "]"}], "&"}], ",", 
            RowBox[{"Partition", "[", "##", "]"}]}], "]"}], "]"}], "&"}], ",", 
        RowBox[{"BitReverseOrder", "[", "data", "]"}], ",", 
        RowBox[{"2", "^", 
         RowBox[{"Range", "[", 
          RowBox[{"Log", "[", 
           RowBox[{"2", ",", "n"}], "]"}], "]"}]}]}], "]"}], "/", 
      "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
      SqrtBox["n"]}]}], "]"}]}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"9", " ", 
    SqrtBox["2"]}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "-", 
       RowBox[{"4", " ", "\[ImaginaryI]"}]}], ")"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "+", 
        RowBox[{"4", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], 
       RowBox[{"1", "/", "4"}]]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["2"]}]], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "\[ImaginaryI]"}], ")"}], " ", 
    SqrtBox["2"]}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[ImaginaryI]"}]}], ")"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "-", 
        RowBox[{"4", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], 
       RowBox[{"3", "/", "4"}]]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["2"]}]], ",", 
   RowBox[{"-", 
    SqrtBox["2"]}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "-", 
       RowBox[{"4", " ", "\[ImaginaryI]"}]}], ")"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "+", 
        RowBox[{"4", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], 
       RowBox[{"1", "/", "4"}]]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["2"]}]], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[ImaginaryI]"}], ")"}], " ", 
    SqrtBox["2"]}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[ImaginaryI]"}]}], ")"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"4", "-", 
        RowBox[{"4", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], 
       RowBox[{"3", "/", "4"}]]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["2"]}]]}], "}"}]], "Output",
 CellChangeTimes->{3.413731815167326*^9, 3.428253257803671*^9, 
  3.4323219085537863`*^9, 3.500210701894802*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Visual Perception", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 581 \[CenterDot] Implementation", "Subsection"], Cell[
     " (page 1077)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Sign", "[", 
   RowBox[{
    RowBox[{"ListCorrelate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"2", " ", "\[Sigma]"}], "-", "1"}], ",", "data"}], "]"}], "-", 
    RowBox[{"Count", "[", 
     RowBox[{"\[Sigma]", ",", "1", ",", "2"}], "]"}]}], "]"}], "+", 
  "1"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Sigma]", "=", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"data", "=", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
        "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", 
        "0"}], "}"}]}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"Sign", "[", 
     RowBox[{
      RowBox[{"ListCorrelate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"2", " ", "\[Sigma]"}], "-", "1"}], ",", "data"}], "]"}], 
      "-", 
      RowBox[{"Count", "[", 
       RowBox[{"\[Sigma]", ",", "1", ",", "2"}], "]"}]}], "]"}], "+", "1"}]}],
   "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.41373181521762*^9, 3.428253267006364*^9, 
  3.432321908602812*^9, 3.5002110522039967`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Halftoning", "Subsection"], Cell[" (page 1077)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Flatten2D", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"4", " ", "#"}], "+", "0"}], ",", 
         RowBox[{
          RowBox[{"4", " ", "#"}], "+", "2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"4", " ", "#"}], "+", "3"}], ",", 
         RowBox[{
          RowBox[{"4", " ", "#"}], "+", "1"}]}], "}"}]}], "}"}], "]"}], "&"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"{", "0", "}"}], "}"}], ",", "n"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Flatten2D", "[", "a_", "]"}], ":=", 
  RowBox[{"Apply", "[", 
   RowBox[{"Join", ",", 
    RowBox[{"Apply", "[", 
     RowBox[{"Join", ",", 
      RowBox[{"Map", "[", 
       RowBox[{"Transpose", ",", "a"}], "]"}], ",", 
      RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "2"}], "}"}], ",", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Flatten2D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"4", " ", "#"}], "+", "0"}], ",", 
           RowBox[{
            RowBox[{"4", " ", "#"}], "+", "2"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"4", " ", "#"}], "+", "3"}], ",", 
           RowBox[{
            RowBox[{"4", " ", "#"}], "+", "1"}]}], "}"}]}], "}"}], "]"}], 
      "&"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", "0", "}"}], "}"}], ",", "n"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5002110893669853`*^9, 3.50021109024023*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "8", ",", "2", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"12", ",", "4", ",", "14", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "11", ",", "1", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", "7", ",", "13", ",", "5"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731815270727*^9, 3.4282532751913967`*^9, 
  3.43232190865335*^9, 3.500211056368812*^9, 3.500211091531142*^9, 
  3.513004229266272*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", 
      RowBox[{"Flatten", "[", "data", "]"}]}], ",", "r", ",", "s"}], "}"}], 
   ",", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "s"}], "}"}], "=", 
     RowBox[{"Dimensions", "[", "data", "]"}]}], ";", 
    RowBox[{"Partition", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"s", "-", "1"}], ",", "s", ",", 
              RowBox[{"s", "+", "1"}]}], "}"}]}], "\[RightDoubleBracket]"}], "+=", 
          RowBox[{"m", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
             "a", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], "-", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                "a", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
                "<", 
                RowBox[{"1", "/", "2"}]}], ",", "0", ",", "1"}], "]"}]}], 
            ")"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{
            RowBox[{"r", " ", "s"}], "-", "s", "-", "1"}]}], "}"}]}], "]"}], 
       ";", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"#", "<", 
             RowBox[{"1", "/", "2"}]}], ",", "0", ",", "1"}], "]"}], "&"}], 
         ",", "a"}], "]"}]}], ",", "s"}], "]"}]}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"data", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"1", "/", "8"}], ",", 
        RowBox[{"{", "5", "}"}], ",", 
        RowBox[{"{", "5", "}"}]}], "]"}]}], ",", 
     RowBox[{"m", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"7", ",", "3", ",", "5", ",", "1"}], "}"}], "/", "16"}]}]}], 
    "}"}], ",", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", 
        RowBox[{"Flatten", "[", "data", "]"}]}], ",", "r", ",", "s"}], "}"}], 
     ",", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"r", ",", "s"}], "}"}], "=", 
       RowBox[{"Dimensions", "[", "data", "]"}]}], ";", 
      RowBox[{"Partition", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"s", "-", "1"}], ",", "s", ",", 
                RowBox[{"s", "+", "1"}]}], "}"}]}], "\[RightDoubleBracket]"}],
             "+=", 
            RowBox[{"m", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
               "a", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
               "-", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                  "a", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
                   "<", 
                  RowBox[{
                  "1", "/", 
                   "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
                   "2"}]}], ",", "0", ",", "1"}], "]"}]}], ")"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{
              RowBox[{"r", " ", "s"}], "-", "s", "-", "1"}]}], "}"}]}], "]"}],
          ";", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"#", "<", 
               RowBox[{
               "1", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
                "2"}]}], ",", "0", ",", "1"}], "]"}], "&"}], ",", "a"}], 
          "]"}]}], ",", "s"}], "]"}]}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413731815318144*^9, 3.4282532826195917`*^9, 
  3.4323219087036877`*^9, 3.500211098492939*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Auditory Perception", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Chords", "Subsection"], Cell[" (page 1079)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{
     SubscriptBox["\[Omega]", "1"], " ", "t"}], "]"}], "+", 
   RowBox[{"Sin", "[", 
    RowBox[{
     SubscriptBox["\[Omega]", "2"], " ", "t"}], "]"}]}], "==", 
  RowBox[{"2", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["\[Omega]", "1"], "+", 
       SubscriptBox["\[Omega]", "2"]}], ")"}], " ", "t"}], "]"}], " ", 
   RowBox[{"Cos", "[", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["\[Omega]", "1"], "-", 
       SubscriptBox["\[Omega]", "2"]}], ")"}], " ", "t"}], 
    "]"}]}]}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 586 \[CenterDot] Spectra", "Subsection"], Cell[
     " (page 1080)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"Fourier", "[", "list", "]"}], 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "==", 
  RowBox[{
   RowBox[{"Fourier", "[", 
    RowBox[{"ListConvolve", "[", 
     RowBox[{"list", ",", "list", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], "/", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"Length", "[", "list", "]"}], "]"}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"list", "=", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", 
       "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
       "1", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"Chop", "[", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Fourier", "[", "list", "]"}], 
       RowBox[{"\[VeryThinSpace]", "2"}]], "-", 
      RowBox[{
       RowBox[{"Fourier", "[", 
        RowBox[{"ListConvolve", "[", 
         RowBox[{"list", ",", "list", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], "/", 
       "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"Length", "[", "list", "]"}], "]"}]}]}], "]"}], "\[Equal]", 
    RowBox[{"Table", "[", 
     RowBox[{"0", ",", 
      RowBox[{"{", 
       RowBox[{"Length", "[", "list", "]"}], "}"}]}], "]"}]}]}], 
  "]"}]], "Input"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.413731815412343*^9, 3.428253299514124*^9, 
  3.432321908766642*^9, 3.500211135586443*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Spectra of substitution systems", "Subsection"], Cell[
     " (page 1080)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Thread", "[", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Phi]", "[", "#", "]"}], "[", 
       RowBox[{
        RowBox[{"t", "+", "1"}], ",", "\[Omega]"}], "]"}], "&"}], ",", 
     RowBox[{
      RowBox[{"Range", "[", "k", "]"}], "-", "1"}]}], "]"}], "==", 
   RowBox[{
    RowBox[{"Apply", "[", 
     RowBox[{"Plus", ",", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Last", "[", "#2", "]"}], "-", "1"}], ")"}], " ", 
            SuperscriptBox["s", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]]}], "]"}], " ", 
          RowBox[{
           RowBox[{"\[Phi]", "[", "#1", "]"}], "[", 
           RowBox[{"t", ",", "\[Omega]"}], "]"}]}], "&"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Range", "[", "k", "]"}], "-", "1"}], "/.", 
         "\[InvisibleSpace]", "rules"}], ",", 
        RowBox[{"{", 
         RowBox[{"-", "1"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", "1", "}"}]}], "]"}], "/", 
    SqrtBox["s"]}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "=", "2"}], ",", 
     RowBox[{"s", "=", "4"}], ",", 
     RowBox[{"t", "=", "0"}], ",", 
     RowBox[{"rules", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "2"}], ",", 
        RowBox[{"2", "\[Rule]", "2"}]}], "}"}]}]}], "}"}], ",", 
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[Phi]", "[", "#", "]"}], "[", 
         RowBox[{
          RowBox[{"t", "+", "1"}], ",", "\[Omega]"}], "]"}], "&"}], ",", 
       RowBox[{
        RowBox[{"Range", "[", "k", "]"}], "-", "1"}]}], "]"}], "==", 
     RowBox[{
      RowBox[{"Apply", "[", 
       RowBox[{"Plus", ",", 
        RowBox[{"MapIndexed", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{"\[ImaginaryI]", " ", "\[Omega]", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Last", "[", 
                 TagBox["#2",
                  #& ,
                  SyntaxForm->"a"], "]"}], "-", "1"}], ")"}], " ", 
              SuperscriptBox["s", 
               RowBox[{"\[VeryThinSpace]", "t"}]]}], "]"}], " ", 
            RowBox[{
             RowBox[{"\[Phi]", "[", 
              TagBox["#1",
               #& ,
               SyntaxForm->"a"], "]"}], "[", 
             RowBox[{"t", ",", "\[Omega]"}], "]"}]}], "&"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"Range", "[", "k", "]"}], "-", "1"}], "/.", 
           "\[InvisibleSpace]", "rules"}], ",", 
          RowBox[{"{", 
           RowBox[{"-", "1"}], "}"}]}], "]"}], ",", 
        RowBox[{"{", "1", "}"}]}], "]"}], "/", "\[NegativeVeryThinSpace]", 
      "\[NegativeVeryThinSpace]", 
      SqrtBox["s"]}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "[", "0", "]"}], "[", 
     RowBox[{"1", ",", "\[Omega]"}], "]"}], "\[Equal]", 
    FractionBox["\[Omega]", "2"]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "[", "1", "]"}], "[", 
     RowBox[{"1", ",", "\[Omega]"}], "]"}], "\[Equal]", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Omega]"}]], "+", 
       RowBox[{
        RowBox[{"\[Phi]", "[", "2", "]"}], "[", 
        RowBox[{"0", ",", "\[Omega]"}], "]"}]}], ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731815451524*^9, 3.428253306463735*^9, 
  3.432321908808672*^9, 3.500211139645514*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Range", "[", 
      RowBox[{"2", 
       RowBox[{"Length", "[", "#", "]"}]}], "]"}], 
     RowBox[{"Join", "[", 
      RowBox[{"#", ",", 
       RowBox[{"Reverse", "[", "#", "]"}]}], "]"}]}], "&"}], ",", 
   RowBox[{"{", "1", "}"}], ",", "t"}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "=", "4"}], "}"}], ",", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Range", "[", 
        RowBox[{"2", 
         RowBox[{"Length", "[", "#", "]"}]}], "]"}], 
       RowBox[{"Join", "[", 
        RowBox[{"#", ",", 
         RowBox[{"Reverse", "[", "#", "]"}]}], "]"}]}], "&"}], ",", 
     RowBox[{"{", "1", "}"}], ",", "t"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "16", ",", "54", ",", "64", ",", "100", ",", "216", ",", "196", 
   ",", "64", ",", "72", ",", "280", ",", "396", ",", "240", ",", "208", ",", 
   "252", ",", "120", ",", "16"}], "}"}]], "Output",
 CellChangeTimes->{3.413731815567794*^9, 3.428253313488675*^9, 
  3.4323219088560133`*^9, 3.500211144231254*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["2", "#"], "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "#"]}], "&"}], ")"}], "[", 
  RowBox[{"1", "+", 
   RowBox[{"IntegerExponent", "[", 
    RowBox[{"n", ",", "2"}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["2", "#"], "-", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "#"]}], "&"}], ")"}], "[", 
    RowBox[{"1", "+", 
     RowBox[{"IntegerExponent", "[", 
      RowBox[{"n", ",", "2"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "20"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "3", ",", "3", ",", "3", ",", "9", ",", "3", ",", "3", ",", "3", ",", "15", 
   ",", "3", ",", "3", ",", "3", ",", "9", ",", "3", ",", "3", ",", "3", ",", 
   "33", ",", "3", ",", "3", ",", "3", ",", "9"}], "}"}]], "Output",
 CellChangeTimes->{3.413731815619557*^9, 3.428253349766568*^9, 
  3.4323219089048023`*^9, 3.5002111487210617`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["\<\
Page 587 \[CenterDot] Random block sequences\
\>", "Subsection"], Cell[" (page 1081)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"m", "[", "s_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"q", "=", 
      RowBox[{"FoldList", "[", 
       RowBox[{"Plus", ",", "0", ",", "s"}], "]"}]}], "}"}], ",", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"RotateRight", "[", 
       RowBox[{
        RowBox[{"IdentityMatrix", "[", 
         RowBox[{"Last", "[", "q", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
      RowBox[{"1", "/", 
       RowBox[{"Length", "[", "s", "]"}]}], ",", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Outer", "[", 
         RowBox[{"List", ",", 
          RowBox[{"Rest", "[", "q", "]"}], ",", 
          RowBox[{
           RowBox[{"Drop", "[", 
            RowBox[{"q", ",", 
             RowBox[{"-", "1"}]}], "]"}], "+", "1"}]}], "]"}], ",", "1"}], 
       "]"}]}], "]"}]}], "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"m", "[", "s_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"q", "=", 
      RowBox[{"FoldList", "[", 
       RowBox[{"Plus", ",", "0", ",", "s"}], "]"}]}], "}"}], ",", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"RotateRight", "[", 
       RowBox[{
        RowBox[{"IdentityMatrix", "[", 
         RowBox[{"Last", "[", "q", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
      RowBox[{"1", "/", 
       RowBox[{"Length", "[", "s", "]"}]}], ",", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Outer", "[", 
         RowBox[{"List", ",", 
          RowBox[{"Rest", "[", "q", "]"}], ",", 
          RowBox[{
           RowBox[{"Drop", "[", 
            RowBox[{"q", ",", 
             RowBox[{"-", "1"}]}], "]"}], "+", "1"}]}], "]"}], ",", "1"}], 
       "]"}]}], "]"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"list", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", "0", "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"m", "[", 
    RowBox[{"Map", "[", 
     RowBox[{"Length", ",", "list"}], "]"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", "0", ",", 
     FractionBox["1", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", "0", ",", 
     FractionBox["1", "2"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731815688239*^9, 3.428253361629422*^9, 
  3.432321909066662*^9, 3.500211154849761*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Xi]", "[", 
   RowBox[{"list_", ",", "r_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"w", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"#", "-", 
          RowBox[{
           RowBox[{"Apply", "[", 
            RowBox[{"Plus", ",", "#"}], "]"}], "/", 
           RowBox[{"Length", "[", "#", "]"}]}]}], "&"}], ")"}], "[", 
       RowBox[{"Flatten", "[", "list", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"w", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
      RowBox[{"MatrixPower", "[", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"Map", "[", 
          RowBox[{"Length", ",", "list"}], "]"}], "]"}], ",", "r"}], "]"}], 
      "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "w"}], "/", 
     RowBox[{"Length", "[", "w", "]"}]}]}], "]"}]}]], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"m", "[", "s_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"q", "=", 
      RowBox[{"FoldList", "[", 
       RowBox[{"Plus", ",", "0", ",", "s"}], "]"}]}], "}"}], ",", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"RotateRight", "[", 
       RowBox[{
        RowBox[{"IdentityMatrix", "[", 
         RowBox[{"Last", "[", "q", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
      RowBox[{"1", "/", 
       RowBox[{"Length", "[", "s", "]"}]}], ",", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Outer", "[", 
         RowBox[{"List", ",", 
          RowBox[{"Rest", "[", "q", "]"}], ",", 
          RowBox[{
           RowBox[{"Drop", "[", 
            RowBox[{"q", ",", 
             RowBox[{"-", "1"}]}], "]"}], "+", "1"}]}], "]"}], ",", "1"}], 
       "]"}]}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"\[Xi]", "[", 
   RowBox[{"list_", ",", "r_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"w", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"#", "-", 
          RowBox[{
           RowBox[{"Apply", "[", 
            RowBox[{"Plus", ",", "#"}], "]"}], "/", 
           RowBox[{"Length", "[", "#", "]"}]}]}], "&"}], ")"}], "[", 
       RowBox[{"Flatten", "[", "list", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"w", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
      RowBox[{"MatrixPower", "[", 
       RowBox[{
        RowBox[{"m", "[", 
         RowBox[{"Map", "[", 
          RowBox[{"Length", ",", "list"}], "]"}], "]"}], ",", "r"}], "]"}], 
      "\[VeryThinSpace]", ".", "\[VeryThinSpace]", "w"}], "/", 
     RowBox[{"Length", "[", "w", "]"}]}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Xi]", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", "0", "}"}]}], "}"}], ",", "5"}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox["1", "288"]], "Output",
 CellChangeTimes->{3.41373181574927*^9, 3.428253372317204*^9, 
  3.43232190915007*^9, 3.500211160223907*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cryptography and Cryptanalysis", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["LFSR cryptanalysis", "Subsection"], Cell[" (page 1087)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Nest", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"Append", "[", 
        RowBox[{"#", ",", 
         RowBox[{
          RowBox[{"Take", "[", 
           RowBox[{"#", ",", 
            RowBox[{"-", "n"}]}], "]"}], "\[VeryThinSpace]", ".", 
          "\[VeryThinSpace]", "vec"}]}], "]"}], ",", "2"}], "]"}], "&"}], ",",
     "list", ",", "t"}], "]"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{"LinearSolve", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Take", "[", 
      RowBox[{"seq", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"i", "+", "n", "-", "1"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", 
   RowBox[{"Take", "[", 
    RowBox[{"seq", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n", "+", "1"}], ",", 
       RowBox[{"2", " ", "n"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"Modulus", "\[Rule]", "2"}]}], "]"}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"n", "=", "7"}], ",", 
     RowBox[{"vec", "=", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1"}], 
       "}"}]}], ",", 
     RowBox[{"list", "=", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0"}], 
       "}"}]}], ",", 
     RowBox[{"t", "=", "10"}]}], "}"}], ",", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{
        RowBox[{"Append", "[", 
         RowBox[{"#", ",", 
          RowBox[{
           RowBox[{"Take", "[", 
            RowBox[{"#", ",", 
             RowBox[{"-", "n"}]}], "]"}], ".", "vec"}]}], "]"}], ",", "2"}], 
       "]"}], "&"}], ",", "list", ",", "t"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.4137318157869377`*^9, 3.428253419128269*^9, 
  3.432321909211335*^9, 3.500211164446731*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"n", "=", "7"}], ",", 
     RowBox[{"seq", "=", 
      RowBox[{"{", 
       RowBox[{
       "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
        "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", ",", 
        "0", ",", "0", ",", "1"}], "}"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Take", "[", 
        RowBox[{"seq", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"i", "+", "n", "-", "1"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", 
     RowBox[{"Take", "[", 
      RowBox[{"seq", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"n", "+", "1"}], ",", 
         RowBox[{"2", " ", "n"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Modulus", "\[Rule]", "2"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137318158376207`*^9, 3.4282534208504763`*^9, 
  3.432321909278529*^9, 3.5002111657488213`*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that this setup assumes ",
 StyleBox["Length[list]<n,  Length[vec]=n,  t\[GreaterEqual]2n-Length[list].",
  FontSlant->"Italic"],
 " The ",
 StyleBox["vec",
  FontSlant->"Italic"],
 " might not always be unique."
}], "Text",
 CellChangeTimes->{3.5348752189229703`*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Properties of rule 30", "Subsection"], Cell[" (page 1087)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cases", "[", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Fold", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Prepend", "[", 
          RowBox[{"#1", ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"#2", "==", "1"}], "\[Xor]", 
              RowBox[{
               RowBox[{"Take", "[", 
                RowBox[{"#1", ",", "2"}], "]"}], "==", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}]}]}], ",", "0", ",", "1"}], 
            "]"}]}], "]"}], "&"}], ",", "#", ",", 
        RowBox[{"Reverse", "[", "list", "]"}]}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_", ",", "c___", ",", "a_", ",", "b_"}], "}"}], 
    "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"b", ",", "c", ",", "a"}], "}"}]}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"list", "=", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
       "0", ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", 
   StyleBox[
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{"Fold", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Prepend", "[", 
            RowBox[{
             TagBox["#1",
              #& ,
              SyntaxForm->"a"], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 TagBox["#2",
                  #& ,
                  SyntaxForm->"a"], "==", "1"}], "\[Xor]", 
                RowBox[{
                 RowBox[{"Take", "[", 
                  RowBox[{
                   TagBox["#1",
                    #& ,
                    SyntaxForm->"a"], ",", "2"}], "]"}], "==", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}]}], ",", "0", ",", "1"}], 
              "]"}]}], "]"}], "&"}], ",", "#", ",", 
          RowBox[{"Reverse", "[", "list", "]"}]}], "]"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a_", ",", "b_", ",", "c___", ",", "a_", ",", "b_"}], "}"}], 
       "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c", ",", "a"}], "}"}]}]}], "]"}],
    LineIndent->0.4]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", 
    ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.413731816866211*^9, 3.4282535173050127`*^9, 
  3.432321909344881*^9, 3.500211170506261*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"CAStep", "[", 
   RowBox[{"rule_", ",", "a_"}], "]"}], ":=", 
  RowBox[{"rule", "\[LeftDoubleBracket]", 
   RowBox[{"8", "-", 
    RowBox[{"ListConvolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", "a", ",", "2"}], 
     "]"}]}], "\[RightDoubleBracket]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CAStep", "[", 
  RowBox[{
   RowBox[{"IntegerDigits", "[", 
    RowBox[{"30", ",", "2", ",", "8"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413731816925324*^9, 3.428253520255913*^9, 
  3.432321909451354*^9, 3.500211175564507*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Alternative rules", "Subsection"], Cell[" (page 1088)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[BoxData[
 RowBox[{"p", "\[Xor]", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"\[Not]", "q"}], "\[Or]", "r", "\[Or]", 
    RowBox[{"s", "\[And]", 
     RowBox[{"\[Not]", "t"}]}]}], ")"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{"r", "\[Xor]", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"\[Not]", "p"}], "\[Or]", "q", "\[Or]", 
    RowBox[{"s", "\[And]", 
     RowBox[{"\[Not]", "t"}]}]}], ")"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"u", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Not]", "p"}], "\[And]", 
     RowBox[{"\[Not]", "q"}]}], "\[Or]", 
    RowBox[{"q", 
     StyleBox["\[And]",
      FontSize->14], "t"}]}]}], ";", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Not]", "r"}], 
    StyleBox["\[And]",
     FontSize->14], "u"}], "\[Or]", 
   RowBox[{"q", "\[And]", 
    RowBox[{"\[Not]", "s"}], "\[And]", 
    RowBox[{"(", 
     RowBox[{"p", "\[Or]", 
      RowBox[{"\[Not]", "r"}]}], ")"}]}], "\[Or]", 
   RowBox[{"r", "\[And]", "s", "\[And]", 
    RowBox[{"\[Not]", "u"}]}]}]}]], "Subsubsection",
 CellChangeTimes->{{3.5130042835687838`*^9, 3.513004381787924*^9}, {
  3.513004414683326*^9, 3.513004466728609*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "\[And]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"q", "\[And]", 
      RowBox[{"\[Not]", "r"}]}], "\[Or]", 
     RowBox[{"p", "\[And]", 
      RowBox[{"\[Not]", "q"}], "\[And]", "t"}]}], ")"}]}], "\[Or]", 
  RowBox[{"\[Not]", 
   RowBox[{"(", 
    RowBox[{"s", "\[Or]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"p", "\[Or]", "q"}], ")"}], "\[And]", 
      RowBox[{"(", 
       RowBox[{"r", "\[Xor]", 
        RowBox[{"(", 
         RowBox[{"q", "\[Or]", "t"}], ")"}]}], ")"}]}]}], 
    ")"}]}]}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Nonlinear feedback shift registers", "Subsection"], Cell[
     " (page 1088)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NLFSRStep", "[", 
    RowBox[{"f_", ",", "taps_", ",", "list_"}], "]"}], ":=", 
   RowBox[{"Append", "[", 
    RowBox[{
     RowBox[{"Rest", "[", "list", "]"}], ",", 
     RowBox[{"f", "[", 
      RowBox[{
      "list", "\[LeftDoubleBracket]", "taps", "\[RightDoubleBracket]"}], 
      "]"}]}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"f", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"s", ",", "2", ",", "8"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"8", "-", 
       RowBox[{"#", ".", 
        RowBox[{"{", 
         RowBox[{"4", ",", "2", ",", "1"}], "}"}]}]}], "]"}], "]"}], "&"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NLFSRStep", "[", 
     RowBox[{"f", ",", "taps", ",", "#"}], "]"}], "&"}], ",", "list", ",", 
   "n"}], "]"}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NLFSRStep", "[", 
   RowBox[{"f_", ",", "taps_", ",", "list_"}], "]"}], ":=", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"Rest", "[", "list", "]"}], ",", 
    RowBox[{"f", "[", 
     RowBox[{
     "list", "\[LeftDoubleBracket]", "taps", "\[RightDoubleBracket]"}], 
     "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"CenterList", "[", "n_Integer", "]"}], ":=", 
  RowBox[{"ReplacePart", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{"0", ",", 
      RowBox[{"{", "n", "}"}]}], "]"}], ",", "1", ",", 
    RowBox[{"Ceiling", "[", 
     FractionBox["n", "2"], "]"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "=", "7"}], ",", 
      RowBox[{"n", "=", "11"}], ",", 
      RowBox[{"taps", "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], ",", 
      RowBox[{"f", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"IntegerDigits", "[", 
          RowBox[{"90", ",", "2", ",", "8"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"8", "-", 
           RowBox[{"#", ".", 
            RowBox[{"{", 
             RowBox[{"4", ",", "2", ",", "1"}], "}"}]}]}], "]"}], "]"}], 
        "&"}]}]}], "}"}], ",", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Nest", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"NLFSRStep", "[", 
            RowBox[{"f", ",", "taps", ",", "#"}], "]"}], "&"}], ")"}], ",", 
         "#", ",", "n"}], "]"}], "&"}], ",", 
      RowBox[{"CenterList", "[", "n", "]"}], ",", "t"}], "]"}]}], "]"}], "//",
   "Grid"}]], "Input",
 CellChangeTimes->{{3.513003686065166*^9, 3.513003689259897*^9}, {
  3.520261911965328*^9, 3.520261912539013*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0"},
    {"0", "0", "0", "1", "0", "1", "0", "0", "0", "0", "0"},
    {"0", "1", "0", "0", "0", "1", "0", "0", "0", "0", "1"},
    {"0", "1", "0", "1", "0", "1", "0", "0", "1", "0", "0"},
    {"0", "0", "0", "0", "0", "1", "1", "0", "1", "0", "0"},
    {"0", "0", "0", "1", "1", "1", "0", "0", "1", "0", "0"},
    {"0", "1", "1", "0", "1", "1", "1", "0", "1", "0", "1"},
    {"1", "1", "0", "1", "0", "1", "0", "0", "0", "1", "0"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.413731816987219*^9, 3.428253550661501*^9, 3.432321909553174*^9, 
   3.500211182676448*^9, {3.513003690447473*^9, 3.5130037051676483`*^9}, {
   3.520261913906089*^9, 3.5202619165997477`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "=", "7"}], ",", 
      RowBox[{"n", "=", "11"}], ",", 
      RowBox[{"taps", "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}]}], ",", 
      RowBox[{"f", "=", 
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"Apply", "[", 
           RowBox[{"Plus", ",", "#"}], "]"}], ",", "2"}], "]"}], "&"}]}]}], 
     "}"}], ",", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Nest", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"NLFSRStep", "[", 
            RowBox[{"f", ",", "taps", ",", "#"}], "]"}], "&"}], ")"}], ",", 
         "#", ",", "n"}], "]"}], "&"}], ",", 
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"n", "-", "1"}], "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
      "t"}], "]"}]}], "]"}], "//", "Grid"}]], "Input",
 CellChangeTimes->{{3.513003698917967*^9, 3.51300370165127*^9}, {
  3.5202619187545967`*^9, 3.5202619192893677`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1"},
    {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "1"},
    {"0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1"},
    {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "1", "1", "0", "0", "1", "1"},
    {"0", "0", "0", "0", "1", "0", "1", "0", "1", "0", "1"},
    {"0", "0", "0", "1", "1", "1", "1", "1", "1", "1", "1"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.413731817045341*^9, 3.428253552316753*^9, 
  3.4323219096111317`*^9, 3.5002111844969273`*^9, 3.5130037060853643`*^9, 
  3.520261920511888*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"{", 
    RowBox[{"w_", ",", "x_", ",", "y_", ",", "z_"}], "}"}], "]"}], ":=", 
  RowBox[{"Mod", "[", 
   RowBox[{
    RowBox[{"w", "+", "y", "+", "z", "+", 
     RowBox[{"x", " ", "y"}], "+", 
     RowBox[{"x", " ", "z"}], "+", 
     RowBox[{"y", " ", "z"}]}], ",", "2"}], "]"}]}]], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NLFSRStep", "[", 
   RowBox[{"f_", ",", "taps_", ",", "list_"}], "]"}], ":=", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"Rest", "[", "list", "]"}], ",", 
    RowBox[{"f", "[", 
     RowBox[{
     "list", "\[LeftDoubleBracket]", "taps", "\[RightDoubleBracket]"}], 
     "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"{", 
    RowBox[{"w_", ",", "x_", ",", "y_", ",", "z_"}], "}"}], "]"}], ":=", 
  RowBox[{"Mod", "[", 
   RowBox[{
    RowBox[{"w", "+", "y", "+", "z", "+", 
     RowBox[{"x", " ", "y"}], "+", 
     RowBox[{"x", " ", "z"}], "+", 
     RowBox[{"y", " ", "z"}]}], ",", "2"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5002112018575277`*^9, 3.50021120284232*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "=", "7"}], ",", 
      RowBox[{"n", "=", "11"}], ",", 
      RowBox[{"taps", "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}]}], "}"}], ",", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Nest", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"NLFSRStep", "[", 
            RowBox[{"f", ",", "taps", ",", "#"}], "]"}], "&"}], ")"}], ",", 
         "#", ",", "n"}], "]"}], "&"}], ",", 
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"n", "-", "1"}], "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
      "t"}], "]"}]}], "]"}], "//", "Grid"}]], "Input",
 CellChangeTimes->{{3.513003715209923*^9, 3.513003718194254*^9}, {
  3.520261935804338*^9, 3.5202619362802*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1"},
    {"0", "0", "0", "0", "0", "0", "0", "1", "1", "0", "1"},
    {"0", "0", "0", "0", "1", "1", "0", "1", "0", "0", "1"},
    {"0", "1", "1", "0", "1", "0", "0", "0", "1", "0", "0"},
    {"0", "1", "0", "0", "1", "1", "1", "0", "1", "1", "1"},
    {"0", "0", "1", "1", "1", "1", "0", "1", "1", "1", "0"},
    {"1", "1", "0", "1", "1", "0", "1", "1", "1", "0", "0"},
    {"1", "0", "0", "1", "0", "1", "1", "1", "0", "1", "0"}
   },
   AutoDelete->False,
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.4137318171161537`*^9, 3.428253562494652*^9, 3.432321909690379*^9, 
   3.500211205664673*^9, {3.513003718976821*^9, 3.513003720561409*^9}, 
   3.520261938357912*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Linear congruential generators", "Subsection"], Cell[
     " (page 1089)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"a", "#"}], ",", "m"}], "]"}], "&"}], ",", "x", ",", "n"}], 
   "]"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "=", 
     RowBox[{"Apply", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#2", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
          RowBox[{"Rest", "[", "list", "]"}]}], "/", "#1"}], "&"}], ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"ExtendedGCD", ",", 
         RowBox[{"Drop", "[", 
          RowBox[{"list", ",", 
           RowBox[{"-", "1"}]}], "]"}]}], "]"}]}], "]"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{"\[Alpha]", ",", "#"}], "]"}], ",", "#"}], "}"}], "&"}], 
     ")"}], "[", 
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"GCD", "[", 
        RowBox[{"#1", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"#1", "==", "0"}], ",", "#2", ",", 
           RowBox[{"Mod", "[", 
            RowBox[{"#2", ",", "#1"}], "]"}]}], "]"}]}], "]"}], "&"}], ",", 
      "0", ",", 
      RowBox[{"ListCorrelate", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[Alpha]", ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", "list"}], "]"}]}], "]"}], "]"}]}],
   "]"}]}], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", "7"}], ",", 
     RowBox[{"m", "=", "13"}], ",", 
     RowBox[{"n", "=", "20"}], ",", 
     RowBox[{"x", "=", "1"}]}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{
        RowBox[{"a", "#"}], ",", "m"}], "]"}], "&"}], ",", "x", ",", "n"}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "7", ",", "10", ",", "5", ",", "9", ",", "11", ",", "12", ",", 
   "6", ",", "3", ",", "8", ",", "4", ",", "2", ",", "1", ",", "7", ",", "10",
    ",", "5", ",", "9", ",", "11", ",", "12", ",", "6", ",", "3"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413731817162389*^9, 3.428253569214123*^9, 
  3.432321909744033*^9, 3.500211210553808*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"list", "=", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "7", ",", "10", ",", "5", ",", "9", ",", "11", ",", "12", ",",
        "6", ",", "3", ",", "8", ",", "4", ",", "2", ",", "1", ",", "7", ",", 
       "10", ",", "5", ",", "9", ",", "11", ",", "12", ",", "6", ",", "3"}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", "=", 
       RowBox[{"Apply", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           TagBox["#2",
            #& ,
            SyntaxForm->"a"], ".", 
           RowBox[{"Rest", "[", "list", "]"}]}], "/", 
          "\[NegativeVeryThinSpace]", "\[NegativeVeryThinSpace]", 
          TagBox["#1",
           #& ,
           SyntaxForm->"a"]}], "&"}], ",", 
        RowBox[{"Apply", "[", 
         RowBox[{"ExtendedGCD", ",", 
          RowBox[{"Drop", "[", 
           RowBox[{"list", ",", 
            RowBox[{"-", "1"}]}], "]"}]}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Mod", "[", 
           RowBox[{"\[Alpha]", ",", "#"}], "]"}], ",", "#"}], "}"}], "&"}], 
       ")"}], "[", 
      RowBox[{"Fold", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"GCD", "[", 
          RowBox[{
           TagBox["#1",
            #& ,
            SyntaxForm->"a"], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              TagBox["#1",
               #& ,
               SyntaxForm->"a"], "==", "0"}], ",", 
             TagBox["#2",
              #& ,
              SyntaxForm->"a"], ",", 
             RowBox[{"Mod", "[", 
              RowBox[{
               TagBox["#2",
                #& ,
                SyntaxForm->"a"], ",", 
               TagBox["#1",
                #& ,
                SyntaxForm->"a"]}], "]"}]}], "]"}]}], "]"}], "&"}], ",", "0", 
        ",", 
        RowBox[{"ListCorrelate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[Alpha]", ",", 
            RowBox[{"-", "1"}]}], "}"}], ",", "list"}], "]"}]}], "]"}], 
      "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"7", ",", "13"}], "}"}]], "Output",
 CellChangeTimes->{3.413731817214439*^9, 3.428253570450699*^9, 
  3.4323219097930603`*^9, 3.500211211689007*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Factoring integers", "Subsection"], Cell[" (page 1090)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Module", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "=", 
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{
          SuperscriptBox["#", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "+", "1"}], 
         ",", "n"}], "]"}], "&"}]}], ",", 
     RowBox[{"a", "=", "2"}], ",", 
     RowBox[{"b", "=", "5"}], ",", "c"}], "}"}], ",", 
   RowBox[{
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"c", "=", 
         RowBox[{"GCD", "[", 
          RowBox[{"n", ",", 
           RowBox[{"a", "-", "b"}]}], "]"}]}], ")"}], "==", "1"}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"f", "[", "a", "]"}], ",", 
         RowBox[{"f", "[", 
          RowBox[{"f", "[", "b", "]"}], "]"}]}], "}"}]}]}], "]"}], ";", 
    "c"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "477310661"}], "}"}], ",", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f", "=", 
        RowBox[{
         RowBox[{"Mod", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox["#", 
             RowBox[{"\[VeryThinSpace]", "2"}]], "+", "1"}], ",", "n"}], 
          "]"}], "&"}]}], ",", 
       RowBox[{"a", "=", "2"}], ",", 
       RowBox[{"b", "=", "5"}], ",", "c"}], "}"}], ",", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"c", "=", 
           RowBox[{"GCD", "[", 
            RowBox[{"n", ",", 
             RowBox[{"a", "-", "b"}]}], "]"}]}], ")"}], "==", "1"}], ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", "b"}], "}"}], "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"f", "[", "a", "]"}], ",", 
           RowBox[{"f", "[", 
            RowBox[{"f", "[", "b", "]"}], "]"}]}], "}"}]}]}], "]"}], ";", 
      "c"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData["17389"], "Output",
 CellChangeTimes->{3.413731817262168*^9, 3.428253576999185*^9, 
  3.432321909843511*^9, 3.500211215547784*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"477310661", "/", "17389"}]], "Input"],

Cell[BoxData["27449"], "Output",
 CellChangeTimes->{3.413731817313404*^9, 3.4282535802848597`*^9, 
  3.432321909893118*^9, 3.5002112171498947`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Quadratic residue sequences", "Subsection"], Cell[
     " (page 1090)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mod", "[", 
  RowBox[{
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{
        SuperscriptBox["#", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", "m"}], 
       "]"}], "&"}], ",", "x0", ",", "n"}], "]"}], ",", "2"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"m", "=", "141"}], ",", 
      RowBox[{"n", "=", "100"}], ",", 
      RowBox[{"x0", "=", "101"}]}], "}"}], ",", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Mod", "[", 
          RowBox[{
           SuperscriptBox["#", 
            RowBox[{"\[VeryThinSpace]", "2"}]], ",", "m"}], "]"}], "&"}], ",",
         "x0", ",", "n"}], "]"}], ",", "2"}], "]"}]}], "]"}], "//", 
  RowBox[{
   RowBox[{"Partition", "[", 
    RowBox[{"#", ",", "11"}], "]"}], "&"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731817364197*^9, 3.428253588274794*^9, 
  3.432321909945458*^9, 3.50021122195597*^9}]
}, Open  ]],

Cell[BoxData[""], "Input"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Traditional Mathematics and Mathematical Formulas", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 609 \[CenterDot] Implementation", "Subsection"], Cell[
     " (page 1091)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"MapIndexed", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#2", "-", "1"}], "\[Rule]", 
         RowBox[{
          RowBox[{"Position", "[", 
           RowBox[{"rules", ",", 
            RowBox[{"#1", "\[Rule]", "_"}]}], "]"}], "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], "&"}], ",", 
       RowBox[{"Last", "[", "#", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"-", "1"}], "}"}]}], "]"}], "]"}], "&"}], ",", "rules"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"rules", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "1"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"0", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"MapIndexed", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            TagBox["#2",
             #& ,
             SyntaxForm->"a"], "-", "1"}], "\[Rule]", 
           RowBox[{
            RowBox[{"Position", "[", 
             RowBox[{"rules", ",", 
              RowBox[{
               TagBox["#1",
                #& ,
                SyntaxForm->"a"], "\[Rule]", "_"}]}], "]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], "&"}], ",", 
         RowBox[{"Last", "[", "#", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"-", "1"}], "}"}]}], "]"}], "]"}], "&"}], ",", "rules"}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], "\[Rule]", "1"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], "\[Rule]", "2"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}], "\[Rule]", "2"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], "\[Rule]", "1"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], "\[Rule]", "3"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}], "\[Rule]", "1"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], "\[Rule]", "3"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], "\[Rule]", "3"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}], "\[Rule]", "3"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "3"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137318174819202`*^9, 3.428253659898801*^9, 
  3.432321910106245*^9, 3.500211226964148*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Trinomial coefficients", "Subsection"], Cell[" (page 1091)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Binomial", "[", 
     RowBox[{
      RowBox[{"n", "+", "t", "-", "1", "-", 
       RowBox[{"3", " ", "k"}]}], ",", 
      RowBox[{"t", "-", "1"}]}], "]"}], " ", 
    RowBox[{"Boole", "[", 
     RowBox[{"n", "\[GreaterEqual]", 
      RowBox[{"3", " ", "k"}]}], "]"}], " ", 
    RowBox[{"Binomial", "[", 
     RowBox[{"t", ",", "k"}], "]"}], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "^", "k"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", 
     RowBox[{"n", "/", "3"}]}], "}"}]}], "]"}]], "Subsubsection",
 CellChangeTimes->{{3.513007179604527*^9, 3.513007182563483*^9}, 
   3.5130080156200657`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "=", "3"}], ",", 
     RowBox[{"n", "=", "4"}]}], "}"}], ",", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Binomial", "[", 
       RowBox[{
        RowBox[{"n", "+", "t", "-", "1", "-", 
         RowBox[{"3", " ", "k"}]}], ",", 
        RowBox[{"t", "-", "1"}]}], "]"}], " ", 
      RowBox[{"Boole", "[", 
       RowBox[{"n", "\[GreaterEqual]", 
        RowBox[{"3", " ", "k"}]}], "]"}], " ", 
      RowBox[{"Binomial", "[", 
       RowBox[{"t", ",", "k"}], "]"}], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", "k"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", 
       RowBox[{"n", "/", "3"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{3.513007187669229*^9, 3.51300800916425*^9}],

Cell[BoxData["6"], "Output",
 CellChangeTimes->{3.413731817528607*^9, 3.428253666806913*^9, 
  3.4323219101492367`*^9, 3.500211231503615*^9, 3.5130071462312307`*^9, 
  3.513007189302205*^9, 3.5130080109501534`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Binomial", "[", 
   RowBox[{
    RowBox[{"2", " ", "t"}], ",", "n"}], "]"}], " ", 
  RowBox[{"Hypergeometric2F1", "[", 
   RowBox[{
    RowBox[{"-", "n"}], ",", 
    RowBox[{"n", "-", 
     RowBox[{"2", " ", "t"}]}], ",", 
    RowBox[{
     RowBox[{"1", "/", "2"}], "-", "t"}], ",", 
    RowBox[{"1", "/", "4"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "=", "3"}], ",", 
     RowBox[{"n", "=", "4"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"Binomial", "[", 
     RowBox[{
      RowBox[{"2", " ", "t"}], ",", "n"}], "]"}], " ", 
    RowBox[{"Hypergeometric2F1", "[", 
     RowBox[{
      RowBox[{"-", "n"}], ",", 
      RowBox[{"n", "-", 
       RowBox[{"2", " ", "t"}]}], ",", 
      RowBox[{
       RowBox[{
       "1", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], 
       "-", "t"}], ",", 
      RowBox[{
      "1", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "4"}]}], 
     "]"}]}]}], "]"}]], "Input"],

Cell[BoxData["6"], "Output",
 CellChangeTimes->{3.41373181757865*^9, 3.4282536739767036`*^9, 
  3.43232191021673*^9, 3.500211234975189*^9, 3.5130071209193363`*^9}]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "x", " ", "z"}], "+", 
     SuperscriptBox["x", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]}], ")"}], 
   RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
    RowBox[{"-", "m"}]}]], "==", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"GegenbauerC", "[", 
      RowBox[{"n", ",", "m", ",", "z"}], "]"}], " ", 
     SuperscriptBox["x", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "\[Infinity]"}], "}"}]}], 
   "]"}]}]], "Subsubsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["1D sequences", "Subsection"], Cell[" (page 1092)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "2"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"-", "3"}], ")"}], 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]], " ", 
   SqrtBox["\[Pi]"], " ", 
   RowBox[{
    RowBox[{"Hypergeometric2F1", "[", 
     RowBox[{
      RowBox[{"3", "/", "2"}], ",", 
      RowBox[{"-", "n"}], ",", 
      RowBox[{
       RowBox[{"3", "/", "2"}], "-", "n"}], ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "3"}]}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"4", " ", 
      RowBox[{"n", "!"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        RowBox[{"3", "/", "2"}], "-", "n"}], "]"}]}], 
     ")"}]}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
     "1", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"\[VeryThinSpace]", "n"}]]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}], 
      RowBox[{"\[VeryThinSpace]", "n"}]], " ", 
     SqrtBox["\[Pi]"], " ", 
     RowBox[{
      RowBox[{"Hypergeometric2F1", "[", 
       RowBox[{
        RowBox[{
        "3", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], 
        ",", 
        RowBox[{"-", "n"}], ",", 
        RowBox[{
         RowBox[{
         "3", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], 
         "-", "n"}], ",", 
        RowBox[{
         RowBox[{"-", "1"}], "/", 
         "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "3"}]}], "]"}], 
      "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", 
      RowBox[{"(", 
       RowBox[{"4", " ", 
        RowBox[{"n", "!"}], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{
          "3", "/", "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}],
           "-", "n"}], "]"}]}], ")"}]}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   RowBox[{"-", "2"}], ",", "2", ",", 
   RowBox[{"-", "3"}], ",", "2", ",", 
   RowBox[{"-", "5"}], ",", 
   RowBox[{"-", "1"}], ",", 
   RowBox[{"-", "14"}], ",", 
   RowBox[{"-", "22"}], ",", 
   RowBox[{"-", "69"}], ",", 
   RowBox[{"-", "163"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731817612103*^9, 3.42825368795945*^9, 
  3.432321910284301*^9, 3.500211239499466*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 613 \[CenterDot] GCD array", "Subsection"], Cell[
     " (page 1093)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Product", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", "=", 
       RowBox[{"Prime", "[", "n", "]"}]}], "}"}], ",", 
     RowBox[{"1", "-", 
      RowBox[{
       RowBox[{"Length", "[", 
        RowBox[{"Union", "[", 
         RowBox[{"Mod", "[", 
          RowBox[{"v", ",", "p"}], "]"}], "]"}], "]"}], "/", 
       SuperscriptBox["p", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]]}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"v", "=", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], "}"}]}], ",", 
     RowBox[{"s", "=", "2"}]}], "}"}], ",", 
   RowBox[{"Product", "[", 
    RowBox[{
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"p", "=", 
         RowBox[{"Prime", "[", "n", "]"}]}], "}"}], ",", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"Length", "[", 
          RowBox[{"Union", "[", 
           RowBox[{"Mod", "[", 
            RowBox[{"v", ",", "p"}], "]"}], "]"}], "]"}], "/", 
         SuperscriptBox["p", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]]}]}]}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "\[Infinity]"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox["6", 
  SuperscriptBox["\[Pi]", "2"]]], "Output",
 CellChangeTimes->{3.413731818067276*^9, 3.428253699410988*^9, 
  3.432321910416218*^9, 3.5002112440053*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 615 \[CenterDot] Computing powers", "Subsection"], Cell[
     " (page 1093)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FoldList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["#1", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], " ", 
     SuperscriptBox["m", 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "#2"}]]}], "&"}], ",", "1", 
   ",", 
   RowBox[{"IntegerDigits", "[", 
    RowBox[{"t", ",", "2"}], "]"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "=", "10"}], "}"}], ",", 
   RowBox[{"FoldList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox[
        TagBox["#1",
         #& ,
         SyntaxForm->"a"], 
        RowBox[{"\[VeryThinSpace]", "2"}]], " ", 
       SuperscriptBox["m", 
        RowBox[{"\[VeryThinSpace]", 
         TagBox["#2",
          #& ,
          SyntaxForm->"a"]}]]}], "&"}], ",", "1", ",", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"t", ",", "2"}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "m", ",", 
   SuperscriptBox["m", "2"], ",", 
   SuperscriptBox["m", "5"], ",", 
   SuperscriptBox["m", "10"]}], "}"}]], "Output",
 CellChangeTimes->{3.413731818168642*^9, 3.428253704853756*^9, 
  3.4323219104658937`*^9, 3.500211249465732*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FromDigits", "[", 
  RowBox[{
   RowBox[{"ListConvolve", "[", 
    RowBox[{
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"x", ",", "k"}], "]"}], ",", 
     RowBox[{"IntegerDigits", "[", 
      RowBox[{"y", ",", "k"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "0"}], "]"}], ",", "k"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "=", "12345"}], ",", 
     RowBox[{"y", "=", "67890"}], ",", 
     RowBox[{"k", "=", "10"}]}], "}"}], ",", 
   RowBox[{"FromDigits", "[", 
    RowBox[{
     RowBox[{"ListConvolve", "[", 
      RowBox[{
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"x", ",", "k"}], "]"}], ",", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"y", ",", "k"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", "0"}], "]"}], ",", "k"}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData["838102050"], "Output",
 CellChangeTimes->{3.413731818215364*^9, 3.428253710977837*^9, 
  3.432321910514916*^9, 3.500211257177396*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FixedPoint", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"#", "<", "k"}], ",", "#", ",", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"e", "=", 
              RowBox[{"Ceiling", "[", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"k", ",", "#"}], "]"}], "/", "2"}], "]"}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Quotient", "[", 
               RowBox[{"#", ",", 
                SuperscriptBox["k", 
                 RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "e"}]]}], "]"}], 
              ",", 
              RowBox[{"With", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"s", "=", 
                  RowBox[{"Mod", "[", 
                   RowBox[{"#", ",", 
                    SuperscriptBox["k", 
                    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "e"}]]}], 
                   "]"}]}], "}"}], ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"s", "==", "0"}], ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{"0", ",", 
                    RowBox[{"{", "e", "}"}]}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"e", "-", 
                    RowBox[{"Floor", "[", 
                    RowBox[{"Log", "[", 
                    RowBox[{"k", ",", "s"}], "]"}], "]"}], "-", "1"}], 
                    "}"}]}], "]"}], ",", "s"}], "}"}]}], "]"}]}], "]"}]}], 
             "}"}]}], "]"}]}], "]"}], "&"}], ",", "#"}], "]"}], "]"}], "&"}], 
   ",", 
   RowBox[{"{", "x", "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "=", "2"}], ",", 
     RowBox[{"x", "=", "14"}]}], "}"}], ",", 
   RowBox[{"FixedPoint", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"#", "<", "k"}], ",", "#", ",", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"e", "=", 
                RowBox[{"Ceiling", "[", 
                 RowBox[{
                  RowBox[{"Log", "[", 
                   RowBox[{"k", ",", "#"}], "]"}], "/", 
                  "\[NegativeVeryThinSpace]\[NegativeVeryThinSpace]", "2"}], 
                 "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Quotient", "[", 
                 RowBox[{"#", ",", 
                  SuperscriptBox["k", 
                   RowBox[{"\[VeryThinSpace]", "e"}]]}], "]"}], ",", 
                RowBox[{"With", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"s", "=", 
                    RowBox[{"Mod", "[", 
                    RowBox[{"#", ",", 
                    SuperscriptBox["k", 
                    RowBox[{"\[VeryThinSpace]", "e"}]]}], "]"}]}], "}"}], ",", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"s", "==", "0"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "e", "}"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"e", "-", 
                    RowBox[{"Floor", "[", 
                    RowBox[{"Log", "[", 
                    RowBox[{"k", ",", "s"}], "]"}], "]"}], "-", "1"}], 
                    "}"}]}], "]"}], ",", "s"}], "}"}]}], "]"}]}], "]"}]}], 
               "}"}]}], "]"}]}], "]"}], "&"}], ",", "#"}], "]"}], "]"}], 
      "&"}], ",", 
     RowBox[{"{", "x", "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.413731818266263*^9, 3.428253717027583*^9, 
  3.432321910584755*^9, 3.500211261067226*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Complex powers", "Subsection"], Cell[" (page 1094)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"d", "[", 
        RowBox[{
         RowBox[{"Re", "[", "#", "]"}], ",", "w"}], "]"}]}], "+", 
      RowBox[{"d", "[", 
       RowBox[{
        RowBox[{"Im", "[", "#", "]"}], ",", "w"}], "]"}]}], "&"}], ")"}], "[", 
   SuperscriptBox["z", 
    RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], "]"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"d", "[", 
   RowBox[{"x_", ",", "w_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"x", "<", "0"}], ",", 
    RowBox[{"1", "-", 
     RowBox[{"d", "[", 
      RowBox[{
       RowBox[{"-", "x"}], ",", "w"}], "]"}]}], ",", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"x", ",", "2", ",", "w"}], "]"}]}], "]"}]}]}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"d", "[", 
   RowBox[{"x_", ",", "w_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"x", "<", "0"}], ",", 
    RowBox[{"1", "-", 
     RowBox[{"d", "[", 
      RowBox[{
       RowBox[{"-", "x"}], ",", "w"}], "]"}]}], ",", 
    RowBox[{"IntegerDigits", "[", 
     RowBox[{"x", ",", "2", ",", "w"}], "]"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"z", "=", 
      RowBox[{"1", "+", "I"}]}], ",", 
     RowBox[{"w", "=", "20"}]}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"d", "[", 
           RowBox[{
            RowBox[{"Re", "[", "#", "]"}], ",", "w"}], "]"}]}], "+", 
         RowBox[{"d", "[", 
          RowBox[{
           RowBox[{"Im", "[", "#", "]"}], ",", "w"}], "]"}]}], "&"}], ")"}], 
      "[", 
      SuperscriptBox["z", 
       RowBox[{"\[VeryThinSpace]", "t"}]], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "1", ",", "10"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2",
      ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", 
     ",", "2", ",", "2", ",", "2", ",", "1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2",
      ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", ",", "2", 
     ",", "2", ",", "2", ",", "0", ",", "2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3", ",", "3", ",", "3", ",", "3", ",", "3", ",", "3", ",", "3", ",", "3",
      ",", "3", ",", "3", ",", "3", ",", "3", ",", "3", ",", "3", ",", "3", 
     ",", "3", ",", "3", ",", "0", ",", "3", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
     ",", "1", ",", "0", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
     ",", "1", ",", "2", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "2", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "3", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137318183367167`*^9, 3.4282537300563173`*^9, 
  3.432321910694273*^9, 3.5002112669135942`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["The more general case", "Subsection"], Cell[" (page 1094)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"h", "[", 
  RowBox[{
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"#2", "==", "0"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"#1", ",", "#1"}], "]"}], ",", 
        RowBox[{"h", "[", 
         RowBox[{"r", ",", 
          RowBox[{"h", "[", 
           RowBox[{"#1", ",", "#1"}], "]"}]}], "]"}]}], "]"}], "&"}], ",", 
     "r", ",", 
     RowBox[{"Rest", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"t", ",", "2"}], "]"}], "]"}]}], "]"}], ",", "s"}], 
  "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "=", "10"}], ",", 
     RowBox[{"h", "=", "Plus"}]}], "}"}], ",", 
   RowBox[{"h", "[", 
    RowBox[{
     RowBox[{"Fold", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           TagBox["#2",
            #& ,
            SyntaxForm->"a"], "==", "0"}], ",", 
          RowBox[{"h", "[", 
           RowBox[{
            TagBox["#1",
             #& ,
             SyntaxForm->"a"], ",", 
            TagBox["#1",
             #& ,
             SyntaxForm->"a"]}], "]"}], ",", 
          RowBox[{"h", "[", 
           RowBox[{"r", ",", 
            RowBox[{"h", "[", 
             RowBox[{
              TagBox["#1",
               #& ,
               SyntaxForm->"a"], ",", 
              TagBox["#1",
               #& ,
               SyntaxForm->"a"]}], "]"}]}], "]"}]}], "]"}], "&"}], ",", "r", 
       ",", 
       RowBox[{"Rest", "[", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{"t", ",", "2"}], "]"}], "]"}]}], "]"}], ",", "s"}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"10", " ", "r"}], "+", "s"}]], "Output",
 CellChangeTimes->{3.4137318183836937`*^9, 3.428253748685749*^9, 
  3.432321910749653*^9, 3.50021127143356*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"h", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"FromDigits", "[", 
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{"ListConvolve", "[", 
      RowBox[{
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"a", ",", "k"}], "]"}], ",", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"b", ",", "k"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", "0"}], "]"}], "]"}], ",", "k"}], 
   "]"}]}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"h", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"FromDigits", "[", 
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{"ListConvolve", "[", 
      RowBox[{
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"a", ",", "k"}], "]"}], ",", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"b", ",", "k"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", "0"}], "]"}], "]"}], ",", "k"}], 
   "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "=", "2"}], ",", 
     RowBox[{"g", "=", 
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{"#", ",", "2"}], "]"}], "&"}]}]}], "}"}], ",", 
   RowBox[{"h", "[", 
    RowBox[{"3", ",", "9"}], "]"}]}], "]"}]], "Input"],

Cell[BoxData["27"], "Output",
 CellChangeTimes->{3.413731818457931*^9, 3.42825375869748*^9, 
  3.4323219108261766`*^9, 3.5002112772929497`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["DNF minimization", "Subsection"], Cell[" (page 1095)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PI", "[", 
    RowBox[{"s_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Union", "[", 
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FixedPointList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{
            RowBox[{"Last", "[", "#", "]"}], ",", "n"}], "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "}"}], ",", "s"}], "}"}]}], "]"}], 
       "\[LeftDoubleBracket]", 
       RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", "1"}], 
     "]"}], "]"}]}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", "=", 
       RowBox[{"Position", "[", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", "i", "]"}], "==", "1"}], "&&", 
        RowBox[{
         RowBox[{"Delete", "[", 
          RowBox[{"a", ",", "i"}], "]"}], "===", 
         RowBox[{"Delete", "[", 
          RowBox[{"b", ",", "i"}], "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ReplacePart", "[", 
         RowBox[{"a", ",", "_", ",", "i"}], "]"}], "}"}], ",", 
       RowBox[{"{", "}"}]}], "]"}]}], "]"}]}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"s_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"w", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Apply", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Outer", "[", 
            RowBox[{"g", ",", "#1", ",", "#2", ",", "1"}], "]"}], "&"}], ",", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Select", "[", 
               RowBox[{"s", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Count", "[", 
                   RowBox[{"#", ",", "1"}], "]"}], "==", "i"}], "&"}]}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}], ",", "2", 
            ",", "1"}], "]"}], ",", 
          RowBox[{"{", "1", "}"}]}], "]"}], ",", "3"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Complement", "[", 
       RowBox[{"s", ",", "w", ",", 
        RowBox[{"SameTest", "\[Rule]", "MatchQ"}]}], "]"}], ",", "w"}], 
     "}"}]}], "]"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"PI", "[", 
   RowBox[{"s_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Union", "[", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FixedPointList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{
           RowBox[{"Last", "[", "#", "]"}], ",", "n"}], "]"}], "&"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "}"}], ",", "s"}], "}"}]}], "]"}], 
      "\[LeftDoubleBracket]", 
      RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", "1"}], "]"}],
    "]"}]}], "\n", 
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", "=", 
      RowBox[{"Position", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{"a", ",", "b"}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", "i", "]"}], "==", "1"}], "&&", 
       RowBox[{
        RowBox[{"Delete", "[", 
         RowBox[{"a", ",", "i"}], "]"}], "===", 
        RowBox[{"Delete", "[", 
         RowBox[{"b", ",", "i"}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"ReplacePart", "[", 
        RowBox[{"a", ",", "_", ",", "i"}], "]"}], "}"}], ",", 
      RowBox[{"{", "}"}]}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"s_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"With", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"w", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"Apply", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Outer", "[", 
            RowBox[{"g", ",", "#1", ",", "#2", ",", "1"}], "]"}], "&"}], ",", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Select", "[", 
               RowBox[{"s", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Count", "[", 
                   RowBox[{"#", ",", "1"}], "]"}], "==", "i"}], "&"}]}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}], ",", "2", 
            ",", "1"}], "]"}], ",", 
          RowBox[{"{", "1", "}"}]}], "]"}], ",", "3"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Complement", "[", 
       RowBox[{"s", ",", "w", ",", 
        RowBox[{"SameTest", "\[Rule]", "MatchQ"}]}], "]"}], ",", "w"}], 
     "}"}]}], "]"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PI", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", "3"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "_"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "_", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731818509432*^9, 3.428253769412569*^9, 
  3.432321910913808*^9, 3.500211284854628*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"QM", "[", 
    RowBox[{"s_", ",", "p_"}], "]"}], ":=", 
   RowBox[{"First", "[", 
    RowBox[{"Sort", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"p", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}], 
        "&"}], ",", 
       RowBox[{"h", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{"Length", "[", "s", "]"}], "]"}], ",", 
         RowBox[{"Outer", "[", 
          RowBox[{"MatchQ", ",", "s", ",", "p", ",", "1"}], "]"}]}], "]"}]}], 
      "]"}], "]"}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", 
    RowBox[{"i_", ",", "r_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"h", "[", 
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{"i", ",", 
            RowBox[{
            "r", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}]}], 
           "]"}], ",", 
          RowBox[{"Drop", "[", 
           RowBox[{"r", ",", "#"}], "]"}], ",", 
          RowBox[{"Delete", "[", 
           RowBox[{
            RowBox[{"Drop", "[", 
             RowBox[{"t", ",", 
              RowBox[{"{", "}"}], ",", "#"}], "]"}], ",", 
            RowBox[{"Position", "[", 
             RowBox[{
              RowBox[{"t", "\[LeftDoubleBracket]", 
               RowBox[{"All", ",", "#"}], "\[RightDoubleBracket]"}], ",", 
              RowBox[{"{", "True", "}"}]}], "]"}]}], "]"}]}], "]"}], "&"}], 
       ",", 
       RowBox[{"First", "[", 
        RowBox[{"Sort", "[", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Position", "[", 
             RowBox[{"#", ",", "True"}], "]"}], "&"}], ",", "t"}], "]"}], 
         "]"}], "]"}]}], "]"}], ",", "1"}], "]"}]}], "\[IndentingNewLine]"}], 
"\n", 
 RowBox[{
  RowBox[{"h", "[", 
   RowBox[{"i_", ",", "_", ",", 
    RowBox[{"{", "}"}]}], "]"}], ":=", 
  RowBox[{"{", "i", "}"}]}]}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"QM", "[", 
   RowBox[{"s_", ",", "p_"}], "]"}], ":=", 
  RowBox[{"First", "[", "\[IndentingNewLine]", 
   RowBox[{"Sort", "[", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"p", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}], 
       "&"}], ",", 
      RowBox[{"h", "[", 
       RowBox[{
        RowBox[{"{", "}"}], ",", 
        RowBox[{"Range", "[", 
         RowBox[{"Length", "[", "s", "]"}], "]"}], ",", 
        RowBox[{"Outer", "[", 
         RowBox[{"MatchQ", ",", "s", ",", "p", ",", "1"}], "]"}]}], "]"}]}], 
     "]"}], "]"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"h", "[", 
   RowBox[{"i_", ",", "r_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Flatten", "[", 
   RowBox[{
    RowBox[{"Map", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"h", "[", 
        RowBox[{
         RowBox[{"Join", "[", 
          RowBox[{"i", ",", 
           RowBox[{
           "r", "\[LeftDoubleBracket]", "#", "\[RightDoubleBracket]"}]}], 
          "]"}], ",", 
         RowBox[{"Drop", "[", 
          RowBox[{"r", ",", "#"}], "]"}], ",", 
         RowBox[{"Delete", "[", 
          RowBox[{
           RowBox[{"Drop", "[", 
            RowBox[{"t", ",", 
             RowBox[{"{", "}"}], ",", "#"}], "]"}], ",", 
           RowBox[{"Position", "[", 
            RowBox[{
             RowBox[{"t", "\[LeftDoubleBracket]", 
              RowBox[{"All", ",", "#"}], "\[RightDoubleBracket]"}], ",", 
             RowBox[{"{", "True", "}"}]}], "]"}]}], "]"}]}], "]"}], "&"}], 
      ",", 
      RowBox[{"First", "[", 
       RowBox[{"Sort", "[", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"#", ",", "True"}], "]"}], "&"}], ",", "t"}], "]"}], 
        "]"}], "]"}]}], "]"}], ",", "1"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"h", "[", 
   RowBox[{"i_", ",", "_", ",", 
    RowBox[{"{", "}"}]}], "]"}], ":=", 
  RowBox[{"{", "i", "}"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QM", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "_", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "_"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "_", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731818558403*^9, 3.428253783864851*^9, 
  3.4323219110610943`*^9, 3.5002112911321573`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Page 619 \[CenterDot] Nand expressions", "Subsection"], Cell[
     " (page 1096)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"FromDigits", "[", 
     RowBox[{"#", ",", "2"}], "]"}], "&"}], ",", 
   RowBox[{"NestWhile", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Append", "[", 
       RowBox[{"#", ",", 
        RowBox[{"Complement", "[", 
         RowBox[{
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Outer", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"1", "-", 
                  RowBox[{"Times", "[", "##", "]"}]}], "&"}], ",", 
                RowBox[{
                "#", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
                ",", 
                RowBox[{"#", "\[LeftDoubleBracket]", 
                 RowBox[{"-", "i"}], "\[RightDoubleBracket]"}], ",", "1"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", 
                RowBox[{"Length", "[", "#", "]"}]}], "}"}]}], "]"}], ",", 
            "2"}], "]"}], ",", 
          RowBox[{"Flatten", "[", 
           RowBox[{"#", ",", "1"}], "]"}]}], "]"}]}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", "-", 
       RowBox[{"Transpose", "[", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Range", "[", 
            SuperscriptBox["2", 
             RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]], "]"}], "-", 
           "1"}], ",", "2", ",", "n"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", 
        RowBox[{"Flatten", "[", 
         RowBox[{"#", ",", "1"}], "]"}], "]"}], "<", 
       SuperscriptBox["2", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
         SuperscriptBox["2", 
          RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "n"}]]}]]}], "&"}]}], 
    "]"}], ",", 
   RowBox[{"{", "2", "}"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"n", "=", "2"}], "}"}], ",", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"FromDigits", "[", 
       RowBox[{"#", ",", "2"}], "]"}], "&"}], ",", 
     RowBox[{"NestWhile", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Append", "[", 
         RowBox[{"#", ",", 
          RowBox[{"Complement", "[", 
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"Outer", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"1", "-", 
                    RowBox[{"Times", "[", "##", "]"}]}], "&"}], ",", 
                  RowBox[{
                  "#", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
                   ",", 
                  RowBox[{"#", "\[LeftDoubleBracket]", 
                   RowBox[{"-", "i"}], "\[RightDoubleBracket]"}], ",", "1"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"Length", "[", "#", "]"}]}], "}"}]}], "]"}], ",", 
              "2"}], "]"}], ",", 
            RowBox[{"Flatten", "[", 
             RowBox[{"#", ",", "1"}], "]"}]}], "]"}]}], "]"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", "-", 
         RowBox[{"Transpose", "[", 
          RowBox[{"IntegerDigits", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Range", "[", 
              SuperscriptBox["2", 
               RowBox[{"\[VeryThinSpace]", "n"}]], "]"}], "-", "1"}], ",", 
            "2", ",", "n"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", 
          RowBox[{"Flatten", "[", 
           RowBox[{"#", ",", "1"}], "]"}], "]"}], "<", 
         SuperscriptBox["2", 
          RowBox[{"\[VeryThinSpace]", 
           SuperscriptBox["2", 
            RowBox[{"\[VeryThinSpace]", "n"}]]}]]}], "&"}]}], "]"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"12", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"11", ",", "13", ",", "15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "14"}], "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "2", ",", "4", ",", "6", ",", "9"}], "}"}], ",", 
   RowBox[{"{", "1", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731818601845*^9, 3.428253799429249*^9, 
  3.432321911122418*^9, 3.500211296407384*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Cellular automaton formulas", "Subsection"], Cell[
     " (page 1097)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Nest", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "+", "1"}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       "+", "1"}]}], "}"}], "&"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
   RowBox[{"t", "-", "2"}]}], "]"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{
           RowBox[{
           "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], "+", 
           "1"}]}], "}"}], ",", 
        RowBox[{
         RowBox[{"#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "+", "1"}]}], "}"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"t", "-", "2"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "2", ",", "5"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"3", ",", "3"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "3"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"1", ",", "1"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"3", ",", "3"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "4"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "5"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4137318186522512`*^9, 3.428253810830146*^9, 
  3.432321911168676*^9, 3.500211306246516*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Continuous systems", "Subsection"], Cell[" (page 1098)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"Sin", "[", 
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", 
    RowBox[{"ArcSin", "[", 
     SqrtBox["x"], "]"}]}], "]"}], 
  RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", ".32"}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", 
        RowBox[{"ArcSin", "[", 
         SqrtBox["x"], "]"}]}], "]"}], 
      RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.32`", ",", "0.8704`", ",", "0.45121535999999995`", ",", 
   "0.9904802356002815`", ",", "0.037716553941969065`"}], "}"}]], "Output",
 CellChangeTimes->{3.413731818702324*^9, 3.4282538199663267`*^9, 
  3.432321911218611*^9, 3.500211311981429*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", "4"}], ",", 
     RowBox[{"x", "=", ".32"}]}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "#", 
       RowBox[{"(", 
        RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x", ",", "4"}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.32`", ",", "0.8704`", ",", "0.4512153600000001`", ",", 
   "0.9904802356002815`", ",", "0.03771655394196928`"}], "}"}]], "Output",
 CellChangeTimes->{3.4137318187517242`*^9, 3.4282538213918247`*^9, 
  3.4323219112687607`*^9, 3.500211313651637*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"Cos", "[", 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", 
      RowBox[{"ArcCos", "[", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "x"}]}], "]"}]}], "]"}]}], ")"}], "/", 
  "2"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", ".32"}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Cos", "[", 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", 
          RowBox[{"ArcCos", "[", 
           RowBox[{"1", "-", 
            RowBox[{"2", " ", "x"}]}], "]"}]}], "]"}]}], ")"}], "/", "2"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.32`", ",", "0.8704000000000001`", ",", "0.45121535999999995`", ",", 
   "0.9904802356002815`", ",", "0.037716553941969044`"}], "}"}]], "Output",
 CellChangeTimes->{3.41373181880236*^9, 3.4282538293219013`*^9, 
  3.432321911320387*^9, 3.500211318658065*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"ChebyshevT", "[", 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], ",", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "x"}]}]}], "]"}]}], ")"}], "/", 
  "2"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", ".32"}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"ChebyshevT", "[", 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], ",", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "x"}]}]}], "]"}]}], ")"}], "/", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.32`", ",", "0.8704000000000001`", ",", "0.45121535999999995`", ",", 
   "0.9904802356002815`", ",", "0.037716553941969044`"}], "}"}]], "Output",
 CellChangeTimes->{3.413731818869685*^9, 3.428253837014504*^9, 
  3.432321911369569*^9, 3.5002113224806833`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "-", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "x"}]}], ")"}], 
     RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
      SuperscriptBox["2", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]]}]]}], ")"}], "/", 
  "2"}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", ".32"}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "x"}]}], ")"}], 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", 
          SuperscriptBox["2", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]]}]]}], ")"}], 
      "/", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.32`", ",", "0.43520000000000003`", ",", "0.49160192`", ",", 
   "0.4998589445046272`", ",", "0.49999996020669446`"}], "}"}]], "Output",
 CellChangeTimes->{3.413731818919853*^9, 3.4282538442339993`*^9, 
  3.432321911420042*^9, 3.5002113267721033`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", "2"}], ",", 
     RowBox[{"x", "=", ".32"}]}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "#", 
       RowBox[{"(", 
        RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x", ",", "4"}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.32`", ",", "0.4352`", ",", "0.49160191999999997`", ",", 
   "0.49985894450462726`", ",", "0.4999999602066944`"}], "}"}]], "Output",
 CellChangeTimes->{3.413731818969675*^9, 3.42825384579454*^9, 
  3.432321911470696*^9, 3.500211328290822*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", "2"}], "-", 
  RowBox[{"Cos", "[", 
   RowBox[{
    RowBox[{"1", "/", "3"}], " ", 
    RowBox[{"(", 
     RowBox[{"\[Pi]", "-", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "2"}], ")"}], 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", 
       RowBox[{"(", 
        RowBox[{"\[Pi]", "-", 
         RowBox[{"3", " ", 
          RowBox[{"ArcCos", "[", 
           RowBox[{
            RowBox[{"1", "/", "2"}], "-", "x"}], "]"}]}]}], ")"}]}]}], 
     ")"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", ".32"}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "2"}], "-", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"1", "/", "3"}], " ", 
        RowBox[{"(", 
         RowBox[{"\[Pi]", "-", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "2"}], ")"}], 
            RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", 
           RowBox[{"(", 
            RowBox[{"\[Pi]", "-", 
             RowBox[{"3", " ", 
              RowBox[{"ArcCos", "[", 
               RowBox[{
                RowBox[{"1", "/", "2"}], "-", "x"}], "]"}]}]}], ")"}]}]}], 
         ")"}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4282538534318953`*^9, 3.428253854039714*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.3199999999999997`", ",", 
   RowBox[{"-", "0.4351999999999999`"}], ",", "1.2491980799999995`", ",", 
   "0.6225955261513715`", ",", 
   RowBox[{"-", "0.4699406739353369`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731819020627*^9, 3.42825385444137*^9, 
  3.432321911520248*^9, 3.500211332096451*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", 
      RowBox[{"-", "2"}]}], ",", 
     RowBox[{"x", "=", ".32"}]}], "}"}], ",", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "#", 
       RowBox[{"(", 
        RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x", ",", "4"}], 
    "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.32`", ",", 
   RowBox[{"-", "0.4352`"}], ",", "1.24919808`", ",", "0.6225955261513728`", 
   ",", 
   RowBox[{"-", "0.4699406739353361`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.413731819071166*^9, 3.428253856000063*^9, 
  3.432321911571076*^9, 3.500211333715995*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", "2"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"g", "[", 
     RowBox[{
      SuperscriptBox["a", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", 
      RowBox[{
       RowBox[{"InverseFunction", "[", "g", "]"}], "[", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "x"}]}], "]"}]}], "]"}]}], ")"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", "2"}], ",", 
     RowBox[{"g", "=", "Exp"}], ",", 
     RowBox[{"x", "=", ".32"}]}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"g", "[", 
         RowBox[{
          SuperscriptBox["a", 
           RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "t"}]], " ", 
          RowBox[{
           RowBox[{"InverseFunction", "[", "g", "]"}], "[", 
           RowBox[{"1", "-", 
            RowBox[{"2", " ", "x"}]}], "]"}]}], "]"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.32`", ",", "0.43520000000000003`", ",", "0.49160192`", ",", 
   "0.4998589445046272`", ",", "0.49999996020669446`"}], "}"}]], "Output",
 CellChangeTimes->{3.413731819122218*^9, 3.428253864838578*^9, 
  3.432321911621475*^9, 3.5002113373385687`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"a", " ", "x"}], "]"}], "==", 
  RowBox[{"1", "+", 
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", "a", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"g", "[", "x", "]"}], 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", "1"}], 
     ")"}]}]}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Block", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "=", "2"}], ",", 
     RowBox[{"g", "=", "Exp"}], ",", 
     RowBox[{"x", "=", ".32"}]}], "}"}], ",", 
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{"a", " ", "x"}], "]"}], "==", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"1", "/", "2"}], " ", "a", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"g", "[", "x", "]"}], 
         RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "2"}]], "-", "1"}], 
       ")"}]}]}]}]}], "]"}]], "Input"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.413731819237588*^9, 3.43232191167097*^9, 
  3.500211342546743*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"2", "^", 
   RowBox[{"(", 
    RowBox[{"m", "-", 
     RowBox[{"DigitCount", "[", 
      RowBox[{"m", ",", "2", ",", "1"}], "]"}]}], ")"}]}], " ", 
  RowBox[{"Apply", "[", 
   RowBox[{"Times", ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Cyclotomic", "[", 
        RowBox[{"s", ",", "a"}], "]"}], "^", 
       RowBox[{"Floor", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"m", "-", "1"}], ")"}], "/", "s"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"s", ",", 
        RowBox[{"m", "-", "1"}]}], "}"}]}], "]"}]}], "]"}]}]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", "=", "2"}], "}"}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"2", "^", 
       RowBox[{"(", 
        RowBox[{"m", "-", 
         RowBox[{"DigitCount", "[", 
          RowBox[{"m", ",", "2", ",", "1"}], "]"}]}], ")"}]}], " ", 
      RowBox[{"Apply", "[", 
       RowBox[{"Times", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Cyclotomic", "[", 
            RowBox[{"s", ",", "a"}], "]"}], "^", 
           RowBox[{"Floor", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"m", "-", "1"}], ")"}], "/", "s"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"s", ",", 
            RowBox[{"m", "-", "1"}]}], "}"}]}], "]"}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "0", ",", "5"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5130082493807383`*^9, 3.513008253671947*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "2", ",", "6", ",", "168", ",", "2520"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.413731819288418*^9, 3.428253887602853*^9, 3.432321911720932*^9, 
   3.500211346520287*^9, {3.513008250201105*^9, 3.513008253882553*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Exp", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "+", "x", "+", 
   FractionBox[
    SuperscriptBox["x", "2"], "2"], "+", 
   FractionBox[
    SuperscriptBox["x", "3"], "6"], "+", 
   FractionBox[
    SuperscriptBox["x", "4"], "24"], "+", 
   FractionBox[
    SuperscriptBox["x", "5"], "120"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "x", "]"}], "6"],
    SeriesData[$CellContext`x, 0, {}, 0, 6, 1],
    Editable->False]}],
  SeriesData[$CellContext`x, 0, {1, 1, 
    Rational[1, 2], 
    Rational[1, 6], 
    Rational[1, 24], 
    Rational[1, 120]}, 0, 6, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.4137318193226213`*^9, 3.428253889826715*^9, 
  3.432321911844678*^9, 3.500211348106256*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Human Thinking", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Error-correcting codes", "Subsection"], Cell[" (page 1101)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PM", "[", "s_", "]"}], ":=", 
   RowBox[{"IntegerDigits", "[", 
    RowBox[{
     RowBox[{"Range", "[", 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", "1"}], "]"}],
      ",", "2", ",", "s"}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{"Join", "[", 
  RowBox[{"data", ",", 
   RowBox[{"Mod", "[", 
    RowBox[{
     RowBox[{"data", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"PM", "[", "s", "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Count", "[", 
           RowBox[{"#", ",", "1"}], "]"}], ">", "1"}], "&"}]}], "]"}]}], ",", 
     "2"}], "]"}]}], "]"}]}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"PM", "[", "s_", "]"}], ":=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"Range", "[", 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", "1"}], "]"}], 
    ",", "2", ",", "s"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"data", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "0", ",", "0"}], "}"}]}], ",", 
     RowBox[{"s", "=", "3"}]}], "}"}], ",", 
   RowBox[{"Join", "[", 
    RowBox[{"data", ",", 
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"data", ".", 
        RowBox[{"Select", "[", 
         RowBox[{
          RowBox[{"PM", "[", "s", "]"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"Count", "[", 
             RowBox[{"#", ",", "1"}], "]"}], ">", "1"}], "&"}]}], "]"}]}], 
       ",", "2"}], "]"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.413731819393569*^9, 3.4282538989645653`*^9, 
  3.432321911916774*^9, 3.5002113550330667`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Drop", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"#", "==", "0"}], ",", "data", ",", 
        RowBox[{"MapAt", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"1", "-", "#"}], "&"}], ",", "data", ",", "#"}], "]"}]}], 
       "]"}], "&"}], ")"}], "[", 
    RowBox[{"FromDigits", "[", 
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{
        RowBox[{"data", "\[VeryThinSpace]", ".", "\[VeryThinSpace]", 
         RowBox[{"PM", "[", "s", "]"}]}], ",", "2"}], "]"}], ",", "2"}], 
     "]"}], "]"}], ",", 
   RowBox[{"-", "s"}]}], "]"}]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"PM", "[", "s_", "]"}], ":=", 
  RowBox[{"IntegerDigits", "[", 
   RowBox[{
    RowBox[{"Range", "[", 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"\[VeryThinSpace]\[VeryThinSpace]", "s"}]], "-", "1"}], "]"}], 
    ",", "2", ",", "s"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"data", "=", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0"}], 
       "}"}]}], ",", 
     RowBox[{"s", "=", "3"}]}], "}"}], ",", 
   RowBox[{"Drop", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"#", "==", "0"}], ",", "data", ",", 
          RowBox[{"MapAt", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"1", "-", "#"}], "&"}], ",", "data", ",", "#"}], "]"}]}],
          "]"}], "&"}], ")"}], "[", 
      RowBox[{"FromDigits", "[", 
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{
          RowBox[{"data", ".", 
           RowBox[{"PM", "[", "s", "]"}]}], ",", "2"}], "]"}], ",", "2"}], 
       "]"}], "]"}], ",", 
     RowBox[{"-", "s"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.413731819440919*^9, 3.4282539213703823`*^9, 3.432321911977268*^9, {
   3.5002113587479067`*^9, 3.500211369755754*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[GridBox[{
    {Cell["Context-free languages", "Subsection"], Cell[" (page 1103)", "TI"]}
   }], TextForm]], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
     RowBox[{"s", "[", 
      RowBox[{"e", ",", "e"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
     RowBox[{"s", "[", 
      RowBox[{"\"\<(\>\"", ",", "e", ",", "\"\<)\>\""}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
     RowBox[{"s", "[", 
      RowBox[{"\"\<(\>\"", ",", "\"\<)\>\""}], "]"}]}]}], "}"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"#1", "/.", "\[InvisibleSpace]", 
      RowBox[{
      "rules", "\[LeftDoubleBracket]", "#2", "\[RightDoubleBracket]"}]}], 
     "&"}], ",", 
    RowBox[{"s", "[", "e", "]"}], ",", "list"}], "]"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Parse", "[", 
    RowBox[{"rules_", ",", "expr_"}], "]"}], ":=", 
   RowBox[{"Catch", "[", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"t", "=", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"NestWhile", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"ReplaceList", "[", 
           RowBox[{"#", ",", 
            RowBox[{"MapIndexed", "[", 
             RowBox[{"ReverseRule", ",", "rules"}], "]"}]}], "]"}], "&"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"expr", ",", 
            RowBox[{"{", "}"}]}], "}"}], "}"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "/.", "\[InvisibleSpace]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"s", "[", "e", "]"}], ",", "u_"}], "}"}], 
             "\[RuleDelayed]", 
             RowBox[{"Throw", "[", "u", "]"}]}]}], ";", 
           RowBox[{"#", "=!=", 
            RowBox[{"{", "}"}]}]}], "&"}]}], "]"}], ";"}]}], "]"}], "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ReverseRule", "[", 
   RowBox[{
    RowBox[{"a_", "\[Rule]", "b_"}], ",", 
    RowBox[{"{", "i_", "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"___", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"s", "[", 
        RowBox[{"x___", ",", "b", ",", "y___"}], "]"}], ",", 
       RowBox[{"{", "u___", "}"}]}], "}"}], ",", "___"}], "}"}], 
   "\[RuleDelayed]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"x", ",", "a", ",", "y"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "u"}], "}"}]}], "}"}], "/;", 
    RowBox[{"FreeQ", "[", 
     RowBox[{
      RowBox[{"s", "[", "x", "]"}], ",", 
      RowBox[{"s", "[", "a", "]"}]}], "]"}]}]}]}]}], "Subsubsection",
 CellChangeTimes->{3.5130713426449537`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetAttributes", "[", 
   RowBox[{"s", ",", "Flat"}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Parse", "[", 
   RowBox[{"rules_", ",", "expr_"}], "]"}], ":=", 
  RowBox[{"Catch", "[", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", "=", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"NestWhile", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ReplaceList", "[", 
          RowBox[{"#", ",", 
           RowBox[{"MapIndexed", "[", 
            RowBox[{"ReverseRule", ",", "rules"}], "]"}]}], "]"}], "&"}], ",", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"expr", ",", 
           RowBox[{"{", "}"}]}], "}"}], "}"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "/.", "\[InvisibleSpace]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"s", "[", "e", "]"}], ",", "u_"}], "}"}], 
            "\[RuleDelayed]", 
            RowBox[{"Throw", "[", "u", "]"}]}]}], ";", 
          RowBox[{"#", "=!=", 
           RowBox[{"{", "}"}]}]}], "&"}]}], "]"}], ";"}]}], "]"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ReverseRule", "[", 
   RowBox[{
    RowBox[{"a_", "\[Rule]", "b_"}], ",", 
    RowBox[{"{", "i_", "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"___", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"s", "[", 
        RowBox[{"x___", ",", "b", ",", "y___"}], "]"}], ",", 
       RowBox[{"{", "u___", "}"}]}], "}"}], ",", "___"}], "}"}], 
   "\[RuleDelayed]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"x", ",", "a", ",", "y"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "u"}], "}"}]}], "}"}], "/;", 
    RowBox[{"FreeQ", "[", 
     RowBox[{
      RowBox[{"s", "[", "x", "]"}], ",", 
      RowBox[{"s", "[", "a", "]"}]}], "]"}]}]}]}]}], "Input",
 CellChangeTimes->{3.4323218642218847`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"list", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "1", ",", "1", ",", "3", ",", "3"}], 
       "}"}]}], ",", 
     RowBox[{"rules", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
         RowBox[{"s", "[", 
          RowBox[{"e", ",", "e"}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
         RowBox[{"s", "[", 
          RowBox[{"\"\<(\>\"", ",", "e", ",", "\"\<)\>\""}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
         RowBox[{"s", "[", 
          RowBox[{"\"\<(\>\"", ",", "\"\<)\>\""}], "]"}]}]}], "}"}]}]}], 
    "}"}], ",", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#1", "/.", "\[InvisibleSpace]", 
       RowBox[{
       "rules", "\[LeftDoubleBracket]", "#2", "\[RightDoubleBracket]"}]}], 
      "&"}], ",", 
     RowBox[{"s", "[", "e", "]"}], ",", "list"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.500211379066428*^9, 3.500211379714808*^9}}],

Cell[BoxData[
 RowBox[{"s", "[", 
  RowBox[{"\<\"(\"\>", ",", "\<\"(\"\>", ",", "\<\")\"\>", ",", "\<\"(\"\>", 
   ",", "\<\")\"\>", ",", "e", ",", "\<\")\"\>", ",", "e"}], "]"}]], "Output",
 CellChangeTimes->{3.413731819510086*^9, 3.428253932665004*^9, 
  3.432321912134446*^9, 3.5002113801070557`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Parse", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
      RowBox[{"s", "[", 
       RowBox[{"e", ",", "e"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
      RowBox[{"s", "[", 
       RowBox[{"\"\<(\>\"", ",", "e", ",", "\"\<)\>\""}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"s", "[", "e", "]"}], "\[Rule]", 
      RowBox[{"s", "[", 
       RowBox[{"\"\<(\>\"", ",", "\"\<)\>\""}], "]"}]}]}], "}"}], ",", 
   RowBox[{"s", "[", 
    RowBox[{
    "\"\<(\>\"", ",", "\"\<(\>\"", ",", "\"\<)\>\"", ",", "\"\<(\>\"", ",", 
     "\"\<)\>\"", ",", "e", ",", "\"\<)\>\"", ",", "e"}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2", ",", "1", ",", "1", ",", "3", ",", "3"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.4137318195568743`*^9, 3.4282539343747272`*^9, 
  3.432321912178411*^9, 3.500211382208398*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->{},
WindowSize->{703, 846},
WindowMargins->{{7, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
CellContext->CellGroup,
Magnification->1.,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions for NKS Webcode", "Subtitle"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 12], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{8, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 8], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, 
          CellLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 5, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, CellFrameLabelMargins -> 
          6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{36, 6}, {20, 3}}, 
             CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", CounterIncrements -> "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             36], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 40}}, LineSpacing -> {1, 0}, 
             FontSize -> 44], 
            Cell[
             StyleData["Title", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], 
             CellMargins -> {{2, 10}, {12, 30}}, FontSize -> 24]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleHeader"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, 
             CellMargins -> {{36, Inherited}, {3, 25}}, 
             CellGroupingRules -> {"TitleGrouping", 20}, PageBreakBelow -> 
             False, CellFrameMargins -> {{8, 8}, {4, 8}}, 
             DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
             "NaturalLanguage", FontSize -> 14], 
            Cell[
             StyleData["TitleHeader", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["TitleHeader", "Condensed"], 
             CellMargins -> {{8, 10}, {8, 8}}, FontSize -> 12], 
            Cell[
             StyleData["TitleHeader", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], 
             CellMargins -> {{12, Inherited}, {20, 15}}, 
             CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 24], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 36], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 4}}, FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 18]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0.25, 0}}, 
             ShowCellBracket -> False, ShowGroupOpener -> True, 
             CellMargins -> {{36, 3}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, 
             CellFrameMargins -> {{Inherited, Inherited}, {4, Inherited}}, 
             CellFrameColor -> GrayLevel[0.6], DefaultNewInlineCellStyle -> 
             "None", InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 18], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellMargins -> {{40, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{18, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{13, 0}, {7, 22}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], ShowCellBracket -> False, 
             ShowGroupOpener -> True, CellMargins -> {{50, 6}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 14, FontWeight -> "Bold", 
             GridBoxOptions -> {
              GridBoxAlignment -> {
                "Columns" -> {Left, {Right}}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {"Columns" -> {
                   Scaled[0.8], {
                    Scaled[0.2]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{36, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{16, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 22}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellFrame -> 2, ShowCellBracket -> 
             False, ShowGroupOpener -> True, 
             CellMargins -> {{70, 2}, {8, 18}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> False, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[1, 0.730007, 0.360006], 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Subsubsection", FontWeight -> "Bold", 
             Background -> RGBColor[1, 0.970001, 0.840009]], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {11, 26}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{17, Inherited}, {6, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 14}}, FontSize -> 11]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell1"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {20, 0}}, 
             CellFrameMargins -> {{-1, 0}, {-1, -1}}, Hyphenation -> True, 
             StyleMenuListing -> None, FontSize -> 2, Magnification -> 1, 
             Background -> GrayLevel[0.2]], 
            Cell[
             StyleData["TitleCell1", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell1", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell1", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TitleCell2"], ShowCellBracket -> False, 
             CellMargins -> {{12, 10}, {-3, 7}}, Hyphenation -> True, 
             StyleMenuListing -> None, Background -> GrayLevel[0.98999]], 
            Cell[
             StyleData["TitleCell2", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, FontSize -> 16], 
            Cell[
             StyleData["TitleCell2", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, FontSize -> 11], 
            Cell[
             StyleData["TitleCell2", "Printout"], 
             CellMargins -> {{2, 2}, {6, 6}}, TextJustification -> 0.5, 
             FontSize -> 10]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{80, 10}, {7, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             Hyphenation -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
             "Text"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {6, 6}},
              LineSpacing -> {1, 1}, FontSize -> 11], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {6, 6}}, 
             DefaultNewInlineCellStyle -> "None", Hyphenation -> True, 
             LineSpacing -> {1, 3}, LanguageCategory -> "NaturalLanguage", 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{24, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             FontSize -> 12], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {5, 5}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{2, 2}, {5, 5}}, TextJustification -> 0.5, 
             FontSize -> 7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names. Some attributes for these styles are actually set in FormatType Styles \
(in the last section of this stylesheet). ", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellMargins -> {{80, 10}, {5, 7}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             Evaluatable -> True, CellGroupingRules -> "InputGrouping", 
             CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, DefaultFormatType -> 
             DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{72, Inherited}, {8, 10}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, 10}, {2, 3}}, FontSize -> 11], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}},
              LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
           Closed]], 
         Cell[
          StyleData["InputOnly"], Evaluatable -> True, CellGroupingRules -> 
          "InputGrouping", CellHorizontalScrolling -> True, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", StyleMenuListing -> None, FontWeight -> 
          "Bold"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], CellMargins -> {{80, 10}, {7, 5}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping",
              CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, DefaultFormatType -> 
             DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Output"], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{72, Inherited}, {10, 8}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{41, Inherited}, {3, 2}}, FontSize -> 11], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{39, 0}, {6, 4}}, FontSize -> 9]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontSize -> 11, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 7, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{80, Inherited}, {Inherited, Inherited}}, 
             CellBracketOptions -> {"Color" -> RGBColor[1, 0, 0]}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, LanguageCategory -> 
             None, FormatType -> InputForm, CounterIncrements -> "Graphics", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             StyleMenuListing -> None, FontFamily -> "Courier", FontSize -> 
             10], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             ImageMargins -> {{62, Inherited}, {Inherited, 0}}], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             ImageMargins -> {{38, Inherited}, {Inherited, 0}}, Magnification -> 
             0.6], 
            Cell[
             StyleData["Graphics", "Printout"], 
             ImageMargins -> {{30, Inherited}, {Inherited, 0}}, Magnification -> 
             0.8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["CellLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["FrameLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9], 
            Cell[
             StyleData["FrameLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["FrameLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["FrameLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["SO10", "EnhancedPrintout"], StyleMenuListing -> None, 
             FontFamily -> "Futura", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 10, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Times", FontSize -> 10]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Placeholder Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making placeholder objects \
in palette templates.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Placeholder"], Placeholder -> True, StyleMenuListing -> 
             None, FontSlant -> "Italic", FontColor -> 
             RGBColor[0.890623, 0.864698, 0.384756], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["Placeholder", "Presentation"]], 
            Cell[
             StyleData["Placeholder", "Condensed"]], 
            Cell[
             StyleData["Placeholder", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["PrimaryPlaceholder"], StyleMenuListing -> None, 
             DrawHighlighted -> True, FontSlant -> "Italic", Background -> 
             RGBColor[0.912505, 0.891798, 0.507774], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["PrimaryPlaceholder", "Presentation"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Condensed"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Printout"]]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["FormatType Styles", "Section"], 
         Cell[
         "The cells below define styles that are mixed in with the styles of \
most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options. This is particularly true of Input and Output.", "Text"], 
         Cell[
          StyleData["CellExpression"], PageWidth -> Infinity, 
          CellMargins -> {{6, Inherited}, {Inherited, Inherited}}, 
          ShowCellLabel -> False, ShowSpecialCharacters -> False, 
          AllowInlineCells -> False, Hyphenation -> False, 
          AutoItalicWords -> {}, StyleMenuListing -> None, FontFamily -> 
          "Courier", FontSize -> 12, Background -> GrayLevel[1]], 
         Cell[
          StyleData["InputForm"], InputAutoReplacements -> {}, 
          AllowInlineCells -> False, Hyphenation -> False, StyleMenuListing -> 
          None, FontFamily -> "Courier"], 
         Cell[
          StyleData["OutputForm"], PageWidth -> Infinity, TextAlignment -> 
          Left, LineSpacing -> {0.6, 1}, StyleMenuListing -> None, FontFamily -> 
          "Courier"], 
         Cell[
          StyleData["StandardForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          StyleMenuListing -> None, FontFamily -> "Courier"], 
         Cell[
          StyleData["TraditionalForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          SingleLetterItalics -> True, TraditionalFunctionNotation -> True, 
          DelimiterMatching -> None, StyleMenuListing -> None], 
         Cell[
         "The style defined below is mixed in to any cell that is in an \
inline cell within another.", "Text"], 
         Cell[
          StyleData["InlineCell"], LanguageCategory -> "Formula", ScriptLevel -> 
          1, StyleMenuListing -> None], 
         Cell[
          StyleData["InlineCellEditing"], StyleMenuListing -> None, 
          Background -> RGBColor[1, 0.749996, 0.8]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Automatic Styles", "Section"], 
         Cell[
         "The cells below define styles that are used to affect the display \
of certain types of objects in typeset expressions.  For example, \
\"UnmatchedBracket\" style defines how unmatched bracket, curly bracket, and \
parenthesis characters are displayed (typically by coloring them to make them \
stand out).", "Text"], 
         Cell[
          StyleData["UnmatchedBracket"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.760006, 0.330007, 0.8]]}, Closed]]}, Open]]}, Visible -> 
  False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, 2011)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 1845, 38, 25, "TitleCell1"],
Cell[3083, 70, 234, 7, 24, "Text"],
Cell[3320, 79, 43, 0, 46, "TitleHeader"],
Cell[CellGroupData[{
Cell[3388, 83, 53, 0, 59, "Title"],
Cell[CellGroupData[{
Cell[3466, 87, 35, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[3526, 91, 174, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[3725, 100, 113, 3, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[3863, 107, 232, 7, 24, "Input"],
Cell[4098, 116, 497, 14, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[4644, 136, 97, 2, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[4766, 142, 212, 6, 24, "Input"],
Cell[4981, 150, 454, 13, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[5484, 169, 927, 29, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[6436, 202, 1152, 33, 70, "Input"],
Cell[7591, 237, 558, 15, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[8198, 258, 883, 25, 110, "Subsubsection"],
Cell[CellGroupData[{
Cell[9106, 287, 1163, 31, 130, "Input"],
Cell[10272, 320, 562, 15, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[10883, 341, 692, 22, 82, "Subsubsection"],
Cell[CellGroupData[{
Cell[11600, 367, 887, 26, 113, "Input"],
Cell[12490, 395, 476, 13, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[13015, 414, 1437, 41, 105, "Subsubsection"],
Cell[CellGroupData[{
Cell[14477, 459, 1613, 45, 100, "Input"],
Cell[16093, 506, 636, 17, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16766, 528, 1997, 57, 115, "Input"],
Cell[18766, 587, 722, 19, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19549, 613, 164, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[19738, 621, 2262, 67, 164, "Subsubsection"],
Cell[22003, 690, 3513, 104, 250, "Input"],
Cell[CellGroupData[{
Cell[25541, 798, 254, 6, 24, "Input"],
Cell[25798, 806, 293, 8, 44, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26128, 819, 223, 7, 44, "Input"],
Cell[26354, 828, 399, 11, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26790, 844, 256, 6, 24, "Input"],
Cell[27049, 852, 850, 21, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27936, 878, 798, 21, 40, "Input"],
Cell[28737, 901, 330, 7, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[29128, 915, 139, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[29292, 922, 2009, 61, 104, "Subsubsection"],
Cell[CellGroupData[{
Cell[31326, 987, 2419, 69, 85, "Input"],
Cell[33748, 1058, 205, 5, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[34014, 1070, 174, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[34213, 1079, 2675, 77, 149, "Subsubsection"],
Cell[36891, 1158, 2590, 75, 115, "Input"],
Cell[CellGroupData[{
Cell[39506, 1237, 301, 6, 24, "Input"],
Cell[39810, 1245, 418, 9, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[40277, 1260, 1103, 31, 60, "Subsubsection"],
Cell[41383, 1293, 1095, 31, 40, "Input"],
Cell[CellGroupData[{
Cell[42503, 1328, 344, 8, 24, "Input"],
Cell[42850, 1338, 376, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[43275, 1351, 1424, 40, 67, "Subsubsection"],
Cell[CellGroupData[{
Cell[44724, 1395, 1874, 50, 92, "Input"],
Cell[46601, 1447, 591, 11, 40, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[47253, 1465, 173, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[47451, 1474, 2182, 63, 194, "Subsubsection"],
Cell[49636, 1539, 2133, 62, 145, "Input"],
Cell[CellGroupData[{
Cell[51794, 1605, 263, 6, 24, "Input"],
Cell[52060, 1613, 413, 8, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52510, 1626, 1542, 37, 85, "Input"],
Cell[54055, 1665, 1251, 18, 70, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[55379, 1691, 48, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[55452, 1695, 166, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[55643, 1703, 444, 14, 89, "Subsubsection"],
Cell[CellGroupData[{
Cell[56112, 1721, 505, 17, 24, "Input"],
Cell[56620, 1740, 1105, 39, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57762, 1784, 535, 18, 24, "Input"],
Cell[58300, 1804, 1104, 39, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[59453, 1849, 1064, 33, 90, "Subsubsection"],
Cell[CellGroupData[{
Cell[60542, 1886, 1325, 40, 85, "Input"],
Cell[61870, 1928, 603, 18, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[62522, 1952, 912, 28, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[63459, 1984, 1006, 31, 40, "Input"],
Cell[64468, 2017, 606, 18, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[65123, 2041, 810, 23, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[65958, 2068, 1339, 40, 85, "Input"],
Cell[67300, 2110, 603, 18, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[67952, 2134, 620, 19, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[68597, 2157, 865, 28, 85, "Input"],
Cell[69465, 2187, 606, 18, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[70120, 2211, 645, 20, 60, "Subsubsection"],
Cell[CellGroupData[{
Cell[70790, 2235, 899, 28, 55, "Input"],
Cell[71692, 2265, 251, 5, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71980, 2275, 927, 27, 55, "Input"],
Cell[72910, 2304, 154, 4, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[73125, 2315, 139, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[73289, 2322, 544, 17, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[73858, 2343, 873, 29, 55, "Input"],
Cell[74734, 2374, 2920, 95, 202, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[77715, 2476, 140, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[77880, 2483, 1283, 37, 89, "Subsubsection"],
Cell[79166, 2522, 1104, 32, 85, "Input"],
Cell[CellGroupData[{
Cell[80295, 2558, 1527, 43, 70, "Input"],
Cell[81825, 2603, 954, 27, 74, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[82828, 2636, 1844, 51, 157, "Subsubsection"],
Cell[CellGroupData[{
Cell[84697, 2691, 3117, 85, 208, "Input"],
Cell[87817, 2778, 2295, 82, 94, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[90185, 2868, 36, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[90246, 2872, 164, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[90435, 2880, 325, 10, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[90785, 2894, 772, 24, 40, "Input"],
Cell[91560, 2920, 315, 7, 24, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[91936, 2934, 132, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[92093, 2941, 619, 21, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[92737, 2966, 1142, 35, 40, "Input"],
Cell[93882, 3003, 534, 13, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[94465, 3022, 1677, 50, 75, "Subsubsection"],
Cell[CellGroupData[{
Cell[96167, 3076, 2406, 71, 70, "Input"],
Cell[98576, 3149, 616, 15, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[99265, 3172, 38, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[99328, 3176, 128, 3, 46, "Subsection"],
Cell[99459, 3181, 721, 24, 58, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100217, 3210, 157, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[100399, 3218, 436, 12, 61, "Subsubsection"],
Cell[CellGroupData[{
Cell[100860, 3234, 1065, 29, 70, "Input"],
Cell[101928, 3265, 142, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[102131, 3274, 159, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[102315, 3282, 1256, 36, 116, "Subsubsection"],
Cell[CellGroupData[{
Cell[103596, 3322, 1883, 55, 108, "Input"],
Cell[105482, 3379, 775, 22, 43, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[106306, 3407, 356, 11, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[106687, 3422, 472, 15, 24, "Input"],
Cell[107162, 3439, 361, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[107572, 3452, 324, 11, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[107921, 3467, 442, 15, 30, "Input"],
Cell[108366, 3484, 381, 7, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[108808, 3498, 174, 5, 46, "Subsection"],
Cell[CellGroupData[{
Cell[109007, 3507, 955, 28, 89, "Subsubsection"],
Cell[109965, 3537, 947, 28, 55, "Input"],
Cell[CellGroupData[{
Cell[110937, 3569, 365, 12, 24, "Input"],
Cell[111305, 3583, 467, 14, 43, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[111821, 3603, 895, 25, 60, "Subsubsection"],
Cell[112719, 3630, 1820, 53, 85, "Input"],
Cell[CellGroupData[{
Cell[114564, 3687, 209, 7, 24, "Input"],
Cell[114776, 3696, 159, 3, 44, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[115008, 3707, 49, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[115082, 3711, 140, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[115247, 3718, 1030, 32, 104, "Subsubsection"],
Cell[CellGroupData[{
Cell[116302, 3754, 866, 28, 40, "Input"],
Cell[117171, 3784, 347, 7, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117555, 3796, 1022, 30, 55, "Input"],
Cell[118580, 3828, 243, 5, 24, "Output"]
}, Open  ]],
Cell[118838, 3836, 291, 9, 41, "Text"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[119178, 3851, 143, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[119346, 3858, 1225, 37, 89, "Subsubsection"],
Cell[CellGroupData[{
Cell[120596, 3899, 1837, 55, 85, "Input"],
Cell[122436, 3956, 319, 7, 24, "Output"]
}, Open  ]],
Cell[122770, 3966, 354, 10, 24, "Input"],
Cell[CellGroupData[{
Cell[123149, 3980, 319, 8, 24, "Input"],
Cell[123471, 3990, 291, 6, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[123823, 4003, 139, 3, 46, "Subsection"],
Cell[123965, 4008, 208, 6, 58, "Subsubsection"],
Cell[124176, 4016, 208, 6, 44, "Subsubsection"],
Cell[124387, 4024, 722, 23, 47, "Subsubsection"],
Cell[125112, 4049, 567, 19, 44, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[125716, 4073, 162, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[125903, 4081, 923, 29, 119, "Subsubsection"],
Cell[126829, 4112, 640, 19, 57, "Input"],
Cell[CellGroupData[{
Cell[127494, 4135, 1170, 35, 70, "Input"],
Cell[128667, 4172, 859, 17, 138, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[129563, 4194, 1167, 36, 55, "Input"],
Cell[130733, 4232, 808, 16, 138, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[131590, 4254, 356, 10, 44, "Subsubsection"],
Cell[131949, 4266, 758, 21, 40, "Input"],
Cell[CellGroupData[{
Cell[132732, 4291, 975, 29, 55, "Input"],
Cell[133710, 4322, 833, 17, 138, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[134604, 4346, 158, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[134787, 4354, 1499, 48, 119, "Subsubsection"],
Cell[CellGroupData[{
Cell[136311, 4406, 438, 15, 24, "Input"],
Cell[136752, 4423, 394, 8, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[137183, 4436, 2230, 71, 130, "Input"],
Cell[139416, 4509, 187, 4, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[139664, 4520, 140, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[139829, 4527, 974, 32, 84, "Subsubsection"],
Cell[CellGroupData[{
Cell[140828, 4563, 1123, 36, 50, "Input"],
Cell[141954, 4601, 143, 2, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[142134, 4608, 61, 1, 24, "Input"],
Cell[142198, 4611, 147, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[142406, 4620, 155, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[142586, 4628, 339, 11, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[142950, 4643, 648, 21, 46, "Input"],
Cell[143601, 4666, 1603, 40, 85, "Output"]
}, Open  ]],
Cell[145219, 4709, 26, 0, 24, "Input"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[145306, 4716, 68, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[145399, 4720, 164, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[145588, 4728, 627, 18, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[146240, 4750, 1641, 52, 70, "Input"],
Cell[147884, 4804, 1450, 47, 55, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[149395, 4858, 144, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[149564, 4865, 712, 21, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[150301, 4890, 865, 26, 55, "Input"],
Cell[151169, 4918, 214, 3, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[151432, 4927, 376, 12, 44, "Subsubsection"],
Cell[CellGroupData[{
Cell[151833, 4943, 679, 22, 24, "Input"],
Cell[152515, 4967, 163, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[152705, 4973, 639, 19, 50, "Subsubsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[153381, 4997, 134, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[153540, 5004, 850, 29, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[154415, 5037, 1369, 41, 98, "Input"],
Cell[155787, 5080, 430, 12, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[156278, 5099, 159, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[156462, 5107, 578, 17, 65, "Subsubsection"],
Cell[CellGroupData[{
Cell[157065, 5128, 848, 27, 50, "Input"],
Cell[157916, 5157, 185, 4, 45, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[158162, 5168, 166, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[158353, 5176, 378, 11, 64, "Subsubsection"],
Cell[CellGroupData[{
Cell[158756, 5191, 574, 20, 30, "Input"],
Cell[159333, 5213, 292, 7, 30, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[159674, 5226, 398, 12, 60, "Subsubsection"],
Cell[CellGroupData[{
Cell[160097, 5242, 611, 19, 55, "Input"],
Cell[160711, 5263, 147, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[160907, 5271, 2013, 54, 170, "Subsubsection"],
Cell[CellGroupData[{
Cell[162945, 5329, 2247, 59, 165, "Input"],
Cell[165195, 5390, 204, 4, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[165460, 5401, 136, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[165621, 5408, 829, 27, 95, "Subsubsection"],
Cell[166453, 5437, 376, 12, 24, "Input"],
Cell[CellGroupData[{
Cell[166854, 5453, 755, 25, 30, "Input"],
Cell[167612, 5480, 2733, 55, 160, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[170406, 5542, 143, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[170574, 5549, 590, 19, 74, "Subsubsection"],
Cell[CellGroupData[{
Cell[171189, 5572, 1130, 40, 55, "Input"],
Cell[172322, 5614, 186, 4, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[172557, 5624, 526, 16, 60, "Subsubsection"],
Cell[173086, 5642, 518, 16, 55, "Input"],
Cell[CellGroupData[{
Cell[173629, 5662, 322, 11, 24, "Input"],
Cell[173954, 5675, 143, 2, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[174158, 5684, 138, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[174321, 5691, 2794, 84, 194, "Subsubsection"],
Cell[177118, 5777, 2691, 82, 115, "Input"],
Cell[CellGroupData[{
Cell[179834, 5863, 402, 13, 24, "Input"],
Cell[180239, 5878, 371, 10, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[180659, 5894, 2093, 62, 195, "Subsubsection"],
Cell[182755, 5958, 2006, 59, 115, "Input"],
Cell[CellGroupData[{
Cell[184786, 6021, 647, 20, 24, "Input"],
Cell[185436, 6043, 375, 10, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[185872, 6060, 166, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[186063, 6068, 1946, 54, 172, "Subsubsection"],
Cell[CellGroupData[{
Cell[188034, 6126, 2092, 57, 153, "Input"],
Cell[190129, 6185, 578, 16, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[190768, 6208, 155, 4, 46, "Subsection"],
Cell[CellGroupData[{
Cell[190948, 6216, 622, 20, 58, "Subsubsection"],
Cell[CellGroupData[{
Cell[191595, 6240, 779, 25, 24, "Input"],
Cell[192377, 6267, 2370, 76, 55, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[194808, 6350, 140, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[194973, 6357, 289, 8, 70, "Subsubsection"],
Cell[CellGroupData[{
Cell[195287, 6369, 538, 16, 36, "Input"],
Cell[195828, 6387, 290, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[196155, 6398, 364, 13, 24, "Input"],
Cell[196522, 6413, 292, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[196863, 6425, 341, 11, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[197229, 6440, 601, 19, 30, "Input"],
Cell[197833, 6461, 301, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[198183, 6473, 309, 10, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[198517, 6487, 559, 17, 30, "Input"],
Cell[199079, 6506, 302, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[199430, 6518, 348, 11, 57, "Subsubsection"],
Cell[CellGroupData[{
Cell[199803, 6533, 609, 19, 37, "Input"],
Cell[200415, 6554, 295, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[200747, 6565, 364, 13, 24, "Input"],
Cell[201114, 6580, 286, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[201449, 6592, 582, 19, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[202056, 6615, 943, 28, 50, "Input"],
Cell[203002, 6645, 345, 7, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[203384, 6657, 386, 14, 24, "Input"],
Cell[203773, 6673, 312, 7, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[204134, 6686, 401, 12, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[204560, 6702, 757, 23, 50, "Input"],
Cell[205320, 6727, 293, 6, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[205662, 6739, 364, 12, 50, "Subsubsection"],
Cell[CellGroupData[{
Cell[206051, 6755, 575, 19, 30, "Input"],
Cell[206629, 6776, 119, 2, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[206797, 6784, 635, 20, 60, "Subsubsection"],
Cell[CellGroupData[{
Cell[207457, 6808, 998, 29, 70, "Input"],
Cell[208458, 6839, 282, 6, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[208777, 6850, 172, 5, 24, "Input"],
Cell[208952, 6857, 735, 23, 47, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[209760, 6888, 33, 0, 50, "Section"],
Cell[CellGroupData[{
Cell[209818, 6892, 144, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[209987, 6899, 779, 23, 95, "Subsubsection"],
Cell[210769, 6924, 301, 9, 30, "Input"],
Cell[CellGroupData[{
Cell[211095, 6937, 658, 21, 40, "Input"],
Cell[211756, 6960, 241, 5, 24, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[212046, 6971, 674, 21, 60, "Subsubsection"],
Cell[212723, 6994, 301, 9, 30, "Input"],
Cell[CellGroupData[{
Cell[213049, 7007, 946, 31, 55, "Input"],
Cell[213998, 7040, 236, 5, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[214295, 7052, 144, 3, 46, "Subsection"],
Cell[CellGroupData[{
Cell[214464, 7059, 2760, 87, 224, "Subsubsection"],
Cell[217227, 7148, 1958, 62, 130, "Input"],
Cell[CellGroupData[{
Cell[219210, 7214, 1141, 33, 55, "Input"],
Cell[220354, 7249, 303, 5, 24, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[220694, 7259, 730, 21, 40, "Input"],
Cell[221427, 7282, 231, 5, 24, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature SxTvdTzZBtYuQDgwlKs5Uky2 *)
